﻿using GTA;
using GTA.Native;
using System;
using System.Collections.Generic;
using System.Windows.Forms;

public class TurfWars : Script
{

    /// <summary> TurfWars 
    /// New gang turfs, bases, members, bosses, contacts... Kill a rival gang boss, and war is on. Go to your gangs base and grab your crew your gonna need it.
    /// The bikers have taken over the parking garage in north Alderny and the mafia run big paulies car dealership in south Alderney next to the strip club.
    /// Turf corners have yellow blips on the map. If you can hold a corner for 3 minutes from gang attacks and police, the turf will be your gangs turf. 
    /// If you walk over 20ft from the turf position you will leave the corner and have to start the battle again.(yellow blip on map) Now it's more difficult.
    /// You will your wanted level will be cleared when turf is defended so hide your weapon right before the corner is taken and the cops won't come back for you.
    /// You will see blips on the map and radar showing contacts when you are close to them. Interact with them by standing close.  
    /// You cannot kill your own gang, now you don't piss someone off by mistake. Join the other side by killing your boss.
    /// Each gang has a recruiter who can get you in the gang, press e when they say join.
    /// If you attack a gang a hit will be out for you, watch out sitting at traffic lights. Get hitmen to back off by paying bribes at the strip club or church near biker garage.
    /// After paying a bribe, no new hitmen will be spawned unless you attack them first. If you piss of your gang, you might as well kill the boss too, so you can get a crew from rival gang.
    /// If you are wanted by a gang, the best protection from hitmen is to hide out at the opposite gangs base or controlled turf.
    /// Become a biker VP or mafia Made Man by killing the opposite gangs leader. Your gangs boss or recruiter will tell you your gang status. 
    /// If you are a VP or Mademan, the recruiter of the gang will set you up with a crew to protect you, killing cops and rival gang members.
    /// Crew members will be sent out to you regularly then, and they will come back to you as long as you are still in that gang. You cannot kill your own crew.
    /// Pickup heroin or meth bags by standing over them, look for dealers with the $ symbol to sell off drugs.
    /// Everything is about distances if someone isn't there or theyre dead, go around the corner and they pop up. Look for the blips on your radar.
    /// If you want to make sure everyone is where they are supposed to be, don't drive in there at 60 mph. Walk or drive slowly into the area.
    /// It's also good practice to drive around the block of the base or turf you are going to, to make sure everyone will be where they should.  
    /// </summary> 
 

    #region variables declared
    Vector3 Turf1Pos = new Vector3(-1104.92f, 1173.21f, 16.56f), Turf2Pos = new Vector3(-1378.10f, 519.93f, 12.44f),
        Turf3Pos = new Vector3(-1002.26f, 910.54f, 13.73f), Turf4Pos = new Vector3(-1937.19f, -96.18f, 6.71f),
        Turf5Pos = new Vector3(-1484.91f, -44.30f, 6.49f), Turf6Pos = new Vector3(-1778.38f, 349.52f, 25.47f),
        Turf7Pos = new Vector3(-1631.94f, 805.57f, 29.74f), Turf8Pos = new Vector3(-1443.79f, 809.50f, 19.57f),
        Turf9Pos = new Vector3(-1487.88f, 1127.86f, 23.02f), Turf10Pos = new Vector3(-1176.86f, 1015.67f, 18.50f),
        hooker1Pos = new Vector3(-1807.14f, -40.56f, 7.41f), hooker2Pos = new Vector3(-1625.10f, 269.48f, 16.89f),
        hooker3Pos = new Vector3(-1534f, 504.52f, 21.84f), hooker4Pos = new Vector3(-1384.58f, 275.56f, 11.96f),
        hooker5Pos = new Vector3(-1895.77f, 154.26f, 11.72f), hooker6Pos = new Vector3(-1328.93f, 604.53f, 12.48f),
        hooker7Pos = new Vector3(-802.93f, 1106.50f, 10.96f), hooker8Pos = new Vector3(-1555.36f, 995.22f, 26.70f),
        hooker9Pos = new Vector3(-1370.64f, 1350.05f, 20.59f), hooker10Pos = new Vector3(-1332.10f, 1179.60f, 17.10f),
        hooker11Pos = new Vector3(-815.35f, 881.73f, 4.22f), hooker12Pos = new Vector3(-1478.03f, 1400.43f, 13.18f),
        supplierPos = new Vector3(-2061.38f, -56.10f, 6.37f), supplier1HeroinPos = new Vector3(-2060.21f, -52.85f, 5.37f),
        supplier1Pos = new Vector3(-2046.35f, -83.38f, 6.72f), supplier2Pos = new Vector3(-2060.28f, -83.34f, 6.73f),
        supplier3Pos = new Vector3(-2054.03f, -67.73f, 6.37f), supplier4Pos = new Vector3(-2057.18f, -66.80f, 6.37f),
        supplier5Pos = new Vector3(-2063.06f, -56.71f, 6.37f), supplier6Pos = new Vector3(-1670.38f, 580.72f, 27.19f),
        supplier7Pos = new Vector3(-1677.36f, 604.00f, 29.40f), supplier8Pos = new Vector3(-1671.70f, 590.72f, 27.67f),
        supplier9Pos = new Vector3(-1691.16f, 583.52f, 27.73f), supplier10Pos = new Vector3(-1689.99f, 585.54f, 27.73f),
        supplier11Pos = new Vector3(-1384.52f, -15.34f, 6.80f), supplier12Pos = new Vector3(-1377.83f, -19.75f, 6.72f),
        supplier13Pos = new Vector3(-1402.96f, -21.63f, 6.30f), supplier14Pos = new Vector3(-1399.68f, -22.52f, 6.30f),
        supplier15Pos = new Vector3(-1389.49f, -29.82f, 6.30f), supplier16Pos = new Vector3(-1393.88f, -18.81f, 6.46f),
        supplier17Pos = new Vector3(-1295.65f, 180.23f, 7.30f), supplier18Pos = new Vector3(-1304.04f, 178.91f, 7.31f),
        supplier19Pos = new Vector3(-1313.04f, 170.83f, 5.47f), supplier20Pos = new Vector3(-1312.38f, 168.14f, 5.47f),
        supplier21Pos = new Vector3(-1321.10f, 160.60f, 7.12f), supplier22Pos = new Vector3(-1320.96f, 157.26f, 7.01f),
        supplier23Pos = new Vector3(-786.48f, 1185.33f, 9.71f), supplier24Pos = new Vector3(-761.22f, 1158.92f, 12.27f),
        supplier25Pos = new Vector3(-771.16f, 1161.37f, 8.21f), supplier26Pos = new Vector3(-762.87f, 1170.09f, 8.11f),
        supplier27Pos = new Vector3(-764.62f, 1173.12f, 8.15f), supplier28Pos = new Vector3(-760.96f, 1177.29f, 8.59f),
        deal1Pos = new Vector3(-2061.79f, -57.61f, 6.37f), dealPos = new Vector3(-1938.96f, -84.33f, 6.72f), deal5Pos = new Vector3(-1890.83f, 177.07f, 12.13f),
        dealer1Pos = new Vector3(-1864.56f, -105.40f, 6.64f), dealer2Pos = new Vector3(-1593.44f, 580.50f, 25.37f),//heroin
        dealer3Pos = new Vector3(-86.0f, 65.0f, 9.0f), dealer4Pos = new Vector3(-86.0f, 65.0f, 9.0f),//heroin
        dealer5Pos = new Vector3(-1400.80f, 63.16f, 7.14f), dealer6Pos = new Vector3(-1350.16f, 1195.83f, 17.18f),//meth
        dealer7Pos = new Vector3(-86.0f, 65.0f, 9.0f), dealer8Pos = new Vector3(-86.0f, 65.0f, 9.0f),//meth
        dealer9Pos = new Vector3(-1272.87f, 248.43f, 10.76f), dealer10Pos = new Vector3(-86.0f, 65.0f, 9.0f),//Weed
        dealer11Pos = new Vector3(-86.0f, 65.0f, 9.0f), dealer12Pos = new Vector3(-86.0f, 65.0f, 9.0f),//Weed
        dealer13Pos = new Vector3(-786.84f, 1253.06f, 16.73f), dealer14Pos = new Vector3(-86.0f, 65.0f, 9.0f),//cocaine
        dealer15Pos = new Vector3(-86.0f, 65.0f, 9.0f), dealer16Pos = new Vector3(-86.0f, 65.0f, 9.0f),//cocain
        boxvillePos = new Vector3(-1937.56f, 74.81f, 7.47f), methPos = new Vector3(-1015.78f, 1402.40f, 34.00f), heroinPos = new Vector3(-1677.17f, -14.87f, 8.76f),
        heroinPos2 = new Vector3(-1686.98f, 584.95f, 26.73f), methPos5 = new Vector3(-1400.83f, -21.44f, 5.30f),
         weedPos9 = new Vector3(-1311.61f, 165.92f, 4.87f), cocainePos13 = new Vector3(-763.62f, 1180.25f, 8.41f),
        joinMafiaPos = new Vector3(-1646.85f, -47.21f, 6.92f), mafiaSpawnPos = new Vector3(-1954.13f, -57.60f, 6.37f), bikerSpawnPos = new Vector3(-1290.12f, 1648.31f, 30.77f),
       mafiaRecruiterPos = new Vector3(-1664.76f, -35.34f, 8.61f), bigPauliePos = new Vector3(-1682.05f, -24.21f, 9.46f),
       bigPaulieGaurdPos = new Vector3(-1678.24f, -14.03f, 9.81f), mafia1Pos = new Vector3(-1680.79f, -5.69f, 10.23f),
       mafia2Pos = new Vector3(-1649.70f, -12.05f, 20.96f), mafia3Pos = new Vector3(-1641.45f, 3.76f, 20.92f),
       mafia4Pos = new Vector3(-1645.61f, 5.66f, 20.95f), mafia5Pos = new Vector3(-1683.01f, -71.52f, 6.87f), //mafia1-5 snipers need proofs
       mafia6Pos = new Vector3(-1662.80f, -42.95f, 12.64f), mafia7Pos = new Vector3(-1668.89f, -70.20f, 6.83f),//mafia6 roof need strong weapon
       mafia8Pos = new Vector3(-1677.58f, 8.22f, 10.30f), mafia9Pos = new Vector3(-1664.54f, 11.71f, 10.17f),
       mafia10Pos = new Vector3(-1697.03f, -67.26f, 7.05f), mafia11Pos = new Vector3(-1642.25f, -4.33f, 9.52f),
       mafia12Pos = new Vector3(-1696.74f, -0.04f, 10.54f), mafia13Pos = new Vector3(-1642.35f, -52.84f, 7.47f),
       mafia14Pos = new Vector3(-1690.13f, -20.97f, 9.77f), mafia15Pos = new Vector3(-1686.39f, -31.43f, 9.31f),
       mafia16Pos = new Vector3(-1684.65f, -30.58f, 9.13f), mafia17Pos = new Vector3(-1685.83f, -30.26f, 9.19f),
       mafia23Pos = new Vector3(-1590.25f, -5.44f, 10.05f),
       biker1Pos = new Vector3(-1025.80f, 1404.92f, 30.52f), biker2Pos = new Vector3(-1034.94f, 1409.87f, 30.52f),
       biker3Pos = new Vector3(-1041.13f, 1420.40f, 24.43f), biker4Pos = new Vector3(-1031.28f, 1409.90f, 25.82f),
       biker5Pos = new Vector3(-1032.37f, 1419.85f, 25.69f), biker6Pos = new Vector3(-1031.76f, 1399.22f, 24.84f),
       biker7Pos = new Vector3(-1042.27f, 1408.17f, 24.68f), biker8Pos = new Vector3(-950.49f, 1458.22f, 28.05f),
       biker9Pos = new Vector3(-1037.97f, 1457.77f, 24.54f), biker10Pos = new Vector3(-947.19f, 1397.97f, 24.80f),
       biker11Pos = new Vector3(-937.53f, 1436.38f, 24.71f), biker12Pos = new Vector3(-1018.35f, 1394.19f, 24.54f),
       biker13Pos = new Vector3(-1038.14f, 1395.99f, 24.56f), biker14Pos = new Vector3(-1097.63f, 1409.34f, 25.69f),
       biker15Pos = new Vector3(-948.69f, 1455.89f, 35.08f), biker16Pos = new Vector3(-964.17f, 1419.58f, 30.37f),///////make headingssssssssssssssssss
       biker17Pos = new Vector3(-946.36f, 1438.98f, 32.68f), biker18Pos = new Vector3(-954.51f, 1420.27f, 35.00f),
       biker19Pos = new Vector3(-1017.37f, 1449.08f, 28.02f), biker20Pos = new Vector3(-1013.21f, 1401.82f, 35.15f),
       biker21Pos = new Vector3(-1035.62f, 1438.46f, 28.02f), biker22Pos = new Vector3(-1014.09f, 1403.33f, 35.00f),
       biker23Pos = new Vector3(-1018.21f, 1408.67f, 35.00f), biker24Pos = new Vector3(-1035.76f, 1440.58f, 32.68f),
       biker25Pos = new Vector3(-1019.58f, 1451.83f, 32.68f), biker26Pos = new Vector3(-1027.20f, 1438.40f, 32.68f),
       biker27Pos = new Vector3(-1018.38f, 1420.02f, 35.00f), biker28Pos = new Vector3(-1019.30f, 1449.26f, 37.32f),
       biker29Pos = new Vector3(-1027.22f, 1437.24f, 43.33f), biker30Pos = new Vector3(-948.67f, 1553.18f, 42.10f),
       biker31Pos = new Vector3(-956.64f, 1448.99f, 37.47f), biker32Pos = new Vector3(-1033.53f, 1405.43f, 39.79f),
       biker39Pos = new Vector3(-1101.51f, 1417.34f, 25.46f), twat1Pos = new Vector3(-1575.25f, 466.29f, 25.45f),//39bribeContact
       laundry1Pos = new Vector3(-1040.26f, 1138.22f, 13.73f), laundry2Pos = new Vector3(-1040.49f, 1141.55f, 13.73f),
       bikerBossPos = new Vector3(-1021.72f, 1403.89f, 35.00f), bikerBossGaurdPos = new Vector3(-1026.82f, 1407.98f, 35.15f),
       pauliesLimoPos = new Vector3(-1680.48f, -20.94f, 9.58f), bikerBossLimoPos = new Vector3(-1018.60f, 1405.23f, 34.78f),
       bikerSpawnCarPos = new Vector3(-1311.14f, 1638.33f, 30.62f), pauliesDriverPos = new Vector3(-1682.02f, -20.35f, 9.61f), bikerDriverPos = new Vector3(-1019.21f, 1406.79f, 35.00f),
       bike1Pos = new Vector3(-1042.07f, 1425.06f, 24.52f), bike2Pos = new Vector3(-1044.21f, 1425.31f, 24.47f),
       heroinBuyerPos = new Vector3(-1576.56f, 37.99f, 9.59f), methBuyerPos = new Vector3(-1013.70f, 1344.89f, 25.87f),
    Turf1Pos1 = new Vector3(-1107.30f, 1175.18f, 16.87f), Turf1Pos2 = new Vector3(-1107.39f, 1173.09f, 16.64f), Turf1Pos3 = new Vector3(-1102.77f, 1173.72f, 16.51f),
  Turf2Pos1 = new Vector3(-1378.48f, 522.45f, 12.41f), Turf2Pos2 = new Vector3(-1379.56f, 520.80f, 12.39f), Turf2Pos3 = new Vector3(-1376.30f, 520.74f, 12.57f),
   Turf3Pos1 = new Vector3(-988.85f, 917.68f, 13.68f), Turf3Pos2 = new Vector3(-990.61f, 918.46f, 13.67f), Turf3Pos3 = new Vector3(-998.38f, 922.28f, 13.67f),
    Turf4Pos1 = new Vector3(-1937.52f, -84.63f, 6.73f), Turf4Pos2 = new Vector3(-1942.14f, -83.35f, 6.72f), Turf4Pos3 = new Vector3(-1934.89f, -103.74f, 6.65f),
    Turf5Pos1 = new Vector3(-1483.13f, -52.50f, 7.59f), Turf5Pos2 = new Vector3(-1494.26f, -49.40f, 6.82f), Turf5Pos3 = new Vector3(-1474.97f, -32.73f, 6.89f),
      Turf6Pos1 = new Vector3(-1782.23f, 353.62f, 25.45f), Turf6Pos2 = new Vector3(-1765.69f, 344.84f, 25.45f), Turf6Pos3 = new Vector3(-1761.44f, 353.26f, 25.45f),
     Turf7Pos1 = new Vector3(-1627.53f, 299.78f, 29.74f), Turf7Pos2 = new Vector3(-1630.02f, 798.39f, 29.74f), Turf7Pos3 = new Vector3(-1640.22f, 787.66f, 29.86f),
        Turf8Pos1 = new Vector3(-1428.45f, 801.16f, 19.57f), Turf8Pos2 = new Vector3(-1457.83f, 820.90f, 19.56f), Turf8Pos3 = new Vector3(-1451.52f, 797.46f, 19.57f),
    Turf9Pos1 = new Vector3(-1487.88f, 1127.86f, 23.02f), Turf9Pos2 = new Vector3(-1487.83f, 1119.10f, 23.21f), Turf9Pos3 = new Vector3(-1475.71f, 1132.98f, 23.04f),
      Turf10Pos1 = new Vector3(-1176.86f, 1015.67f, 18.50f), Turf10Pos2 = new Vector3(-1182.61f, 1002.70f, 19.07f), Turf10Pos3 = new Vector3(-1175.64f, 1035.73f, 18.28f);
    private Ped[] pedArray;
    private Vehicle  bikerCar, mafiaCar, nrg1, nrg2, bike1, bike2, bike3, bike4, boxville, drugBoat, harley1, harley2, px900, police1, police2, plane, plane2, motelCar, playerVehicle, closestVehicle, pauliesLimo, bikerBossLimo, bikerSpawnCar;
    private Model methBuyerMod = new Model("M_Y_GAFR_LO_02"), heroinBuyerMod = new Model("M_Y_GAFR_HI_01"),
        mafiaRecruiterMod = new Model("M_Y_GMAF_HI_02"), bigPaulieMod = new Model("M_Y_GMAF_HI_01"), pauliesDriverMod = new Model("M_Y_GMAF_HI_02"),
        bigPaulieGaurdMod = new Model("M_Y_GMAF_HI_02"), mafiaBoss2Mod = new Model("M_Y_GMAF_HI_02"),
        mafiaBoss3Mod = new Model("M_Y_GMAF_HI_02"), mafiaBoss4Mod = new Model("M_Y_GMAF_HI_02"),
        mafiaBoss5Mod = new Model("M_Y_GMAF_HI_02"),
        mafia1Mod = new Model("M_Y_GMAF_LO_02"),//M_O_MPMOBBOSS
        mafia2Mod = new Model("M_Y_GMAF_LO_01"), mafia3Mod = new Model("M_Y_GMAF_LO_02"),
        mafia4Mod = new Model("M_Y_GMAF_LO_01"), mafia5Mod = new Model("M_Y_GMAF_LO_02"),
        mafia6Mod = new Model("M_Y_GMAF_LO_01"), mafia7Mod = new Model("M_Y_GMAF_LO_02"),
        mafia8Mod = new Model("M_Y_GMAF_LO_01"), mafia9Mod = new Model("M_O_MOBSTER"),
        mafia10Mod = new Model("M_Y_GMAF_LO_01"), mafia11Mod = new Model("M_Y_GMAF_LO_02"),
        mafia12Mod = new Model("M_Y_GMAF_LO_01"), mafia13Mod = new Model("M_Y_GMAF_LO_02"),
        mafia14Mod = new Model("M_Y_GMAF_LO_01"), mafia15Mod = new Model("M_Y_GMAF_LO_02"),
        mafia16Mod = new Model("M_Y_GMAF_LO_01"), mafia17Mod = new Model("M_Y_GMAF_LO_02"),
        mafia18Mod = new Model("M_Y_GMAF_LO_01"), mafia19Mod = new Model("M_Y_GMAF_LO_02"),
        mafia20Mod = new Model("M_Y_GMAF_LO_02"), mafia21Mod = new Model("M_Y_GMAF_LO_01"),
        mafia22Mod = new Model("M_Y_GMAF_LO_02"), mafia23Mod = new Model("M_O_MOBSTER"),
        mafia24Mod = new Model("M_Y_GMAF_LO_01"), mafia25Mod = new Model("M_Y_GMAF_LO_02"), mafia26Mod = new Model("M_Y_GMAF_HI_02"), //23bribeContact
        nrg1DriverMod = new Model("M_Y_GMAF_LO_01"), nrg2DriverMod = new Model("M_Y_GMAF_LO_02"),
        supplierMod = new Model("M_Y_GAFR_LO_01"), supplier1Mod = new Model("M_Y_GAFR_HI_02"), supplier2Mod = new Model("M_Y_GAFR_HI_02"),
        supplier3Mod = new Model("M_Y_GAFR_LO_02"), supplier4Mod = new Model("M_Y_GAFR_HI_01"),
        supplier5Mod = new Model("M_Y_GAFR_LO_01"), supplier6Mod = new Model("M_Y_GKOR_LO_01"),
        supplier7Mod = new Model("M_Y_GKOR_LO_02"), supplier8Mod = new Model("M_Y_GKOR_LO_01"),
        supplier9Mod = new Model("M_Y_GKOR_LO_02"), supplier10Mod = new Model("M_Y_GKOR_LO_01"),
        supplier11Mod = new Model("M_Y_STREETPUNK_02"), supplier12Mod = new Model("M_Y_STREETPUNK_04"),
        supplier13Mod = new Model("M_Y_STREETPUNK_05"), supplier14Mod = new Model("M_Y_STREETPUNK_02"),
        supplier15Mod = new Model("M_Y_STREETPUNK_04"), supplier16Mod = new Model("M_Y_STREETPUNK_05"),
        supplier17Mod = new Model("M_M_GJAM_HI_01"), supplier18Mod = new Model("M_M_GJAM_HI_02"),
        supplier19Mod = new Model("M_M_GJAM_HI_03"), supplier20Mod = new Model("M_Y_GJAM_LO_01"),
        supplier21Mod = new Model("M_Y_GJAM_LO_02"), supplier22Mod = new Model("M_M_GJAM_HI_01"),
        supplier23Mod = new Model("M_Y_GRUS_HI_02"), supplier24Mod = new Model("M_Y_GRUS_LO_01"),
        supplier25Mod = new Model("M_Y_GRUS_LO_02"), supplier26Mod = new Model("M_M_GRU2_LO_02"),
        supplier27Mod = new Model("M_M_GRU2_HI_01"), supplier28Mod = new Model("M_M_GRU2_HI_02"),
        dealer1Mod = new Model("M_Y_GAFR_LO_01"), dealer2Mod = new Model("M_Y_GAFR_HI_02"),
        dealer3Mod = new Model("M_Y_GAFR_LO_02"), dealer4Mod = new Model("M_Y_GAFR_HI_01"),
        dealer5Mod = new Model("M_Y_GAFR_LO_01"), dealer6Mod = new Model("M_Y_GAFR_HI_02"),
        dealer7Mod = new Model("M_Y_GAFR_LO_02"), dealer8Mod = new Model("M_Y_GAFR_HI_01"),
        dealer9Mod = new Model("M_Y_GAFR_LO_01"), dealer10Mod = new Model("M_Y_GAFR_HI_02"),
        dealer11Mod = new Model("M_Y_GAFR_LO_02"), dealer12Mod = new Model("M_Y_GAFR_HI_01"),
        dealer13Mod = new Model("M_Y_GAFR_LO_01"), dealer14Mod = new Model("M_Y_GAFR_HI_02"),
        dealer15Mod = new Model("M_Y_GAFR_LO_02"), dealer16Mod = new Model("M_Y_GAFR_HI_01"),
        hooker1Mod = new Model("F_Y_HOOKER_03"), hooker2Mod = new Model("F_Y_HOOKER_03"), hooker3Mod = new Model("F_Y_HOOKER_03"),
        hooker4Mod = new Model("F_Y_HOOKER_03"), hooker5Mod = new Model("F_Y_HOOKER_03"), hooker6Mod = new Model("F_Y_HOOKER_03"),
        hooker7Mod = new Model("F_Y_HOOKER_03"), hooker8Mod = new Model("F_Y_HOOKER_03"), hooker9Mod = new Model("F_Y_HOOKER_03"),
        hooker10Mod = new Model("F_Y_HOOKER_03"), hooker11Mod = new Model("F_Y_HOOKER_03"), hooker12Mod = new Model("F_Y_HOOKER_03"),
        bikerBoss2Mod = new Model("M_Y_GBIK_HI_01"), bikerBoss3Mod = new Model("M_Y_GBIK_HI_01"),
       bikerBoss4Mod = new Model("M_Y_GBIK_HI_01"), bikerBoss5Mod = new Model("M_Y_GBIK_HI_01"), biker1Mod = new Model("M_Y_GBIK_HI_01"),
        biker2Mod = new Model("M_Y_BOUNCER_01"), biker3Mod = new Model("M_Y_GBIK_HI_01"),
        biker4Mod = new Model("M_Y_BOUNCER_01"), biker5Mod = new Model("M_Y_GBIK_LO_01"), 
        biker6Mod = new Model("M_Y_BOUNCER_01"), biker7Mod = new Model("M_Y_GBIK_LO_02"),
        biker8Mod = new Model("M_Y_GBIK_LO_02"), biker9Mod = new Model("M_Y_BOUNCER_01"),
        biker10Mod = new Model("M_Y_BOUNCER_01"), biker11Mod = new Model("M_Y_BOUNCER_01"),
        biker12Mod = new Model("M_Y_BOUNCER_01"), biker13Mod = new Model("M_Y_GBIK_LO_02"),
        biker14Mod = new Model("M_Y_BOUNCER_01"), biker15Mod = new Model("M_Y_BOUNCER_01"),
        biker16Mod = new Model("M_Y_BOUNCER_01"), biker17Mod = new Model("M_Y_BOUNCER_01"),
        biker18Mod = new Model("M_Y_GBIK_LO_02"), biker19Mod = new Model("M_Y_GBIK_LO_02"),
        biker20Mod = new Model("M_Y_BOUNCER_01"), biker21Mod = new Model("M_Y_BOUNCER_01"),
        biker22Mod = new Model("M_Y_BOUNCER_01"), biker23Mod = new Model("M_Y_BOUNCER_01"),
        biker24Mod = new Model("M_Y_BOUNCER_01"), biker25Mod = new Model("M_Y_GBIK_LO_02"),
        biker26Mod = new Model("M_Y_BOUNCER_01"), biker27Mod = new Model("M_Y_BOUNCER_01"),
        biker28Mod = new Model("M_Y_BOUNCER_01"), biker29Mod = new Model("M_Y_GBIK_LO_02"),
        biker30Mod = new Model("M_Y_GBIK_LO_02"), biker31Mod = new Model("M_Y_BOUNCER_01"),
        biker32Mod = new Model("M_Y_BOUNCER_01"), biker33Mod = new Model("M_Y_BOUNCER_01"),
        biker34Mod = new Model("M_Y_GBIK_LO_01"), biker35Mod = new Model("M_Y_GBIK_LO_02"),
        biker36Mod = new Model("M_Y_GBIK_HI_01"), biker37Mod = new Model("M_Y_BOUNCER_01"),
        biker38Mod = new Model("M_Y_GBIK_LO_01"), biker39Mod = new Model("M_Y_GBIK_LO_01"), //39bribeContact
        biker40Mod = new Model("M_Y_GBIK_HI_01"), biker41Mod = new Model("M_Y_GBIK_HI_02"), biker42Mod = new Model("M_Y_GBIK_LO_02"),
        bike3DriverMod = new Model("M_Y_BOUNCER_01"), bike4DriverMod = new Model("M_Y_BOUNCER_01"),
        bikerBossMod = new Model("IG_JOHNNYBIKER"), bikerBossGaurdMod = new Model("M_Y_BOUNCER_01"), bikerDriverMod = new Model("M_Y_BOUNCER_01"), Turf1PMod = new Model("M_Y_BOUNCER_01");
    private GTA.Timer defendTurf1MessageDisplayTimer;
    private GTA.Timer defendTurf1MissionCleanupTimer;
    private GTA.Timer defendTurf2MessageDisplayTimer;
    private GTA.Timer defendTurf2MissionCleanupTimer;
    private GTA.Timer defendTurf3MessageDisplayTimer;
    private GTA.Timer defendTurf3MissionCleanupTimer;
    private GTA.Timer defendTurf4MessageDisplayTimer;
    private GTA.Timer defendTurf4MissionCleanupTimer;
    private GTA.Timer defendTurf5MessageDisplayTimer;
    private GTA.Timer defendTurf5MissionCleanupTimer;
    private GTA.Timer defendTurf6MessageDisplayTimer;
    private GTA.Timer defendTurf6MissionCleanupTimer;
    private GTA.Timer defendTurf7MessageDisplayTimer;
    private GTA.Timer defendTurf7MissionCleanupTimer;
    private GTA.Timer defendTurf8MessageDisplayTimer;
    private GTA.Timer defendTurf8MissionCleanupTimer;
    private GTA.Timer defendTurf9MessageDisplayTimer;
    private GTA.Timer defendTurf9MissionCleanupTimer;
    private GTA.Timer defendTurf10MessageDisplayTimer;
    private GTA.Timer defendTurf10MissionCleanupTimer;
    private Keys Keyone;
    private const int TURF1DIST = 100;
    private const int DEFEND_TIME = 20000;
    private Ped drugBuyer, drugBuyerMale, drugBuyerFemale, supplier, supplier1, supplier2, supplier3, supplier4, supplier5, supplier6, supplier7, supplier8, supplier9, supplier10, supplier11, supplier12, supplier13, supplier14, supplier15, supplier16, supplier17, supplier18, supplier19, supplier20, supplier21, supplier22, supplier23, supplier24, supplier25, supplier26, supplier27, supplier28, dealer1, dealer2, dealer3, dealer4, dealer5, dealer6, dealer7, dealer8, dealer9, dealer10, dealer11, dealer12, dealer13, dealer14, dealer15, dealer16, hooker1, hooker2, hooker3, hooker4, hooker5, hooker6, hooker7, hooker8, hooker9, hooker10, hooker11, hooker12, john1, john2, john3, john4, john5, john6, Turf1P, ped, heroinBuyer, methBuyer, nrg1Driver, nrg2Driver, bike3Driver, bike4Driver, mafiaRecruiter, bigPaulie, bigPaulieGaurd, pauliesDriver, mafiaBoss2, mafiaBoss3, mafiaBoss4, mafiaBoss5, mafia1, mafia2, mafia3, mafia4, mafia5, mafia6, mafia7, mafia8, mafia9, mafia10, mafia11, mafia12, mafia13, mafia14, mafia15, mafia16, mafia17, mafia18, mafia19, mafia20, mafia21, mafia22, mafia23, mafia24, mafia25, mafia26, biker1, biker2, biker3, biker4, biker5, biker6, biker7, biker8, biker9, biker10, biker11, biker12, biker13, biker14, biker15, biker16, biker17, biker18, biker19, biker20, biker21, biker22, biker23, biker24, biker25, biker26, biker27, biker28, biker29, biker30, biker31, biker32, biker33, biker34, biker35, biker36, biker37, biker38, biker39, biker40, biker41, biker42, bikerBoss, bikerBoss2, bikerBoss3, bikerBoss4, bikerBoss5, bikerBossGaurd, bikerDriver;
    private GTA.Object meth, heroin, weed, cocaine, drugBag, syringe, moneybag1, firewood, spikeStrip1, diamondCase, bomb1, bomb2, bomb3, flame1, flame2, flame3, minibomb, invOb1, invOb2, invOb3;
    private bool stopBuy = false, yell = false, calledDruggie = false, DEALING = false, stopWalk = false, startWalk = false, buyDrugs = false, dealer1GoToSupplier, dealer2GoToSupplier, dealer5GoToSupplier, dealer9GoToSupplier, dealer13GoToSupplier, armsupplier, armsupplier1, armsupplier2, armsupplier3, armsupplier4, armsupplier5, armsupplier6, armsupplier7, armsupplier8, armsupplier9, armsupplier10, armsupplier11, armsupplier12, armsupplier13, armsupplier14, armsupplier15, armsupplier16, armsupplier17, armsupplier18, armsupplier19, armsupplier20, armsupplier21, armsupplier22, armsupplier23, armsupplier24, armsupplier25, armsupplier26, armsupplier27, armsupplier28, dealer1Talked = false, spawnSuppliers1 = false, spawnSuppliers2, dealer2Talked, spawnSuppliers5, dealer5Talked, spawnSuppliers9, dealer9Talked, spawnSuppliers13, dealer13Talked, buyCocaine = false, buyheroin = false, buymeth = false, buyweed = false, gotPoundofWeed = false, gotOunceofHeroin = false, gotOunceofMeth = false, gotOunceofCocaine = false, boughtweedounce1, boughtweedounce2, boughtweedounce3, boughtweedounce4, boughtweedounce5, boughtweedounce6, boughtweedounce7, boughtweedounce8, boughtweedounce9, boughtweedounce10, boughtweedounce11, boughtweedounce12, boughtweedounce13, boughtweedounce14, boughtweedounce15, boughtweedounce16, boughtheroin2grams1, boughtheroin2grams2, boughtheroin2grams3, boughtheroin2grams4, boughtheroin2grams5, boughtheroin2grams6, boughtheroin2grams7, boughtheroin2grams8, boughtheroin2grams9, boughtheroin2grams10, boughtheroin2grams11, boughtheroin2grams12, boughtheroin2grams13, boughtheroin2grams14, boughtmeth2grams1, boughtmeth2grams2, boughtmeth2grams3, boughtmeth2grams4, boughtmeth2grams5, boughtmeth2grams6, boughtmeth2grams7, boughtmeth2grams8, boughtmeth2grams9, boughtmeth2grams10, boughtmeth2grams11, boughtmeth2grams12, boughtmeth2grams13, boughtmeth2grams14, boughtcocaine2grams1, boughtcocaine2grams2, boughtcocaine2grams3, boughtcocaine2grams4, boughtcocaine2grams5, boughtcocaine2grams6, boughtcocaine2grams7, boughtcocaine2grams8, boughtcocaine2grams9, boughtcocaine2grams10, boughtcocaine2grams11, boughtcocaine2grams12, boughtcocaine2grams13, boughtcocaine2grams14, mafiaBoughtHeroin, mafiaBoughtMeth, mafiaBoughtWeed, mafiaBoughtCocaine, bikersBoughtHeroin, bikersBoughtMeth, bikersBoughtWeed, bikersBoughtCocaine, dealer1Buy, dealer1Sell, dealer2Buy, dealer2Sell, dealer3Buy, dealer3Sell, dealer4Buy, dealer4Sell, dealer5Buy, dealer5Sell, dealer6Buy, dealer6Sell, dealer7Buy, dealer7Sell, dealer8Buy, dealer8Sell, dealer9Buy, dealer9Sell, dealer10Buy, dealer10Sell, dealer11Buy, dealer11Sell, dealer12Buy, dealer12Sell, dealer13Buy, dealer13Sell, dealer14Buy, dealer14Sell, dealer15Buy, dealer15Sell, dealer16Buy, dealer16Sell, hooker1Paid, hooker2Paid, hooker3Paid, hooker4Paid, hooker5Paid, hooker6Paid, hooker7Paid, hooker8Paid, hooker9Paid, hooker10Paid, hooker11Paid, hooker12Paid, john1Done1, john1Done2, john1Done3, john1Done4, john1Done5, john1Done6, john2Done1, john2Done2, john2Done3, john2Done4, john2Done5, john2Done6, spawnhookers1, spawnhookers2, spawnhookers3, laundry1Clerk1Talked, laundry1Clerk2Talked, twat1ClerkTalked, Turf1Mafia, Turf1Biker, Turf2Mafia, Turf2Biker, Turf1defended, Turf2defended, Turf3Mafia, Turf3Biker, Turf3defended, Turf4Mafia, Turf4Biker, Turf4defended, Turf5Mafia, Turf5Biker, Turf5defended, Turf6Mafia, Turf6Biker, Turf6defended, Turf7Mafia, Turf7Biker, Turf7defended, Turf8Mafia, Turf8Biker, Turf8defended, Turf9Mafia, Turf9Biker, Turf9defended, Turf10Mafia, Turf10Biker, Turf10defended, Turf11Mafia, Turf11Biker, Turf11defended, Turf12Mafia, Turf12Biker, Turf12defended, Turf13Mafia, Turf13Biker, Turf13defended, Turf14Mafia, Turf14Biker, Turf14defended, Turf15Mafia, Turf15Biker, Turf15defended, Turf16Mafia, Turf16Biker, Turf16defended, Turf17Mafia, Turf17Biker, Turf17defended, Turf18Mafia, Turf18Biker, Turf18defended, Turf19Mafia, Turf19Biker, Turf19defended, Turf20Mafia, Turf20Biker, Turf20defended, Turf21Mafia, Turf21Biker, Turf21defended, Turf22Mafia, Turf22Biker, Turf22defended, Turf23Mafia, Turf23Biker, Turf23defended, Turf24Mafia, Turf24Biker, Turf24defended, Turf25Mafia, Turf25Biker, Turf25defended, Turf26Mafia, Turf26Biker, Turf26defended, Turf27Mafia, Turf27Biker, Turf27defended, Turf28Mafia, Turf28Biker, Turf28defended, Turf29Mafia, Turf29Biker, Turf29defended, Turf30Mafia, Turf30Biker, Turf30defended, Turf31Mafia, Turf31Biker, Turf31defended, Turf32Mafia, Turf32Biker, Turf32defended, Turf33Mafia, Turf33Biker, Turf33defended, Turf34Mafia, Turf34Biker, Turf34defended, Turf35Mafia, Turf35Biker, Turf35defended, Turf36Mafia, Turf36Biker, Turf36defended, Turf37Mafia, Turf37Biker, Turf37defended, Turf38Mafia, Turf38Biker, Turf38defended, Turf39Mafia, Turf39Biker, Turf39defended, Turf40Mafia, Turf40Biker, Turf40defended, mafiaCrew, bikerCrew, bikerMember, mafiaMember, payedbikerBribe, payedmafiaBribe, armheroinBuyer, armmethBuyer, mafiaHit1Done, mafiaHit2Done, mafiaHit3Done, mafiaHit4Done, mafia5HitDone, biker1HitDone, biker2HitDone, biker3HitDone, biker4HitDone, biker5HitDone, madeVP, madeMan, killedbikerBoss, killedbikerBoss2, killedbikerBoss3, killedbikerBoss4, killedbikerBoss5, killedmafiaBoss2, killedmafiaBoss3, killedmafiaBoss4, killedmafiaBoss5, killedbigPaulie, stolebikerLimo, stolepauliesLimo, OKey, clearedGarage, Mafia, joinMafia = false, joinBikers = false, Biker, armbikerDriver, armpauliesDriver, pissedOffcops, pissedOffbiker1, pissedOffbiker2, pissedOffbigPaulie, pissedOffbigPaulieGaurd, pissedOffmafiaRecruiter, pissedOffmafia1, pissedOffmafia2, pissedOffmafia3, pissedOffmafia4, pissedOffmafia5, pissedOffmafia6, pissedOffmafia7, pissedOffmafia8, pissedOffmafia9, pissedOffmafia10, pissedOffmafia11, pissedOffmafia12, Ekey, armbike3Driver, armbike4Driver, armbikerBoss2, armbikerBoss3, armbikerBoss4, armbikerBoss5, armbiker1, armbiker2, armbiker3, armbiker4, armbiker5, armbiker6, armbiker7, armbiker8, armbiker9, armbiker10, armbiker11, armbiker12, armbiker13, armbiker14, armbiker15, armbiker16, armbiker17, armbiker18, armbiker19, armbiker20, armbiker21, armbiker22, armbiker23, armbiker24, armbiker25, armbiker26, armbiker27, armbiker28, armbiker29, armbiker30, armbiker31, armbiker32, armbiker33, armbiker34, armbiker35, armbiker36, armbiker37, armbiker38, armbiker39, armbiker40, armbiker41, armbiker42, armbikerBoss, armbikerBossGaurd, armnrg1Driver, armnrg2Driver, armmafiaBoss2, armmafiaBoss3, armmafiaBoss4, armmafiaBoss5, armmafia1, armmafia2, armmafia3, armmafia4, armmafia5, armmafia6, armmafia7, armmafia8, armmafia9, armmafia10, armmafia11, armmafia12, armmafia13, armmafia14, armmafia15, armmafia16, armmafia17, armmafia18, armmafia19, armmafia20, armmafia21, armmafia22, armmafia23, armmafia24, armmafia25, armmafia26, armcops, armbigPaulie, armbigPaulieGaurd, armmafiaRecruiter, BuyArmored, BossTtrigger, placeBomb1, placeBomb2, placeBomb3;
    private Blip drugBuyerMaleBlip, drugBuyerFemaleBlip, boxvilleBlip, dealer1Blip, dealer2Blip, dealer3Blip, dealer4Blip, dealer5Blip, dealer6Blip, dealer7Blip, dealer8Blip, dealer9Blip, dealer10Blip, dealer11Blip, dealer12Blip, dealer13Blip, dealer14Blip, dealer15Blip, dealer16Blip, dealer17Blip, dealer18Blip, dealer19Blip, dealer20Blip, hooker1PosBlip, hooker2PosBlip, hooker3PosBlip, hooker4PosBlip, hooker5PosBlip, hooker6PosBlip, hooker7PosBlip, hooker8PosBlip, hooker9PosBlip, hooker10PosBlip, hooker11PosBlip, hooker12PosBlip, mafia12Blip, hooker1Blip, hooker2Blip, hooker3Blip, hooker4Blip, hooker5Blip, hooker6Blip, hooker7Blip, hooker8Blip, hooker9Blip, hooker10Blip, hooker11Blip, hooker12Blip, laundry1Blip, twat1Blip, biker7Blip, mafia7Blip, Turf1Blip, Turf2Blip, Turf3Blip, Turf4Blip, Turf5Blip, Turf6Blip, Turf7Blip, Turf8Blip, Turf9Blip, Turf10Blip, Turf11Blip, Turf12Blip, Turf13Blip, Turf14Blip, Turf15Blip, Turf16Blip, Turf17Blip, Turf18Blip, Turf19Blip, Turf20Blip, Turf21Blip, Turf22Blip, Turf23Blip, Turf24Blip, Turf25Blip, Turf26Blip, Turf27Blip, Turf28Blip, Turf29Blip, Turf30Blip, Turf31Blip, Turf32Blip, Turf33Blip, Turf34Blip, Turf35Blip, Turf36Blip, Turf37Blip, Turf38Blip, Turf39Blip, Turf40Blip, heroinBuyerBlip, methBuyerBlip, mafia8Blip, mafia9Blip, mafia10Blip, mafia17Blip, mafia18Blip, mafia19Blip, mafia23Blip, mafiaRecruiterBlip, nrg1DriverBlip, nrg2DriverBlip, bigPaulieBlip, mafiaBoss2Blip, mafiaBoss3Blip, mafiaBoss4Blip, mafiaBoss5Blip, bikerBoss2Blip, bikerBoss3Blip, bikerBoss4Blip, bikerBoss5Blip, biker1Blip, biker2Blip, biker3Blip, biker5Blip, biker6Blip, biker33Blip, biker34Blip, biker35Blip, biker39Blip, bikerBossBlip, bike3DriverBlip, bike4DriverBlip;

    int RandomNum(int min, int max)
    {
        return new Random().Next(min, max + 1);
    }
    Blip CreateBlip(Ped target, BlipIcon icon, string name)
    {
        Blip blip = target.AttachBlip();
        blip.Icon = icon;
        blip.Name = name;
        return blip;
    }

    #endregion

    #region Constructor

    public TurfWars()
    {
        this.KeyDown += new GTA.KeyEventHandler(this.Main_KeyDown);
        this.Tick += new EventHandler(this.Main_Tick);
        Interval = 1200;
        // Timer t = new Timer();
        this.defendTurf1MissionCleanupTimer = new GTA.Timer(180000);//now 3 minutes
        this.defendTurf1MessageDisplayTimer = new GTA.Timer(100);
        this.defendTurf1MissionCleanupTimer.Tick += new EventHandler(this.defendTurf1TimerStop_Tick);
        this.defendTurf1MessageDisplayTimer.Tick += new EventHandler(this.defendTurf1TimerDisplay_Tick);
        this.defendTurf2MissionCleanupTimer = new GTA.Timer(180000);//now 3 minutes
        this.defendTurf2MessageDisplayTimer = new GTA.Timer(100);
        this.defendTurf2MissionCleanupTimer.Tick += new EventHandler(this.defendTurf2TimerStop_Tick);
        this.defendTurf2MessageDisplayTimer.Tick += new EventHandler(this.defendTurf2TimerDisplay_Tick);
        this.defendTurf3MissionCleanupTimer = new GTA.Timer(180000);//now 3 minutes
        this.defendTurf3MessageDisplayTimer = new GTA.Timer(100);
        this.defendTurf3MissionCleanupTimer.Tick += new EventHandler(this.defendTurf3TimerStop_Tick);
        this.defendTurf3MessageDisplayTimer.Tick += new EventHandler(this.defendTurf3TimerDisplay_Tick);
        this.defendTurf4MissionCleanupTimer = new GTA.Timer(180000);//now 3 minutes
        this.defendTurf4MessageDisplayTimer = new GTA.Timer(100);
        this.defendTurf4MissionCleanupTimer.Tick += new EventHandler(this.defendTurf4TimerStop_Tick);
        this.defendTurf4MessageDisplayTimer.Tick += new EventHandler(this.defendTurf4TimerDisplay_Tick);
        this.defendTurf5MissionCleanupTimer = new GTA.Timer(180000);//now 3 minutes
        this.defendTurf5MessageDisplayTimer = new GTA.Timer(100);
        this.defendTurf5MissionCleanupTimer.Tick += new EventHandler(this.defendTurf5TimerStop_Tick);
        this.defendTurf5MessageDisplayTimer.Tick += new EventHandler(this.defendTurf5TimerDisplay_Tick);
        this.defendTurf6MissionCleanupTimer = new GTA.Timer(180000);//now 3 minutes
        this.defendTurf6MessageDisplayTimer = new GTA.Timer(100);
        this.defendTurf6MissionCleanupTimer.Tick += new EventHandler(this.defendTurf6TimerStop_Tick);
        this.defendTurf6MessageDisplayTimer.Tick += new EventHandler(this.defendTurf6TimerDisplay_Tick);
        this.defendTurf7MissionCleanupTimer = new GTA.Timer(180000);//now 3 minutes
        this.defendTurf7MessageDisplayTimer = new GTA.Timer(100);
        this.defendTurf7MissionCleanupTimer.Tick += new EventHandler(this.defendTurf7TimerStop_Tick);
        this.defendTurf7MessageDisplayTimer.Tick += new EventHandler(this.defendTurf7TimerDisplay_Tick);
        this.defendTurf8MissionCleanupTimer = new GTA.Timer(180000);//now 3 minutes
        this.defendTurf8MessageDisplayTimer = new GTA.Timer(100);
        this.defendTurf8MissionCleanupTimer.Tick += new EventHandler(this.defendTurf8TimerStop_Tick);
        this.defendTurf8MessageDisplayTimer.Tick += new EventHandler(this.defendTurf8TimerDisplay_Tick);
        this.defendTurf9MissionCleanupTimer = new GTA.Timer(180000);//now 3 minutes
        this.defendTurf9MessageDisplayTimer = new GTA.Timer(100);
        this.defendTurf9MissionCleanupTimer.Tick += new EventHandler(this.defendTurf9TimerStop_Tick);
        this.defendTurf9MessageDisplayTimer.Tick += new EventHandler(this.defendTurf9TimerDisplay_Tick);
        this.defendTurf10MissionCleanupTimer = new GTA.Timer(180000);//now 3 minutes
        this.defendTurf10MessageDisplayTimer = new GTA.Timer(100);
        this.defendTurf10MissionCleanupTimer.Tick += new EventHandler(this.defendTurf10TimerStop_Tick);
        this.defendTurf10MessageDisplayTimer.Tick += new EventHandler(this.defendTurf10TimerDisplay_Tick);
        this.Keyone = Keys.X;
        BindKey(Keys.P, true, false, false, new KeyPressDelegate(mafiaWarp));
        BindKey(Keys.O, true, false, false, new KeyPressDelegate(bikerWarp));
        BindKey(Keys.E, true, false, false, new KeyPressDelegate(pickupBag));
        BindKey(Keys.E, false, false, false, new KeyPressDelegate(dropBag));
        BindKey(Keys.I, true, false, false, new KeyPressDelegate(ToggleDealing));
        
    }

    #endregion

   

    #region methods
    private void mafiaWarp()
    {
        Player.Character.Position = mafiaSpawnPos;
    }
    private void bikerWarp()
    {
        Player.Character.Position = bikerSpawnPos;
    }
    private void dropBag()
    {

        if (Exists(meth) && Player.Character.Position.DistanceTo(meth.Position) <= 1.0f)
        {
            Player.Character.Task.PlayAnimation(new AnimationSet("missgambetti3"), "pickup_obj", 4.0f);
            Wait(250);
            meth.Detach();
            
        }
        if (Exists(heroin) && Player.Character.Position.DistanceTo(heroin.Position) <= 1.0f)
        {
            Player.Character.Task.PlayAnimation(new AnimationSet("missgambetti3"), "pickup_obj", 4.0f);
            Wait(250);
            heroin.Detach();
           
        }
        if (Exists(weed) && Player.Character.Position.DistanceTo(weed.Position) <= 1.0f)
        {
            Player.Character.Task.PlayAnimation(new AnimationSet("missgambetti3"), "pickup_obj", 4.0f);
            Wait(250);
            weed.Detach();
            
        }
        if (Exists(cocaine) && Player.Character.Position.DistanceTo(cocaine.Position) <= 1.0f)
        {
            Player.Character.Task.PlayAnimation(new AnimationSet("missgambetti3"), "pickup_obj", 4.0f);
            Wait(250);
            cocaine.Detach();
            
        }
    }
    private void pickupBag()
    {

        if (Exists(meth) && Player.Character.Position.DistanceTo(meth.Position) <= 2.0f && !meth.isAttachedSomewhere)
        {
            Player.Character.Task.PlayAnimation(new AnimationSet("missgambetti3"), "pickup_obj", 4.0f);
            Wait(250);
            meth.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.13f, 0.04f, -0.1f), Vector3.Zero); //GTA.Native.Function.Call("ATTACH_OBJECT_TO_PED", bag3, Player.Character, 1232, 0.13f, 0.04f, -0.1f, 0.0f, 0.0f, 0.0f, 0);
            
            if (Exists(dealer5Blip))
            {
                dealer5Blip.Delete();
                if (Exists(dealer5))
                {
                    dealer5.Delete();
                }
            }
        }

        if (Exists(heroin) && Player.Character.Position.DistanceTo(heroin.Position) <= 2.0f && !heroin.isAttachedSomewhere)
        {
            Player.Character.Task.PlayAnimation(new AnimationSet("missgambetti3"), "pickup_obj", 4.0f);
            Wait(250);
            heroin.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.13f, 0.04f, -0.1f), Vector3.Zero); //GTA.Native.Function.Call("ATTACH_OBJECT_TO_PED", bag3, Player.Character, 1232, 0.13f, 0.04f, -0.1f, 0.0f, 0.0f, 0.0f, 0);
           
            if (Exists(dealer1Blip))
            {
                dealer1Blip.Delete();
                if (Exists(dealer1))
                {
                    dealer1.Delete();
                }
            }
            if (Exists(dealer2Blip))
            {
                dealer2Blip.Delete();
                if (Exists(dealer2))
                {
                    dealer2.Delete();
                }
            }
        }

        if (Exists(weed) && Player.Character.Position.DistanceTo(weed.Position) <= 2.0f && !weed.isAttachedSomewhere)
        {
            Player.Character.Task.PlayAnimation(new AnimationSet("missgambetti3"), "pickup_obj", 4.0f);
            Wait(250);
            weed.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.13f, 0.04f, -0.1f), Vector3.Zero); //GTA.Native.Function.Call("ATTACH_OBJECT_TO_PED", bag3, Player.Character, 1232, 0.13f, 0.04f, -0.1f, 0.0f, 0.0f, 0.0f, 0);
            
            if (Exists(dealer9Blip))
            {
                dealer9Blip.Delete();
                if (Exists(dealer9))
                {
                    dealer9.Delete();
                }
            }
        }

        if (Exists(cocaine) && Player.Character.Position.DistanceTo(cocaine.Position) <= 2.0f && !cocaine.isAttachedSomewhere)
        {
            Player.Character.Task.PlayAnimation(new AnimationSet("missgambetti3"), "pickup_obj", 4.0f);
            Wait(250);
            cocaine.AttachToPed(Player.Character, Bone.RightHand, new Vector3(0.13f, 0.04f, -0.1f), Vector3.Zero); //GTA.Native.Function.Call("ATTACH_OBJECT_TO_PED", bag3, Player.Character, 1232, 0.13f, 0.04f, -0.1f, 0.0f, 0.0f, 0.0f, 0);
            
            if (Exists(dealer13Blip))
            {
                dealer13Blip.Delete();
                if (Exists(dealer13))
                {
                    dealer13.Delete();
                }
            }
        }
       
    }
    private void ToggleDealing()
    {
        if (!DEALING)
        {
            DEALING = true;
            Text("Street dealing started", 10000);
            Player.Character.Task.PlayAnimation(new AnimationSet("amb@taxi_hail_m"), "hail_left", 5.0f);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        else
        {
            DEALING = false;
            Text("Street dealing stopped", 10000);
            Wait(10000);
            DEALING = false;
            DEALING = false;
            DEALING = false;
        }
    }
   
    private static void SetupPed(Ped drugBuyer)
    {
        if (Game.Exists(drugBuyer) && drugBuyer.Gender == Gender.Male)
        {
            drugBuyer.RelationshipGroup = RelationshipGroup.Civillian_Male;
        }
        if (Game.Exists(drugBuyer) && drugBuyer.Gender == Gender.Female)
        {
            drugBuyer.RelationshipGroup = RelationshipGroup.Civillian_Female;
        }
        if (Game.Exists(drugBuyer))
        {
            drugBuyer.BecomeMissionCharacter();
            drugBuyer.BlockPermanentEvents = true;
            drugBuyer.Task.AlwaysKeepTask = true;
        }
    } 
        private bool PedInCar(Ped ped)
        {
            return Function.Call<bool>("IS_CHAR_IN_ANY_CAR", new Parameter[] { ped });
        }
        private bool PedOnBike(Ped ped)
        {
            return Function.Call<bool>("IS_CHAR_ON_ANY_BIKE", new Parameter[] { ped });
        }
        private bool PedSpottedPedInFront(Ped ped, Ped ped2)
        {
            return Function.Call<bool>("HAS_CHAR_SPOTTED_CHAR_IN_FRONT", new Parameter[] { ped, ped2 });
        }
        private void PhoneRing(int id)
        {
            Function.Call("START_CUSTOM_MOBILE_PHONE_RINGING", new Parameter[] { id });
        }
        private void StopPhoneRing()
        {
            Function.Call("STOP_MOBILE_PHONE_RINGING", new Parameter[0]);
        }
        private void Text(string text, int duration = 0x7d0)
        {
            Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", new Parameter[] { "STRING", text, duration, 1 });
        }
        private void TriggerMissionCompleteAudio(int value)
        {
            Function.Call("TRIGGER_MISSION_COMPLETE_AUDIO", new Parameter[] { value });
        }//TriggerMissionCompleteAudio(0x22);
  
    #endregion

    #region KeyDown
    private void Main_KeyDown(object sender, GTA.KeyEventArgs e)
    {
        if (e.Key == Keys.E)
        {
            Ekey = true;
           // BuyArmored = true;
           // BossTtrigger = true;
           // placeBomb1 = true;
           // placeBomb2 = true;
           // placeBomb3 = true;
        }
        else
        {
            Ekey = false;
           // BuyArmored = false;
           // BossTtrigger = true;
        }
        if (e.Key == Keys.O)
        {
            OKey = true;
        }
    }

    #endregion

    private void Main_Tick(object sender, EventArgs e)
    {
        #region NotMissionRelated
    
        
        
       

        if (Exists(methBuyer) && methBuyer.Position.DistanceTo(methBuyerPos) >= 15.0f)
        {
            methBuyer.Position = methBuyerPos;
        }
        if (Exists(heroinBuyer) && heroinBuyer.Position.DistanceTo(heroinBuyerPos) >= 15.0f)
        {
           heroinBuyer.Position = heroinBuyerPos;
        }

        if (dealer1GoToSupplier && spawnSuppliers1)
        {
            if (Exists(dealer1) && dealer1.Position.DistanceTo(supplier1Pos) >= 1.0)
            {
                dealer1.Task.GoTo(supplier1Pos, true);
                Wait(10000);
            }
            if (Exists(dealer1) && dealer1.Position.DistanceTo(supplier1Pos) <= 1.0)
            {
                dealer1GoToSupplier = false;
            }
        }
        if (dealer2GoToSupplier && spawnSuppliers2)
        {
            if (Exists(dealer2) && dealer2.Position.DistanceTo(supplier6Pos) >= 1.0)
            {
                dealer2.Task.GoTo(supplier6Pos, true);
                Wait(10000);
            }
            if (Exists(dealer2) && dealer2.Position.DistanceTo(supplier6Pos) <= 1.0)
            {
                dealer2GoToSupplier = false;
            }
        }
        if (dealer5GoToSupplier && spawnSuppliers5)
        {
            if (Exists(dealer5) && dealer5.Position.DistanceTo(supplier11Pos) >= 1.0)
            {
                dealer5.Task.GoTo(supplier11Pos, true);
                Wait(10000);
            }
            if (Exists(dealer5) && dealer5.Position.DistanceTo(supplier11Pos) <= 1.0)
            {
                dealer5GoToSupplier = false;
            }
        }
        if (dealer9GoToSupplier && spawnSuppliers9)
        {
            if (Exists(dealer9) && dealer9.Position.DistanceTo(supplier17Pos) >= 1.0)
            {
                dealer9.Task.GoTo(supplier17Pos, true);
                Wait(10000);
            }
            if (Exists(dealer9) && dealer9.Position.DistanceTo(supplier17Pos) <= 1.0)
            {
                dealer9GoToSupplier = false;
            }
        }
        if (dealer13GoToSupplier && spawnSuppliers13)
        {
            if (Exists(dealer13) && dealer13.Position.DistanceTo(supplier23Pos) >= 1.0)
            {
                dealer13.Task.GoTo(supplier23Pos, true);
                Wait(10000);
            }
            if (Exists(dealer13) && dealer13.Position.DistanceTo(supplier23Pos) <= 1.0)
            {
                dealer13GoToSupplier = false;
            }
        }

        if (Exists(supplier) && supplier.Health <= 1 && Exists(supplier1) && supplier1.Health <= 1 && Exists(supplier2) && supplier2.Health <= 1 && Exists(supplier3) && supplier3.Health <= 1 && Exists(supplier4) && supplier4.Health <= 1 && Exists(supplier5) && supplier5.Health <= 1)
        {
            Text("Heroin Supplier Eliminated!", 10000);
            TriggerMissionCompleteAudio(0x1b);
            Wait(0x9c4);
            
            if (Exists(supplier))
            {
                supplier.Delete();
            }
            if (Exists(supplier1))
            {
                supplier1.Delete();
            }
            if (Exists(supplier2))
            {
                supplier2.Delete();
            }
            if (Exists(supplier3))
            {
                supplier3.Delete();
            }
            if (Exists(supplier4))
            {
                supplier4.Delete();
            }
            if (Exists(supplier5))
            {
                supplier5.Delete();
            }
            spawnSuppliers1 = false;
            dealer1Talked = false;
            buyheroin = false;
            Player.WantedLevel = 0;
            if (Exists(dealer1Blip))
            {
                dealer1Blip.Delete();
                if (Exists(dealer1))
                {
                    dealer1.Delete();
                }
            }
        }

        if (Exists(supplier6) && supplier6.Health <= 1 && Exists(supplier7) && supplier7.Health <= 1 && Exists(supplier8) && supplier8.Health <= 1 && Exists(supplier9) && supplier9.Health <= 1 && Exists(supplier10) && supplier10.Health <= 1)
        {
            Text("Heroin Supplier Eliminated!", 10000);
            TriggerMissionCompleteAudio(0x1b);
            Wait(0x9c4);

            if (Exists(supplier6))
            {
                supplier6.Delete();
            }
            if (Exists(supplier7))
            {
                supplier7.Delete();
            }
            if (Exists(supplier8))
            {
                supplier8.Delete();
            }
            if (Exists(supplier9))
            {
                supplier9.Delete();
            }
            if (Exists(supplier10))
            {
                supplier10.Delete();
            }
            spawnSuppliers2 = false;
            dealer2Talked = false;
            buyheroin = false;
            Player.WantedLevel = 0;
            if (Exists(dealer2Blip))
            {
                dealer2Blip.Delete();
                if (Exists(dealer2))
                {
                    dealer2.Delete();
                }
            }
        }

        if (Exists(supplier11) && supplier11.Health <= 1 && Exists(supplier12) && supplier12.Health <= 1 && Exists(supplier13) && supplier13.Health <= 1 && Exists(supplier14) && supplier14.Health <= 1 && Exists(supplier15) && supplier15.Health <= 1 && Exists(supplier16) && supplier16.Health <= 1)
        {
            Text("Crystal Meth Supplier Eliminated!", 10000);
            TriggerMissionCompleteAudio(0x1b);
            Wait(0x9c4);

            if (Exists(supplier11))
            {
                supplier11.Delete();
            }
            if (Exists(supplier12))
            {
                supplier12.Delete();
            }
            if (Exists(supplier13))
            {
                supplier13.Delete();
            }
            if (Exists(supplier14))
            {
                supplier14.Delete();
            }
            if (Exists(supplier15))
            {
                supplier15.Delete();
            }
            if (Exists(supplier16))
            {
                supplier16.Delete();
            }
            spawnSuppliers5 = false;
            dealer5Talked = false;
            buymeth = false;
            Player.WantedLevel = 0;
            if (Exists(dealer5Blip))
            {
                dealer5Blip.Delete();
                if (Exists(dealer5))
                {
                    dealer5.Delete();
                }
            }
        }
        if (Exists(supplier17) && supplier17.Health <= 1 && Exists(supplier18) && supplier18.Health <= 1 && Exists(supplier19) && supplier19.Health <= 1 && Exists(supplier20) && supplier20.Health <= 1 && Exists(supplier21) && supplier21.Health <= 1 && Exists(supplier22) && supplier22.Health <= 1)
        {
            Text("Weed Supplier Eliminated!", 10000);
            TriggerMissionCompleteAudio(0x1b);
            Wait(0x9c4);

            if (Exists(supplier17))
            {
                supplier17.Delete();
            }
            if (Exists(supplier18))
            {
                supplier18.Delete();
            }
            if (Exists(supplier19))
            {
                supplier19.Delete();
            }
            if (Exists(supplier20))
            {
                supplier20.Delete();
            }
            if (Exists(supplier21))
            {
                supplier21.Delete();
            }
            if (Exists(supplier22))
            {
                supplier22.Delete();
            }
            spawnSuppliers9 = false;
            dealer9Talked = false;
            buyweed = false;
            Player.WantedLevel = 0;
            if (Exists(dealer9Blip))
            {
                dealer9Blip.Delete();
                if (Exists(dealer9))
                {
                    dealer9.Delete();
                }
            }
        }
        if (Exists(supplier23) && supplier23.Health <= 1 && Exists(supplier24) && supplier24.Health <= 1 && Exists(supplier25) && supplier25.Health <= 1 && Exists(supplier26) && supplier26.Health <= 1 && Exists(supplier27) && supplier27.Health <= 1 && Exists(supplier28) && supplier28.Health <= 1)
        {// took out 24 above cause he wasnt showing up
            Text("Cocaine Supplier Eliminated!", 10000);
            TriggerMissionCompleteAudio(0x1b);
            Wait(0x9c4);

            if (Exists(supplier23))
            {
                supplier23.Delete();
            }
            if (Exists(supplier24))
            {
                supplier24.Delete();
            }
            if (Exists(supplier25))
            {
                supplier25.Delete();
            }
            if (Exists(supplier26))
            {
                supplier26.Delete();
            }
            if (Exists(supplier27))
            {
                supplier27.Delete();
            }
            if (Exists(supplier28))
            {
                supplier28.Delete();
            }
            spawnSuppliers13 = false;
            dealer13Talked = false;
            buyCocaine = false;
            Player.WantedLevel = 0;
            if (Exists(dealer13Blip))
            {
                dealer13Blip.Delete();
                if (Exists(dealer13))
                {
                    dealer13.Delete();
                }
            }
        }

        if (Exists(dealer1) && dealer1.Position.DistanceTo(Player.Character.Position) >= 200.0f)
        {
            buyheroin = false;
        }
        if (Exists(dealer2) && dealer2.Position.DistanceTo(Player.Character.Position) >= 200.0f)
        {
            buyheroin = false;
        }
        if (Exists(dealer5) && dealer5.Position.DistanceTo(Player.Character.Position) >= 200.0f)
        {
            buymeth = false;
        }
        if (Exists(dealer6) && dealer6.Position.DistanceTo(Player.Character.Position) >= 200.0f)
        {
            buymeth = false;
        }
        if (Exists(dealer9) && dealer9.Position.DistanceTo(Player.Character.Position) >= 200.0f)
        {
            buyweed = false;
        }
        if (Exists(dealer13) && dealer13.Position.DistanceTo(Player.Character.Position) >= 200.0f)
        {
            buyCocaine = false;
        }

        if (Exists(dealer1) && Player.Character.Position.DistanceTo(dealer1.Position) >= 300.0f)
        {
            buyheroin = false;
        }
        if (Exists(dealer2) && Player.Character.Position.DistanceTo(dealer2.Position) >= 300.0f)
        {
            buyheroin = false;
        }
        if (Exists(dealer3) && Player.Character.Position.DistanceTo(dealer3.Position) >= 300.0f)
        {
            buyheroin = false;
        }
        if (Exists(dealer4) && Player.Character.Position.DistanceTo(dealer4.Position) >= 300.0f)
        {
            buyheroin = false;
        }
        if (Exists(dealer5) && Player.Character.Position.DistanceTo(dealer5.Position) >= 300.0f)
        {
            buymeth = false;
        }
        if (Exists(dealer6) && Player.Character.Position.DistanceTo(dealer6.Position) >= 300.0f)
        {
            buymeth = false;
        }
        if (Exists(dealer7) && Player.Character.Position.DistanceTo(dealer7.Position) >= 300.0f)
        {
            buymeth = false;
        }
        if (Exists(dealer8) && Player.Character.Position.DistanceTo(dealer8.Position) >= 300.0f)
        {
            buymeth = false;
        }
        if (Exists(dealer9) && Player.Character.Position.DistanceTo(dealer9.Position) >= 300.0f)
        {
            buyweed = false;
        }
        if (Exists(dealer10) && Player.Character.Position.DistanceTo(dealer10.Position) >= 300.0f)
        {
            buyweed = false;
        }
        if (Exists(dealer11) && Player.Character.Position.DistanceTo(dealer11.Position) >= 300.0f)
        {
            buyweed = false;
        }
        if (Exists(dealer12) && Player.Character.Position.DistanceTo(dealer12.Position) >= 300.0f)
        {
            buyweed = false;
        }
        if (Exists(dealer13) && Player.Character.Position.DistanceTo(dealer13.Position) >= 300.0f)
        {
            buyCocaine = false;
        }
        if (Exists(dealer14) && Player.Character.Position.DistanceTo(dealer14.Position) >= 300.0f)
        {
            buyCocaine = false;
        }
        if (Exists(dealer15) && Player.Character.Position.DistanceTo(dealer15.Position) >= 300.0f)
        {
            buyCocaine = false;
        }
        if (Exists(dealer16) && Player.Character.Position.DistanceTo(dealer16.Position) >= 300.0f)
        {
            buyCocaine = false;
        }

        closestVehicle = World.GetClosestVehicle(Player.Character.Position, 5.0F);
        if (!Exists(hooker1) && spawnhookers1 && (Mafia || mafiaMember))
        {
            hooker1 = World.CreatePed(hooker1Mod, bigPauliePos.Around(3.0f));
            hooker1Paid = true;
        }
        if (!Exists(hooker2) && spawnhookers1 && (Mafia || mafiaMember))
        {
            hooker2 = World.CreatePed(hooker2Mod, bigPauliePos.Around(3.0f));
            hooker2Paid = true;
        }
        if (!Exists(hooker3) && spawnhookers1 && (Mafia || mafiaMember))
        {
            hooker3 = World.CreatePed(hooker3Mod, bigPauliePos.Around(3.0f));
            hooker3Paid = true;
        }
   
        if (!Exists(hooker7) && spawnhookers2 && (Biker || bikerMember))
        {
            hooker7 = World.CreatePed(hooker7Mod, bikerBossPos.Around(3.0f));
            hooker7Paid = true;
        }
        if (!Exists(hooker8) && spawnhookers2 && (Biker || bikerMember))
        {
            hooker8 = World.CreatePed(hooker8Mod, bikerBossPos.Around(3.0f));
            hooker8Paid = true;
        }
        if (!Exists(hooker9) && spawnhookers2 && (Biker || bikerMember))
        {
            hooker9 = World.CreatePed(hooker9Mod, bikerBossPos.Around(3.0f));
            hooker9Paid = true;
        }
     
        if (!Exists(dealer1) && Player.Character.Position.DistanceTo(dealer1Pos) >= 50.0f && !spawnSuppliers1)
        {
            dealer1 = World.CreatePed(dealer1Mod, dealer1Pos);
        }
        if (!Exists(dealer2) && Player.Character.Position.DistanceTo(dealer2Pos) >= 50.0f && !spawnSuppliers2)
        {
            dealer2 = World.CreatePed(dealer2Mod, dealer2Pos);
        }
        if (!Exists(dealer5) && Player.Character.Position.DistanceTo(dealer5Pos) >= 50.0f && !spawnSuppliers5)
        {
            dealer5 = World.CreatePed(dealer5Mod, dealer5Pos);
        }
      
        if (!Exists(dealer9) && Player.Character.Position.DistanceTo(dealer9Pos) >= 50.0f && !spawnSuppliers9)
        {
            dealer9 = World.CreatePed(dealer9Mod, dealer9Pos);
        }
        if (!Exists(dealer13) && Player.Character.Position.DistanceTo(dealer13Pos) >= 50.0f && !spawnSuppliers13)
        {
            dealer13 = World.CreatePed(dealer13Mod, dealer13Pos);
        }

        if (!Exists(supplier) && spawnSuppliers1)
        {
            supplier = World.CreatePed(supplierMod, supplierPos);
        }
        if (!Exists(supplier1) && spawnSuppliers1)
        {
            supplier1 = World.CreatePed(supplier1Mod, supplier1Pos);
        }
        if (!Exists(supplier2) && spawnSuppliers1)
        {
            supplier2 = World.CreatePed(supplier2Mod, supplier2Pos);
        }
        if (!Exists(supplier3) && spawnSuppliers1)
        {
            supplier3 = World.CreatePed(supplier3Mod, supplier3Pos);
        }
        if (!Exists(supplier4) && spawnSuppliers1)
        {
            supplier4 = World.CreatePed(supplier4Mod, supplier4Pos);
        }
        if (!Exists(supplier5) && spawnSuppliers1)
        {
            supplier5 = World.CreatePed(supplier5Mod, supplier5Pos);
        }

        if (!Exists(supplier6) && spawnSuppliers2)
        {
            supplier6 = World.CreatePed(supplier6Mod, supplier6Pos);
        }
        if (!Exists(supplier7) && spawnSuppliers2)
        {
            supplier7 = World.CreatePed(supplier7Mod, supplier7Pos);
        }
        if (!Exists(supplier8) && spawnSuppliers2)
        {
            supplier8 = World.CreatePed(supplier8Mod, supplier8Pos);
        }
        if (!Exists(supplier9) && spawnSuppliers2)
        {
           supplier9 = World.CreatePed(supplier9Mod, supplier9Pos);
        }
        if (!Exists(supplier10) && spawnSuppliers2)
        {
            supplier10 = World.CreatePed(supplier10Mod, supplier10Pos);
        }
        
        if (!Exists(supplier11) && spawnSuppliers5)
        {
            supplier11 = World.CreatePed(supplier11Mod, supplier11Pos);
        }
        if (!Exists(supplier12) && spawnSuppliers5)
        {
            supplier12 = World.CreatePed(supplier12Mod, supplier12Pos);
        }
        if (!Exists(supplier13) && spawnSuppliers5)
        {
            supplier13 = World.CreatePed(supplier13Mod, supplier13Pos);
        }
        if (!Exists(supplier14) && spawnSuppliers5)
        {
            supplier14 = World.CreatePed(supplier14Mod, supplier14Pos);
        }
        if (!Exists(supplier15) && spawnSuppliers5)
        {
            supplier15 = World.CreatePed(supplier15Mod, supplier15Pos);
        }
        if (!Exists(supplier16) && spawnSuppliers5)
        {
            supplier16 = World.CreatePed(supplier16Mod, supplier16Pos);
        }
        
        if (!Exists(supplier17) && spawnSuppliers9)
        {
            supplier17 = World.CreatePed(supplier17Mod, supplier17Pos);
        }
        if (!Exists(supplier18) && spawnSuppliers9)
        {
            supplier18 = World.CreatePed(supplier18Mod, supplier18Pos);
        }
        if (!Exists(supplier19) && spawnSuppliers9)
        {
            supplier19 = World.CreatePed(supplier19Mod, supplier19Pos);
        }
        if (!Exists(supplier20) && spawnSuppliers9)
        {
            supplier20 = World.CreatePed(supplier20Mod, supplier20Pos);
        }
        if (!Exists(supplier21) && spawnSuppliers9)
        {
            supplier21 = World.CreatePed(supplier21Mod, supplier21Pos);
        }
        if (!Exists(supplier22) && spawnSuppliers9)
        {
            supplier22 = World.CreatePed(supplier22Mod, supplier22Pos);
        }
        
        if (!Exists(supplier23) && spawnSuppliers13)
        {
            supplier23 = World.CreatePed(supplier23Mod, supplier23Pos);
        }
        if (!Exists(supplier24) && spawnSuppliers13)
        {
            supplier24 = World.CreatePed(supplier24Mod, supplier24Pos);
        }
        if (!Exists(supplier25) && spawnSuppliers13)
        {
            supplier25 = World.CreatePed(supplier25Mod, supplier25Pos);
        }
        if (!Exists(supplier26) && spawnSuppliers13)
        {
            supplier26 = World.CreatePed(supplier26Mod, supplier26Pos);
        }
        if (!Exists(supplier27) && spawnSuppliers13)
        {
            supplier27 = World.CreatePed(supplier27Mod, supplier27Pos);
        }
        if (!Exists(supplier28) && spawnSuppliers13)
        {
            supplier28 = World.CreatePed(supplier28Mod, supplier28Pos);
        }

        if (!Exists(heroinBuyer))
        {
            heroinBuyer = World.CreatePed(heroinBuyerMod, heroinBuyerPos);
        }
        if (!Exists(methBuyer))
        {
            methBuyer = World.CreatePed(methBuyerMod, methBuyerPos);
        }
        if (!Exists(nrg1Driver) && Biker)
        {
            nrg1Driver = World.CreatePed(nrg1DriverMod, Player.Character.Position.Around(50.0f));
        }
        if (!Exists(nrg2Driver) && Biker)
        {
            nrg2Driver = World.CreatePed(nrg2DriverMod, Player.Character.Position.Around(50.0f));
        }
        if (!Exists(bike3Driver) && Mafia)
        {
            bike3Driver = World.CreatePed(bike3DriverMod, Player.Character.Position.Around(50.0f));
        }
        if (!Exists(bike4Driver) && Mafia)
        {
            bike4Driver = World.CreatePed(bike4DriverMod, Player.Character.Position.Around(50.0f));
        }
        if (!Exists(biker1) && Player.Character.Position.DistanceTo(biker1Pos) >= 10.0f && Player.Character.Position.DistanceTo(biker1Pos) <= 200.0f)
        {
            biker1 = World.CreatePed(biker1Mod, biker1Pos);
        }
        if (!Exists(biker2) && Player.Character.Position.DistanceTo(biker2Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker2Pos) <= 200.0f)
        {
            biker2 = World.CreatePed(biker2Mod, biker2Pos);
        }
        if (!Exists(biker3) && Player.Character.Position.DistanceTo(biker3Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker3Pos) <= 200.0f)
        {
            biker3 = World.CreatePed(biker3Mod, biker3Pos);
        }
        if (!Exists(biker4) && Player.Character.Position.DistanceTo(biker4Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker4Pos) <= 200.0f)
        {
            biker4 = World.CreatePed(biker4Mod, biker4Pos);
        }
        if (!Exists(biker5) && Player.Character.Position.DistanceTo(biker5Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker5Pos) <= 200.0f)
        {
            biker5 = World.CreatePed(biker5Mod, biker5Pos);
        }
        if (!Exists(biker6) && Player.Character.Position.DistanceTo(biker6Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker6Pos) <= 200.0f)
        {
            biker6 = World.CreatePed(biker6Mod, biker6Pos);
        }
        if (!Exists(biker7) && Player.Character.Position.DistanceTo(biker7Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker7Pos) <= 200.0f)
        {
            biker7 = World.CreatePed(biker7Mod, biker7Pos);
        }
        if (!Exists(biker8) && Player.Character.Position.DistanceTo(biker8Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker8Pos) <= 200.0f)
        {
            biker8 = World.CreatePed(biker8Mod, biker8Pos);
        }
        if (!Exists(biker9) && Player.Character.Position.DistanceTo(biker9Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker9Pos) <= 200.0f)
        {
            biker9 = World.CreatePed(biker9Mod, biker9Pos);
        }
        if (!Exists(biker10) && Player.Character.Position.DistanceTo(biker10Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker10Pos) <= 200.0f)
        {
            biker10 = World.CreatePed(biker10Mod, biker10Pos);
        }
        if (!Exists(biker11) && Player.Character.Position.DistanceTo(biker11Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker11Pos) <= 200.0f)
        {
            biker11 = World.CreatePed(biker11Mod, biker11Pos);
        }
        if (!Exists(biker12) && Player.Character.Position.DistanceTo(biker12Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker12Pos) <= 200.0f)
        {
            biker12 = World.CreatePed(biker12Mod, biker12Pos);
        }
        if (!Exists(biker13) && Player.Character.Position.DistanceTo(biker13Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker13Pos) <= 200.0f)
        {
            biker13 = World.CreatePed(biker13Mod, biker13Pos);
        }
        if (!Exists(biker14) && Player.Character.Position.DistanceTo(biker14Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker14Pos) <= 200.0f)
        {
            biker14 = World.CreatePed(biker14Mod, biker14Pos);
        }
        if (!Exists(biker15) && Player.Character.Position.DistanceTo(biker15Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker15Pos) <= 200.0f)
        {
            biker15 = World.CreatePed(biker15Mod, biker15Pos);
        }
        if (!Exists(biker16) && Player.Character.Position.DistanceTo(biker16Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker16Pos) <= 200.0f)
        {
            biker16 = World.CreatePed(biker16Mod, biker16Pos);
        }
        if (!Exists(biker17) && Player.Character.Position.DistanceTo(biker17Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker17Pos) <= 200.0f)
        {
            biker17 = World.CreatePed(biker17Mod, biker17Pos);
        }
        if (!Exists(biker18) && Player.Character.Position.DistanceTo(biker18Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker18Pos) <= 200.0f)
        {
            biker18 = World.CreatePed(biker18Mod, biker18Pos);
        }
        if (!Exists(biker19) && Player.Character.Position.DistanceTo(biker19Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker19Pos) <= 200.0f)
        {
            biker19 = World.CreatePed(biker19Mod, biker19Pos);
        }
        if (!Exists(biker20) && Player.Character.Position.DistanceTo(biker20Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker20Pos) <= 200.0f)
        {
            biker20 = World.CreatePed(biker20Mod, biker20Pos);
        }
        if (!Exists(biker21) && Player.Character.Position.DistanceTo(biker21Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker21Pos) <= 200.0f)
        {
            biker21 = World.CreatePed(biker21Mod, biker21Pos);
        }
        if (!Exists(biker22) && Player.Character.Position.DistanceTo(biker22Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker22Pos) <= 200.0f)
        {
            biker22 = World.CreatePed(biker22Mod, biker22Pos);
        }
        if (!Exists(biker23) && Player.Character.Position.DistanceTo(biker23Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker23Pos) <= 200.0f)
        {
            biker23 = World.CreatePed(biker23Mod, biker23Pos);
        }
        if (!Exists(biker24) && Player.Character.Position.DistanceTo(biker24Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker24Pos) <= 200.0f)
        {
            biker24 = World.CreatePed(biker24Mod, biker24Pos);
        }
        if (!Exists(biker25) && Player.Character.Position.DistanceTo(biker25Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker25Pos) <= 200.0f)
        {
            biker25 = World.CreatePed(biker25Mod, biker25Pos);
        }
        if (!Exists(biker26) && Player.Character.Position.DistanceTo(biker26Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker26Pos) <= 200.0f)
        {
            biker26 = World.CreatePed(biker26Mod, biker26Pos);
        }
        if (!Exists(biker27) && Player.Character.Position.DistanceTo(biker27Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker27Pos) <= 200.0f)
        {
            biker27 = World.CreatePed(biker27Mod, biker27Pos);
        }
        if (!Exists(biker28) && Player.Character.Position.DistanceTo(biker28Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker28Pos) <= 200.0f)
        {
            biker28 = World.CreatePed(biker28Mod, biker28Pos);
        }
        if (!Exists(biker29) && Player.Character.Position.DistanceTo(biker29Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker29Pos) <= 200.0f)
        {
            biker29 = World.CreatePed(biker29Mod, biker29Pos);
        }
        if (!Exists(biker30) && Player.Character.Position.DistanceTo(biker30Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker30Pos) <= 200.0f)
        {
            biker30 = World.CreatePed(biker30Mod, biker30Pos);
        }
        if (!Exists(biker31) && Player.Character.Position.DistanceTo(biker31Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker31Pos) <= 200.0f)
        {
            biker31 = World.CreatePed(biker31Mod, biker31Pos);
        }
        if (!Exists(biker32) && Player.Character.Position.DistanceTo(biker32Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker32Pos) <= 200.0f)
        {
            biker32 = World.CreatePed(biker32Mod, biker32Pos);
        }
        if (!Exists(biker36) && Mafia)
        {
            biker36 = World.CreatePed(biker36Mod, Player.Character.Position.Around(50.0f));
        }
        if (!Exists(biker37) && Exists(bikerCar) && Mafia && Player.Character.Position.DistanceTo(bikerCar.Position) >= 30.0f)
        {
            biker37 = bikerCar.CreatePedOnSeat(VehicleSeat.RightRear, biker37Mod);
        }
        // if (!Exists(biker38) && Exists(bikerCar) && Mafia && Player.Character.Position.DistanceTo(bikerCar.Position) >= 30.0f)
        //{
        //     biker38 = bikerCar.CreatePedOnSeat(VehicleSeat.RightFront, biker38Mod);
        //  }
        if (!Exists(biker39) && Player.Character.Position.DistanceTo(biker39Pos) >= 50.0f && Player.Character.Position.DistanceTo(biker39Pos) <= 200.0f)
        {
            biker39 = World.CreatePed(biker39Mod, biker39Pos);
        }
        
        if (!Exists(bikerDriver) && Player.Character.Position.DistanceTo(bikerDriverPos) >= 60.0f && Player.Character.Position.DistanceTo(bikerDriverPos) <= 200.0f)
        {
            bikerDriver = World.CreatePed(bikerDriverMod, bikerDriverPos);
            // bikerBoss = World.CreatePed(bikerBossMod, bikerBossPos);
        }
        if (!Exists(bikerBoss) && !Mafia && !killedbikerBoss && Player.Character.Position.DistanceTo(bikerBossPos) > 40.0f)
        {
            bikerBoss = World.CreatePed(bikerBossMod, bikerBossPos);
        }
        if (!Exists(bikerBoss) && !killedbikerBoss)
        {
            bikerBoss = World.CreatePed(bikerBossMod, bikerBossPos.Around(50.0f));
        }
        if (!Exists(bikerBossGaurd) && Player.Character.Position.DistanceTo(bikerBossGaurdPos) >= 50.0f && Player.Character.Position.DistanceTo(bikerBossGaurdPos) <= 200.0f)
        {
            bikerBossGaurd = World.CreatePed(bikerBossGaurdMod, bikerBossGaurdPos);
        }
        if (!Exists(mafiaRecruiter) && Player.Character.Position.DistanceTo(mafiaRecruiterPos) >= 10.0f && Player.Character.Position.DistanceTo(mafiaRecruiterPos) <= 200.0f)
        {
            mafiaRecruiter = World.CreatePed(mafiaRecruiterMod, mafiaRecruiterPos);
        }
        if (!Exists(bigPaulie) && !killedbigPaulie)
        {
            bigPaulie = World.CreatePed(bigPaulieMod, bigPauliePos);
        }
        if (!Exists(bigPaulie) && !Biker && !killedbigPaulie && Player.Character.Position.DistanceTo(bigPauliePos) <= 40.0f)
        {
            bigPaulie = World.CreatePed(bigPaulieMod, bigPauliePos.Around(50.0f));
        }
        if (!Exists(pauliesDriver) && Player.Character.Position.DistanceTo(pauliesDriverPos) >= 60.0f && Player.Character.Position.DistanceTo(pauliesDriverPos) <= 200.0f)
        {
            pauliesDriver = World.CreatePed(pauliesDriverMod, pauliesDriverPos);//pauliesLimo.CreatePedOnSeat(VehicleSeat.Driver, pauliesDriverMod);
            // bikerBoss = World.CreatePed(bikerBossMod, bikerBossPos);
        }
        if (!Exists(bigPaulieGaurd) && Player.Character.Position.DistanceTo(bigPaulieGaurdPos) >= 50.0f && Player.Character.Position.DistanceTo(mafia2Pos) <= 200.0f)
        {
            bigPaulieGaurd = World.CreatePed(bigPaulieGaurdMod, bigPaulieGaurdPos);
        }
        if (!Exists(mafia1) && Player.Character.Position.DistanceTo(mafia1Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia1Pos) <= 200.0f)
        {
            mafia1 = World.CreatePed(mafia1Mod, mafia1Pos);
        }
        if (!Exists(mafia2) && Player.Character.Position.DistanceTo(mafia2Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia2Pos) <= 200.0f)
        {
            mafia2 = World.CreatePed(mafia2Mod, mafia2Pos);
        }
        if (!Exists(mafia3) && Player.Character.Position.DistanceTo(mafia3Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia3Pos) <= 200.0f)
        {
            mafia3 = World.CreatePed(mafia3Mod, mafia3Pos);
        }
        if (!Exists(mafia4) && Player.Character.Position.DistanceTo(mafia4Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia4Pos) <= 200.0f)
        {
            mafia4 = World.CreatePed(mafia4Mod, mafia4Pos);
        }
        if (!Exists(mafia5) && Player.Character.Position.DistanceTo(mafia5Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia5Pos) <= 200.0f)
        {
            mafia5 = World.CreatePed(mafia5Mod, mafia5Pos);
        }
        if (!Exists(mafia6) && Player.Character.Position.DistanceTo(mafia6Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia6Pos) <= 200.0f)
        {
            mafia6 = World.CreatePed(mafia6Mod, mafia6Pos);
        }
        if (!Exists(mafia7) && Player.Character.Position.DistanceTo(mafia7Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia7Pos) <= 200.0f)
        {
            mafia7 = World.CreatePed(mafia7Mod, mafia7Pos);
        }
        if (!Exists(mafia8) && Player.Character.Position.DistanceTo(mafia8Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia8Pos) <= 200.0f)
        {
            mafia8 = World.CreatePed(mafia8Mod, mafia8Pos);
        }
        if (!Exists(mafia9) && Player.Character.Position.DistanceTo(mafia9Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia9Pos) <= 200.0f)
        {
            mafia9 = World.CreatePed(mafia9Mod, mafia9Pos);
        }
        if (!Exists(mafia10) && Player.Character.Position.DistanceTo(mafia10Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia10Pos) <= 200.0f)
        {
            mafia10 = World.CreatePed(mafia10Mod, mafia10Pos);
        }
        // if (!Exists(mafia11) && Player.Character.Position.DistanceTo(mafia11Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia11Pos) <= 200.0f)
        // {
        //     mafia11 = World.CreatePed(mafia11Mod, mafia11Pos);
        // }
        if (!Exists(mafia12) && Player.Character.Position.DistanceTo(mafia12Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia12Pos) <= 200.0f)
        {
            mafia12 = World.CreatePed(mafia12Mod, mafia12Pos);
        }
        // if (!Exists(mafia13) && Player.Character.Position.DistanceTo(mafia13Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia13Pos) <= 200.0f)
        // {
        //     mafia13 = World.CreatePed(mafia13Mod, mafia13Pos);
        // }
        if (!Exists(mafia14) && Player.Character.Position.DistanceTo(mafia14Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia14Pos) <= 200.0f)
        {
            mafia14 = World.CreatePed(mafia14Mod, mafia14Pos);
        }
        if (!Exists(mafia15) && Player.Character.Position.DistanceTo(mafia15Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia15Pos) <= 200.0f)
        {
            mafia15 = World.CreatePed(mafia15Mod, mafia15Pos);
        }
        if (!Exists(mafia16) && Player.Character.Position.DistanceTo(mafia16Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia16Pos) <= 200.0f)
        {
            mafia16 = World.CreatePed(mafia16Mod, mafia16Pos);
        }
        //  if (!Exists(mafia17) && Player.Character.Position.DistanceTo(mafia17Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia17Pos) <= 200.0f)
        //  {
        //      mafia17 = World.CreatePed(mafia17Mod, mafia17Pos);
        //  }
        if (!Exists(mafia20) && Biker)
        {
            mafia20 = World.CreatePed(mafia20Mod, Player.Character.Position.Around(50.0f));
        }
        if (!Exists(mafia21) && Exists(mafiaCar) && Biker && Player.Character.Position.DistanceTo(mafiaCar.Position) >= 30.0f)
        {
            mafia21 = mafiaCar.CreatePedOnSeat(VehicleSeat.RightFront, mafia21Mod);
        }
        // if (!Exists(mafia22) && Exists(mafiaCar) && Biker && Player.Character.Position.DistanceTo(mafiaCar.Position) >= 30.0f)
        // {
        //     mafia22 = mafiaCar.CreatePedOnSeat(VehicleSeat.LeftRear, mafia22Mod);
        // }
        if (!Exists(mafia23) && Player.Character.Position.DistanceTo(mafia23Pos) >= 50.0f && Player.Character.Position.DistanceTo(mafia23Pos) <= 200.0f)
        {
            mafia23 = World.CreatePed(mafia23Mod, mafia23Pos);
        }
        if (!Exists(heroin) && spawnSuppliers1)
        {
            heroin = World.CreateObject("cj_holdall", supplier1HeroinPos); // meth bag at bikers base
        }
        if (spawnSuppliers1 && !Exists(heroin))
        {
            heroin = World.CreateObject("cj_holdall", supplier1HeroinPos); // meth bag at bikers base
        }
        if (spawnSuppliers2 && !Exists(heroin))
        {
            heroin = World.CreateObject("cj_holdall", heroinPos2); // 
        }
        if (spawnSuppliers5 && !Exists(meth))
        {
            meth = World.CreateObject("cj_holdall", methPos5); // 
        }
        if (spawnSuppliers9 && !Exists(weed))
        {
            weed = World.CreateObject("cj_holdall", weedPos9); // 
        }
        if (spawnSuppliers13 && !Exists(cocaine))
        {
            cocaine = World.CreateObject("cj_holdall", cocainePos13); // 
        }
      
        if (Exists(meth) && Player.Character.Position.DistanceTo(meth.Position) >= 50.0f && meth.Position.DistanceTo(heroinPos) >= 50.0f)
        {
            meth.Delete();
        }
        if (Exists(heroin) && Player.Character.Position.DistanceTo(heroin.Position) >= 50.0f && heroin.Position.DistanceTo(heroinPos) >= 50.0f && heroin.Position.DistanceTo(methPos) >= 50.0f)
        {
            heroin.Delete();
        }
        if (Exists(weed) && Player.Character.Position.DistanceTo(weed.Position) >= 50.0f && weed.Position.DistanceTo(heroinPos) >= 50.0f && weed.Position.DistanceTo(methPos) >= 50.0f)
        {
            weed.Delete();
        }
        if (Exists(cocaine) && Player.Character.Position.DistanceTo(cocaine.Position) >= 50.0f && cocaine.Position.DistanceTo(methPos) >= 50.0f && cocaine.Position.DistanceTo(heroinPos) >= 50.0f)
        {
            cocaine.Delete();
        }
        if (!Exists(pauliesLimo) && Player.Character.Position.DistanceTo(pauliesLimoPos) <= 200.0f)
        {
            pauliesLimo = World.CreateVehicle(new Model("STRETCH"), pauliesLimoPos);
        }
        if (!Exists(bikerBossLimo) && Player.Character.Position.DistanceTo(bikerBossLimoPos) <= 200.0f)
        {
            bikerBossLimo = World.CreateVehicle(new Model("stretch"), bikerBossLimoPos);
        }
        if (!Exists(bikerSpawnCar) && Player.Character.Position.DistanceTo(bikerSpawnCarPos) <= 200.0f)
        {
            bikerSpawnCar = World.CreateVehicle(new Model("banshee"), bikerSpawnCarPos);
        }
        if (!Exists(bike1) && Player.Character.Position.DistanceTo(bike1Pos) <= 200.0f)
        {
            bike1 = World.CreateVehicle(new Model("hellfury"), bike1Pos);
        }
        if (!Exists(bike2) && Player.Character.Position.DistanceTo(bike2Pos) <= 200.0f)
        {
            bike2 = World.CreateVehicle(new Model("hellfury"), bike2Pos);
        }
        if (!Exists(bikerCar) && Mafia)
        {
            if (Exists(biker36))
            {
                //biker36.Position = Player.Character.Position.Around(40.0f);
               
                bikerCar = World.CreateVehicle(new Model("patriot"), biker36.Position.Around(3.0f));
            }
        }
        if (!Exists(mafiaCar) && Biker)
        {
            if (Exists(mafia20))
            {
               
                mafiaCar = World.CreateVehicle(new Model("FEROCI"), mafia20.Position.Around(3.0f));
            }
        }
        if (!Exists(bike3) && Mafia)
        {
            if (Exists(bike3Driver))
            {
                bike3 = World.CreateVehicle(new Model("hellfury"), bike3Driver.Position.Around(3.0f));
            }
        }
        if (!Exists(bike4) && Mafia)
        {
            if (Exists(bike4Driver))
            {
                bike4 = World.CreateVehicle(new Model("hellfury"), bike4Driver.Position.Around(3.0f));
            }
        }
        if (!Exists(nrg1) && Biker)
        {
            if (Exists(nrg1Driver))
            {
                nrg1 = World.CreateVehicle(new Model("nrg900"), nrg1Driver.Position.Around(3.0f));
            }
        }
        if (!Exists(nrg2) && Biker)
        {
            if (Exists(nrg2Driver))
            {
                nrg2 = World.CreateVehicle(new Model("nrg900"), nrg2Driver.Position.Around(3.0f));
            }
        }
        if (Exists(bikerBossLimo) && bikerBossLimo.Position.DistanceTo(mafia8Pos) <= 10.0f)
        {
            stolebikerLimo = true;
        }
        if (Exists(pauliesLimo) && pauliesLimo.Position.DistanceTo(biker6Pos) <= 10.0f)
        {
            stolepauliesLimo = true;
        }
        if (Mafia)
        {
            bikerCrew = false;
            madeVP = false;
        }
        if (Biker)
        {
            mafiaCrew = false;
            madeMan = false;
        }
    

        if (Exists(biker36) && biker36.Health < 1)
        {
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker36)){ biker36.Delete();}
            
            if (!Exists(biker36) && !Mafia)
            {
                biker36 = World.CreatePed(biker36Mod, Player.Character.Position.Around(30.0f));
            }
        }
        if (Exists(biker37) && biker37.Health < 1)
        {

            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker37)) { biker37.Delete(); }
            
            if (!Exists(biker37) && !Mafia)
            {
                biker37 = World.CreatePed(biker37Mod, Player.Character.Position.Around(30.0f));
            }
        }
        if (Exists(biker38) && biker38.Health < 1)
        {

            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker38)) { biker38.Delete(); }
           // Wait(0x9c4);
            // if (!Exists(biker38) && !Mafia)
            // {
            //     biker38 = World.CreatePed(biker38Mod, Player.Character.Position.Around(50.0f));
            // }
        }

        if (Exists(mafia20) && !mafia20.isAlive)
        {
            if (mafia20.Health < 1 || Player.Character.Position.DistanceTo(mafia20.Position) >= 300.0f)
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia20)) { mafia20.Delete(); }
                if (Exists(mafiaCar) && Player.Character.Position.DistanceTo(mafiaCar.Position) >= 20.0f)
                {
                    mafiaCar.Delete();
                }
               
                if (!Exists(mafia20) && !Biker)
                {
                    mafia20 = World.CreatePed(mafia20Mod, Player.Character.Position.Around(50.0f));
                }
            }
        }
        if (Exists(mafia21) && !mafia21.isAlive)
        {
            if (mafia21.Health < 1 || Player.Character.Position.DistanceTo(mafia21.Position) >= 300.0f)
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia21)) { mafia21.Delete(); }
                if (Exists(mafiaCar) && Player.Character.Position.DistanceTo(mafiaCar.Position) >= 20.0f)
                {
                    mafiaCar.Delete();
                }

                if (!Exists(mafia21) && !Biker)
                {
                    mafia21 = World.CreatePed(mafia21Mod, Player.Character.Position.Around(50.0f));
                }
            }
        }
        if (Exists(mafia22) && !mafia22.isAlive)
        {
            if (mafia22.Health < 1 || Player.Character.Position.DistanceTo(mafia22.Position) >= 300.0f)
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia22)) { mafia22.Delete(); }
                if (Exists(mafiaCar) && Player.Character.Position.DistanceTo(mafiaCar.Position) >= 20.0f)
                {
                    mafiaCar.Delete();
                }
              
            }
        }

        if (Exists(biker33) && biker33.Health < 1)
        {

            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker33)) { biker33.Delete(); }
           
            if (!Exists(biker33) && !Mafia)
            {
                biker33 = World.CreatePed(biker33Mod, Player.Character.Position.Around(50.0f));
            }
        }
        if (Exists(biker34) && biker34.Health < 1)
        {

            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker34)) { biker34.Delete(); }
            
            if (!Exists(biker34) && !Mafia)
            {
                biker34 = World.CreatePed(biker34Mod, Player.Character.Position.Around(50.0f));
            }
        }
        if (Exists(biker35) && biker35.Health < 1)
        {

            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker35)) { biker35.Delete(); }
            
            if (!Exists(biker35) && !Mafia)
            {
                biker35 = World.CreatePed(biker35Mod, Player.Character.Position.Around(50.0f));
            }
        }
        if (Exists(biker36) && !biker36.isAlive)
        {
            if (biker36.Health <= 1 || Player.Character.Position.DistanceTo(biker36.Position) >= 300.0f)
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker36)) { biker36.Delete(); }
                if (Exists(bikerCar) && Player.Character.Position.DistanceTo(bikerCar.Position) >= 20.0f)
                {
                    bikerCar.Delete();
                }
                if (!Exists(biker36) && !Mafia)
                {
                    biker36 = World.CreatePed(biker36Mod, Player.Character.Position.Around(50.0f));
                }
            }
        }
        if (Exists(biker37) && !biker37.isAlive)
        {
            if (biker37.Health <= 1 || Player.Character.Position.DistanceTo(biker37.Position) >= 300.0f)
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker37)) { biker37.Delete(); }

                if (Exists(bikerCar) && Player.Character.Position.DistanceTo(bikerCar.Position) >= 20.0f)
                {
                    bikerCar.Delete();
                }
                if (!Exists(biker37) && !Mafia)
                {
                    biker37 = World.CreatePed(biker37Mod, Player.Character.Position.Around(50.0f));
                }
            }
        }
        if (Exists(biker38) && !biker38.isAlive)
        {
            if (biker38.Health <= 1 || Player.Character.Position.DistanceTo(biker38.Position) >= 300.0f)
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker38)) { biker38.Delete(); }
                if (Exists(bikerCar) && Player.Character.Position.DistanceTo(bikerCar.Position) >= 20.0f)
                {
                    bikerCar.Delete();
                }
                // if (!Exists(biker38) && !Mafia)
                // {
                //    biker38 = World.CreatePed(biker38Mod, Player.Character.Position.Around(50.0f));
                //  }
            }
        }
        if (Exists(mafia17) && mafia17.Health < 1)
        {

            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia17)) { mafia17.Delete(); }
            
            if (!Exists(mafia17) && !Biker)
            {
                mafia17 = World.CreatePed(mafia17Mod, Player.Character.Position.Around(50.0f));
            }
        }
        if (Exists(mafia18) && mafia18.Health < 1)
        {

            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia18)) { mafia18.Delete(); }
            
            if (!Exists(mafia18) && !Mafia)
            {
                mafia18 = World.CreatePed(mafia18Mod, Player.Character.Position.Around(50.0f));
            }
        }
        if (Exists(mafia19) && mafia19.Health < 1)
        {

            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia19)) { mafia19.Delete(); }
            

            if (!Exists(mafia19) && !Mafia)
            {
                mafia19 = World.CreatePed(mafia19Mod, Player.Character.Position.Around(50.0f));
            }
        }

        if (Exists(biker11))
        {
            if (Mafia || mafiaMember)
            {
                biker11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker12))
        {
            if (Mafia || mafiaMember)
            {
                biker12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker13))
        {
            if (Mafia || mafiaMember)
            {
                biker13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker14))
        {
            if (Mafia || mafiaMember)
            {
                biker14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker15))
        {
            if (Mafia || mafiaMember)
            {
                biker15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker16))
        {
            if (Mafia || mafiaMember)
            {
                biker16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }

        if (Exists(biker17))
        {
            if (Mafia || mafiaMember)
            {
                biker17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker33))
        {
            if (Mafia)
            {
                biker33.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker33.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker34))
        {
            if (Mafia || mafiaMember)
            {
                biker34.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker34.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker35))
        {
            if (Mafia || mafiaMember)
            {
                biker35.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker35.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker36))
        {
            if (Mafia || mafiaMember)
            {
                biker36.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker36.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker37))
        {
            if (Mafia || mafiaMember)
            {
                biker37.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker37.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker38))
        {
            if (Mafia || mafiaMember)
            {
                biker38.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker38.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }
        if (Exists(biker40))
        {
            if (Mafia || mafiaMember)
            {
                biker40.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
            if (Biker || bikerMember)
            {
                biker40.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
        }


        if (Exists(mafia11))
        {
            if (Mafia || mafiaMember)
            {
                mafia11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        }
        if (Exists(mafia12))
        {
            if (Mafia || mafiaMember)
            {
                mafia12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        }

        if (Exists(mafia13))
        {
            if (Mafia || mafiaMember)
            {
                mafia13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        } 
        if (Exists(mafia14))
        {
            if (Mafia || mafiaMember)
            {
                mafia14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        } 
        if (Exists(mafia15))
        {
            if (Mafia || mafiaMember)
            {
                mafia15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        }
        if (Exists(mafia16))
        {
            if (Mafia || mafiaMember)
            {
                mafia16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        }
        if (Exists(mafia17))
        {
            if (Mafia || mafiaMember)
            {
                mafia17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        }
        if (Exists(mafia23))
        {
            if (Mafia || mafiaMember)
            {
                mafia23.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia23.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        }
        if (Exists(mafia24))
        {
            if (Mafia || mafiaMember)
            {
                mafia24.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia24.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        }
        if (Exists(mafia25))
        {
            if (Mafia || mafiaMember)
            {
                mafia25.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia25.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        }
        if (Exists(mafia26))
        {
            if (Mafia || mafiaMember)
            {
                mafia26.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
            }
            if (Biker || bikerMember)
            {
                mafia26.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
            }
        }
       
        
        if (Exists(bikerBoss) && !bikerBoss.isAlive && !Mafia)
        {
            // Game.DisplayText("You've killed the Biker Boss!", 15000);
        }
        if (Exists(bigPaulie) && !bigPaulie.isAlive && !Mafia)
        {
            //Game.DisplayText("You've killed Big Paulie!", 15000);
        }
        if (Exists(bikerBoss) && !bikerBoss.isAlive)
        {
            killedbikerBoss = true;
            madeMan = true;
        }
        if (Exists(bigPaulie) && !bigPaulie.isAlive)
        {
            killedbigPaulie = true;
            madeVP = true;
        }
        if (Exists(bikerBoss2) && !bikerBoss2.isAlive)
        {
            killedbikerBoss2 = true;
        }
        if (Exists(mafiaBoss2) && !mafiaBoss2.isAlive)
        {
            killedmafiaBoss2 = true;
        }
        if (Exists(mafia1))
        {
            if ( mafia1.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia2))
        {
            if (mafia2.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia3))
        {
            if (mafia3.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia4))
        {
            if (mafia4.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia5))
        {
            if (mafia5.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia6))
        {
            if (mafia6.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia7))
        {
            if (mafia7.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia8))
        {
            if (mafia8.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia9))
        {
            if (mafia9.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia10))
        {
            if (mafia10.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia11))
        {
            if (mafia11.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia12))
        {
            if (mafia12.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia13))
        {
            if (mafia13.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia14))
        {
            if (mafia14.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia15))
        {
            if (mafia15.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia16))
        {
            if (mafia16.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(mafia17))
        {
            if (mafia17.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }

        if (Exists(bigPaulie))
        {
            if (bigPaulie.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }
        if (Exists(pauliesDriver))
        {
            if (pauliesDriver.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }

        if (Exists(bigPaulieGaurd))
        {
            if (bigPaulieGaurd.HasBeenDamagedBy(Player.Character))
            {
                Biker = true;
                Mafia = false;
                mafiaMember = false;
                mafiaCrew = false;
            }
        }


        if (Exists(bikerBossGaurd))
        {
            if (bikerBossGaurd.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(bikerBoss))
        {
            if (bikerBoss.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(bikerDriver))
        {
            if (bikerDriver.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }


        if (Exists(biker1))
        {
            if (biker1.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker2))
        {
            if (biker2.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker3))
        {
            if (biker3.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker4))
        {
            if (biker4.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker5))
        {
            if (biker5.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker6))
        {
            if (biker6.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker7))
        {
            if (biker7.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker8))
        {
            if (biker8.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker9))
        {
            if (biker9.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker10))
        {
            if (biker10.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker11))
        {
            if (biker11.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker12))
        {
            if (biker12.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker13))
        {
            if (biker13.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker14))
        {
            if (biker14.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker15))
        {
            if (biker15.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker16))
        {
            if (biker16.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker17))
        {
            if (biker17.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker18))
        {
            if (biker18.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker19))
        {
            if (biker19.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker20))
        {
            if (biker20.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker21))
        {
            if (biker21.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker22))
        {
            if (biker22.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker23))
        {
            if (biker23.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker24))
        {
            if (biker24.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker25))
        {
            if (biker25.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker26))
        {
            if (biker26.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker27))
        {
            if (biker27.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker28))
        {
            if (biker28.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker29))
        {
            if (biker29.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker30))
        {
            if (biker30.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker31))
        {
            if (biker31.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }
        if (Exists(biker32))
        {
            if (biker32.HasBeenDamagedBy(Player.Character))
            {
                Biker = false;
                Mafia = true;
                bikerMember = false;
                bikerCrew = false;
            }
        }


        if (Exists(supplier) && supplier.isAlive && Player.Character.Position.DistanceTo(supplierPos) <= 50.0f)
        {
            armsupplier = true;
        }
        if (Exists(supplier) && supplier.isAlive)
        {
            if (Exists(supplier) && !armsupplier)
            {
                supplier.Armor += 100;
            }
            if (Exists(supplier) && armsupplier)
            {
                supplier.CanSwitchWeapons = true;
                supplier.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier.Weapons.AssaultRifle_M4.Select();
                supplier.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                supplier.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier.WantedByPolice = false;
                supplier.BecomeMissionCharacter();
                supplier.BlockPermanentEvents = true;
                supplier.Task.AlwaysKeepTask = true;
                supplier.Task.FightAgainstHatedTargets(30.0f);
                supplier.SayAmbientSpeech("Laugh");
                if (supplier.Position.DistanceTo(supplierPos) <= 1.0f && supplier.isAlive)
                {
                     supplier.Heading = 165.4251f;
                }
                if (Exists(supplier) && supplier.Position.DistanceTo(supplierPos) >= 5.0f && Player.Character.Position.DistanceTo(supplier.Position) <= 10.0f)
                {
                    supplier.Task.RunTo(supplierPos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }

        
        if (Exists(supplier1) && supplier1.isAlive && Player.Character.Position.DistanceTo(supplier1Pos) <= 50.0f)
        {
            armsupplier1 = true;
        }
        if (Exists(supplier1) && supplier1.isAlive)
        {
            if (Exists(supplier1) && !armsupplier1)
            {
                supplier1.Armor += 100;
            }
            if (Exists(supplier1) && armsupplier1)
            {
                supplier1.CanSwitchWeapons = true;
                supplier1.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier1.Weapons.AssaultRifle_M4.Select();
                supplier1.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                supplier1.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier1.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier1.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier1.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier1.WantedByPolice = false;
                supplier1.BecomeMissionCharacter();
                supplier1.BlockPermanentEvents = true;
                supplier1.Task.AlwaysKeepTask = true;
                supplier1.Task.FightAgainstHatedTargets(30.0f);
                supplier1.SayAmbientSpeech("Laugh");
                if (supplier1.Position.DistanceTo(supplier1Pos) <= 1.0f && supplier1.isAlive)
                {
                     supplier1.Heading = 216.2724f;
                }
                if (Exists(supplier1) && supplier1.Position.DistanceTo(supplier1Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier1.Position) <= 10.0f)
                {
                    supplier1.Task.RunTo(supplier1Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier2) && supplier2.isAlive && Player.Character.Position.DistanceTo(supplier2Pos) <= 50.0f)
        {
            armsupplier2 = true;
        }
        if (Exists(supplier2) && supplier2.isAlive)
        {
            if (Exists(supplier2) && !armsupplier2)
            {
                supplier2.Armor += 100;
            }
            if (Exists(supplier2) && armsupplier2)
            {
                supplier2.CanSwitchWeapons = true;
                supplier2.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier2.Weapons.AssaultRifle_M4.Select();
                supplier2.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                supplier2.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier2.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier2.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier2.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier2.WantedByPolice = false;
                supplier2.BecomeMissionCharacter();
                supplier2.BlockPermanentEvents = true;
                supplier2.Task.AlwaysKeepTask = true;
                supplier2.Task.FightAgainstHatedTargets(30.0f);
                supplier2.SayAmbientSpeech("Cover_Me");
                if (supplier2.Position.DistanceTo(supplier2Pos) <= 1.0f && supplier2.isAlive)
                {
                     supplier2.Heading = 218.7516f;
                }
                if (Exists(supplier2) && supplier2.Position.DistanceTo(supplier2Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier2.Position) <= 10.0f)
                {
                    supplier2.Task.RunTo(supplier2Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier3) && supplier3.isAlive && Player.Character.Position.DistanceTo(supplier3Pos) <= 50.0f)
        {
            armsupplier3 = true;
        }
        if (Exists(supplier3) && supplier3.isAlive)
        {
            if (Exists(supplier3) && !armsupplier3)
            {
                supplier3.Armor += 100;
            }
            if (Exists(supplier3) && armsupplier3)
            {
                supplier3.CanSwitchWeapons = true;
                supplier3.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier3.Weapons.AssaultRifle_M4.Select();
                supplier3.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                supplier3.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier3.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier3.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier3.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier3.WantedByPolice = false;
                supplier3.BecomeMissionCharacter();
                supplier3.BlockPermanentEvents = true;
                supplier3.Task.AlwaysKeepTask = true;
                supplier3.Task.FightAgainstHatedTargets(30.0f);
                supplier3.SayAmbientSpeech("Fight");
                if (supplier3.Position.DistanceTo(supplier3Pos) <= 1.0f && supplier3.isAlive)
                {
                     supplier3.Heading = 216.9162f;
                }
                if (Exists(supplier3) && supplier3.Position.DistanceTo(supplier3Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier3.Position) <= 10.0f)
                {
                    supplier3.Task.RunTo(supplier3Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier4) && supplier4.isAlive && Player.Character.Position.DistanceTo(supplier4Pos) <= 50.0f)
        {
            armsupplier4 = true;
        }
        if (Exists(supplier4) && supplier4.isAlive)
        {
            if (Exists(supplier4) && !armsupplier4)
            {
                supplier4.Armor += 100;
            }
            if (Exists(supplier4) && armsupplier4)
            {
                supplier4.CanSwitchWeapons = true;
                supplier4.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier4.Weapons.AssaultRifle_M4.Select();
                supplier4.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                supplier4.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier4.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier4.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier4.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier4.WantedByPolice = false;
                supplier4.BecomeMissionCharacter();
                supplier4.BlockPermanentEvents = true;
                supplier4.Task.AlwaysKeepTask = true;
                supplier4.Task.FightAgainstHatedTargets(30.0f);
                supplier4.SayAmbientSpeech("sh*t");
                if (supplier4.Position.DistanceTo(supplier4Pos) <= 1.0f && supplier4.isAlive)
                {
                     supplier4.Heading = 33.7481f;
                }
                if (Exists(supplier4) && supplier4.Position.DistanceTo(supplier4Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier4.Position) <= 10.0f)
                {
                    supplier4.Task.RunTo(supplier4Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier5) && supplier5.isAlive && Player.Character.Position.DistanceTo(supplier5Pos) <= 50.0f)
        {
            armsupplier5 = true;
        }
        if (Exists(supplier5) && supplier5.isAlive)
        {
            if (Exists(supplier5) && !armsupplier5)
            {
                supplier5.Armor += 100;
            }
            if (Exists(supplier5) && armsupplier5)
            {
                supplier5.CanSwitchWeapons = true;
                supplier5.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier5.Weapons.AssaultRifle_M4.Select();
                supplier5.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                supplier5.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier5.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier5.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier5.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier5.WantedByPolice = false;
                supplier5.BecomeMissionCharacter();
                supplier5.BlockPermanentEvents = true;
                supplier5.Task.AlwaysKeepTask = true;
                supplier5.Task.FightAgainstHatedTargets(30.0f);
                supplier5.SayAmbientSpeech("Gang_You_Drop_Weapon");
                if (supplier5.Position.DistanceTo(supplier5Pos) <= 1.0f && supplier5.isAlive)
                {
                     supplier5.Heading = 319.1792f;
                }
                if (Exists(supplier5) && supplier5.Position.DistanceTo(supplier5Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier5.Position) <= 10.0f)
                {
                    supplier5.Task.RunTo(supplier5Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
       
        
        if (Exists(supplier6) && supplier6.isAlive && Player.Character.Position.DistanceTo(supplier6Pos) <= 50.0f)
        {
            armsupplier6 = true;
        }
        if (Exists(supplier6) && supplier6.isAlive)
        {
            if (Exists(supplier6) && !armsupplier6)
            {
                supplier6.Armor += 100;
            }
            if (Exists(supplier6) && armsupplier6)
            {
                supplier6.CanSwitchWeapons = true;
                supplier6.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier6.Weapons.AssaultRifle_M4.Select();
                supplier6.RelationshipGroup = RelationshipGroup.Gang_Korean;
                supplier6.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier6.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier6.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier6.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier6.WantedByPolice = false;
                supplier6.BecomeMissionCharacter();
                supplier6.BlockPermanentEvents = true;
                supplier6.Task.AlwaysKeepTask = true;
                supplier6.Task.FightAgainstHatedTargets(30.0f);
                supplier6.SayAmbientSpeech("sh*t");
                if (supplier6.Position.DistanceTo(supplier6Pos) <= 1.0f && supplier6.isAlive)
                {
                    supplier6.Heading = 300.1834f;
                }
                if (Exists(supplier6) && supplier6.Position.DistanceTo(supplier6Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier6.Position) <= 10.0f)
                {
                    supplier6.Task.RunTo(supplier6Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier7) && supplier7.isAlive && Player.Character.Position.DistanceTo(supplier7Pos) <= 50.0f)
        {
            armsupplier7 = true;
        }
        if (Exists(supplier7) && supplier7.isAlive)
        {
            if (Exists(supplier7) && !armsupplier7)
            {
                supplier7.Armor += 100;
            }
            if (Exists(supplier7) && armsupplier7)
            {
                supplier7.CanSwitchWeapons = true;
                supplier7.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier7.Weapons.AssaultRifle_M4.Select();
                supplier7.RelationshipGroup = RelationshipGroup.Gang_Korean;
                supplier7.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier7.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier7.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier7.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier7.WantedByPolice = false;
                supplier7.BecomeMissionCharacter();
                supplier7.BlockPermanentEvents = true;
                supplier7.Task.AlwaysKeepTask = true;
                supplier7.Task.FightAgainstHatedTargets(30.0f);
                supplier7.SayAmbientSpeech("Gang_Attack_Warning");
                if (supplier7.Position.DistanceTo(supplier7Pos) <= 1.0f && supplier7.isAlive)
                {
                    supplier7.Heading = 204.8867f;
                }
                if (Exists(supplier7) && supplier7.Position.DistanceTo(supplier7Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier7.Position) <= 10.0f)
                {
                    supplier7.Task.RunTo(supplier7Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier8) && supplier8.isAlive && Player.Character.Position.DistanceTo(supplier8Pos) <= 50.0f)
        {
            armsupplier8 = true;
        }
        if (Exists(supplier8) && supplier8.isAlive)
        {
            if (Exists(supplier8) && !armsupplier8)
            {
                supplier8.Armor += 100;
            }
            if (Exists(supplier8) && armsupplier8)
            {
                supplier8.CanSwitchWeapons = true;
                supplier8.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier8.Weapons.AssaultRifle_M4.Select();
                supplier8.RelationshipGroup = RelationshipGroup.Gang_Korean;
                supplier8.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier8.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier8.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier8.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier8.WantedByPolice = false;
                supplier8.BecomeMissionCharacter();
                supplier8.BlockPermanentEvents = true;
                supplier8.Task.AlwaysKeepTask = true;
                supplier8.Task.FightAgainstHatedTargets(30.0f);
                supplier8.SayAmbientSpeech("Cover_Me");
                if (supplier8.Position.DistanceTo(supplier8Pos) <= 1.0f && supplier8.isAlive)
                {
                    supplier8.Heading = 318.5966f;
                }
                if (Exists(supplier8) && supplier8.Position.DistanceTo(supplier8Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier8.Position) <= 10.0f)
                {
                    supplier8.Task.RunTo(supplier8Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier9) && supplier9.isAlive && Player.Character.Position.DistanceTo(supplier9Pos) <= 50.0f)
        {
            armsupplier9 = true;
        }
        if (Exists(supplier9) && supplier9.isAlive)
        {
            if (Exists(supplier9) && !armsupplier9)
            {
                supplier9.Armor += 100;
            }
            if (Exists(supplier9) && armsupplier9)
            {
                supplier9.CanSwitchWeapons = true;
                supplier9.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier9.Weapons.AssaultRifle_M4.Select();
                supplier9.RelationshipGroup = RelationshipGroup.Gang_Korean;
                supplier9.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier9.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier9.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier9.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier9.WantedByPolice = false;
                supplier9.BecomeMissionCharacter();
                supplier9.BlockPermanentEvents = true;
                supplier9.Task.AlwaysKeepTask = true;
                supplier9.Task.FightAgainstHatedTargets(30.0f);
                supplier9.SayAmbientSpeech("Gang_You_Drop_Weapon");
                if (supplier9.Position.DistanceTo(supplier9Pos) <= 1.0f && supplier9.isAlive)
                {
                    supplier9.Heading = 12.31851f;
                }
                if (Exists(supplier9) && supplier9.Position.DistanceTo(supplier9Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier9.Position) <= 10.0f)
                {
                    supplier9.Task.RunTo(supplier9Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier10) && supplier10.isAlive && Player.Character.Position.DistanceTo(supplier10Pos) <= 50.0f)
        {
            armsupplier10 = true;
        }
        if (Exists(supplier10) && supplier10.isAlive)
        {
            if (Exists(supplier10) && !armsupplier10)
            {
                supplier10.Armor += 100;
            }
            if (Exists(supplier10) && armsupplier10)
            {
                supplier10.CanSwitchWeapons = true;
                supplier10.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier10.Weapons.AssaultRifle_M4.Select();
                supplier10.RelationshipGroup = RelationshipGroup.Gang_Korean;
                supplier10.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier10.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier10.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier10.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier10.WantedByPolice = false;
                supplier10.BecomeMissionCharacter();
                supplier10.BlockPermanentEvents = true;
                supplier10.Task.AlwaysKeepTask = true;
                supplier10.Task.FightAgainstHatedTargets(30.0f);
                supplier10.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier10.Position.DistanceTo(supplier10Pos) <= 1.0f && supplier10.isAlive)
                {
                    supplier10.Heading = 193.1501f;
                }
                if (Exists(supplier10) && supplier10.Position.DistanceTo(supplier10Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier10.Position) <= 10.0f)
                {
                    supplier10.Task.RunTo(supplier10Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }

        if (Exists(supplier11) && supplier11.isAlive && Player.Character.Position.DistanceTo(supplier11Pos) <= 50.0f)
        {
            armsupplier11 = true;
        }
        if (Exists(supplier11) && supplier11.isAlive)
        {
            if (Exists(supplier11) && !armsupplier11)
            {
                supplier11.Armor += 100;
            }
            if (Exists(supplier11) && armsupplier11)
            {
                supplier11.CanSwitchWeapons = true;
                supplier11.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier11.Weapons.AssaultRifle_M4.Select();
                supplier11.RelationshipGroup = RelationshipGroup.Gang_Biker2;
                supplier11.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier11.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier11.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier11.WantedByPolice = false;
                supplier11.BecomeMissionCharacter();
                supplier11.BlockPermanentEvents = true;
                supplier11.Task.AlwaysKeepTask = true;
                supplier11.Task.FightAgainstHatedTargets(30.0f);
                supplier11.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier11.Position.DistanceTo(supplier11Pos) <= 1.0f && supplier11.isAlive)
                {
                    supplier11.Heading = 6.78388f;
                }
                if (Exists(supplier11) && supplier11.Position.DistanceTo(supplier11Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier11.Position) <= 10.0f)
                {
                    supplier11.Task.RunTo(supplier11Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier12) && supplier12.isAlive && Player.Character.Position.DistanceTo(supplier12Pos) <= 50.0f)
        {
            armsupplier12 = true;
        }
        if (Exists(supplier12) && supplier12.isAlive)
        {
            if (Exists(supplier12) && !armsupplier12)
            {
                supplier12.Armor += 100;
            }
            if (Exists(supplier12) && armsupplier12)
            {
                supplier12.CanSwitchWeapons = true;
                supplier12.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier12.Weapons.AssaultRifle_M4.Select();
                supplier12.RelationshipGroup = RelationshipGroup.Gang_Biker2;
                supplier12.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier12.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier12.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier12.WantedByPolice = false;
                supplier12.BecomeMissionCharacter();
                supplier12.BlockPermanentEvents = true;
                supplier12.Task.AlwaysKeepTask = true;
                supplier12.Task.FightAgainstHatedTargets(30.0f);
                supplier12.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier12.Position.DistanceTo(supplier12Pos) <= 1.0f && supplier12.isAlive)
                {
                    supplier12.Heading = 5.441065f;
                }
                if (Exists(supplier12) && supplier12.Position.DistanceTo(supplier12Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier12.Position) <= 10.0f)
                {
                    supplier12.Task.RunTo(supplier12Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier13) && supplier13.isAlive && Player.Character.Position.DistanceTo(supplier13Pos) <= 50.0f)
        {
            armsupplier13 = true;
        }
        if (Exists(supplier13) && supplier13.isAlive)
        {
            if (Exists(supplier13) && !armsupplier13)
            {
                supplier13.Armor += 100;
            }
            if (Exists(supplier13) && armsupplier13)
            {
                supplier13.CanSwitchWeapons = true;
                supplier13.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier13.Weapons.AssaultRifle_M4.Select();
                supplier13.RelationshipGroup = RelationshipGroup.Gang_Biker2;
                supplier13.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier13.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier13.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier13.WantedByPolice = false;
                supplier13.BecomeMissionCharacter();
                supplier13.BlockPermanentEvents = true;
                supplier13.Task.AlwaysKeepTask = true;
                supplier13.Task.FightAgainstHatedTargets(30.0f);
                supplier13.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier13.Position.DistanceTo(supplier13Pos) <= 1.0f && supplier13.isAlive)
                {
                    supplier13.Heading = 281.3843f;
                }
                if (Exists(supplier13) && supplier13.Position.DistanceTo(supplier13Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier13.Position) <= 10.0f)
                {
                    supplier13.Task.RunTo(supplier13Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier14) && supplier14.isAlive && Player.Character.Position.DistanceTo(supplier14Pos) <= 50.0f)
        {
            armsupplier14 = true;
        }
        if (Exists(supplier14) && supplier14.isAlive)
        {
            if (Exists(supplier14) && !armsupplier14)
            {
                supplier14.Armor += 100;
            }
            if (Exists(supplier14) && armsupplier14)
            {
                supplier14.CanSwitchWeapons = true;
                supplier14.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier14.Weapons.AssaultRifle_M4.Select();
                supplier14.RelationshipGroup = RelationshipGroup.Gang_Biker2;
                supplier14.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier14.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier14.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier14.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier14.WantedByPolice = false;
                supplier14.BecomeMissionCharacter();
                supplier14.BlockPermanentEvents = true;
                supplier14.Task.AlwaysKeepTask = true;
                supplier14.Task.FightAgainstHatedTargets(30.0f);
                supplier14.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier14.Position.DistanceTo(supplier14Pos) <= 1.0f && supplier14.isAlive)
                {
                    supplier14.Heading = 94.49245f;
                }
                if (Exists(supplier14) && supplier14.Position.DistanceTo(supplier14Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier14.Position) <= 10.0f)
                {
                    supplier14.Task.RunTo(supplier14Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier15) && supplier15.isAlive && Player.Character.Position.DistanceTo(supplier15Pos) <= 50.0f)
        {
            armsupplier15 = true;
        }
        if (Exists(supplier15) && supplier15.isAlive)
        {
            if (Exists(supplier15) && !armsupplier15)
            {
                supplier15.Armor += 100;
            }
            if (Exists(supplier15) && armsupplier15)
            {
                supplier15.CanSwitchWeapons = true;
                supplier15.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier15.Weapons.AssaultRifle_M4.Select();
                supplier15.RelationshipGroup = RelationshipGroup.Gang_Biker2;
                supplier15.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier15.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier15.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier15.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier15.WantedByPolice = false;
                supplier15.BecomeMissionCharacter();
                supplier15.BlockPermanentEvents = true;
                supplier15.Task.AlwaysKeepTask = true;
                supplier15.Task.FightAgainstHatedTargets(30.0f);
                supplier15.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier15.Position.DistanceTo(supplier15Pos) <= 1.0f && supplier15.isAlive)
                {
                    supplier15.Heading = 115.6293f;
                }
                if (Exists(supplier15) && supplier15.Position.DistanceTo(supplier15Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier15.Position) <= 10.0f)
                {
                    supplier15.Task.RunTo(supplier15Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }

        if (Exists(supplier16) && supplier16.isAlive && Player.Character.Position.DistanceTo(supplier16Pos) <= 50.0f)
        {
            armsupplier16 = true;
        }
        if (Exists(supplier16) && supplier16.isAlive)
        {
            if (Exists(supplier16) && !armsupplier16)
            {
                supplier16.Armor += 100;
            }
            if (Exists(supplier16) && armsupplier16)
            {
                supplier16.CanSwitchWeapons = true;
                supplier16.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier16.Weapons.AssaultRifle_M4.Select();
                supplier16.RelationshipGroup = RelationshipGroup.Gang_Biker2;
                supplier16.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier16.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier16.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier16.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                supplier16.WantedByPolice = false;
                supplier16.BecomeMissionCharacter();
                supplier16.BlockPermanentEvents = true;
                supplier16.Task.AlwaysKeepTask = true;
                supplier16.Task.FightAgainstHatedTargets(30.0f);
                supplier16.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier16.Position.DistanceTo(supplier16Pos) <= 1.0f && supplier16.isAlive)
                {
                    supplier16.Heading = 272.3503f;
                }
                if (Exists(supplier16) && supplier16.Position.DistanceTo(supplier16Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier16.Position) <= 10.0f)
                {
                    supplier16.Task.RunTo(supplier16Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }

        if (Exists(supplier17) && supplier17.isAlive && Player.Character.Position.DistanceTo(supplier17Pos) <= 50.0f)
        {
            armsupplier17 = true;
        }
        if (Exists(supplier17) && supplier17.isAlive)
        {
            if (Exists(supplier17) && !armsupplier17)
            {
                supplier17.Armor += 100;
            }
            if (Exists(supplier17) && armsupplier17)
            {
                supplier17.CanSwitchWeapons = true;
                supplier17.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier17.Weapons.AssaultRifle_M4.Select();
                supplier17.RelationshipGroup = RelationshipGroup.Gang_Jamaican;
                supplier17.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier17.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier17.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier17.ChangeRelationship(RelationshipGroup.Gang_Russian1, Relationship.Hate);
                supplier17.WantedByPolice = false;
                supplier17.BecomeMissionCharacter();
                supplier17.BlockPermanentEvents = true;
                supplier17.Task.AlwaysKeepTask = true;
                supplier17.Task.FightAgainstHatedTargets(30.0f);
                supplier17.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier17.Position.DistanceTo(supplier17Pos) <= 1.0f && supplier17.isAlive)
                {
                    supplier17.Heading = 309.1299f;
                }
                if (Exists(supplier17) && supplier17.Position.DistanceTo(supplier17Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier17.Position) <= 10.0f)
                {
                    supplier17.Task.RunTo(supplier17Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier18) && supplier18.isAlive && Player.Character.Position.DistanceTo(supplier18Pos) <= 50.0f)
        {
            armsupplier18 = true;
        }
        if (Exists(supplier18) && supplier18.isAlive)
        {
            if (Exists(supplier18) && !armsupplier18)
            {
                supplier18.Armor += 100;
            }
            if (Exists(supplier18) && armsupplier18)
            {
                supplier18.CanSwitchWeapons = true;
                supplier18.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier18.Weapons.AssaultRifle_M4.Select();
                supplier18.RelationshipGroup = RelationshipGroup.Gang_Jamaican;
                supplier18.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier18.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier18.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier18.ChangeRelationship(RelationshipGroup.Gang_Russian1, Relationship.Hate);
                supplier18.WantedByPolice = false;
                supplier18.BecomeMissionCharacter();
                supplier18.BlockPermanentEvents = true;
                supplier18.Task.AlwaysKeepTask = true;
                supplier18.Task.FightAgainstHatedTargets(30.0f);
                supplier18.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier18.Position.DistanceTo(supplier18Pos) <= 1.0f && supplier18.isAlive)
                {
                    supplier18.Heading = 38.59813f;
                }
                if (Exists(supplier18) && supplier18.Position.DistanceTo(supplier18Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier18.Position) <= 10.0f)
                {
                    supplier18.Task.RunTo(supplier18Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier19) && supplier19.isAlive && Player.Character.Position.DistanceTo(supplier19Pos) <= 50.0f)
        {
            armsupplier19 = true;
        }
        if (Exists(supplier19) && supplier19.isAlive)
        {
            if (Exists(supplier19) && !armsupplier19)
            {
                supplier19.Armor += 100;
            }
            if (Exists(supplier19) && armsupplier19)
            {
                supplier19.CanSwitchWeapons = true;
                supplier19.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier19.Weapons.AssaultRifle_M4.Select();
                supplier19.RelationshipGroup = RelationshipGroup.Gang_Jamaican;
                supplier19.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier19.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier19.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier19.ChangeRelationship(RelationshipGroup.Gang_Russian1, Relationship.Hate);
                supplier19.WantedByPolice = false;
                supplier19.BecomeMissionCharacter();
                supplier19.BlockPermanentEvents = true;
                supplier19.Task.AlwaysKeepTask = true;
                supplier19.Task.FightAgainstHatedTargets(30.0f);
                supplier19.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier19.Position.DistanceTo(supplier19Pos) <= 1.0f && supplier19.isAlive)
                {
                    supplier19.Heading = 222.3879f;
                }
                if (Exists(supplier19) && supplier19.Position.DistanceTo(supplier19Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier19.Position) <= 10.0f)
                {
                    supplier19.Task.RunTo(supplier19Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier20) && supplier20.isAlive && Player.Character.Position.DistanceTo(supplier20Pos) <= 50.0f)
        {
            armsupplier20 = true;
        }
        if (Exists(supplier20) && supplier20.isAlive)
        {
            if (Exists(supplier20) && !armsupplier20)
            {
                supplier20.Armor += 100;
            }
            if (Exists(supplier20) && armsupplier20)
            {
                supplier20.CanSwitchWeapons = true;
                supplier20.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier20.Weapons.AssaultRifle_M4.Select();
                supplier20.RelationshipGroup = RelationshipGroup.Gang_Jamaican;
                supplier20.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier20.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier20.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier20.ChangeRelationship(RelationshipGroup.Gang_Russian1, Relationship.Hate);
                supplier20.WantedByPolice = false;
                supplier20.BecomeMissionCharacter();
                supplier20.BlockPermanentEvents = true;
                supplier20.Task.AlwaysKeepTask = true;
                supplier20.Task.FightAgainstHatedTargets(30.0f);
                supplier20.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier20.Position.DistanceTo(supplier20Pos) <= 1.0f && supplier20.isAlive)
                {
                    supplier20.Heading = 33.07678f;
                }
                if (Exists(supplier20) && supplier20.Position.DistanceTo(supplier20Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier20.Position) <= 10.0f)
                {
                    supplier20.Task.RunTo(supplier20Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(supplier21) && supplier21.isAlive && Player.Character.Position.DistanceTo(supplier21Pos) <= 50.0f)
        {
            armsupplier21 = true;
        }
        if (Exists(supplier21) && supplier21.isAlive)
        {
            if (Exists(supplier21) && !armsupplier21)
            {
                supplier21.Armor += 100;
            }
            if (Exists(supplier21) && armsupplier21)
            {
                supplier21.CanSwitchWeapons = true;
                supplier21.Weapons.AssaultRifle_M4.Ammo = 1000;
                supplier21.Weapons.AssaultRifle_M4.Select();
                supplier21.RelationshipGroup = RelationshipGroup.Gang_Jamaican;
                supplier21.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                supplier21.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                supplier21.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                supplier21.ChangeRelationship(RelationshipGroup.Gang_Russian1, Relationship.Hate);
                supplier21.WantedByPolice = false;
                supplier21.BecomeMissionCharacter();
                supplier21.BlockPermanentEvents = true;
                supplier21.Task.AlwaysKeepTask = true;
                supplier21.Task.FightAgainstHatedTargets(30.0f);
                supplier21.SayAmbientSpeech("Generic_f*ck_off");
                if (supplier21.Position.DistanceTo(supplier21Pos) <= 1.0f && supplier21.isAlive)
                {
                    supplier21.Heading = 311.8297f;
                }
                if (Exists(supplier21) && supplier21.Position.DistanceTo(supplier21Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier21.Position) <= 10.0f)
                {
                    supplier21.Task.RunTo(supplier21Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
          if (Exists(supplier22) && supplier22.isAlive && Player.Character.Position.DistanceTo(supplier22Pos) <= 50.0f)
        {
            armsupplier22 = true;
        }
          if (Exists(supplier22) && supplier22.isAlive)
          {
              if (Exists(supplier22) && !armsupplier22)
              {
                  supplier22.Armor += 100;
              }
              if (Exists(supplier22) && armsupplier22)
              {
                  supplier22.CanSwitchWeapons = true;
                  supplier22.Weapons.AssaultRifle_M4.Ammo = 1000;
                  supplier22.Weapons.AssaultRifle_M4.Select();
                  supplier22.RelationshipGroup = RelationshipGroup.Gang_Jamaican;
                  supplier22.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                  supplier22.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                  supplier22.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                  supplier22.ChangeRelationship(RelationshipGroup.Gang_Russian1, Relationship.Hate);
                  supplier22.WantedByPolice = false;
                  supplier22.BecomeMissionCharacter();
                  supplier22.BlockPermanentEvents = true;
                  supplier22.Task.AlwaysKeepTask = true;
                  supplier22.Task.FightAgainstHatedTargets(30.0f);
                  supplier22.SayAmbientSpeech("Generic_f*ck_off");
                  if (supplier22.Position.DistanceTo(supplier22Pos) <= 1.0f && supplier22.isAlive)
                  {
                      supplier22.Heading = 127.1946f;
                  }
                  if (Exists(supplier22) && supplier22.Position.DistanceTo(supplier22Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier22.Position) <= 10.0f)
                  {
                      supplier22.Task.RunTo(supplier22Pos);
                      if (!Ekey)
                      {
                          Wait(0x9c4);
                      }
                  }

              }
          }

          if (Exists(supplier23) && supplier23.isAlive && Player.Character.Position.DistanceTo(supplier23Pos) <= 50.0f)
          {
              armsupplier23 = true;
          }
          if (Exists(supplier23) && supplier23.isAlive)
          {
              if (Exists(supplier23) && !armsupplier23)
              {
                  supplier23.Armor += 100;
              }
              if (Exists(supplier23) && armsupplier23)
              {
                  supplier23.CanSwitchWeapons = true;
                  supplier23.Weapons.AssaultRifle_M4.Ammo = 1000;
                  supplier23.Weapons.AssaultRifle_M4.Select();
                  supplier23.RelationshipGroup = RelationshipGroup.Gang_Russian1;
                  supplier23.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                  supplier23.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                  supplier23.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                  supplier23.ChangeRelationship(RelationshipGroup.Gang_Jamaican, Relationship.Hate);
                  supplier23.WantedByPolice = false;
                  supplier23.BecomeMissionCharacter();
                  supplier23.BlockPermanentEvents = true;
                  supplier23.Task.AlwaysKeepTask = true;
                  supplier23.Task.FightAgainstHatedTargets(30.0f);
                  supplier23.SayAmbientSpeech("Generic_f*ck_off");
                  if (supplier23.Position.DistanceTo(supplier23Pos) <= 1.0f && supplier23.isAlive)
                  {
                      supplier23.Heading = 96.34623f;
                  }
                  if (Exists(supplier23) && supplier23.Position.DistanceTo(supplier23Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier23.Position) <= 10.0f)
                  {
                      supplier23.Task.RunTo(supplier23Pos);
                      if (!Ekey)
                      {
                          Wait(0x9c4);
                      }
                  }

              }
          }
          if (Exists(supplier24) && supplier24.isAlive && Player.Character.Position.DistanceTo(supplier24Pos) <= 50.0f)
          {
              armsupplier24 = true;
          }
          if (Exists(supplier24) && supplier24.isAlive)
          {
              if (Exists(supplier24) && !armsupplier24)
              {
                  supplier24.Armor += 100;
              }
              if (Exists(supplier24) && armsupplier24)
              {
                  supplier24.CanSwitchWeapons = true;
                  supplier24.Weapons.AssaultRifle_M4.Ammo = 1000;
                  supplier24.Weapons.AssaultRifle_M4.Select();
                  supplier24.RelationshipGroup = RelationshipGroup.Gang_Russian1;
                  supplier24.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                  supplier24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                  supplier24.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                  supplier24.ChangeRelationship(RelationshipGroup.Gang_Jamaican, Relationship.Hate);
                  supplier24.WantedByPolice = false;
                  supplier24.BecomeMissionCharacter();
                  supplier24.BlockPermanentEvents = true;
                  supplier24.Task.AlwaysKeepTask = true;
                  supplier24.Task.FightAgainstHatedTargets(30.0f);
                  supplier24.SayAmbientSpeech("Generic_f*ck_off");
                  if (supplier24.Position.DistanceTo(supplier24Pos) <= 1.0f && supplier24.isAlive)
                  {
                      supplier24.Heading = 26.10224f;
                  }
                  if (Exists(supplier24) && supplier24.Position.DistanceTo(supplier24Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier24.Position) <= 10.0f)
                  {
                      supplier24.Task.RunTo(supplier24Pos);
                      if (!Ekey)
                      {
                          Wait(0x9c4);
                      }
                  }

              }
          }
          if (Exists(supplier25) && supplier25.isAlive && Player.Character.Position.DistanceTo(supplier25Pos) <= 50.0f)
          {
              armsupplier25 = true;
          }
          if (Exists(supplier25) && supplier25.isAlive)
          {
              if (Exists(supplier25) && !armsupplier25)
              {
                  supplier25.Armor += 100;
              }
              if (Exists(supplier25) && armsupplier25)
              {
                  supplier25.CanSwitchWeapons = true;
                  supplier25.Weapons.AssaultRifle_M4.Ammo = 1000;
                  supplier25.Weapons.AssaultRifle_M4.Select();
                  supplier25.RelationshipGroup = RelationshipGroup.Gang_Russian1;
                  supplier25.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                  supplier25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                  supplier25.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                  supplier25.ChangeRelationship(RelationshipGroup.Gang_Jamaican, Relationship.Hate);
                  supplier25.WantedByPolice = false;
                  supplier25.BecomeMissionCharacter();
                  supplier25.BlockPermanentEvents = true;
                  supplier25.Task.AlwaysKeepTask = true;
                  supplier25.Task.FightAgainstHatedTargets(30.0f);
                  supplier25.SayAmbientSpeech("Generic_f*ck_off");
                  if (supplier25.Position.DistanceTo(supplier25Pos) <= 1.0f && supplier25.isAlive)
                  {
                      supplier25.Heading = 34.40511f;
                  }
                  if (Exists(supplier25) && supplier25.Position.DistanceTo(supplier25Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier25.Position) <= 10.0f)
                  {
                      supplier25.Task.RunTo(supplier25Pos);
                      if (!Ekey)
                      {
                          Wait(0x9c4);
                      }
                  }

              }
          }
          if (Exists(supplier26) && supplier26.isAlive && Player.Character.Position.DistanceTo(supplier26Pos) <= 50.0f)
          {
              armsupplier26 = true;
          }
          if (Exists(supplier26) && supplier26.isAlive)
          {
              if (Exists(supplier26) && !armsupplier26)
              {
                  supplier26.Armor += 100;
              }
              if (Exists(supplier26) && armsupplier26)
              {
                  supplier26.CanSwitchWeapons = true;
                  supplier26.Weapons.AssaultRifle_M4.Ammo = 1000;
                  supplier26.Weapons.AssaultRifle_M4.Select();
                  supplier26.RelationshipGroup = RelationshipGroup.Gang_Russian1;
                  supplier26.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                  supplier26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                  supplier26.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                  supplier26.ChangeRelationship(RelationshipGroup.Gang_Jamaican, Relationship.Hate);
                  supplier26.WantedByPolice = false;
                  supplier26.BecomeMissionCharacter();
                  supplier26.BlockPermanentEvents = true;
                  supplier26.Task.AlwaysKeepTask = true;
                  supplier26.Task.FightAgainstHatedTargets(30.0f);
                  supplier26.SayAmbientSpeech("Generic_f*ck_off");
                  if (supplier26.Position.DistanceTo(supplier26Pos) <= 1.0f && supplier26.isAlive)
                  {
                      supplier26.Heading = 61.76723f;
                  }
                  if (Exists(supplier26) && supplier26.Position.DistanceTo(supplier26Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier26.Position) <= 10.0f)
                  {
                      supplier26.Task.RunTo(supplier26Pos);
                      if (!Ekey)
                      {
                          Wait(0x9c4);
                      }
                  }

              }
          }
          if (Exists(supplier27) && supplier27.isAlive && Player.Character.Position.DistanceTo(supplier27Pos) <= 50.0f)
          {
              armsupplier27 = true;
          }
          if (Exists(supplier27) && supplier27.isAlive)
          {
              if (Exists(supplier27) && !armsupplier27)
              {
                  supplier27.Armor += 100;
              }
              if (Exists(supplier27) && armsupplier27)
              {
                  supplier27.CanSwitchWeapons = true;
                  supplier27.Weapons.AssaultRifle_M4.Ammo = 1000;
                  supplier27.Weapons.AssaultRifle_M4.Select();
                  supplier27.RelationshipGroup = RelationshipGroup.Gang_Russian1;
                  supplier27.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                  supplier27.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                  supplier27.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                  supplier27.ChangeRelationship(RelationshipGroup.Gang_Jamaican, Relationship.Hate);
                  supplier27.WantedByPolice = false;
                  supplier27.BecomeMissionCharacter();
                  supplier27.BlockPermanentEvents = true;
                  supplier27.Task.AlwaysKeepTask = true;
                  supplier27.Task.FightAgainstHatedTargets(30.0f);
                  supplier27.SayAmbientSpeech("Generic_f*ck_off");
                  if (supplier27.Position.DistanceTo(supplier27Pos) <= 1.0f && supplier27.isAlive)
                  {
                      supplier27.Heading = 250.3934f;
                  }
                  if (Exists(supplier27) && supplier27.Position.DistanceTo(supplier27Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier27.Position) <= 10.0f)
                  {
                      supplier27.Task.RunTo(supplier27Pos);
                      if (!Ekey)
                      {
                          Wait(0x9c4);
                      }
                  }

              }
          }
          if (Exists(supplier28) && supplier28.isAlive && Player.Character.Position.DistanceTo(supplier28Pos) <= 50.0f)
          {
              armsupplier28 = true;
          }
          if (Exists(supplier28) && supplier28.isAlive)
          {
              if (Exists(supplier28) && !armsupplier28)
              {
                  supplier28.Armor += 100;
              }
              if (Exists(supplier28) && armsupplier28)
              {
                  supplier28.CanSwitchWeapons = true;
                  supplier28.Weapons.AssaultRifle_M4.Ammo = 1000;
                  supplier28.Weapons.AssaultRifle_M4.Select();
                  supplier28.RelationshipGroup = RelationshipGroup.Gang_Russian1;
                  supplier28.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                  supplier28.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                  supplier28.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                  supplier28.ChangeRelationship(RelationshipGroup.Gang_Jamaican, Relationship.Hate);
                  supplier28.WantedByPolice = false;
                  supplier28.BecomeMissionCharacter();
                  supplier28.BlockPermanentEvents = true;
                  supplier28.Task.AlwaysKeepTask = true;
                  supplier28.Task.FightAgainstHatedTargets(30.0f);
                  supplier28.SayAmbientSpeech("Generic_f*ck_off");
                  // if (supplier28.Position.DistanceTo(supplier28Pos) <= 1.0f && supplier28.isAlive)
                  // {
                  //   supplier28.Heading = 250.3934f;
                  // }
                  if (Exists(supplier28) && supplier28.Position.DistanceTo(supplier28Pos) >= 5.0f && Player.Character.Position.DistanceTo(supplier28.Position) <= 10.0f)
                  {
                      supplier28.Task.RunTo(supplier28Pos);
                      if (!Ekey)
                      {
                          Wait(0x9c4);
                      }
                  }

              }
          }
        
        if (Exists(dealer1))
        {
            if (dealer1.HasBeenDamagedBy(Player.Character) && ( dealer1.HasBeenDamagedBy(Player.Character)  && dealer1.Position.DistanceTo(supplier2Pos) <= 10.0f))
            {
                dealer1.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
            }
        }
        if (Exists(dealer1))
        {
            if (!dealer1.HasBeenDamagedBy(Player.Character))
            {
                dealer1.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
            }
        }
        if (Exists(dealer1) && dealer1.isAlive)
        {
            if (Exists(dealer1))
            {
                Function.Call("SET_CHAR_MOVE_ANIM_SPEED_MULTIPLIER", dealer1, 1.5f);
                dealer1.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                //dealer1.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                dealer1.WillUseCarsInCombat = false;
                //dealer1.WantedByPolice = false;
                dealer1.CanSwitchWeapons = true;
                //dealer1.Weapons.Glock.Ammo = 100;
                //dealer1.Weapons.Glock.Select();
                dealer1.BecomeMissionCharacter();
                dealer1.Task.FightAgainstHatedTargets(50.0f);
                if (!spawnSuppliers1 && Exists(dealer1) && dealer1.Position.DistanceTo(dealer1Pos) <= 1.0f && dealer1.isAlive && !dealer1.HasBeenDamagedBy(Player.Character))
                {
                    dealer1.Heading = 27.18369f;
                }
                
                if (Exists(dealer1) && dealer1.isAlive && !Exists(dealer1Blip))
                {
                    dealer1Blip = CreateBlip(dealer1, BlipIcon.Misc_Deal, "Heroin Dealer");
                }
                if (Ekey && !spawnSuppliers1 && Exists(dealer1) && dealer1.isAlive && !buyheroin  && Player.Character.Position.DistanceTo(dealer1.Position) <= 2.0f && Player.Character.Position.DistanceTo(dealer1Pos) <= 2.0f)
                {
                    if (!Exists(supplier))
                    {
                        supplier = World.CreatePed(supplierMod, supplierPos);
                    }
                    if (!Exists(supplier1))
                    {
                        supplier1 = World.CreatePed(supplier1Mod, supplier1Pos);
                    }
                    if (!Exists(supplier2))
                    {
                        supplier2 = World.CreatePed(supplier2Mod, supplier2Pos);
                    }
                    if (!Exists(supplier3))
                    {
                        supplier3 = World.CreatePed(supplier3Mod, supplier3Pos);
                    }
                    if (!Exists(supplier4))
                    {
                        supplier4 = World.CreatePed(supplier4Mod, supplier4Pos);
                    }
                    if (!Exists(supplier5))
                    {
                        supplier5 = World.CreatePed(supplier5Mod, supplier5Pos);
                    }

                 
                    Ekey = false;
                    spawnSuppliers1 = true;
                    dealer1.Task.ClearAll();
                    dealer1.Task.TurnTo(Player.Character);
                    Wait(0x9c4);
                    Game.DisplayText("2 grams of smack coming right up..", 7000);
                    Player.Character.Task.TurnTo(dealer1);
                    Wait(0x9c4);
                    dealer1.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                    Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                    //TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money -= 400;
                    //HeroinAmount();
                    Wait(0x9c4);
                    buyheroin = true;
                    dealer1.Task.ClearAll();
                    dealer1.Task.TurnTo(Player.Character);
                    Wait(0x9c4);
                    //dealer1.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                   // Wait(0x9c4);
                    Game.DisplayText("I need to re-up homie, get back at me.", 7000);
                   
                    Wait(0x9c4);
                    buyheroin = true;
                    dealer1GoToSupplier = true;

                  }
                if (!Ekey && Exists(dealer1) && !dealer1.HasBeenDamagedBy(Player.Character) && !spawnSuppliers1 && dealer1.isAlive && Player.Character.Position.DistanceTo(dealer1.Position) <= 2.0f && Player.Character.Position.DistanceTo(dealer1Pos) <= 2.0f)
                {
                    dealer1.Task.ClearAll();
                    dealer1.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    dealer1.SayAmbientSpeech("Giggle");
                    dealer1.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I got that good H homie what you need.", 7000);
                    Wait(0x9c4);
                }
               
                if (Exists(dealer1) && dealer1.isAlive && !spawnSuppliers1 && dealer1.Position.DistanceTo(dealer1Pos) >= 1.0f && Player.Character.Position.DistanceTo(dealer1.Position) <= 10.0f)
                {
                    dealer1.Task.RunTo(dealer1Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (!spawnSuppliers1 && Exists(dealer1) && dealer1.isAlive && dealer1.Position.DistanceTo(dealer1Pos) <= 1.0f && Player.Character.Position.DistanceTo(dealer1Pos) <= 40.0f && Player.Character.Position.DistanceTo(dealer1Pos) >= 3.0f)
                {
                  
                    dealer1.Task.ClearAll();
                    dealer1.Task.PlayAnimation(new AnimationSet("amb@drugd_idl_a"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                   
                }
            }
        }



        if (Exists(dealer2))
        {
            if (dealer2.HasBeenDamagedBy(Player.Character) && ( dealer2.HasBeenDamagedBy(Player.Character)  && dealer2.Position.DistanceTo(supplier6Pos) <= 10.0f))
            {
                dealer2.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
            }
        }
        if (Exists(dealer2))
        {
            if (!dealer2.HasBeenDamagedBy(Player.Character))
            {
                dealer2.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
            }
        }
        if (Exists(dealer2) && dealer2.isAlive)
        {
            if (Exists(dealer2))
            {
                Function.Call("SET_CHAR_MOVE_ANIM_SPEED_MULTIPLIER", dealer2, 1.8f);
                dealer2.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                dealer2.WillUseCarsInCombat = false;
                dealer2.CanSwitchWeapons = true;
                //dealer2.Weapons.Glock.Ammo = 100;
                //dealer2.Weapons.Glock.Select();
                dealer2.BecomeMissionCharacter();
                dealer2.Task.FightAgainstHatedTargets(50.0f);
                if (!spawnSuppliers2 && Exists(dealer2) && dealer2.Position.DistanceTo(dealer2Pos) <= 1.0f && dealer2.isAlive && !dealer2.HasBeenDamagedBy(Player.Character))
                {
                    dealer2.Heading = 308.8731f;
                }
               
                if (Exists(dealer2) && dealer2.isAlive && !spawnSuppliers2 && dealer2.Position.DistanceTo(dealer2Pos) >= 1.0f && Player.Character.Position.DistanceTo(dealer2.Position) <= 10.0f)
                {
                    dealer2.Task.RunTo(dealer2Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(dealer2) && dealer2.isAlive && !Exists(dealer2Blip))
                {
                    dealer2Blip = CreateBlip(dealer2, BlipIcon.Misc_Deal, "Heroin Dealer");
                }
                if (Ekey && !spawnSuppliers2 && Exists(dealer2) && dealer2.isAlive && !buyheroin  && Player.Character.Position.DistanceTo(dealer2.Position) <= 2.0f && Player.Character.Position.DistanceTo(dealer2Pos) <= 2.0f)
                {
                    if (!Exists(supplier6))
                    {
                        supplier6 = World.CreatePed(supplier6Mod, supplier6Pos);
                    }
                    if (!Exists(supplier7))
                    {
                        supplier7 = World.CreatePed(supplier7Mod, supplier7Pos);
                    }
                    if (!Exists(supplier8))
                    {
                        supplier8 = World.CreatePed(supplier8Mod, supplier8Pos);
                    }
                    if (!Exists(supplier9))
                    {
                        supplier9 = World.CreatePed(supplier9Mod, supplier9Pos);
                    }
                    if (!Exists(supplier10))
                    {
                        supplier10 = World.CreatePed(supplier10Mod, supplier10Pos);
                    }
                    Ekey = false;
                    spawnSuppliers2 = true;
                    dealer2.Task.ClearAll();
                    dealer2.Task.TurnTo(Player.Character);
                    Wait(0x9c4);
                    Game.DisplayText("2 grams of smack coming right up..", 7000);
                    Player.Character.Task.TurnTo(dealer2);
                    Wait(0x9c4);
                    dealer2.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                    Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                    //TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money -= 400;
                   // HeroinAmount();
                    Wait(0x9c4);
                    buyheroin = true;
                    dealer2.Task.ClearAll();
                    dealer2.Task.TurnTo(Player.Character);
                    Wait(0x9c4);
                    //dealer2.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    // Wait(0x9c4);
                    Game.DisplayText("I need to re-up homie, get back at me.", 7000);

                    Wait(0x9c4);
                    buyheroin = true;
                    dealer2GoToSupplier = true;
                }
                if (!Ekey && Exists(dealer2) && !dealer2.HasBeenDamagedBy(Player.Character) && !spawnSuppliers2 && dealer2.isAlive && Player.Character.Position.DistanceTo(dealer2.Position) <= 2.0f && Player.Character.Position.DistanceTo(dealer2Pos) <= 2.0f)
                {
                    dealer2.Task.ClearAll();
                    dealer2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    dealer2.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I got that good H homie what you need.", 7000);
                    Wait(0x9c4);
                }
               

                if (!spawnSuppliers2 && Exists(dealer2) && dealer2.isAlive && dealer2.Position.DistanceTo(dealer2Pos) <= 1.0f && Player.Character.Position.DistanceTo(dealer2Pos) <= 40.0f && Player.Character.Position.DistanceTo(dealer2Pos) >= 3.0f)
                {
                   
                    dealer2.Task.ClearAll();
                    dealer2.Task.PlayAnimation(new AnimationSet("amb@drugd_idl_a"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                   
                }
            }
        }

        if (Exists(dealer5))
        {
            if (dealer5.HasBeenDamagedBy(Player.Character) && ( dealer5.HasBeenDamagedBy(Player.Character)  && dealer5.Position.DistanceTo(supplier11Pos) <= 10.0f))
            {
                dealer5.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
            }
        }
        if (Exists(dealer5))
        {
            if (!dealer5.HasBeenDamagedBy(Player.Character) )
            {
                dealer5.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
            }
        }
        if (Exists(dealer5) && dealer5.isAlive)
        {
            if (Exists(dealer5))
            {
                Function.Call("SET_CHAR_MOVE_ANIM_SPEED_MULTIPLIER", dealer5, 1.5f);
                dealer5.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                //  methBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                //dealer5.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                dealer5.WillUseCarsInCombat = false;
                //dealer5.WantedByPolice = false;
                dealer5.CanSwitchWeapons = true;
                //dealer5.Weapons.Glock.Ammo = 100;
                //dealer5.Weapons.Glock.Select();
                dealer5.BecomeMissionCharacter();
                dealer5.Task.FightAgainstHatedTargets(50.0f);
                if (!spawnSuppliers5 && Exists(dealer5) && dealer5.Position.DistanceTo(dealer5Pos) <= 1.0f && dealer5.isAlive && !dealer5.HasBeenDamagedBy(Player.Character))
                 {
                     dealer5.Heading = 36.99757f;
                 }
                
                if (Exists(dealer5) && dealer5.isAlive && !spawnSuppliers5 && dealer5.Position.DistanceTo(dealer5Pos) >= 1.0f && Player.Character.Position.DistanceTo(dealer5.Position) <= 10.0f)
                {
                    dealer5.Task.RunTo(dealer5Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(dealer5) && dealer5.isAlive && !Exists(dealer5Blip))
                {
                    dealer5Blip = CreateBlip(dealer5, BlipIcon.Misc_Deal, "Meth Dealer");
                }
                if (Ekey && !spawnSuppliers5 && Exists(dealer5) && dealer5.isAlive && !buymeth  && Player.Character.Position.DistanceTo(dealer5.Position) <= 2.0f && Player.Character.Position.DistanceTo(dealer5Pos) <= 2.0f)
                {
                    Ekey = false;
                    spawnSuppliers5 = true;
                    if (!Exists(supplier11))
                    {
                        supplier11 = World.CreatePed(supplier11Mod, supplier11Pos);
                    }
                    if (!Exists(supplier12))
                    {
                        supplier12 = World.CreatePed(supplier12Mod, supplier12Pos);
                    }
                    if (!Exists(supplier13))
                    {
                        supplier13 = World.CreatePed(supplier13Mod, supplier13Pos);
                    }
                    if (!Exists(supplier14))
                    {
                        supplier14 = World.CreatePed(supplier14Mod, supplier14Pos);
                    }
                    if (!Exists(supplier15))
                    {
                        supplier15 = World.CreatePed(supplier15Mod, supplier15Pos);
                    }
                    if (!Exists(supplier16))
                    {
                        supplier16 = World.CreatePed(supplier16Mod, supplier16Pos);
                    }
                    dealer5.Task.ClearAll();
                    dealer5.Task.TurnTo(Player.Character);
                    Wait(0x9c4);
                    Game.DisplayText("2 grams of crystal coming right up..", 7000);
                    Player.Character.Task.TurnTo(dealer5);
                    Wait(0x9c4);
                    dealer5.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                    Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                    //TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money -= 400;
                    //MethAmount();
                    Wait(0x9c4);
                    buymeth = true;
                    dealer5.Task.ClearAll();
                    dealer5.Task.TurnTo(Player.Character);
                    Wait(0x9c4);
                    //dealer5.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    // Wait(0x9c4);
                    Game.DisplayText("I need to re-up homie, get back at me.", 7000);
                    //dealer5.SayAmbientSpeech("Generic_f*ck_off");
                    Wait(0x9c4);
                    buymeth = true;
                    dealer5GoToSupplier = true;

                }
                if (!Ekey && Exists(dealer5) && !dealer5.HasBeenDamagedBy(Player.Character) && !spawnSuppliers5 && dealer5.isAlive  && Player.Character.Position.DistanceTo(dealer5.Position) <= 2.0f && Player.Character.Position.DistanceTo(dealer5Pos) <= 2.0f)
                {
                    dealer5.Task.ClearAll();
                    dealer5.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    dealer5.SayAmbientSpeech("Giggle");
                    dealer5.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I got that crystal meth homie what you need.", 7000);
                    Wait(0x9c4);
                }
                

                if (!spawnSuppliers5 && Exists(dealer5) && dealer5.isAlive && dealer5.Position.DistanceTo(dealer5Pos) <= 1.0f && Player.Character.Position.DistanceTo(dealer5Pos) <= 40.0f && Player.Character.Position.DistanceTo(dealer5Pos) >= 3.0f)
                {
                  
                    dealer5.Task.ClearAll();
                    dealer5.Task.PlayAnimation(new AnimationSet("amb@drugd_idl_a"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                   
                }
            }
        }

        if (Exists(dealer9))
        {
            if (dealer9.HasBeenDamagedBy(Player.Character) && ( dealer9.HasBeenDamagedBy(Player.Character)  && dealer9.Position.DistanceTo(supplier17Pos) <= 10.0f))
            {
                dealer9.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
            }
        }
        if (Exists(dealer9))
        {
            if (!dealer9.HasBeenDamagedBy(Player.Character) )
            {
                dealer9.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
            }
        }
        if (Exists(dealer9) && dealer9.isAlive)
        {
            if (Exists(dealer9))
            {
                Function.Call("SET_CHAR_MOVE_ANIM_SPEED_MULTIPLIER", dealer9, 1.5f);
                dealer9.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                //  methBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                //dealer9.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                dealer9.WillUseCarsInCombat = false;
                //dealer9.WantedByPolice = false;
                dealer9.CanSwitchWeapons = true;
                //dealer9.Weapons.Glock.Ammo = 100;
                //dealer9.Weapons.Glock.Select();
                dealer9.BecomeMissionCharacter();
                dealer9.Task.FightAgainstHatedTargets(50.0f);
                if (!spawnSuppliers13 && Exists(dealer9) && dealer9.Position.DistanceTo(dealer9Pos) <= 1.0f && dealer9.isAlive && !dealer9.HasBeenDamagedBy(Player.Character))
                 {
                     dealer9.Heading = 126.3479f;
                  }
               
                if (Exists(dealer9) && dealer9.isAlive && !spawnSuppliers9 && dealer9.Position.DistanceTo(dealer9Pos) >= 1.0f && Player.Character.Position.DistanceTo(dealer9.Position) <= 10.0f)
                {
                    dealer9.Task.RunTo(dealer9Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(dealer9) && dealer9.isAlive && !Exists(dealer9Blip))
                {
                    dealer9Blip = CreateBlip(dealer9, BlipIcon.Misc_Deal, "Weed Dealer");
                }
                if (Ekey && !spawnSuppliers9 && Exists(dealer9) && dealer9.isAlive && !buyweed  && Player.Character.Position.DistanceTo(dealer9.Position) <= 2.0f && Player.Character.Position.DistanceTo(dealer9Pos) <= 2.0f)
                {
                    Ekey = false;
                    spawnSuppliers9 = true;
                    if (!Exists(supplier17))
                    {
                        supplier17 = World.CreatePed(supplier17Mod, supplier17Pos);
                    }
                    if (!Exists(supplier18))
                    {
                        supplier18 = World.CreatePed(supplier18Mod, supplier18Pos);
                    }
                    if (!Exists(supplier19))
                    {
                        supplier19 = World.CreatePed(supplier19Mod, supplier19Pos);
                    }
                    if (!Exists(supplier20))
                    {
                        supplier20 = World.CreatePed(supplier20Mod, supplier20Pos);
                    }
                    if (!Exists(supplier21))
                    {
                        supplier21 = World.CreatePed(supplier21Mod, supplier21Pos);
                    }
                    if (!Exists(supplier22))
                    {
                        supplier22 = World.CreatePed(supplier22Mod, supplier22Pos);
                    }
                    dealer9.Task.ClearAll();
                    dealer9.Task.TurnTo(Player.Character);
                    Wait(0x9c4);
                    Game.DisplayText("2 ounces of killer coming right up..", 7000);
                    Player.Character.Task.TurnTo(dealer9);
                    Wait(0x9c4);
                    dealer9.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                    Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                    //TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money -= 400;
                    //WeedAmount();
                    Wait(0x9c4);
                    buyweed = true;
                    dealer9.Task.ClearAll();
                    dealer9.Task.TurnTo(Player.Character);
                    Wait(0x9c4);
                    //dealer9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    // Wait(0x9c4);
                    Game.DisplayText("I need to re-up homie, get back at me.", 7000);
                    dealer9.SayAmbientSpeech("Generic_f*ck_off");
                    Wait(0x9c4);
                    buyweed = true;
                    dealer9GoToSupplier = true;

                }
                if (!Ekey && Exists(dealer9) && !dealer9.HasBeenDamagedBy(Player.Character) && !spawnSuppliers9 && dealer9.isAlive && Player.Character.Position.DistanceTo(dealer9.Position) <= 2.0f && Player.Character.Position.DistanceTo(dealer9Pos) <= 2.0f)
                {
                    dealer9.Task.ClearAll();
                    dealer9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    dealer9.SayAmbientSpeech("Giggle");
                    dealer9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I got that good hydro homie what you need.", 7000);
                    Wait(0x9c4);
                }
               
                if (!spawnSuppliers9 && Exists(dealer9) && dealer9.isAlive && dealer9.Position.DistanceTo(dealer9Pos) <= 1.0f && Player.Character.Position.DistanceTo(dealer9Pos) <= 40.0f && Player.Character.Position.DistanceTo(dealer9Pos) >= 3.0f)
                {
                    dealer9.SayAmbientSpeech("cough");
                    dealer9.Task.PlayAnimation(new AnimationSet("amb@drugd_idl_a"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                   
                }
            }
        }
        if (Exists(dealer13))
        {
            if (dealer13.HasBeenDamagedBy(Player.Character) && ( dealer13.HasBeenDamagedBy(Player.Character) && !dealer13Talked && dealer13.Position.DistanceTo(supplier23Pos) <= 10.0f))
            {
                dealer13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
            }
        }
        if (Exists(dealer13))
        {
            if (!dealer13.HasBeenDamagedBy(Player.Character))
            {
                dealer13.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
            }
        }
        if (Exists(dealer13) && dealer13.isAlive)
        {
            if (Exists(dealer13))
            {
                Function.Call("SET_CHAR_MOVE_ANIM_SPEED_MULTIPLIER", dealer13, 1.5f);
                dealer13.RelationshipGroup = RelationshipGroup.Gang_AfricanAmerican;
                //  methBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                //dealer13.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                dealer13.WillUseCarsInCombat = false;
                //dealer13.WantedByPolice = false;
                dealer13.CanSwitchWeapons = true;
                //dealer13.Weapons.Glock.Ammo = 100;
                //dealer13.Weapons.Glock.Select();
                dealer13.BecomeMissionCharacter();
                dealer13.Task.FightAgainstHatedTargets(50.0f);
                if (!spawnSuppliers13 && Exists(dealer13) && dealer13.Position.DistanceTo(dealer13Pos) <= 1.0f && dealer13.isAlive && !dealer13.HasBeenDamagedBy(Player.Character))
                {
                    dealer13.Heading = 260.6442f;
                }
               
                if (Exists(dealer13) && dealer13.isAlive && !spawnSuppliers13 && dealer13.Position.DistanceTo(dealer13Pos) >= 1.0f && Player.Character.Position.DistanceTo(dealer13.Position) <= 10.0f)
                {
                    dealer13.Task.RunTo(dealer13Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(dealer13) && dealer13.isAlive && !Exists(dealer13Blip))
                {
                    dealer13Blip = CreateBlip(dealer13, BlipIcon.Misc_Deal, "Cocaine Dealer");
                }
                if (Ekey && !spawnSuppliers13 && Exists(dealer13) && dealer13.isAlive && !buyCocaine  && Player.Character.Position.DistanceTo(dealer13.Position) <= 2.0f && Player.Character.Position.DistanceTo(dealer13Pos) <= 2.0f)
                {
                    Ekey = false;
                    spawnSuppliers13 = true;
                    if (!Exists(supplier23))
                    {
                        supplier23 = World.CreatePed(supplier23Mod, supplier23Pos);
                    }
                    if (!Exists(supplier24))
                    {
                        supplier24 = World.CreatePed(supplier24Mod, supplier24Pos);
                    }
                    if (!Exists(supplier25))
                    {
                        supplier25 = World.CreatePed(supplier25Mod, supplier25Pos);
                    }
                    if (!Exists(supplier26))
                    {
                        supplier26 = World.CreatePed(supplier26Mod, supplier26Pos);
                    }
                    if (!Exists(supplier27))
                    {
                        supplier27 = World.CreatePed(supplier27Mod, supplier27Pos);
                    }
                    if (!Exists(supplier28))
                    {
                        supplier28 = World.CreatePed(supplier28Mod, supplier28Pos);
                    }
                    dealer13.Task.ClearAll();
                    dealer13.Task.TurnTo(Player.Character);
                    Wait(0x9c4);
                    Game.DisplayText("2 grams of blow coming right up..", 7000);
                    Player.Character.Task.TurnTo(dealer13);
                    Wait(0x9c4);
                    dealer13.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                    Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                    //TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money -= 400;
                   // CocaineAmount();
                    Wait(0x9c4);
                    buyCocaine = true;
                    dealer13.Task.ClearAll();
                    dealer13.Task.TurnTo(Player.Character);
                    Wait(0x9c4);
                    //dealer13.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    // Wait(0x9c4);
                    Game.DisplayText("I need to re-up homie, get back at me.", 7000);
                    dealer13.SayAmbientSpeech("Generic_f*ck_off");
                    Wait(0x9c4);
                    buyCocaine = true;
                    dealer13GoToSupplier = true;

                }
                if (!Ekey && Exists(dealer13) && !dealer13.HasBeenDamagedBy(Player.Character) && !spawnSuppliers13 && dealer13.isAlive && Player.Character.Position.DistanceTo(dealer13.Position) <= 2.0f && Player.Character.Position.DistanceTo(dealer13Pos) <= 2.0f)
                {
                    dealer13.Task.ClearAll();
                    dealer13.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    dealer13.SayAmbientSpeech("Giggle");
                    dealer13.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I got that cocaine homie what you need.", 7000);
                    Wait(0x9c4);
                }
               

                if (!spawnSuppliers13 && Exists(dealer13) && dealer13.isAlive && dealer13.Position.DistanceTo(dealer13Pos) <= 1.0f && Player.Character.Position.DistanceTo(dealer13Pos) <= 40.0f && Player.Character.Position.DistanceTo(dealer13Pos) >= 3.0f)
                {
                   
                    dealer13.Task.ClearAll();
                    dealer13.SayAmbientSpeech("Giggle");
                    dealer13.Task.PlayAnimation(new AnimationSet("amb@drugd_idl_a"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                   
                }
            }
        }
        if (Exists(hooker1) && hooker1.isAlive)
        {
            if (Exists(hooker1))
            {
               hooker1.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
               hooker1.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker1.WillUseCarsInCombat = false;
               hooker1.WantedByPolice = false;
               hooker1.BecomeMissionCharacter();
               hooker1.BlockPermanentEvents = true;
               hooker1.Task.AlwaysKeepTask = true;
               // methBuyer.Task.FightAgainstHatedTargets(50.0f);
               if (Exists(hooker1) && hooker1.Position.DistanceTo(hooker1Pos) <= 1.0f && hooker1.isAlive)
                {
                    hooker1.Heading = 241.4046f;
                }
              
               if (Exists(hooker1) && hooker1.isAlive && !Exists(hooker1Blip))
                {
                    hooker1Blip = CreateBlip(hooker1, BlipIcon.Activity_StripClub, "Girl 1");
                }

               if (Exists(hooker1) && hooker1.isAlive && hooker1.Health >= 51 && !hooker1Paid && Player.Character.Position.DistanceTo(hooker1.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker1Pos) <= 2.0f)
               {
                   hooker1.Task.ClearAll();
                   hooker1.Task.TurnTo(Player.Character);
                   if (!Ekey)
                   {
                       Wait(0x9c4);
                   }

                   hooker1.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                   if (!Ekey)
                   {
                       Wait(0x9c4);
                   } Game.DisplayText("I did't earn any money yet today daddy..", 7000);
                   hooker1.SayAmbientSpeech("Giggle"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic
                  Wait(0x9c4);
                   //Player.Money += 900;
                   
               }
                if (Exists(hooker1) && hooker1.isAlive && hooker1.Health <= 50 && !hooker1Paid && Player.Character.Position.DistanceTo(hooker1.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker1Pos) <= 2.0f)
                {
                    hooker1.Task.ClearAll();
                    hooker1.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker1.SayAmbientSpeech("Crying"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                    hooker1.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Sorry i lied daddy here's your money, i'll have more for you later.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker1.Health = 100;
                    hooker1Paid = true;
                }

                if (Exists(hooker1) && hooker1.isAlive && hooker1Paid && Player.Character.Position.DistanceTo(hooker1.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker1Pos) <= 2.0f)
                {
                    hooker1.Task.ClearAll();
                    hooker1.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker1.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll have more for you later daddy.", 7000);
                   Wait(0x9c4);
                  
                }

                if (Exists(hooker1) && hooker1.isAlive && hooker1.Position.DistanceTo(hooker1Pos) >= 1.0f && hooker1.Position.DistanceTo(hooker1Pos) <= 40.0f)
                {
                    hooker1.Task.RunTo(hooker1Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker1) && hooker1.isAlive && hooker1.Position.DistanceTo(hooker1Pos) >= 40.0f && hooker1.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker1.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker1.Task.ClearAll();
                    }
                }
                if (Exists(hooker1) && hooker1.isAlive && hooker1.Position.DistanceTo(hooker1Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker1Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker1Pos) >= 3.0f)
                {
                    hooker1.Task.ClearAll();
                    hooker1.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker1.Task.ClearAll();
                    hooker1.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker1.Task.ClearAll();
                    hooker1.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker1.SayAmbientSpeech("Generic_Hi"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                }
                if (Exists(hooker1) && hooker1.isAlive && Player.Character.Position.DistanceTo(hooker1Pos) >= 300.0f)
                {
                    hooker1Paid = false;
                    hooker1.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker1) && hooker1.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker1.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker1Pos) >= 15.0f && Exists(hooker1) && !hooker1.isInVehicle(closestVehicle) && hooker1.Position.DistanceTo(hooker1Pos) >= 40.0f)
                {
                    hooker1.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker1) && hooker1.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker1.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
               Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker1Pos) >= 15.0f && Exists(hooker1) && !hooker1.isInVehicle(closestVehicle) && hooker1.Position.DistanceTo(hooker1Pos) >= 40.0f)
        {
            hooker1.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }

        if (Exists(hooker2) && hooker2.isAlive)
        {
            if (Exists(hooker2))
            {
                hooker2.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker2.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker2.WillUseCarsInCombat = false;
                hooker2.WantedByPolice = false;
                hooker2.BecomeMissionCharacter();
                hooker2.BlockPermanentEvents = true;
                hooker2.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker2) && hooker2.Position.DistanceTo(hooker2Pos) <= 1.0f && hooker2.isAlive)
                {
                    hooker2.Heading = 236.8442f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker2) && hooker2.isAlive && !Exists(hooker2Blip))
                {
                    hooker2Blip = CreateBlip(hooker2, BlipIcon.Activity_StripClub, "Girl 2");
                }

                if (Exists(hooker2) && hooker2.isAlive && hooker2.Health >= 51 && !hooker2Paid && Player.Character.Position.DistanceTo(hooker2.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker2Pos) <= 2.0f)
                {
                    hooker2.Task.ClearAll();
                    hooker2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker2.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I spent all the money on condoms, you know i'm good for it..", 7000);
                    hooker2.SayAmbientSpeech("Laugh"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker2) && hooker2.isAlive && hooker2.Health <= 50 && !hooker2Paid && Player.Character.Position.DistanceTo(hooker2.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker2Pos) <= 2.0f)
                {
                    hooker2.Task.ClearAll();
                    hooker2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker2.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Sorry i got out of line, i'll wise up baby.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker2.Health = 100;
                    hooker2Paid = true;
                }

                if (Exists(hooker2) && hooker2.isAlive && hooker2Paid && Player.Character.Position.DistanceTo(hooker2.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker2Pos) <= 2.0f)
                {
                    hooker2.Task.ClearAll();
                    hooker2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker2.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll earn right for you baby, come see me soon.", 7000);
                    hooker2.SayAmbientSpeech("Panic"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);

                }

                if (Exists(hooker2) && hooker2.isAlive && hooker2.Position.DistanceTo(hooker2Pos) >= 1.0f && hooker2.Position.DistanceTo(hooker2Pos) <= 40.0f)
                {
                    hooker2.Task.RunTo(hooker2Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker2) && hooker2.isAlive && hooker2.Position.DistanceTo(hooker2Pos) >= 40.0f && hooker2.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker2.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker2.Task.ClearAll();
                    }
                }
                if (Exists(hooker2) && hooker2.isAlive && hooker2.Position.DistanceTo(hooker2Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker2Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker2Pos) >= 3.0f)
                {
                    hooker2.Task.ClearAll();
                    hooker2.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker2.Task.ClearAll();
                    hooker2.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker2.Task.ClearAll();
                    hooker2.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker2.SayAmbientSpeech("Generic_Hi"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                }
                if (Exists(hooker2) && hooker2.isAlive && Player.Character.Position.DistanceTo(hooker2Pos) >= 201.0f)
                {
                    hooker2Paid = false;
                    hooker2.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker2) && hooker2.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker2.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker2Pos) >= 15.0f && Exists(hooker2) && !hooker2.isInVehicle(closestVehicle) && hooker2.Position.DistanceTo(hooker2Pos) >= 40.0f)
                {
                    hooker2.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker2) && hooker2.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker2.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker2Pos) >= 15.0f && Exists(hooker2) && !hooker2.isInVehicle(closestVehicle) && hooker2.Position.DistanceTo(hooker2Pos) >= 40.0f)
        {
            hooker2.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }

        if (Exists(hooker3) && hooker3.isAlive)
        {
            if (Exists(hooker3))
            {
                hooker3.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker3.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker3.WillUseCarsInCombat = false;
                hooker3.WantedByPolice = false;
                hooker3.BecomeMissionCharacter();
                hooker3.BlockPermanentEvents = true;
                hooker3.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker3) && hooker3.Position.DistanceTo(hooker3Pos) <= 1.0f && hooker3.isAlive)
                {
                    hooker3.Heading = 121.0788f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker3) && hooker3.isAlive && !Exists(hooker3Blip))
                {
                    hooker3Blip = CreateBlip(hooker3, BlipIcon.Activity_StripClub, "Girl 3");
                }

                if (Exists(hooker3) && hooker3.isAlive && hooker3.Health >= 51 && !hooker3Paid && Player.Character.Position.DistanceTo(hooker3.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker3Pos) <= 2.0f)
                {
                    hooker3.Task.ClearAll();
                    hooker3.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker3.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I got robbed, i don't have a penny baby.", 7000);
                    hooker3.SayAmbientSpeech("Giggle"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker3) && hooker3.isAlive && hooker3.Health <= 50 && !hooker3Paid && Player.Character.Position.DistanceTo(hooker3.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker3Pos) <= 2.0f)
                {
                    hooker3.Task.ClearAll();
                    hooker3.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker3.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("My bad here's your money honey.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker3.Health = 100;
                    hooker3Paid = true;
                }

                if (Exists(hooker3) && hooker3.isAlive && hooker3Paid && Player.Character.Position.DistanceTo(hooker3.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker3Pos) <= 2.0f)
                {
                    hooker3.Task.ClearAll();
                    hooker3.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker3.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll have the rest after a few dates daddy. ", 7000);
                    hooker3.SayAmbientSpeech("Panic"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);

                }

                if (Exists(hooker3) && hooker3.isAlive && hooker3.Position.DistanceTo(hooker3Pos) >= 1.0f && hooker3.Position.DistanceTo(hooker3Pos) <= 40.0f)
                {
                    hooker3.Task.RunTo(hooker3Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker3) && hooker3.isAlive && hooker3.Position.DistanceTo(hooker3Pos) >= 40.0f && hooker3.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker3.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker3.Task.ClearAll();
                    }
                }
                if (Exists(hooker3) && hooker3.isAlive && hooker3.Position.DistanceTo(hooker3Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker3Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker3Pos) >= 3.0f)
                {
                    hooker3.Task.ClearAll();
                    hooker3.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker3.Task.ClearAll();
                    hooker3.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker3.Task.ClearAll();
                    hooker3.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker3.SayAmbientSpeech("Generic_Hi"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                }
                if (Exists(hooker3) && hooker3.isAlive && Player.Character.Position.DistanceTo(hooker3Pos) >= 300.0f)
                {
                    hooker3Paid = false;
                    hooker3.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker3) && hooker3.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker3.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker3Pos) >= 15.0f && Exists(hooker3) && !hooker3.isInVehicle(closestVehicle) && hooker3.Position.DistanceTo(hooker3Pos) >= 40.0f)
                {
                    hooker3.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker3) && hooker3.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker3.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker3Pos) >= 15.0f && Exists(hooker3) && !hooker3.isInVehicle(closestVehicle) && hooker3.Position.DistanceTo(hooker3Pos) >= 40.0f)
        {
            hooker3.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }

        if (Exists(hooker4) && hooker4.isAlive)
        {
            if (Exists(hooker4))
            {
                hooker4.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker4.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker4.WillUseCarsInCombat = false;
                hooker4.WantedByPolice = false;
                hooker4.BecomeMissionCharacter();
                hooker4.BlockPermanentEvents = true;
                hooker4.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker4) && hooker4.Position.DistanceTo(hooker4Pos) <= 1.0f && hooker4.isAlive)
                {
                    hooker4.Heading = 213.2882f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker4) && hooker4.isAlive && !Exists(hooker4Blip))
                {
                    hooker4Blip = CreateBlip(hooker4, BlipIcon.Activity_StripClub, "Girl 4");
                }

                if (Exists(hooker4) && hooker4.isAlive && hooker4.Health >= 51 && !hooker4Paid && Player.Character.Position.DistanceTo(hooker4.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker4Pos) <= 2.0f)
                {
                    hooker4.Task.ClearAll();
                    hooker4.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker4.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'm sick i need a few extra dollars today baby.", 7000);
                    hooker4.SayAmbientSpeech("Giggle"); //hooker4.SayAmbientSpeech("Laugh"); Generic_No Crying Panic
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker4) && hooker4.isAlive && hooker4.Health <= 50 && !hooker4Paid && Player.Character.Position.DistanceTo(hooker4.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker4Pos) <= 2.0f)
                {
                    hooker4.Task.ClearAll();
                    hooker4.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker4.SayAmbientSpeech("Crying"); //hooker4.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                    hooker4.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Your right daddy i shouldn't hold out from you.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker4.Health = 100;
                    hooker4Paid = true;
                }

                if (Exists(hooker4) && hooker4.isAlive && hooker4Paid && Player.Character.Position.DistanceTo(hooker4.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker4Pos) <= 2.0f)
                {
                    hooker4.Task.ClearAll();
                    hooker4.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker4.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll have more for you later daddy.", 7000);
                   Wait(0x9c4);

                }

                if (Exists(hooker4) && hooker4.isAlive && hooker4.Position.DistanceTo(hooker4Pos) >= 1.0f && hooker4.Position.DistanceTo(hooker4Pos) <= 40.0f)
                {
                    hooker4.Task.RunTo(hooker4Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker4) && hooker4.isAlive && hooker4.Position.DistanceTo(hooker4Pos) >= 40.0f && hooker4.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker4.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker4.Task.ClearAll();
                    }
                }
                if (Exists(hooker4) && hooker4.isAlive && hooker4.Position.DistanceTo(hooker4Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker4Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker4Pos) >= 3.0f)
                {
                    hooker4.Task.ClearAll();
                    hooker4.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker4.Task.ClearAll();
                    hooker4.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker4.Task.ClearAll();
                    hooker4.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker4.SayAmbientSpeech("Generic_Hi"); //hooker4.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                }
                if (Exists(hooker4) && hooker4.isAlive && Player.Character.Position.DistanceTo(hooker4Pos) >= 300.0f)
                {
                    hooker4Paid = false;
                    hooker4.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker4) && hooker4.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker4.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker4Pos) >= 15.0f && Exists(hooker4) && !hooker4.isInVehicle(closestVehicle) && hooker4.Position.DistanceTo(hooker4Pos) >= 40.0f)
                {
                    hooker4.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker4) && hooker4.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker4.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
               Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker4Pos) >= 15.0f && Exists(hooker4) && !hooker4.isInVehicle(closestVehicle) && hooker4.Position.DistanceTo(hooker4Pos) >= 40.0f)
        {
            hooker4.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }

        if (Exists(hooker5) && hooker5.isAlive)
        {
            if (Exists(hooker5))
            {
                hooker5.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker5.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker5.WillUseCarsInCombat = false;
                hooker5.WantedByPolice = false;
                hooker5.BecomeMissionCharacter();
                hooker5.BlockPermanentEvents = true;
                hooker5.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker5) && hooker5.Position.DistanceTo(hooker5Pos) <= 1.0f && hooker5.isAlive)
                {
                    hooker5.Heading = 109.7738f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker5) && hooker5.isAlive && !Exists(hooker5Blip))
                {
                    hooker5Blip = CreateBlip(hooker5, BlipIcon.Activity_StripClub, "Girl 5");
                }

                if (Exists(hooker5) && hooker5.isAlive && hooker5.Health >= 51 && !hooker5Paid && Player.Character.Position.DistanceTo(hooker5.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker5Pos) <= 2.0f)
                {
                    hooker5.Task.ClearAll();
                    hooker5.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker5.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I ain't paying you shit pimp!", 7000);
                    hooker5.SayAmbientSpeech("Laugh"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker5) && hooker5.isAlive && hooker5.Health <= 50 && !hooker5Paid && Player.Character.Position.DistanceTo(hooker5.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker5Pos) <= 2.0f)
                {
                    hooker5.Task.ClearAll();
                    hooker5.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker5.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Sorry i got out of line, i'll wise up baby.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker5.Health = 100;
                    hooker5Paid = true;
                }

                if (Exists(hooker5) && hooker5.isAlive && hooker5Paid && Player.Character.Position.DistanceTo(hooker5.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker5Pos) <= 2.0f)
                {
                    hooker5.Task.ClearAll();
                    hooker5.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker5.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll watch my mouth big daddy, cum see me later.", 7000);
                    hooker5.SayAmbientSpeech("Panic"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);

                }

                if (Exists(hooker5) && hooker5.isAlive && hooker5.Position.DistanceTo(hooker5Pos) >= 1.0f && hooker5.Position.DistanceTo(hooker5Pos) <= 40.0f)
                {
                    hooker5.Task.RunTo(hooker5Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker5) && hooker5.isAlive && hooker5.Position.DistanceTo(hooker5Pos) >= 40.0f && hooker5.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker5.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker5.Task.ClearAll();
                    }
                }
                if (Exists(hooker5) && hooker5.isAlive && hooker5.Position.DistanceTo(hooker5Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker5Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker5Pos) >= 3.0f)
                {
                    hooker5.Task.ClearAll();
                    hooker5.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker5.Task.ClearAll();
                    hooker5.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker5.Task.ClearAll();
                    hooker5.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker5.SayAmbientSpeech("Generic_Hi"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                }
                if (Exists(hooker5) && hooker5.isAlive && Player.Character.Position.DistanceTo(hooker5Pos) >= 201.0f)
                {
                    hooker5Paid = false;
                    hooker5.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker5) && hooker5.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker5.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker5Pos) >= 15.0f && Exists(hooker5) && !hooker5.isInVehicle(closestVehicle) && hooker5.Position.DistanceTo(hooker5Pos) >= 40.0f)
                {
                    hooker5.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker5) && hooker5.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker5.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker5Pos) >= 15.0f && Exists(hooker5) && !hooker5.isInVehicle(closestVehicle) && hooker5.Position.DistanceTo(hooker5Pos) >= 40.0f)
        {
            hooker5.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(hooker6) && hooker6.isAlive)
        {
            if (Exists(hooker6))
            {
                hooker6.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker6.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker6.WillUseCarsInCombat = false;
                hooker6.WantedByPolice = false;
                hooker6.BecomeMissionCharacter();
                hooker6.BlockPermanentEvents = true;
                hooker6.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker6) && hooker6.Position.DistanceTo(hooker6Pos) <= 1.0f && hooker6.isAlive)
                {
                    hooker6.Heading = 247.6584f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker6) && hooker6.isAlive && !Exists(hooker6Blip))
                {
                    hooker6Blip = CreateBlip(hooker6, BlipIcon.Activity_StripClub, "Girl 6");
                }

                if (Exists(hooker6) && hooker6.isAlive && hooker6.Health >= 51 && !hooker6Paid && Player.Character.Position.DistanceTo(hooker6.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker6Pos) <= 2.0f)
                {
                    hooker6.Task.ClearAll();
                    hooker6.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker6.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I lost all the money, you want something else big daddy?", 7000);
                    hooker6.SayAmbientSpeech("Giggle"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker6) && hooker6.isAlive && hooker6.Health <= 50 && !hooker6Paid && Player.Character.Position.DistanceTo(hooker6.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker6Pos) <= 2.0f)
                {
                    hooker6.Task.ClearAll();
                    hooker6.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker6.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Sorry i held back big daddy, i'll have more money later.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker6.Health = 100;
                    hooker6Paid = true;
                }

                if (Exists(hooker6) && hooker6.isAlive && hooker6Paid && Player.Character.Position.DistanceTo(hooker6.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker6Pos) <= 2.0f)
                {
                    hooker6.Task.ClearAll();
                    hooker6.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker6.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll have the money after a few dates daddy. ", 7000);
                    hooker6.SayAmbientSpeech("Panic"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);

                }

                if (Exists(hooker6) && hooker6.isAlive && hooker6.Position.DistanceTo(hooker6Pos) >= 1.0f && hooker6.Position.DistanceTo(hooker6Pos) <= 40.0f)
                {
                    hooker6.Task.RunTo(hooker6Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker6) && hooker6.isAlive && hooker6.Position.DistanceTo(hooker6Pos) >= 40.0f && hooker6.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker6.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker6.Task.ClearAll();
                    }
                }
                if (Exists(hooker6) && hooker6.isAlive && hooker6.Position.DistanceTo(hooker6Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker6Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker6Pos) >= 3.0f)
                {
                    hooker6.Task.ClearAll();
                    hooker6.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker6.Task.ClearAll();
                    hooker6.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker6.Task.ClearAll();
                    hooker6.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker6.SayAmbientSpeech("Generic_Hi"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                }
                if (Exists(hooker6) && hooker6.isAlive && Player.Character.Position.DistanceTo(hooker6Pos) >= 300.0f)
                {
                    hooker6Paid = false;
                    hooker6.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker6) && hooker6.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker6.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker6Pos) >= 15.0f && Exists(hooker6) && !hooker6.isInVehicle(closestVehicle) && hooker6.Position.DistanceTo(hooker6Pos) >= 40.0f)
                {
                    hooker6.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker6) && hooker6.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker6.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker6Pos) >= 15.0f && Exists(hooker6) && !hooker6.isInVehicle(closestVehicle) && hooker6.Position.DistanceTo(hooker6Pos) >= 40.0f)
        {
            hooker6.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(hooker7) && hooker7.isAlive)
        {
            if (Exists(hooker7))
            {
                hooker7.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker7.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker7.WillUseCarsInCombat = false;
                hooker7.WantedByPolice = false;
                hooker7.BecomeMissionCharacter();
                hooker7.BlockPermanentEvents = true;
                hooker7.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker7) && hooker7.Position.DistanceTo(hooker7Pos) <= 1.0f && hooker7.isAlive)
                {
                    hooker7.Heading = 355.9124f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker7) && hooker7.isAlive && !Exists(hooker7Blip))
                {
                    hooker7Blip = CreateBlip(hooker7, BlipIcon.Activity_StripClub, "Girl 1");
                }

                if (Exists(hooker7) && hooker7.isAlive && hooker7.Health >= 51 && !hooker7Paid && Player.Character.Position.DistanceTo(hooker7.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker7Pos) <= 2.0f)
                {
                    hooker7.Task.ClearAll();
                    hooker7.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker7.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("The cops busted my and took all your money, sorry baby.", 7000);
                    hooker7.SayAmbientSpeech("Giggle"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker7) && hooker7.isAlive && hooker7.Health <= 50 && !hooker7Paid && Player.Character.Position.DistanceTo(hooker7.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker7Pos) <= 2.0f)
                {
                    hooker7.Task.ClearAll();
                    hooker7.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker7.SayAmbientSpeech("Crying"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                    hooker7.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Sorry i lied daddy here's your money, i'll have more for you later.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker7.Health = 100;
                    hooker7Paid = true;
                }

                if (Exists(hooker7) && hooker7.isAlive && hooker7Paid && Player.Character.Position.DistanceTo(hooker7.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker7Pos) <= 2.0f)
                {
                    hooker7.Task.ClearAll();
                    hooker7.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker7.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll have more for you later daddy.", 7000);
                   Wait(0x9c4);

                }

                if (Exists(hooker7) && hooker7.isAlive && hooker7.Position.DistanceTo(hooker7Pos) >= 1.0f && hooker7.Position.DistanceTo(hooker7Pos) <= 40.0f)
                {
                    hooker7.Task.RunTo(hooker7Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker7) && hooker7.isAlive && hooker7.Position.DistanceTo(hooker7Pos) >= 40.0f && hooker7.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker7.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker7.Task.ClearAll();
                    }
                }
                if (Exists(hooker7) && hooker7.isAlive && hooker7.Position.DistanceTo(hooker7Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker7Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker7Pos) >= 3.0f)
                {
                    hooker7.Task.ClearAll();
                    hooker7.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker7.Task.ClearAll();
                    hooker7.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker7.Task.ClearAll();
                    hooker7.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker7.SayAmbientSpeech("Generic_Hi"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                }
                if (Exists(hooker7) && hooker7.isAlive && Player.Character.Position.DistanceTo(hooker7Pos) >= 300.0f)
                {
                    hooker7Paid = false;
                    hooker7.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker7) && hooker7.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker7.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker7Pos) >= 15.0f && Exists(hooker7) && !hooker7.isInVehicle(closestVehicle) && hooker7.Position.DistanceTo(hooker7Pos) >= 40.0f)
                {
                    hooker7.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker7) && hooker7.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker7.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
               Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker7Pos) >= 15.0f && Exists(hooker7) && !hooker7.isInVehicle(closestVehicle) && hooker7.Position.DistanceTo(hooker7Pos) >= 40.0f)
        {
            hooker7.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }

        if (Exists(hooker8) && hooker8.isAlive)
        {
            if (Exists(hooker8))
            {
                hooker8.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker8.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker8.WillUseCarsInCombat = false;
                hooker8.WantedByPolice = false;
                hooker8.BecomeMissionCharacter();
                hooker8.BlockPermanentEvents = true;
                hooker8.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker8) && hooker8.Position.DistanceTo(hooker8Pos) <= 1.0f && hooker8.isAlive)
                {
                    hooker8.Heading = 307.2893f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker8) && hooker8.isAlive && !Exists(hooker8Blip))
                {
                    hooker8Blip = CreateBlip(hooker8, BlipIcon.Activity_StripClub, "Girl 2");
                }

                if (Exists(hooker8) && hooker8.isAlive && hooker8.Health >= 51 && !hooker8Paid && Player.Character.Position.DistanceTo(hooker8.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker8Pos) <= 2.0f)
                {
                    hooker8.Task.ClearAll();
                    hooker8.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker8.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'm not feeling good baby, i need a few dollars for the clinic.", 7000);
                    hooker8.SayAmbientSpeech("Laugh"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker8) && hooker8.isAlive && hooker8.Health <= 50 && !hooker8Paid && Player.Character.Position.DistanceTo(hooker8.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker8Pos) <= 2.0f)
                {
                    hooker8.Task.ClearAll();
                    hooker8.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker8.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Sorry i got out of line, i'll wise up baby.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker8.Health = 100;
                    hooker8Paid = true;
                }

                if (Exists(hooker8) && hooker8.isAlive && hooker8Paid && Player.Character.Position.DistanceTo(hooker8.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker8Pos) <= 2.0f)
                {
                    hooker8.Task.ClearAll();
                    hooker8.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker8.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll earn right for you baby, come see me soon.", 7000);
                    hooker8.SayAmbientSpeech("Panic"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);

                }

                if (Exists(hooker8) && hooker8.isAlive && hooker8.Position.DistanceTo(hooker8Pos) >= 1.0f && hooker8.Position.DistanceTo(hooker8Pos) <= 40.0f)
                {
                    hooker8.Task.RunTo(hooker8Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker8) && hooker8.isAlive && hooker8.Position.DistanceTo(hooker8Pos) >= 40.0f && hooker8.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker8.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker8.Task.ClearAll();
                    }
                }
                if (Exists(hooker8) && hooker8.isAlive && hooker8.Position.DistanceTo(hooker8Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker8Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker8Pos) >= 3.0f)
                {
                    hooker8.Task.ClearAll();
                    hooker8.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker8.Task.ClearAll();
                    hooker8.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker8.Task.ClearAll();
                    hooker8.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker8.SayAmbientSpeech("Generic_Hi"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                }
                if (Exists(hooker8) && hooker8.isAlive && Player.Character.Position.DistanceTo(hooker8Pos) >= 201.0f)
                {
                    hooker8Paid = false;
                    hooker8.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker8) && hooker8.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker8.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker8Pos) >= 15.0f && Exists(hooker8) && !hooker8.isInVehicle(closestVehicle) && hooker8.Position.DistanceTo(hooker8Pos) >= 40.0f)
                {
                    hooker8.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker8) && hooker8.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker8.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker8Pos) >= 15.0f && Exists(hooker8) && !hooker8.isInVehicle(closestVehicle) && hooker8.Position.DistanceTo(hooker8Pos) >= 40.0f)
        {
            hooker8.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }

        if (Exists(hooker9) && hooker9.isAlive)
        {
            if (Exists(hooker9))
            {
                hooker9.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker9.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker9.WillUseCarsInCombat = false;
                hooker9.WantedByPolice = false;
                hooker9.BecomeMissionCharacter();
                hooker9.BlockPermanentEvents = true;
                hooker9.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker9) && hooker9.Position.DistanceTo(hooker9Pos) <= 1.0f && hooker9.isAlive)
                {
                    hooker9.Heading = 310.3568f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker9) && hooker9.isAlive && !Exists(hooker9Blip))
                {
                    hooker9Blip = CreateBlip(hooker9, BlipIcon.Activity_StripClub, "Girl 3");
                }

                if (Exists(hooker9) && hooker9.isAlive && hooker9.Health >= 51 && !hooker9Paid && Player.Character.Position.DistanceTo(hooker9.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker9Pos) <= 2.0f)
                {
                    hooker9.Task.ClearAll();
                    hooker9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I aint paying no pimp shit bitch!", 7000);
                    hooker9.SayAmbientSpeech("Giggle"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker9) && hooker9.isAlive && hooker9.Health <= 50 && !hooker9Paid && Player.Character.Position.DistanceTo(hooker9.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker9Pos) <= 2.0f)
                {
                    hooker9.Task.ClearAll();
                    hooker9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Sorry i talked back big daddy, i'll have more money later.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker9.Health = 100;
                    hooker9Paid = true;
                }

                if (Exists(hooker9) && hooker9.isAlive && hooker9Paid && Player.Character.Position.DistanceTo(hooker9.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker9Pos) <= 2.0f)
                {
                    hooker9.Task.ClearAll();
                    hooker9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll have the money after a few dates daddy. ", 7000);
                    hooker9.SayAmbientSpeech("Panic"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);

                }

                if (Exists(hooker9) && hooker9.isAlive && hooker9.Position.DistanceTo(hooker9Pos) >= 1.0f && hooker9.Position.DistanceTo(hooker9Pos) <= 40.0f)
                {
                    hooker9.Task.RunTo(hooker9Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker9) && hooker9.isAlive && hooker9.Position.DistanceTo(hooker9Pos) >= 40.0f && hooker9.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker9.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker9.Task.ClearAll();
                    }
                }
                if (Exists(hooker9) && hooker9.isAlive && hooker9.Position.DistanceTo(hooker9Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker9Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker9Pos) >= 3.0f)
                {
                    hooker9.Task.ClearAll();
                    hooker9.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker9.Task.ClearAll();
                    hooker9.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker9.Task.ClearAll();
                    hooker9.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker9.SayAmbientSpeech("Generic_Hi"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                }
                if (Exists(hooker9) && hooker9.isAlive && Player.Character.Position.DistanceTo(hooker9Pos) >= 300.0f)
                {
                    hooker9Paid = false;
                    hooker9.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker9) && hooker9.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker9.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker9Pos) >= 15.0f && Exists(hooker9) && !hooker9.isInVehicle(closestVehicle) && hooker9.Position.DistanceTo(hooker9Pos) >= 40.0f)
                {
                    hooker9.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker9) && hooker9.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker9.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker9Pos) >= 15.0f && Exists(hooker9) && !hooker9.isInVehicle(closestVehicle) && hooker9.Position.DistanceTo(hooker9Pos) >= 40.0f)
        {
            hooker9.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }

        if (Exists(hooker10) && hooker10.isAlive)
        {
            if (Exists(hooker10))
            {
                hooker10.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker10.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker10.WillUseCarsInCombat = false;
                hooker10.WantedByPolice = false;
                hooker10.BecomeMissionCharacter();
                hooker10.BlockPermanentEvents = true;
                hooker10.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker10) && hooker10.Position.DistanceTo(hooker10Pos) <= 1.0f && hooker10.isAlive)
                {
                    hooker10.Heading = 123.1484f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker10) && hooker10.isAlive && !Exists(hooker10Blip))
                {
                    hooker10Blip = CreateBlip(hooker10, BlipIcon.Activity_StripClub, "Girl 4");
                }

                if (Exists(hooker10) && hooker10.isAlive && hooker10.Health >= 51 && !hooker10Paid && Player.Character.Position.DistanceTo(hooker10.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker10Pos) <= 2.0f)
                {
                    hooker10.Task.ClearAll();
                    hooker10.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker10.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I dropped the money somewhere baby, can you help me find it?", 7000);
                    hooker10.SayAmbientSpeech("Giggle"); //hooker10.SayAmbientSpeech("Laugh"); Generic_No Crying Panic
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker10) && hooker10.isAlive && hooker10.Health <= 50 && !hooker10Paid && Player.Character.Position.DistanceTo(hooker10.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker10Pos) <= 2.0f)
                {
                    hooker10.Task.ClearAll();
                    hooker10.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker10.SayAmbientSpeech("Crying"); //hooker10.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                    hooker10.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Sorry i lied daddy here's your money, i'll have more for you later.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker10.Health = 100;
                    hooker10Paid = true;
                }

                if (Exists(hooker10) && hooker10.isAlive && hooker10Paid && Player.Character.Position.DistanceTo(hooker10.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker10Pos) <= 2.0f)
                {
                    hooker10.Task.ClearAll();
                    hooker10.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker10.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll have more for you later daddy.", 7000);
                   Wait(0x9c4);

                }

                if (Exists(hooker10) && hooker10.isAlive && hooker10.Position.DistanceTo(hooker10Pos) >= 1.0f && hooker10.Position.DistanceTo(hooker10Pos) <= 40.0f)
                {
                    hooker10.Task.RunTo(hooker10Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker10) && hooker10.isAlive && hooker10.Position.DistanceTo(hooker10Pos) >= 40.0f && hooker10.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker10.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker10.Task.ClearAll();
                    }
                }
                if (Exists(hooker10) && hooker10.isAlive && hooker10.Position.DistanceTo(hooker10Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker10Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker10Pos) >= 3.0f)
                {
                    hooker10.Task.ClearAll();
                    hooker10.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker10.Task.ClearAll();
                    hooker10.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker10.Task.ClearAll();
                    hooker10.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker10.SayAmbientSpeech("Generic_Hi"); //hooker10.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                }
                if (Exists(hooker10) && hooker10.isAlive && Player.Character.Position.DistanceTo(hooker10Pos) >= 300.0f)
                {
                    hooker10Paid = false;
                    hooker10.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker10) && hooker10.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker10.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker10Pos) >= 15.0f && Exists(hooker10) && !hooker10.isInVehicle(closestVehicle) && hooker10.Position.DistanceTo(hooker10Pos) >= 40.0f)
                {
                    hooker10.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker10) && hooker10.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker10.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
               Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker10Pos) >= 15.0f && Exists(hooker10) && !hooker10.isInVehicle(closestVehicle) && hooker10.Position.DistanceTo(hooker10Pos) >= 40.0f)
        {
            hooker10.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }

        if (Exists(hooker11) && hooker11.isAlive)
        {
            if (Exists(hooker11))
            {
                hooker11.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker11.WillUseCarsInCombat = false;
                hooker11.WantedByPolice = false;
                hooker11.BecomeMissionCharacter();
                hooker11.BlockPermanentEvents = true;
                hooker11.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker11) && hooker11.Position.DistanceTo(hooker11Pos) <= 1.0f && hooker11.isAlive)
                {
                    hooker11.Heading = 111.9195f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker11) && hooker11.isAlive && !Exists(hooker11Blip))
                {
                    hooker11Blip = CreateBlip(hooker11, BlipIcon.Activity_StripClub, "Girl 5");
                }

                if (Exists(hooker11) && hooker11.isAlive && hooker11.Health >= 51 && !hooker11Paid && Player.Character.Position.DistanceTo(hooker11.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker11Pos) <= 2.0f)
                {
                    hooker11.Task.ClearAll();
                    hooker11.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker11.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'm quitting ho'ing baby, I'll give you a few bucks soon.", 7000);
                    hooker11.SayAmbientSpeech("Laugh"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker11) && hooker11.isAlive && hooker11.Health <= 50 && !hooker11Paid && Player.Character.Position.DistanceTo(hooker11.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker11Pos) <= 2.0f)
                {
                    hooker11.Task.ClearAll();
                    hooker11.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker11.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Sorry my bad daddy, i'll work off what i owe you. ", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker11.Health = 100;
                    hooker11Paid = true;
                }

                if (Exists(hooker11) && hooker11.isAlive && hooker11Paid && Player.Character.Position.DistanceTo(hooker11.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker11Pos) <= 2.0f)
                {
                    hooker11.Task.ClearAll();
                    hooker11.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker11.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll earn right for you baby, come see me soon.", 7000);
                    hooker11.SayAmbientSpeech("Panic"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);

                }

                if (Exists(hooker11) && hooker11.isAlive && hooker11.Position.DistanceTo(hooker11Pos) >= 1.0f && hooker11.Position.DistanceTo(hooker11Pos) <= 40.0f)
                {
                    hooker11.Task.RunTo(hooker11Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker11) && hooker11.isAlive && hooker11.Position.DistanceTo(hooker11Pos) >= 40.0f && hooker11.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker11.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker11.Task.ClearAll();
                    }
                }
                if (Exists(hooker11) && hooker11.isAlive && hooker11.Position.DistanceTo(hooker11Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker11Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker11Pos) >= 3.0f)
                {
                    hooker11.Task.ClearAll();
                    hooker11.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker11.Task.ClearAll();
                    hooker11.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker11.Task.ClearAll();
                    hooker11.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker11.SayAmbientSpeech("Generic_Hi"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                }
                if (Exists(hooker11) && hooker11.isAlive && Player.Character.Position.DistanceTo(hooker11Pos) >= 201.0f)
                {
                    hooker11Paid = false;
                    hooker11.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker11) && hooker11.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker11.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker11Pos) >= 15.0f && Exists(hooker11) && !hooker11.isInVehicle(closestVehicle) && hooker11.Position.DistanceTo(hooker11Pos) >= 40.0f)
                {
                    hooker11.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker11) && hooker11.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker11.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker11Pos) >= 15.0f && Exists(hooker11) && !hooker11.isInVehicle(closestVehicle) && hooker11.Position.DistanceTo(hooker11Pos) >= 40.0f)
        {
            hooker11.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(hooker12) && hooker12.isAlive)
        {
            if (Exists(hooker12))
            {
                hooker12.RelationshipGroup = RelationshipGroup.Prostitute;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                hooker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                hooker12.WillUseCarsInCombat = false;
                hooker12.WantedByPolice = false;
                hooker12.BecomeMissionCharacter();
                hooker12.BlockPermanentEvents = true;
                hooker12.Task.AlwaysKeepTask = true;
                // methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(hooker12) && hooker12.Position.DistanceTo(hooker12Pos) <= 1.0f && hooker12.isAlive)
                {
                    hooker12.Heading = 305.5273f;
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(hooker12) && hooker12.isAlive && !Exists(hooker12Blip))
                {
                    hooker12Blip = CreateBlip(hooker12, BlipIcon.Activity_StripClub, "Girl 6");
                }

                if (Exists(hooker12) && hooker12.isAlive && hooker12.Health >= 51 && !hooker12Paid && Player.Character.Position.DistanceTo(hooker12.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker12Pos) <= 2.0f)
                {
                    hooker12.Task.ClearAll();
                    hooker12.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker12.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Some other pimp took all your money daddy, all i have is a few dollars.", 7000);
                    hooker12.SayAmbientSpeech("Giggle"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);
                    //Player.Money += 900;

                }
                if (Exists(hooker12) && hooker12.isAlive && hooker12.Health <= 50 && !hooker12Paid && Player.Character.Position.DistanceTo(hooker12.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker12Pos) <= 2.0f)
                {
                    hooker12.Task.ClearAll();
                    hooker12.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker12.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Sorry i held back big daddy, i'll have more money later.", 7000);
                    TriggerMissionCompleteAudio(0x22);
                    Wait(0x9c4);
                    Player.Money += 3000;
                    hooker12.Health = 100;
                    hooker12Paid = true;
                }

                if (Exists(hooker12) && hooker12.isAlive && hooker12Paid && Player.Character.Position.DistanceTo(hooker12.Position) <= 2.0f && Player.Character.Position.DistanceTo(hooker12Pos) <= 2.0f)
                {
                    hooker12.Task.ClearAll();
                    hooker12.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    hooker12.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'll have more money after a few dates daddy. ", 7000);
                    hooker12.SayAmbientSpeech("Panic"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle
                   Wait(0x9c4);

                }

                if (Exists(hooker12) && hooker12.isAlive && hooker12.Position.DistanceTo(hooker12Pos) >= 1.0f && hooker12.Position.DistanceTo(hooker12Pos) <= 40.0f)
                {
                    hooker12.Task.RunTo(hooker12Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(hooker12) && hooker12.isAlive && hooker12.Position.DistanceTo(hooker12Pos) >= 40.0f && hooker12.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                {
                    hooker12.Task.RunTo(Player.Character.Position.Around(5.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                        hooker12.Task.ClearAll();
                    }
                }
                if (Exists(hooker12) && hooker12.isAlive && hooker12.Position.DistanceTo(hooker12Pos) <= 1.0f && Player.Character.Position.DistanceTo(hooker12Pos) <= 40.0f && Player.Character.Position.DistanceTo(hooker12Pos) >= 3.0f)
                {
                    hooker12.Task.ClearAll();
                    hooker12.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_a", 0.5f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    hooker12.Task.ClearAll();
                    hooker12.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_b", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker12.Task.ClearAll();
                    hooker12.Task.PlayAnimation(new AnimationSet("amb@hooker"), "idle_c", 0.5f);
                    if (!Ekey)
                    {
                       Wait(0x9c4);
                    }
                    hooker12.SayAmbientSpeech("Generic_Hi"); //hooker7.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                }
                if (Exists(hooker12) && hooker12.isAlive && Player.Character.Position.DistanceTo(hooker12Pos) >= 300.0f)
                {
                    hooker12Paid = false;
                    hooker12.Health = 100;
                }
                GTA.World.GetAllVehicles();
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker12) && hooker12.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    hooker12.Task.LeaveVehicle(closestVehicle, true);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker12Pos) >= 15.0f && Exists(hooker12) && !hooker12.isInVehicle(closestVehicle) && hooker12.Position.DistanceTo(hooker12Pos) >= 40.0f)
                {
                    hooker12.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(hooker12) && hooker12.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            hooker12.Task.LeaveVehicle(closestVehicle, true);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Player.Character.Position.DistanceTo(hooker12Pos) >= 15.0f && Exists(hooker12) && !hooker12.isInVehicle(closestVehicle) && hooker12.Position.DistanceTo(hooker12Pos) >= 40.0f)
        {
            hooker12.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(methBuyer) && methBuyer.isAlive && Player.Character.Position.DistanceTo(methBuyerPos) <= 50.0f)
        {
            armmethBuyer = true;
        }
        if (Exists(methBuyer) && methBuyer.isAlive)
        {
            if (Exists(methBuyer) && !armmethBuyer)
            {
                methBuyer.Armor += 100;
            }
            if (Exists(methBuyer) && armmethBuyer)
            {
                methBuyer.CanSwitchWeapons = true;
                methBuyer.Weapons.AssaultRifle_M4.Ammo = 1000;
                // methBuyer.Weapons.AssaultRifle_M4.Select();
                methBuyer.RelationshipGroup = RelationshipGroup.Civillian_Male;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                //methBuyer.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                // methBuyer.WantedByPolice = false;
                methBuyer.BecomeMissionCharacter();
                methBuyer.BlockPermanentEvents = true;
                methBuyer.Task.AlwaysKeepTask = true;
                methBuyer.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(methBuyer) && methBuyer.Position.DistanceTo(methBuyerPos) <= 1.0f && methBuyer.isAlive)
                {
                    methBuyer.Heading = 192.444f;
                }
                if (Exists(methBuyer))
                {
                    methBuyer.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    // methBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                }

                if (Exists(methBuyer) && methBuyer.isAlive && !Exists(methBuyerBlip))
                {
                    methBuyerBlip = CreateBlip(methBuyer, BlipIcon.Misc_Deal, "Meth Buyer");
                }



                if (Exists(methBuyer) && methBuyer.isAlive && Player.Character.Position.DistanceTo(methBuyer.Position) <= 2.0f && Exists(meth) && Player.Character.Position.DistanceTo(meth.Position) >= 2.0f)
                {
                    methBuyer.Task.ClearAll();
                    methBuyer.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    methBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'm looking for some Meth, I'll take whatever you have", 7000);
                }
                if (Exists(methBuyer) && methBuyer.isAlive && Player.Character.Position.DistanceTo(methBuyer.Position) <= 2.0f && Exists(meth) && Player.Character.Position.DistanceTo(meth.Position) <= 2.0f)
                {
                    if (Player.WantedLevel == 1 || Player.WantedLevel == 2 || Player.WantedLevel == 3 || Player.WantedLevel == 4 || Player.WantedLevel == 5 || Player.WantedLevel == 6)
                    {
                        methBuyer.Task.ClearAll();
                        methBuyer.Task.TurnTo(Player.Character);
                        if (!Ekey)
                        {
                            Wait(0x9c4);
                        }
                        Game.DisplayText("Lose the cops first dumb fuck", 7000);
                        methBuyer.SayAmbientSpeech("Generic_f*ck_off"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                        methBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                        if (!Ekey)
                        {
                            Wait(0x9c4);
                        }

                    }
                }
                if (Exists(methBuyer) && methBuyer.isAlive && Player.Character.Position.DistanceTo(methBuyer.Position) <= 2.0f && Exists(meth) && Player.Character.Position.DistanceTo(meth.Position) <= 2.0f && Player.WantedLevel == 0)
                {
                    methBuyer.Task.ClearAll();
                    methBuyer.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    methBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Damn that's alot of Crystal, Here's $50,000 for it all", 7000);
                    methBuyer.SayAmbientSpeech("Surprised"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(meth))
                    {
                        meth.Delete();
                        Player.Money += 50000;
                    }
                }
                if (Exists(methBuyer) && methBuyer.isAlive && Player.Character.Position.DistanceTo(methBuyer.Position) <= 2.0f && Exists(heroin) && Player.Character.Position.DistanceTo(heroin.Position) <= 2.0f && Player.WantedLevel == 0)
                {
                    methBuyer.Task.ClearAll();
                    methBuyer.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    methBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Damn that's alot of Heroin, Here's $40,000 for it all", 7000);
                    methBuyer.SayAmbientSpeech("Surprised"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(heroin))
                    {
                        heroin.Delete();
                        Player.Money += 40000;
                    }
                }
                if (Exists(methBuyer) && methBuyer.isAlive && Player.Character.Position.DistanceTo(methBuyer.Position) <= 2.0f && Exists(weed) && Player.Character.Position.DistanceTo(weed.Position) <= 2.0f && Player.WantedLevel == 0)
                {
                    methBuyer.Task.ClearAll();
                    methBuyer.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    methBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Damn that's alot of Weed, Here's $30,000 for it all", 7000);
                    methBuyer.SayAmbientSpeech("Surprised"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(weed))
                    {
                        weed.Delete();
                        Player.Money += 30000;
                    }
                }
                if (Exists(methBuyer) && methBuyer.isAlive && Player.Character.Position.DistanceTo(methBuyer.Position) <= 2.0f && Exists(cocaine) && Player.Character.Position.DistanceTo(cocaine.Position) <= 2.0f && Player.WantedLevel == 0)
                {
                    methBuyer.Task.ClearAll();
                    methBuyer.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    methBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Damn that's alot of coke, Here's $40,000 for it all", 7000);
                    methBuyer.SayAmbientSpeech("Surprised"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(cocaine))
                    {
                        cocaine.Delete();
                        Player.Money += 40000;
                    }
                }
                if (Exists(methBuyer) && methBuyer.isAlive && methBuyer.Position.DistanceTo(methBuyerPos) >= 5.0f && Player.Character.Position.DistanceTo(methBuyer.Position) >= 10.0f)
                {
                    methBuyer.Task.RunTo(methBuyerPos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(methBuyer) && methBuyer.isAlive && Player.Character.Position.DistanceTo(methBuyer.Position) >= 2.0f)
                {
                    methBuyer.Task.ClearAll();
                    methBuyer.Task.PlayAnimation(new AnimationSet("missbankjob"), "idle_hot_wipe_face", 0.1f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(heroinBuyer) && heroinBuyer.isAlive && Player.Character.Position.DistanceTo(heroinBuyerPos) <= 50.0f)
        {
            armheroinBuyer = true;
        }
        if (Exists(heroinBuyer) && heroinBuyer.isAlive)
        {
            if (Exists(heroinBuyer) && !armheroinBuyer)
            {
                heroinBuyer.Armor += 100;
            }
            if (Exists(heroinBuyer) && armheroinBuyer)
            {
                heroinBuyer.CanSwitchWeapons = true;
                heroinBuyer.Weapons.AssaultRifle_M4.Ammo = 1000;
                // heroinBuyer.Weapons.AssaultRifle_M4.Select();
                heroinBuyer.RelationshipGroup = RelationshipGroup.Civillian_Male;
                //  heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                // heroinBuyer.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                // heroinBuyer.WantedByPolice = false;
                heroinBuyer.BecomeMissionCharacter();
                heroinBuyer.BlockPermanentEvents = true;
                heroinBuyer.Task.AlwaysKeepTask = true;
                heroinBuyer.Task.FightAgainstHatedTargets(50.0f);

                if (Exists(heroinBuyer) && Player.WantedLevel == 0)
                {
                    heroinBuyer.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    heroinBuyer.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                }
                if (Player.WantedLevel == 1 || Player.WantedLevel == 2 || Player.WantedLevel == 3 || Player.WantedLevel == 4 || Player.WantedLevel == 5 || Player.WantedLevel == 6)
                {
                    heroinBuyer.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    heroinBuyer.Task.FightAgainst(Player.Character);
                }
                if (Exists(heroinBuyer) && heroinBuyer.isAlive)
                {
                    heroinBuyerBlip = CreateBlip(heroinBuyer, BlipIcon.Misc_Deal, "Heroin Buyer");
                }
                if (Exists(heroinBuyer) && heroinBuyer.isAlive && Player.Character.Position.DistanceTo(heroinBuyer.Position) <= 2.0f && Exists(heroin) && Player.Character.Position.DistanceTo(heroin.Position) >= 2.0f)
                {
                    heroinBuyer.Task.ClearAll();
                    heroinBuyer.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    heroinBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I'm looking for some Heroin, I'll buy whatever you got", 7000);
                }
                if (Exists(heroinBuyer) && heroinBuyer.isAlive && Player.Character.Position.DistanceTo(heroinBuyer.Position) <= 2.0f && Exists(heroin) && Player.Character.Position.DistanceTo(heroin.Position) <= 2.0f)
                {
                    if (Player.WantedLevel == 1 || Player.WantedLevel == 2 || Player.WantedLevel == 3 || Player.WantedLevel == 4 || Player.WantedLevel == 5 || Player.WantedLevel == 6)
                    {
                        heroinBuyer.Task.ClearAll();
                        heroinBuyer.Task.TurnTo(Player.Character);
                        if (!Ekey)
                        {
                            Wait(0x9c4);
                        }

                        heroinBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                        if (!Ekey)
                        {
                            Wait(0x9c4);
                        } Game.DisplayText("Are you crazy!? Lose the cops first!", 7000);
                        heroinBuyer.SayAmbientSpeech("Gang_Ask_Player_Leave"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                    }
                }
                if (Exists(heroinBuyer) && heroinBuyer.isAlive && Player.Character.Position.DistanceTo(heroinBuyer.Position) <= 2.0f && Exists(heroin) && Player.Character.Position.DistanceTo(heroin.Position) <= 2.0f && Player.WantedLevel == 0)
                {
                    heroinBuyer.Task.ClearAll();
                    heroinBuyer.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    heroinBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("That dope looks good, here's $50,000 for the whole bag", 7000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(heroin))
                    {
                        heroin.Delete();
                        Player.Money += 50000;
                    }
                }
                if (Exists(heroinBuyer) && heroinBuyer.isAlive && Player.Character.Position.DistanceTo(heroinBuyer.Position) <= 2.0f && Exists(meth) && Player.Character.Position.DistanceTo(meth.Position) <= 2.0f && Player.WantedLevel == 0)
                {
                    heroinBuyer.Task.ClearAll();
                    heroinBuyer.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    heroinBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("That meth looks good, here's $50,000 for the whole bag", 7000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(meth))
                    {
                        meth.Delete();
                        Player.Money += 50000;
                    }
                }
                if (Exists(heroinBuyer) && heroinBuyer.isAlive && Player.Character.Position.DistanceTo(heroinBuyer.Position) <= 2.0f && Exists(weed) && Player.Character.Position.DistanceTo(weed.Position) <= 2.0f && Player.WantedLevel == 0)
                {
                    heroinBuyer.Task.ClearAll();
                    heroinBuyer.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    heroinBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("That herb looks good, here's $30,000 for the whole bag", 7000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(weed))
                    {
                        weed.Delete();
                        Player.Money += 30000;
                    }
                }
                if (Exists(heroinBuyer) && heroinBuyer.isAlive && Player.Character.Position.DistanceTo(heroinBuyer.Position) <= 2.0f && Exists(cocaine) && Player.Character.Position.DistanceTo(cocaine.Position) <= 2.0f && Player.WantedLevel == 0)
                {
                    heroinBuyer.Task.ClearAll();
                    heroinBuyer.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    heroinBuyer.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("That powder looks good, here's $50,000 for the whole bag", 7000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(cocaine))
                    {
                        cocaine.Delete();
                        Player.Money += 50000;
                    }
                }
                if (Exists(heroinBuyer) && heroinBuyer.isAlive && heroinBuyer.Position.DistanceTo(heroinBuyerPos) >= 5.0f && Player.Character.Position.DistanceTo(heroinBuyer.Position) >= 10.0f)
                {
                    heroinBuyer.Task.RunTo(heroinBuyerPos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(heroinBuyer) && heroinBuyer.isAlive && Player.Character.Position.DistanceTo(heroinBuyer.Position) >= 2.0f)
                {
                    heroinBuyer.Task.ClearAll();
                    heroinBuyer.Task.PlayAnimation(new AnimationSet("missbankjob"), "idle_hot_wipe_face", 0.1f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(bike3Driver) && bike3Driver.isAlive && Player.Character.Position.DistanceTo(bike3Driver.Position) <= 50.0f)
        {
            armbike3Driver = true;
        }
        if (Exists(bike3Driver) && bike3Driver.isAlive) //rooftop biker gang recruiter
        {
            if (bike3Driver.Position.DistanceTo(Player.Character.Position) <= 20.0f && Mafia)
            {
                if (Exists(bike3))
                {
                    if (Exists(bike3Driver) && bike3Driver.isInVehicle(bike3))
                    {
                        bike3Driver.Task.LeaveVehicle();
                        
                    }
                }
                bike3Driver.Task.ClearAll();
                bike3Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                //bike3Driver.Task.FightAgainst(Player.Character);
                bike3Driver.Task.FightAgainstHatedTargets(10.0f);
                bike3Driver.WillDoDrivebys = true;
                bike3Driver.WillUseCarsInCombat = false;
                
            }
            if (Exists(bike3Driver) && !armbike3Driver)
            {
                bike3Driver.Armor += 100;
            }
            if (Exists(bike3Driver) && armbike3Driver)
            {
                //Game.DisplayText("Biker Turf!", 5000);
                bike3Driver.CanSwitchWeapons = true;
                bike3Driver.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                bike3Driver.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                bike3Driver.Weapons.Uzi.Ammo = 1000;
                bike3Driver.Weapons.Uzi.Select();
                bike3Driver.WillDoDrivebys = true;
                bike3Driver.WantedByPolice = false;
                bike3Driver.BecomeMissionCharacter();
                bike3Driver.BlockPermanentEvents = true;
                bike3Driver.Task.AlwaysKeepTask = true;
                bike3Driver.WillUseCarsInCombat = false;
                if (Exists(bike3Driver) && payedbikerBribe)
                {
                    bike3Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    bike3Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(bike3Driver) && Biker)
                {
                    bike3Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    bike3Driver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    bike3Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);

                }
                if (Exists(bike3Driver) && Mafia || killedbikerBoss)
                {
                    bike3Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bike3Driver.Task.FightAgainst(Player.Character);
                    bike3Driver.Task.FightAgainstHatedTargets(50.0f);
                    bikerMember = false;
                    bike3Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (Exists(bike3Driver) && Exists(bike3) && bike3Driver.Position.DistanceTo(bike3.Position) <= 60.0f && bike3Driver.Position.DistanceTo(Player.Character.Position) >= 21.0f)
                    {
                        if (Exists(bike3Driver) && !bike3Driver.isInVehicle(bike3))
                        {
                            bike3Driver.Task.EnterVehicle(bike3, VehicleSeat.Driver);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(bike3Driver) && bike3Driver.isInVehicle(bike3) && bike3Driver.Position.DistanceTo(Player.Character.Position) >= 21.0f)
                        {
                            bike3Driver.Task.DriveTo(Player.Character.Position.Around(5.0f), 60.0f, false);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                         if (Exists(bike3Driver) && !Exists(bike3)&& bike3Driver.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                        {
                            bike3Driver.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(bike3Driver) && Exists(bike3) && !bike3Driver.isInVehicle(bike3) && bike3Driver.Position.DistanceTo(Player.Character.Position) >= 15.0f && bike3Driver.Position.DistanceTo(bike3.Position) >= 5.0f)
                        {
                           bike3Driver.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                    }
                }
                if (Exists(bike3Driver) && !Biker && !Mafia)
                {
                    bike3Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    bike3Driver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    bike3Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                // if (Exists(bike3Driver) && bike3Driver.isAlive && !Exists(bike3DriverBlip))
                // {
                //     bike3DriverBlip = CreateBlip(bike3Driver, BlipIcon.Person_Assassin, "Hitman");
                // } 
            }
        }
        if (Exists(bike4Driver) && bike4Driver.isAlive && Player.Character.Position.DistanceTo(bike4Driver.Position) <= 50.0f)
        {
            armbike4Driver = true;
        }
        if (Exists(bike4Driver) && bike4Driver.isAlive) //rooftop biker gang recruiter
        {
            if (bike4Driver.Position.DistanceTo(Player.Character.Position) <= 20.0f && Mafia)
            {
                if (Exists(bike4))
                {
                    if (Exists(bike4Driver) && bike4Driver.isInVehicle(bike4))
                    {
                        bike4Driver.Task.LeaveVehicle();
                       
                    }
                }
                bike4Driver.Task.ClearAll();
                bike4Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                // bike4Driver.Task.FightAgainst(Player.Character);
                bike4Driver.Task.FightAgainstHatedTargets(10.0f);
                bike4Driver.WillDoDrivebys = true;
                bikerMember = false;
                bike4Driver.WillUseCarsInCombat = false;
                
            }
            if (Exists(bike4Driver) && !armbike4Driver)
            {
                bike4Driver.Armor += 100;
            }
            if (Exists(bike4Driver) && armbike4Driver)
            {
                //Game.DisplayText("Biker Turf!", 5000);
                bike4Driver.CanSwitchWeapons = true;
                bike4Driver.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                bike4Driver.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                bike4Driver.Weapons.Uzi.Ammo = 1000;
                bike4Driver.Weapons.Uzi.Select();
                bike4Driver.WillDoDrivebys = true;
                bike4Driver.WantedByPolice = false;
                bike4Driver.BecomeMissionCharacter();
                bike4Driver.BlockPermanentEvents = true;
                bike4Driver.Task.AlwaysKeepTask = true;
                bike4Driver.WillUseCarsInCombat = false;
                if (Exists(bike4Driver) && payedbikerBribe)
                {
                    bike4Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                    bike4Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                }
                if (Exists(bike4Driver) && Biker)
                {
                    bike4Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    bike4Driver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    bike4Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(bike4Driver) && Mafia || killedbikerBoss)
                {
                    bike4Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bike4Driver.Task.FightAgainst(Player.Character);
                    bike4Driver.Task.FightAgainstHatedTargets(50.0f);
                    bikerMember = false;
                    bike4Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (Exists(bike4Driver) && Exists(bike4) && bike4Driver.Position.DistanceTo(bike4.Position) <= 60.0f && bike4Driver.Position.DistanceTo(Player.Character.Position) >= 21.0f)
                    {
                        if (Exists(bike4Driver) && !bike4Driver.isInVehicle(bike4))
                        {
                            bike4Driver.Task.EnterVehicle(bike4, VehicleSeat.Driver);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(bike4Driver) && bike4Driver.isInVehicle(bike4) && bike4Driver.Position.DistanceTo(Player.Character.Position) >= 21.0f)
                        {
                            bike4Driver.Task.DriveTo(Player.Character.Position.Around(5.0f), 60.0f, false);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                       if (Exists(bike4Driver) && !Exists(bike4)&& bike4Driver.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                        {
                            //bike4Driver.Task.ClearAll();
                           bike4Driver.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(bike4Driver) && Exists(bike4) && !bike4Driver.isInVehicle(bike4) && bike4Driver.Position.DistanceTo(Player.Character.Position) >= 15.0f && bike4Driver.Position.DistanceTo(bike4.Position) >= 5.0f)
                        {
                           //bike4Driver.Task.ClearAll();
                            bike4Driver.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                    }
                }
                if (Exists(bike4Driver) && !Biker && !Mafia)
                {
                    bike4Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    bike4Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    bike4Driver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                }

            }
        }
        if (Exists(biker1) && biker1.isAlive && Player.Character.Position.DistanceTo(biker1Pos) <= 50.0f)
        {
            armbiker1 = true;
        }
        if (Exists(biker1) && biker1.isAlive) //rooftop biker gang recruiter
        {

            if (!armbiker1)
            {
                biker1.Armor += 100;
            }
            if (Exists(biker1) && armbiker1)
            {
                //Game.DisplayText("Biker Turf!", 5000);
                biker1.CanSwitchWeapons = true;
                //biker1.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                // biker1.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker1.Weapons.Uzi.Ammo = 1000;
                biker1.Weapons.Uzi.Select();
                biker1.WantedByPolice = false;
                biker1.BecomeMissionCharacter();
                biker1.BlockPermanentEvents = true;
                biker1.Task.AlwaysKeepTask = true;
                if (Exists(biker1) && biker1.Position.DistanceTo(biker1Pos) <= 1.0f && biker1.isAlive)
                {
                    biker1.Heading = 302.7882f;
                }
                if (Exists(biker1) && payedbikerBribe)
                {
                    biker1.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker1.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker1) && Biker)
                {
                    biker1.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker1.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker1.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker1) && Mafia || killedbikerBoss)
                {
                    biker1.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker1.Task.FightAgainst(Player.Character);
                    bikerMember = false;
                    biker1.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker1) && !Biker && !Mafia)
                {
                    biker1.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker1.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    biker1.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                biker1.Task.FightAgainstHatedTargets(50.0f);
                if (Ekey && Exists(biker1) && Player.Character.Position.DistanceTo(biker1.Position) <= 2.0f && biker1.isAlive && !Mafia && !Biker && !bikerMember && !mafiaMember)
                {
                    Text("You've joined the Bikers Gang! Your now a low level Thug.", 9000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (!Ekey)
                    {
                        Wait(3900);
                    }
                    bikerMember = true;
                   
                    //TriggerMissionCompleteAudio(0x1b); long audio
                    //TriggerMissionCompleteAudio(0x22); short audio
                }
                if (Exists(biker1) && Player.Character.Position.DistanceTo(biker1.Position) <= 2.0f && biker1.isAlive && !Biker && !bikerMember)
                {
                    biker1.Task.ClearAll();
                    biker1.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker1.Task.PlayAnimation(new AnimationSet("missbadman_1"), "mcivi_flagtaxi_in", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Join the Bikers MotherFucker!", 7000);
                    biker1.SayAmbientSpeech("Whoop"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                }
                if (Exists(biker1) && Player.Character.Position.DistanceTo(biker1.Position) <= 2.0f && biker1.isAlive && !madeVP && Biker || Exists(biker1) && Player.Character.Position.DistanceTo(biker1.Position) <= 2.0f && biker1.isAlive && !madeVP && bikerMember)
                {
                    biker1.Task.ClearAll();
                    biker1.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker1.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Kill the Mafia boss or take new Turfs to move up in the gang, you'll find contacts around here at the parking garage", 7000);
                }
                if (Exists(biker1) && Player.Character.Position.DistanceTo(biker1.Position) <= 2.0f && biker1.isAlive && madeVP && Biker || Exists(biker1) && Player.Character.Position.DistanceTo(biker1.Position) <= 2.0f && biker1.isAlive && madeVP && bikerMember)
                {
                    biker1.Task.ClearAll();
                    biker1.Task.TurnTo(Player.Character);
                    if (!Ekey )
                    {
                        Wait(0x9c4);
                    }

                    biker1.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }; Game.DisplayText("Your a VP now brother, come here when you need a crew for some heavy shit", 7000);
                    if (Exists(biker33) && Player.Character.Position.DistanceTo(biker33.Position) >= 60.0f)
                    {
                        if (Exists(biker33Blip))
                        {
                            biker33Blip.Delete();
                        }
                        biker33.Delete();
                    }
                    if (Exists(biker33) && !biker33.isAlive)
                    {
                        if (Exists(biker33Blip))
                        {
                            biker33Blip.Delete();
                        }
                        biker33.Delete();
                    }
                    if (Exists(biker34) && Player.Character.Position.DistanceTo(biker34.Position) >= 60.0f)
                    {
                        if (Exists(biker34Blip))
                        {
                            biker34Blip.Delete();
                        }
                        biker34.Delete();
                    }
                    if (Exists(biker34) && !biker34.isAlive)
                    {
                        if (Exists(biker34Blip))
                        {
                            biker34Blip.Delete();
                        }
                        biker34.Delete();
                    }
                    if (Exists(biker35) && Player.Character.Position.DistanceTo(biker35.Position) >= 60.0f)
                    {
                        if (Exists(biker35Blip))
                        {
                            biker35Blip.Delete();
                        }
                        biker35.Delete();
                    }
                    if (Exists(biker35) && !biker35.isAlive)
                    {
                        if (Exists(biker35Blip))
                        {
                            biker35Blip.Delete();
                        }
                        biker35.Delete();
                    }
                    bikerCrew = true;
                    if (!Exists(biker33))
                    {
                        biker33 = World.CreatePed(biker33Mod, Player.Character.Position.Around(30.0f));
                    }
                    if (!Exists(biker34))
                    {
                        biker34 = World.CreatePed(biker34Mod, Player.Character.Position.Around(30.0f));
                    }
                    if (!Exists(biker35))
                    {
                        biker35 = World.CreatePed(biker35Mod, Player.Character.Position.Around(30.0f));
                    }
                }


                if (Exists(biker1) && biker1.Position.DistanceTo(biker1Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker1.Position) <= 15.0f)
                {
                    biker1.Task.ClearAll();
                    biker1.Task.RunTo(biker1Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker1) && biker1.isAlive && !Exists(biker1Blip))
                {
                    biker1Blip = CreateBlip(biker1, BlipIcon.Person_Roman, "Recruiter");
                }
                // if (OKey && Player.Character.Position.DistanceTo(biker1.Position) <= 5.0f)
                // {
                //     Game.DisplayText("biker1", 10000);
                //  }
            }
        }

        if (Exists(biker2) && biker2.isAlive && Player.Character.Position.DistanceTo(biker2Pos) <= 50.0f)
        {
            armbiker2 = true;
        }


        if (Exists(biker2) && biker2.isAlive)
        {
            if (Exists(biker2) && !armbiker2)
            {
                biker2.Armor += 100;

            }
            if (Exists(biker2) && armbiker2)
            {
                biker2.CanSwitchWeapons = true;
                // biker2.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                // biker2.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker2.Weapons.MP5.Ammo = 1000;
                biker2.Weapons.MP5.Select();
                biker2.WantedByPolice = false;
                biker2.BecomeMissionCharacter();
                biker2.BlockPermanentEvents = true;
                biker2.Task.AlwaysKeepTask = true;
                if (Exists(biker2) && payedbikerBribe)
                {
                    biker2.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker2.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker2) && Biker)
                {
                    biker2.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker2.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker2.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker2) && Mafia || killedbikerBoss)
                {
                    biker2.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker2.Task.FightAgainst(Player.Character);
                    bikerMember = false;
                    biker2.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker2) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker2.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker2.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker2) && Player.Character.Position.DistanceTo(bikerBossPos) <= 5.0f)
                    {
                        biker2.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker2.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

                if (Exists(biker2) && Player.Character.Position.DistanceTo(biker2Pos) <= 2.0f && biker2.isAlive && !Biker && !Mafia || Exists(biker2) && Player.Character.Position.DistanceTo(biker2Pos) <= 2.0f && biker2.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker2.Task.ClearAll();
                    biker2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker2.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("The recruiter of the club is on the second floor if you want in", 7000);
                }

                if (Exists(biker2) && Player.Character.Position.DistanceTo(biker2.Position) <= 2.0f && biker2.isAlive && !killedbigPaulie && !Exists(bigPaulie) && !Exists(mafiaBoss2) && !Exists(mafiaBoss3) && Exists(mafiaBoss4) && Exists(mafiaBoss5) && Biker || Exists(biker2) && Player.Character.Position.DistanceTo(biker2.Position) <= 2.0f && biker2.isAlive && !killedbigPaulie && !Exists(bigPaulie) && !Exists(mafiaBoss2) && !Exists(mafiaBoss3) && Exists(mafiaBoss4) && Exists(mafiaBoss5) && bikerMember)
                {
                    biker2.Task.ClearAll();
                    biker2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker2.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I got $50,000 to kill Big Paulie and the Boss will make you a VP!", 13000);

                }
                if (Exists(biker2) && Exists(bigPaulie) && Player.Character.Position.DistanceTo(biker2.Position) <= 2.0f && biker2.isAlive && killedbigPaulie && Biker || Exists(biker2) && Exists(bigPaulie) && Player.Character.Position.DistanceTo(biker2.Position) <= 2.0f && biker2.isAlive && killedbigPaulie && bikerMember)
                {
                    biker2.Task.ClearAll();
                    biker2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    Game.DisplayText("We heard Big Paulie bit the big one! Go see the Boss he'll make you a VP brother!", 13000);
                    biker2.SayAmbientSpeech("Cheer"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                    biker2.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(bigPaulieBlip))
                    {
                        bigPaulieBlip.Delete();
                    }
                    if (Exists(bigPaulie))
                    {
                        bigPaulie.Delete();
                        Player.Money += 50000;
                    }
                    if (!Exists(mafiaBoss2))
                    {
                        mafiaBoss2 = World.CreatePed(mafiaBoss2Mod, bigPauliePos);
                    }
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker2) && Exists(mafiaBoss2) && Player.Character.Position.DistanceTo(biker2.Position) <= 2.0f && biker2.isAlive && killedmafiaBoss2 && Biker || Exists(biker2) && Exists(mafiaBoss2) && Player.Character.Position.DistanceTo(biker2.Position) <= 2.0f && biker2.isAlive && killedmafiaBoss2 && bikerMember)
                {
                    biker2.Task.ClearAll();
                    biker2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker2.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);

                    if (Exists(mafiaBoss2Blip))
                    {
                        mafiaBoss2Blip.Delete();
                    }
                    if (Exists(mafiaBoss2))
                    {
                        mafiaBoss2.Delete();
                        Player.Money += 50000;
                    }
                    // if (!Exists(mafiaBoss3))
                    // {
                    //     mafiaBoss3 = World.CreatePed(mafiaBoss3Mod, bigPauliePos);
                    // }
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("We heard You took out the new Mafia Boss! Here's the loot", 13000);
                }
                biker2.Task.FightAgainstHatedTargets(50.0f);
                //biker2.Task.TurnTo(Player.Character);
                if (Exists(biker2) && biker2.Position.DistanceTo(biker2Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker2.Position) <= 20.0f)
                {
                    biker2.Task.RunTo(biker2Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }


                if (Exists(biker2) && biker2.isAlive && !Exists(biker2Blip))
                {
                    biker2Blip = CreateBlip(biker2, BlipIcon.Person_Assassin, "Hitman Contact");
                }
            }
        }
        if (Exists(biker3) && biker3.isAlive && Player.Character.Position.DistanceTo(biker3Pos) <= 50.0f)
        {
            armbiker3 = true;
        }
        if (Exists(biker3) && biker3.isAlive)
        {
            if (Exists(biker3) && !armbiker3)
            {
                biker3.Armor += 100;
            }
            if (Exists(biker3) && armbiker3)
            {
                biker3.CanSwitchWeapons = true;
                // biker3.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                // biker3.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker3.Weapons.BasicShotgun.Ammo = 1000;
                biker3.Weapons.BasicShotgun.Select();
                biker3.WantedByPolice = false;
                biker3.BecomeMissionCharacter();
                biker3.BlockPermanentEvents = true;
                biker3.Task.AlwaysKeepTask = true;
                biker3.Task.FightAgainstHatedTargets(25.0f);
                if (Exists(biker3) && payedbikerBribe)
                {
                    biker3.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker3.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker3) && Biker)
                {
                    biker3.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker3.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker3.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker3) && Mafia || killedbikerBoss)
                {
                    biker3.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker3.Task.FightAgainst(Player.Character);
                    bikerMember = false;
                    biker3.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

                if (Exists(biker3) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker3.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker3.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker3) && Player.Character.Position.DistanceTo(bikerBossPos) <= 5.0f)
                    {
                        biker3.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                        bikerMember = false;
                    }
                    biker3.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker3) && Player.Character.Position.DistanceTo(biker3.Position) <= 2.0f && biker3.isAlive && !Biker && !Mafia || Exists(biker3) && Player.Character.Position.DistanceTo(biker3.Position) <= 2.0f && biker3.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker3.Task.ClearAll();
                    biker3.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker3.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("The recruiter of the club is on the second floor if you want in", 7000);
                }
                if (Exists(heroin) && Exists(biker3) && Player.Character.Position.DistanceTo(heroin.Position) >= 2.0f &&
                    Player.Character.Position.DistanceTo(biker3.Position) <= 2.0f && biker3.isAlive && Biker || (Exists(heroin) && Exists(biker3) && Player.Character.Position.DistanceTo(heroin.Position) >= 2.0f &&
                    Player.Character.Position.DistanceTo(biker3.Position) <= 2.0f && biker3.isAlive && bikerMember))
                {
                    biker3.Task.ClearAll();
                    biker3.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker3.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Steal the mobs Heroin, bring to me i'll take it off your hands.", 7000);
                }
                if (Exists(heroin) && Exists(biker3) && Player.Character.Position.DistanceTo(heroin.Position) <= 2.0f &&
                    Player.Character.Position.DistanceTo(biker3.Position) <= 2.0f && biker3.isAlive && Biker || Exists(heroin) && Exists(biker3) && Player.Character.Position.DistanceTo(heroin.Position) <= 2.0f &&
                    Player.Character.Position.DistanceTo(biker3.Position) <= 2.0f && biker3.isAlive && bikerMember)
                {
                    biker3.Task.ClearAll();
                    biker3.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker3.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Here's the $50,000 for the Smack i'll be around.", 7000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(heroin))
                    {
                        heroin.Delete();
                        Player.Money += 50000;
                    }
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                biker3.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker3) && biker3.Position.DistanceTo(biker3Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker3.Position) <= 20.0f)
                {
                    biker3.Task.RunTo(biker3Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker3) && biker3.Position.DistanceTo(biker3Pos) <= 1.0f && biker3.isAlive)
                {
                    biker3.Heading = 134.2802f;
                }


                if (Exists(biker3) && biker3.isAlive && !Exists(biker3Blip))
                {
                    biker3Blip = CreateBlip(biker3, BlipIcon.Misc_Deal, "Drug Contact");
                }
            }
        }
        if (Exists(biker4) && biker4.isAlive && Player.Character.Position.DistanceTo(biker4Pos) <= 50.0f)
        {
            armbiker4 = true;
        }

        if (Exists(biker4) && Exists(biker4) && biker4.isAlive)
        {
            if (Exists(biker4) && !armbiker4)
            {
                biker4.Armor += 100;
            }
            if (Exists(biker4) && armbiker4)
            {
                //    Game.DisplayText("Biker Turf!", 5000);
                biker4.CanSwitchWeapons = true;
                biker4.Weapons.Uzi.Ammo = 1000;
                biker4.Weapons.Uzi.Select();
                biker4.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                biker4.Weapons.BasicShotgun.Ammo = 1000;
                biker4.Weapons.BasicShotgun.Select();
                biker4.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker4.WantedByPolice = false;
                biker4.BecomeMissionCharacter();
                biker4.BlockPermanentEvents = true;
                biker4.Task.AlwaysKeepTask = true;
                biker4.Task.FightAgainstHatedTargets(25.0f);
                if (Exists(biker4) && payedbikerBribe)
                {
                    biker4.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker4.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker4) && Biker)
                {
                    biker4.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker4.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker4.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker4) && Mafia || killedbikerBoss)
                {
                    biker4.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bikerMember = false;
                    biker4.Task.FightAgainst(Player.Character);
                    biker4.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker4) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker4.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker4.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Player.Character.Position.DistanceTo(bikerBossPos) <= 5.0f)
                    {
                        biker4.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker4.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker4) && Player.Character.Position.DistanceTo(biker4.Position) <= 2.0f && biker4.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker4.Task.ClearAll();
                    biker4.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker4.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("The recruiter of the club is on the second floor if you want in", 7000);
                }
                if (Exists(biker4) && Player.Character.Position.DistanceTo(biker4.Position) <= 2.0f && biker4.isAlive && Biker)
                {
                    biker4.Task.ClearAll();
                    biker4.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    Game.DisplayText("", 7000);
                    biker4.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                biker4.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker4) && biker4.Position.DistanceTo(biker4Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker4.Position) <= 20.0f)
                {
                    biker4.Task.RunTo(biker4Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }


                // if (OKey && Player.Character.Position.DistanceTo(biker4.Position) <= 5.0f)
                // {
                //     Game.DisplayText("biker4", 10000);
                // }
            }
        }
        if (Exists(biker5) && biker5.isAlive && Player.Character.Position.DistanceTo(biker5Pos) <= 50.0f)
        {
            armbiker5 = true;
        }


        if (Exists(biker5) && biker5.isAlive)
        {
            if (Exists(biker5) && !armbiker5)
            {
                biker5.Armor += 100;
            }
            if (Exists(biker5) && armbiker5)
            {
                biker5.CanSwitchWeapons = true;
                biker5.Weapons.BasicShotgun.Ammo = 1000;
                biker5.Weapons.BasicShotgun.Select();
                biker5.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker5.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker5.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker5.WantedByPolice = false;
                biker5.BecomeMissionCharacter();
                biker5.BlockPermanentEvents = true;
                biker5.Task.AlwaysKeepTask = true;
                biker5.Task.FightAgainstHatedTargets(25.0f);
                if (Exists(biker5) && payedbikerBribe)
                {
                    biker5.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker5.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker5) && Biker)
                {
                    biker5.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker5.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker5.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker5) && Mafia || killedbikerBoss)
                {
                    biker5.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bikerMember = false;
                    biker5.Task.FightAgainst(Player.Character);
                    biker5.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker5) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker5.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker5.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker5) && Player.Character.Position.DistanceTo(bikerBossPos) <= 5.0f)
                    {
                        biker5.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker5.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker5) && Player.Character.Position.DistanceTo(biker5.Position) <= 5.0f && biker5.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker5.Task.ClearAll();
                    biker5.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker5.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("The recruiter of the club is on the second floor if you want in", 7000);
                }
                if (Exists(biker5) && Player.Character.Position.DistanceTo(biker5Pos) <= 2.0f && !spawnhookers2)
                {
                    biker5.Task.ClearAll();
                    biker5.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker5.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Go take the girls to their corners, they're hangin by the bosses limo.", 6000);
                    Wait(0x9c4);
                    Game.DisplayText("They need to be slapped around if they don't pay regulary.", 6000);
                    spawnhookers2 = true;

                }
                if (Exists(biker5) && Player.Character.Position.DistanceTo(biker5.Position) <= 2.0f && biker5.isAlive && Biker || Exists(biker5) && Player.Character.Position.DistanceTo(biker5.Position) <= 2.0f && biker5.isAlive && bikerMember)
                {
                    biker5.Task.ClearAll();
                    biker5.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    //Game.DisplayText("Mission Coming Soon!", 7000);

                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } biker5.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                }
                biker5.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker5) && biker5.Position.DistanceTo(biker5Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker5.Position) <= 20.0f)
                {
                    biker5.Task.RunTo(biker5Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker5) && biker5.Position.DistanceTo(biker5Pos) <= 1.0f && biker5.isAlive)
                {
                    biker5.Heading = 184.4029f;
                }
                if (Exists(biker5) && biker5.isAlive && !Exists(biker5Blip))
                {
                    biker5Blip = CreateBlip(biker5, BlipIcon.Misc_Deal, "Pimp Contact");
                }

                //  if (OKey && Player.Character.Position.DistanceTo(biker5.Position) <= 5.0f)
                //  {
                //      Game.DisplayText("biker5", 10000);
                //  }
            }
        }
        if (Exists(biker6) && biker6.isAlive && Player.Character.Position.DistanceTo(biker6Pos) <= 50.0f)
        {
            armbiker6 = true;
        }
        if (Exists(biker6) && biker6.isAlive)
        {
            if (Exists(biker6) && !armbiker6)
            {
                if (!Exists(bikerBoss) && !Exists(bikerBoss2) && !Exists(bikerBoss3) && !Exists(bikerBoss4) && !Exists(bikerBoss5) && !killedbikerBoss)
                {
                    bikerBoss = World.CreatePed(bikerBossMod, bikerBossPos);
                }
                biker6.Armor += 100;
            }
            if (Exists(biker6) && armbiker6)
            {
                biker6.CanSwitchWeapons = true;
                biker6.Weapons.BasicShotgun.Ammo = 1000;
                biker6.Weapons.BasicShotgun.Select();
                // biker6.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker6.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                // biker6.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker6.WantedByPolice = false;
                biker6.BecomeMissionCharacter();
                biker6.BlockPermanentEvents = true;
                biker6.Task.AlwaysKeepTask = true;
                biker6.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker6) && payedbikerBribe)
                {
                    biker6.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker6.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker6) && Biker)
                {
                    biker6.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker6.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker6.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker6) && Mafia || killedbikerBoss)
                {
                    biker6.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bikerMember = false;
                    biker6.Task.FightAgainst(Player.Character);
                    biker6.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker6) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker6.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker6.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker6) && Player.Character.Position.DistanceTo(bikerBossPos) <= 5.0f)
                    {
                        biker6.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker6.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker6) && Player.Character.Position.DistanceTo(biker6.Position) <= 2.0f && biker6.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker6.Task.ClearAll();
                    biker6.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker6.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("The recruiter of the club is on the second floor if you want in", 7000);
                }
                if (Exists(biker6) && Player.Character.Position.DistanceTo(biker6.Position) <= 2.0f && biker6.isAlive && !stolepauliesLimo && Biker || Exists(biker6) && Player.Character.Position.DistanceTo(biker6.Position) <= 2.0f && biker6.isAlive && !stolepauliesLimo && bikerMember)
                {
                    biker6.Task.ClearAll();
                    biker6.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker6.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Bring me Big Paulies Limo and $50,000 is yours", 13000);
                }
                if (Exists(biker6) && Player.Character.Position.DistanceTo(biker6.Position) <= 2.0f && biker6.isAlive && stolepauliesLimo && Biker || Exists(biker6) && Player.Character.Position.DistanceTo(biker6.Position) <= 2.0f && biker6.isAlive && stolepauliesLimo && bikerMember)
                {
                    biker6.Task.ClearAll();
                    biker6.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    Game.DisplayText("Fucking A! Here's $50,000 for the limo, the boss will like this", 13000);
                    biker6.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    TriggerMissionCompleteAudio(0x1b);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    Player.Character.Money += 50000;
                    if (Exists(pauliesLimo))
                    {
                        pauliesLimo.Delete();
                    }
                }
                if (Exists(biker6) && biker6.Position.DistanceTo(biker6Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker6.Position) <= 20.0f)
                {
                    biker6.Task.RunTo(biker6Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker6) && biker6.Position.DistanceTo(biker6Pos) <= 1.0f && biker6.isAlive)
                {
                    biker6.Heading = 181.6155f;
                }


                if (Exists(biker6) && biker6.isAlive && !Exists(biker6Blip))
                {
                    biker6Blip = CreateBlip(biker6, BlipIcon.Building_Garage, "Vehicle Contact");
                }
            }
        }

        if (Exists(biker7) && biker7.isAlive && Player.Character.Position.DistanceTo(biker7Pos) <= 50.0f)
        {
            armbiker7 = true;
        }

        if (Exists(biker7) && biker7.isAlive)
        {
            if (Exists(biker7) && !armbiker7)
            {
                biker7.Armor += 100;
            }
            if (Exists(biker7) && armbiker7)
            {
                //     Game.DisplayText("Biker Turf!", 5000);
                biker7.CanSwitchWeapons = true;
                biker7.Weapons.Uzi.Ammo = 1000;
                biker7.Weapons.Uzi.Select();
                biker7.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                // biker7.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker7.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker7.WantedByPolice = false;
                biker7.BecomeMissionCharacter();
                biker7.BlockPermanentEvents = true;
                biker7.Task.AlwaysKeepTask = true;
                biker7.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker7) && payedbikerBribe)
                {
                    biker7.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker7.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker7) && Biker)
                {
                    biker7.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker7.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker7.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker7) && Mafia || killedbikerBoss)
                {
                    biker7.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bikerMember = false;
                    biker7.Task.FightAgainst(Player.Character);
                    biker7.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker7) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker7.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker7.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker7) && Player.Character.Position.DistanceTo(bikerBossPos) <= 5.0f)
                    {
                        biker7.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker7.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker7) && Player.Character.Position.DistanceTo(biker7.Position) <= 5.0f && biker7.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker7.Task.ClearAll();
                    biker7.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker7.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("The recruiter of the club is on the second floor if you want in", 7000);
                }
                if (Exists(biker7) && Player.Character.Position.DistanceTo(biker7Pos) <= 2.0f && biker7.isAlive && Biker || Exists(biker7) && Player.Character.Position.DistanceTo(biker7Pos) <= 2.0f && biker7.isAlive && bikerMember)
                {
                    biker7.Task.ClearAll();
                    biker7.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker7.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }//Game.DisplayText("You run our protection service now, collect all our money and kill the clerks holding out!", 7000);
                }
                if (Exists(biker7) && biker7.Position.DistanceTo(biker7Pos) >= 2.0f && Player.Character.Position.DistanceTo(biker7.Position) <= 20.0f)
                {
                    biker7.Task.RunTo(biker7Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker7) && biker7.Position.DistanceTo(biker7Pos) <= 1.0f && biker7.isAlive)
                {
                    biker7.Heading = 91.78771f;
                }
                  if (Exists(biker7) && biker7.isAlive && !Exists(biker7Blip))
                {
                  //  biker7Blip = CreateBlip(biker7, BlipIcon.Misc_Deal, "Protection Racket");
                }

                //  if (OKey && Player.Character.Position.DistanceTo(biker7.Position) <= 5.0f)
                //   {
                //       Game.DisplayText("biker7", 10000);
                //   }
            }
        }
        if (Exists(biker8) && biker8.isAlive && Player.Character.Position.DistanceTo(biker8Pos) <= 50.0f)
        {
            armbiker8 = true;
        }

        if (Exists(biker8) && biker8.isAlive)
        {
            if (Exists(biker8) && !armbiker8)
            {
                biker8.Armor += 100;
            }
            if (Exists(biker8) && armbiker8)
            {
                //     Game.DisplayText("Biker Turf!", 5000);
                biker8.CanSwitchWeapons = true;
                biker8.Weapons.Uzi.Ammo = 1000;
                biker8.Weapons.Uzi.Select();
                biker8.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker8.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker8.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker8.WantedByPolice = false;
                biker8.BecomeMissionCharacter();
                biker8.BlockPermanentEvents = true;
                biker8.Task.AlwaysKeepTask = true;
                biker8.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker8) && payedbikerBribe)
                {
                    biker8.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker8.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker8) && Biker)
                {
                    biker8.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker8.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker8.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker8) && Mafia || killedbikerBoss)
                {
                    biker8.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bikerMember = false;
                    biker8.Task.FightAgainst(Player.Character);
                    biker8.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker8) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker8.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker8.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker8) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker8.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker8.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker8) && Player.Character.Position.DistanceTo(biker8.Position) <= 2.0f && biker8.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker8.Task.ClearAll();
                    biker8.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker8.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("The recruiter of the club is on the second floor if you want in", 7000);
                }
                if (Exists(biker8) && Player.Character.Position.DistanceTo(biker8Pos) <= 2.0f && biker8.isAlive && Biker || Exists(biker8) && Player.Character.Position.DistanceTo(biker8Pos) <= 2.0f && biker8.isAlive && bikerMember)
                {
                    biker8.Task.ClearAll();
                    biker8.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker8.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }// Game.DisplayText("Mission Coming Soon!", 7000);
                }
                if (Exists(biker8) && biker8.Position.DistanceTo(biker8Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker8.Position) <= 20.0f)
                {
                    biker8.Task.RunTo(biker8Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                // if (biker8.Position.DistanceTo(biker8Pos) <= 1.0f && biker8.isAlive)
                //  {
                //      biker8.Heading = 32.30544f;
                //  }

                //  if (OKey && Player.Character.Position.DistanceTo(biker7.Position) <= 5.0f)
                //   {
                //       Game.DisplayText("biker7", 10000);
                //   }
            }
        }
        if (Exists(biker9) && biker9.isAlive && Player.Character.Position.DistanceTo(biker9Pos) <= 50.0f)
        {
            armbiker9 = true;
        }
        if (Exists(biker9) && biker9.isAlive)
        {
            if (Exists(biker9) && !armbiker9)
            {
                biker9.Armor += 100;
            }
            if (Exists(biker9) && armbiker9)
            {
                biker9.CanSwitchWeapons = true;
                biker9.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker9.Weapons.AssaultRifle_M4.Select();
                biker9.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker9.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker9.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker9.WantedByPolice = false;
                biker9.BecomeMissionCharacter();
                biker9.BlockPermanentEvents = true;
                biker9.Task.AlwaysKeepTask = true;
                biker9.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker9) && payedbikerBribe)
                {
                    biker9.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker9.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker9) && biker9.Position.DistanceTo(biker9Pos) <= 1.0f && biker9.isAlive)
                {
                    biker9.Heading = 32.30544f;
                }
                if (Exists(biker9) && Biker)
                {
                    biker9.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker9.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker9.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker9) && Mafia || killedbikerBoss)
                {
                    biker9.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker9.Task.FightAgainst(Player.Character);
                    biker9.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    bikerMember = false;
                }
                if (Exists(biker9) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker9.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker9.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker9) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker9.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker9.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker9) && Player.Character.Position.DistanceTo(biker9.Position) <= 2.0f && biker9.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker9.Task.ClearAll();
                    biker9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers!", 7000);
                }
                if (Exists(biker9) && Player.Character.Position.DistanceTo(biker9Pos) <= 2.0f && biker9.isAlive && Biker)
                {
                    biker9.Task.ClearAll();
                    biker9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker9) && biker9.Position.DistanceTo(biker9Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker9.Position) <= 20.0f)
                {
                    biker9.Task.RunTo(biker9Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker10) && biker10.isAlive && Player.Character.Position.DistanceTo(biker10Pos) <= 50.0f)
        {
            armbiker10 = true;
        }
        if (Exists(biker10) && biker10.isAlive)
        {
            if (Exists(biker10) && !armbiker10)
            {
                biker10.Armor += 100;
            }
            if (Exists(biker10) && armbiker10)
            {
                biker10.CanSwitchWeapons = true;
                biker10.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker10.Weapons.AssaultRifle_M4.Select();
                biker10.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker10.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker10.WantedByPolice = false;
                biker10.BecomeMissionCharacter();
                biker10.BlockPermanentEvents = true;
                biker10.Task.AlwaysKeepTask = true;
                biker10.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker10) && payedbikerBribe)
                {
                    biker10.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker10.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker10) && biker10.Position.DistanceTo(biker10Pos) <= 1.0f && biker10.isAlive)
                {
                    biker10.Heading = 247.9075f;
                }
                if (Exists(biker10) && Biker)
                {
                    biker10.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker10.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker10.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker10) && Mafia || killedbikerBoss)
                {
                    biker10.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker10.Task.FightAgainst(Player.Character);
                    bikerMember = false;
                    biker10.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker10) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker10.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker10.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker10) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker10.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                        biker10.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    }
                }
                if (Exists(biker10) && Player.Character.Position.DistanceTo(biker10.Position) <= 2.0f && biker10.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker10.Task.ClearAll();
                    biker10.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker10.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker10) && Player.Character.Position.DistanceTo(biker10Pos) <= 2.0f && biker10.isAlive && Biker)
                {
                    biker10.Task.ClearAll();
                    biker10.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker10.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker10) && biker10.Position.DistanceTo(biker10Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker10.Position) <= 20.0f)
                {
                    biker10.Task.RunTo(biker10Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker11) && biker11.isAlive && Player.Character.Position.DistanceTo(biker11Pos) <= 50.0f)
        {
            armbiker11 = true;
        }
        if (Exists(biker11) && biker11.isAlive)
        {
            if (Exists(biker11) && !armbiker11)
            {
                biker11.Armor += 100;
            }
            if (Exists(biker11) && armbiker11)
            {
                biker11.CanSwitchWeapons = true;
                biker11.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker11.Weapons.AssaultRifle_M4.Select();
                biker11.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker11.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker11.WantedByPolice = false;
                biker11.BecomeMissionCharacter();
                biker11.BlockPermanentEvents = true;
                biker11.Task.AlwaysKeepTask = true;
                biker11.Task.ClearAll();
                biker11.Task.FightAgainstHatedTargets(50.0f);
                //  if (biker.Position.DistanceTo(bikerPos) <= 1.0f && biker.isAlive)
                //  {
                //      biker.Heading = f;
                //  }
               
                if (Exists(biker11) && payedbikerBribe)
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || bikerMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker11) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker11.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker11) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

                if (Exists(biker11) && biker11.Position.DistanceTo(biker11Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker11Pos) <= 21.0f)
                {
                    biker11.Task.RunTo(biker11Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker12) && biker12.isAlive && Player.Character.Position.DistanceTo(biker12Pos) <= 50.0f)
        {
            armbiker12 = true;
        }
        if (Exists(biker12) && biker12.isAlive)
        {
            if (Exists(biker12) && !armbiker12)
            {
                biker12.Armor += 100;
            }
            if (Exists(biker12) && armbiker12)
            {
                biker12.CanSwitchWeapons = true;
                biker12.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker12.Weapons.AssaultRifle_M4.Select();
                biker12.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker12.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker12.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker12.WantedByPolice = false;
                biker12.BecomeMissionCharacter();
                biker12.BlockPermanentEvents = true;
                biker12.Task.AlwaysKeepTask = true;
                biker12.Task.ClearAll();
                biker12.Task.FightAgainstHatedTargets(50.0f);
              
                if (Exists(biker12) && payedbikerBribe)
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(biker12Pos) <= 1.0f && biker12.isAlive)
                {
                    biker12.Heading = 182 / 0411f;
                }
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || bikerMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker12) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker12.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker12) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

                if (Exists(biker12) && biker12.Position.DistanceTo(biker12Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker12Pos) <= 21.0f)
                {
                    biker12.Task.RunTo(biker12Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker13) && biker13.isAlive && Player.Character.Position.DistanceTo(biker13Pos) <= 50.0f)
        {
            armbiker13 = true;
        }
        if (Exists(biker13) && biker13.isAlive)
        {
            if (Exists(biker13) && !armbiker13)
            {
                biker13.Armor += 100;
            }
            if (Exists(biker13) && armbiker13)
            {
                biker13.CanSwitchWeapons = true;
                biker13.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker13.Weapons.AssaultRifle_M4.Select();
                biker13.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker13.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker13.WantedByPolice = false;
                biker13.BecomeMissionCharacter();
                biker13.BlockPermanentEvents = true;
                biker13.Task.AlwaysKeepTask = true;
                biker13.Task.ClearAll();
                biker13.Task.FightAgainstHatedTargets(50.0f);
               
                if (Exists(biker13) && payedbikerBribe)
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(biker13Pos) <= 1.0f && biker13.isAlive)
                {
                    biker13.Heading = 192.3967f;
                }
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || bikerMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker13) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker13.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker13) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

                if (Exists(biker13) && biker13.Position.DistanceTo(biker13Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker13Pos) <= 21.0f)
                {
                    biker13.Task.RunTo(biker13Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker14) && biker14.isAlive && Player.Character.Position.DistanceTo(biker14Pos) <= 50.0f)
        {
            armbiker14 = true;
        }
        if (Exists(biker14) && biker14.isAlive)
        {
            if (Exists(biker14) && !armbiker14)
            {
                biker14.Armor += 100;
            }
            if (Exists(biker14) && armbiker14)
            {
                biker14.CanSwitchWeapons = true;
                biker14.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker14.Weapons.AssaultRifle_M4.Select();
                biker14.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker14.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
               // biker14.WantedByPolice = false;
                biker14.BecomeMissionCharacter();
                biker14.BlockPermanentEvents = true;
                biker14.Task.AlwaysKeepTask = true;
                biker14.Task.ClearAll();
                biker14.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker14) && payedbikerBribe)
                {
                    biker14.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(biker14Pos) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 38.89362f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf3Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 73.14149f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf4Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 242.2528f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf5Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 63.07898f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf6Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 268.252f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf7Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 133.4901f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf8Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 295.7145f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf9Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 305.8987f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf10Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 113.1912f;
                }

                if (Exists(biker14) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker14.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker14) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || bikerMember))
                {
                    biker14.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker14.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker14) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker14.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker14) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker14.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker14.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker14) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker14.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker14.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker14) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker14.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker14) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && Player.Character.Position.DistanceTo(biker14.Position) <= 2.0f && biker14.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker14.Task.ClearAll();
                    biker14.Task.TurnTo(Player.Character);

                    biker14.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker14) && Player.Character.Position.DistanceTo(biker14Pos) <= 2.0f && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && biker14.isAlive && Biker)
                {
                    biker14.Task.ClearAll();
                    biker14.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker14.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker14) && Player.Character.Position.DistanceTo(biker14Pos) <= 21.0f && biker14.Position.DistanceTo(biker14Pos) >= 5.0f)
                {
                    biker14.Task.RunTo(biker14Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker15) && biker15.isAlive && Player.Character.Position.DistanceTo(biker15Pos) <= 50.0f)
        {
            armbiker15 = true;
        }
        if (Exists(biker15) && biker15.isAlive)
        {
            if (Exists(biker15) && !armbiker15)
            {
                biker15.Armor += 100;
            }
            if (Exists(biker15) && armbiker15)
            {
                biker15.CanSwitchWeapons = true;
                biker15.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker15.Weapons.AssaultRifle_M4.Select();
                biker15.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker15.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
               // biker15.WantedByPolice = false;
                biker15.BecomeMissionCharacter();
                biker15.BlockPermanentEvents = true;
                biker15.Task.AlwaysKeepTask = true;
                biker15.Task.ClearAll();
                biker15.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker15) && payedbikerBribe)
                {
                    biker15.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker15) && biker15.Position.DistanceTo(biker15Pos) <= 1.0f && biker15.isAlive)
                {
                    biker15.Heading = 195.0551f;
                }
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf1Pos1) <= 1.0f && biker15.isAlive)
                {
                    biker15.Heading = 196.0986f;
                }
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf3Pos2) <= 1.0f && biker15.isAlive)
                {
                    biker15.Heading = 272.4264f;
                }

                if (Exists(biker15) && biker15.Position.DistanceTo(Turf4Pos2) <= 1.0f && biker15.isAlive)
                {
                    biker15.Heading = 210.9544f;
                }
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf5Pos2) <= 1.0f && biker15.isAlive)
                {
                    biker15.Heading = 322.5174f;
                }
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf6Pos2) <= 1.0f && biker15.isAlive)
                {
                    biker15.Heading = 91.85943f;
                }
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf7Pos2) <= 1.0f && biker15.isAlive)
                {
                    biker15.Heading = 310.747f;
                }
               
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf9Pos2) <= 1.0f && biker15.isAlive)
                {
                    biker15.Heading = 290.2251f;
                }
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf10Pos2) <= 1.0f && biker15.isAlive)
                {
                    biker15.Heading = 205.5799f;
                }
                if (Exists(biker15) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker15.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker15) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || bikerMember))
                {
                    biker15.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker15.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker15) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker15.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker15) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker15.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker15.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker15) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker15.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker15.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker15) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker15.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker15) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && Player.Character.Position.DistanceTo(biker15.Position) <= 2.0f && biker15.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker15.Task.ClearAll();
                    biker15.Task.TurnTo(Player.Character);

                    biker15.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker15) && Player.Character.Position.DistanceTo(biker15Pos) <= 2.0f && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && biker15.isAlive && Biker)
                {
                    biker15.Task.ClearAll();
                    biker15.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker15.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker15) && Player.Character.Position.DistanceTo(biker15Pos) <= 21.0f && biker15.Position.DistanceTo(biker15Pos) >= 5.0f)
                {
                    biker15.Task.RunTo(biker15Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker16) && biker16.isAlive && Player.Character.Position.DistanceTo(biker16Pos) <= 50.0f)
        {
            armbiker16 = true;
        }
        if (Exists(biker16) && biker16.isAlive)
        {
            if (Exists(biker16) && !armbiker16)
            {
                biker16.Armor += 100;
            }
            if (Exists(biker16) && armbiker16)
            {
                biker16.CanSwitchWeapons = true;
                biker16.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker16.Weapons.AssaultRifle_M4.Select();
                biker16.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker16.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
               // biker16.WantedByPolice = false;
                biker16.BecomeMissionCharacter();
                biker16.BlockPermanentEvents = true;
                biker16.Task.AlwaysKeepTask = true;
                biker16.Task.ClearAll();
                biker16.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker16) && payedbikerBribe)
                {
                    biker16.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(biker16Pos) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 345.7662f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf1Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 227.6688f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf3Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 17872.93f;
                }

               
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf5Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 56.77095f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf6Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 89.2106f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf7Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 296.0262f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf8Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 346.6041f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf9Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 290.281f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf10Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 303.1667f;
                }

             





                if (Exists(biker16) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker16.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker16) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || bikerMember))
                {
                    biker16.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker16.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker16) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker16.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker16) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker16.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker16.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker16) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker16.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker16.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker16) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker16.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker16) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && Player.Character.Position.DistanceTo(biker16.Position) >= 15.0f && Player.Character.Position.DistanceTo(biker16Pos) <= 2.0f && biker16.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker16.Task.ClearAll();
                    biker16.Task.TurnTo(Player.Character);

                    biker16.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker16) && Player.Character.Position.DistanceTo(biker16Pos) <= 2.0f && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && biker16.isAlive && Biker)
                {
                    biker16.Task.ClearAll();
                    biker16.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker16.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker16) && Player.Character.Position.DistanceTo(biker16Pos) <= 21.0f && biker16.Position.DistanceTo(biker16Pos) >= 5.0f)
                {
                    biker16.Task.RunTo(biker16Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker17) && biker17.isAlive && Player.Character.Position.DistanceTo(biker17Pos) <= 50.0f)
        {
            armbiker17 = true;
        }
        if (Exists(biker17) && biker17.isAlive)
        {
            if (Exists(biker17) && !armbiker17)
            {
                biker17.Armor += 100;
            }
            if (Exists(biker17) && armbiker17)
            {
                biker17.CanSwitchWeapons = true;
                biker17.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker17.Weapons.AssaultRifle_M4.Select();
                biker17.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker17.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker17.WantedByPolice = false;
                biker17.BecomeMissionCharacter();
                biker17.BlockPermanentEvents = true;
                biker17.Task.AlwaysKeepTask = true;
                biker17.Task.FightAgainstHatedTargets(50.0f);
                
                if (Exists(biker17) && payedbikerBribe)
                {
                    biker17.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker17) && biker17.Position.DistanceTo(biker17Pos) <= 1.0f && biker17.isAlive)
                {
                    biker17.Heading = 110.0593f;
                }
                if (Exists(biker17) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker17.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker17) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || bikerMember))
                {
                    biker17.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker17.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker17) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker17.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker17) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker17.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker17.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker17) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker17.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker17.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker17) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker17.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker17) && Player.Character.Position.DistanceTo(biker17.Position) <= 2.0f && biker17.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker17.Task.ClearAll();
                    biker17.Task.TurnTo(Player.Character);

                    biker17.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker17) && Player.Character.Position.DistanceTo(biker17Pos) <= 2.0f && biker17.isAlive && Biker)
                {
                    biker17.Task.ClearAll();
                    biker17.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker17.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker17) && Player.Character.Position.DistanceTo(biker17Pos) <= 21.0f && biker17.Position.DistanceTo(biker17Pos) >= 5.0f)
                {
                    biker17.Task.RunTo(biker17Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker18) && biker18.isAlive && Player.Character.Position.DistanceTo(biker18Pos) <= 50.0f)
        {
            armbiker18 = true;
        }
        if (Exists(biker18) && biker18.isAlive)
        {
            if (Exists(biker18) && !armbiker18)
            {
                biker18.Armor += 100;
            }
            if (Exists(biker18) && armbiker18)
            {
                biker18.CanSwitchWeapons = true;
                biker18.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker18.Weapons.AssaultRifle_M4.Select();
                biker18.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker18.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker18.WantedByPolice = false;
                biker18.BecomeMissionCharacter();
                biker18.BlockPermanentEvents = true;
                biker18.Task.AlwaysKeepTask = true;
                biker18.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker18) && payedbikerBribe)
                {
                    biker18.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker18.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker18) && biker18.Position.DistanceTo(biker18Pos) <= 1.0f && biker18.isAlive)
                {
                    biker18.Heading = 273.9005f;
                }
                if (Exists(biker18) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker18.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker18.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker18) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || bikerMember))
                {
                    biker18.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker18.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker18.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker18) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker18.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker18.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker18) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker18.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker18.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker18.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker18) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker18.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker18.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker18) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker18.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                        biker18.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    }
                }
                if (Exists(biker18) && Player.Character.Position.DistanceTo(biker18.Position) <= 2.0f && biker18.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker18.Task.ClearAll();
                    biker18.Task.TurnTo(Player.Character);

                    biker18.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker18) && Player.Character.Position.DistanceTo(biker18Pos) <= 2.0f && biker18.isAlive && Biker)
                {
                    biker18.Task.ClearAll();
                    biker18.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker18.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker18) && biker18.Position.DistanceTo(biker18Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker18.Position) <= 20.0f)
                {
                    biker18.Task.RunTo(biker18Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker19) && biker19.isAlive && Player.Character.Position.DistanceTo(biker19Pos) <= 50.0f)
        {
            armbiker19 = true;
        }
        if (Exists(biker19) && biker19.isAlive)
        {
            if (Exists(biker19) && !armbiker19)
            {
                biker19.Armor += 100;
            }
            if (Exists(biker19) && armbiker19)
            {
                biker19.CanSwitchWeapons = true;
                biker19.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker19.Weapons.AssaultRifle_M4.Select();
                biker19.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker19.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker19.WantedByPolice = false;
                biker19.BecomeMissionCharacter();
                biker19.BlockPermanentEvents = true;
                biker19.Task.AlwaysKeepTask = true;
                biker19.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker19) && payedbikerBribe)
                {
                    biker19.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker19.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker19) && biker19.Position.DistanceTo(biker19Pos) <= 1.0f && biker19.isAlive)
                {
                    biker19.Heading = 183.9526f;
                }
                if (Exists(biker19) && Biker)
                {
                    biker19.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker19.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker19.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker19) && Mafia || killedbikerBoss)
                {
                    biker19.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker19.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker19.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker19) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker19.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker19.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker19) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker19.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker19.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker19) && Player.Character.Position.DistanceTo(biker19.Position) <= 2.0f && biker19.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker19.Task.ClearAll();
                    biker19.Task.TurnTo(Player.Character);

                    biker19.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker19) && Player.Character.Position.DistanceTo(biker19Pos) <= 2.0f && biker19.isAlive && Biker)
                {
                    biker19.Task.ClearAll();
                    biker19.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker19.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker19) && biker19.Position.DistanceTo(biker19Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker19.Position) <= 20.0f)
                {
                    biker19.Task.RunTo(biker19Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker20) && biker20.isAlive && Player.Character.Position.DistanceTo(biker20Pos) <= 50.0f)
        {
            armbiker20 = true;
        }
        if (Exists(biker20) && biker20.isAlive)
        {
            if (Exists(biker20) && !armbiker20)
            {
                biker20.Armor += 100;
            }
            if (Exists(biker20) && armbiker20)
            {
                biker20.CanSwitchWeapons = true;
                biker20.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker20.Weapons.AssaultRifle_M4.Select();
                biker20.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker20.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker20.WantedByPolice = false;
                biker20.BecomeMissionCharacter();
                biker20.BlockPermanentEvents = true;
                biker20.Task.AlwaysKeepTask = true;
                biker20.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker20) && payedbikerBribe)
                {
                    biker20.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker20.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker20) && biker20.Position.DistanceTo(biker20Pos) <= 1.0f && biker20.isAlive)
                {
                    biker20.Heading = 20.08072f;
                }
                if (Exists(biker20) && Biker)
                {
                    biker20.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker20.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker20.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker20) && Mafia || killedbikerBoss)
                {
                    biker20.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker20.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker20.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker20) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker20.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker20.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker20) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker20.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker20.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker20) && Player.Character.Position.DistanceTo(biker20.Position) <= 2.0f && biker20.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker20.Task.ClearAll();
                    biker20.Task.TurnTo(Player.Character);

                    biker20.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker20) && Player.Character.Position.DistanceTo(biker20Pos) <= 2.0f && biker20.isAlive && Biker)
                {
                    biker20.Task.ClearAll();
                    biker20.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker20.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker20) && biker20.Position.DistanceTo(biker20Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker20.Position) <= 20.0f)
                {
                    biker20.Task.RunTo(biker20Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker21) && biker21.isAlive && Player.Character.Position.DistanceTo(biker21Pos) <= 50.0f)
        {
            armbiker21 = true;
        }
        if (Exists(biker21) && biker21.isAlive)
        {
            if (Exists(biker21) && !armbiker21)
            {
                biker21.Armor += 100;
            }
            if (Exists(biker21) && armbiker21)
            {
                biker21.CanSwitchWeapons = true;
                biker21.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker21.Weapons.AssaultRifle_M4.Select();
                biker21.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker21.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker21.WantedByPolice = false;
                biker21.BecomeMissionCharacter();
                biker21.BlockPermanentEvents = true;
                biker21.Task.AlwaysKeepTask = true;
                biker21.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker21) && payedbikerBribe)
                {
                    biker21.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker21.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker21) && biker21.Position.DistanceTo(biker21Pos) <= 1.0f && biker21.isAlive)
                {
                    biker21.Heading = 310.7617f;
                }
                if (Exists(biker21) && Biker)
                {
                    biker21.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker21.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker21.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker21) && Mafia || killedbikerBoss)
                {
                    biker21.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker21.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker21.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker21) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker21.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker21.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker21) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker21.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker21.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker21) && Player.Character.Position.DistanceTo(biker21.Position) <= 2.0f && biker21.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker21.Task.ClearAll();
                    biker21.Task.TurnTo(Player.Character);

                    biker21.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker21) && Player.Character.Position.DistanceTo(biker21Pos) <= 2.0f && biker21.isAlive && Biker)
                {
                    biker21.Task.ClearAll();
                    biker21.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker21.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker21) && biker21.Position.DistanceTo(biker21Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker21.Position) <= 20.0f)
                {
                    biker21.Task.RunTo(biker21Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker22) && biker22.isAlive && Player.Character.Position.DistanceTo(biker22Pos) <= 50.0f)
        {
            armbiker22 = true;
        }
        if (Exists(biker22) && biker22.isAlive)
        {
            if (Exists(biker22) && !armbiker22)
            {
                biker22.Armor += 100;
            }
            if (Exists(biker22) && armbiker22)
            {
                biker22.CanSwitchWeapons = true;
                biker22.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker22.Weapons.AssaultRifle_M4.Select();
                biker22.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker22.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker22.WantedByPolice = false;
                biker22.BecomeMissionCharacter();
                biker22.BlockPermanentEvents = true;
                biker22.Task.AlwaysKeepTask = true;
                biker22.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker22) && payedbikerBribe)
                {
                    biker22.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker22.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker22) && biker22.Position.DistanceTo(biker22Pos) <= 1.0f && biker22.isAlive)
                {
                    biker22.Heading = 221.4305f;
                }
                if (Exists(biker22) && Biker)
                {
                    biker22.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker22.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker22.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker22) && Mafia || killedbikerBoss)
                {
                    biker22.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker22.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker22.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker22) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker22.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker22.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker22) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker22.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker22.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker22) && Player.Character.Position.DistanceTo(biker22.Position) <= 2.0f && biker22.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker22.Task.ClearAll();
                    biker22.Task.TurnTo(Player.Character);

                    biker22.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker22) && Player.Character.Position.DistanceTo(biker22Pos) <= 2.0f && biker22.isAlive && Biker)
                {
                    biker22.Task.ClearAll();
                    biker22.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker22.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker22) && biker22.Position.DistanceTo(biker22Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker22.Position) <= 20.0f)
                {
                    biker22.Task.RunTo(biker22Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker23) && biker23.isAlive && Player.Character.Position.DistanceTo(biker23Pos) <= 50.0f)
        {
            armbiker23 = true;
        }
        if (Exists(biker23) && biker23.isAlive)
        {
            if (Exists(biker23) && !armbiker23)
            {
                biker23.Armor += 100;
            }
            if (Exists(biker23) && armbiker23)
            {
                biker23.CanSwitchWeapons = true;
                biker23.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker23.Weapons.AssaultRifle_M4.Select();
                biker23.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker23.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker23.WantedByPolice = false;
                biker23.BecomeMissionCharacter();
                biker23.BlockPermanentEvents = true;
                biker23.Task.AlwaysKeepTask = true;
                biker23.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker23) && payedbikerBribe)
                {
                    biker23.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker23.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker23) && biker23.Position.DistanceTo(biker23Pos) <= 1.0f && biker23.isAlive)
                {
                    biker23.Heading = 129.7154f;
                }
                if (Exists(biker23) && Biker)
                {
                    biker23.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker23.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker23.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker23) && Mafia || killedbikerBoss)
                {
                    biker23.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker23.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker23.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker23) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker23.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker23.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker23) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker23.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker23.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker23) && Player.Character.Position.DistanceTo(biker23.Position) <= 2.0f && biker23.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker23.Task.ClearAll();
                    biker23.Task.TurnTo(Player.Character);

                    biker23.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker23) && Player.Character.Position.DistanceTo(biker23Pos) <= 2.0f && biker23.isAlive && Biker)
                {
                    biker23.Task.ClearAll();
                    biker23.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker23.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker23) && biker23.Position.DistanceTo(biker23Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker23.Position) <= 20.0f)
                {
                    biker23.Task.RunTo(biker23Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker24) && biker24.isAlive && Player.Character.Position.DistanceTo(biker24Pos) <= 50.0f)
        {
            armbiker24 = true;
        }
        if (Exists(biker24) && biker24.isAlive)
        {
            if (Exists(biker24) && !armbiker24)
            {
                biker24.Armor += 100;
            }
            if (Exists(biker24) && armbiker24)
            {
                biker24.CanSwitchWeapons = true;
                biker24.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker24.Weapons.AssaultRifle_M4.Select();
                biker24.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker24.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker24.WantedByPolice = false;
                biker24.BecomeMissionCharacter();
                biker24.BlockPermanentEvents = true;
                biker24.Task.AlwaysKeepTask = true;
                biker24.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker24) && payedbikerBribe)
                {
                    biker24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker24.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker24) && biker24.Position.DistanceTo(biker24Pos) <= 1.0f && biker24.isAlive)
                {
                    biker24.Heading = 271.2492f;
                }
                if (Exists(biker24) && Biker)
                {
                    biker24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker24.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker24.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker24) && Mafia || killedbikerBoss)
                {
                    biker24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker24.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker24.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker24) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker24.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker24.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker24) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker24.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker24) && Player.Character.Position.DistanceTo(biker24.Position) <= 2.0f && biker24.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker24.Task.ClearAll();
                    biker24.Task.TurnTo(Player.Character);

                    biker24.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker24) && Player.Character.Position.DistanceTo(biker24Pos) <= 2.0f && biker24.isAlive && Biker)
                {
                    biker24.Task.ClearAll();
                    biker24.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker24.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker24) && biker24.Position.DistanceTo(biker24Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker24.Position) <= 20.0f)
                {
                    biker24.Task.RunTo(biker24Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker25) && biker25.isAlive && Player.Character.Position.DistanceTo(biker25Pos) <= 50.0f)
        {
            armbiker25 = true;
        }
        if (Exists(biker25) && biker25.isAlive)
        {
            if (Exists(biker25) && !armbiker25)
            {
                biker25.Armor += 100;
            }
            if (Exists(biker25) && armbiker25)
            {
                biker25.CanSwitchWeapons = true;
                biker25.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker25.Weapons.AssaultRifle_M4.Select();
                biker25.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker25.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker25.WantedByPolice = false;
                biker25.BecomeMissionCharacter();
                biker25.BlockPermanentEvents = true;
                biker25.Task.AlwaysKeepTask = true;
                biker25.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker25) && payedbikerBribe)
                {
                    biker25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker25.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker25) && biker25.Position.DistanceTo(biker25Pos) <= 1.0f && biker25.isAlive)
                {
                    biker25.Heading = 168.5073f;
                }
                if (Exists(biker25) && Biker)
                {
                    biker25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker25.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker25.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker25) && Mafia || killedbikerBoss)
                {
                    biker25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker25.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker25.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker25) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker25.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker25.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker25) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker25.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker25) && Player.Character.Position.DistanceTo(biker25.Position) <= 2.0f && biker25.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker25.Task.ClearAll();
                    biker25.Task.TurnTo(Player.Character);

                    biker25.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker25) && Player.Character.Position.DistanceTo(biker25Pos) <= 2.0f && biker25.isAlive && Biker)
                {
                    biker25.Task.ClearAll();
                    biker25.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker25.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker25) && biker25.Position.DistanceTo(biker25Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker25.Position) <= 20.0f)
                {
                    biker25.Task.RunTo(biker25Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker26) && biker26.isAlive && Player.Character.Position.DistanceTo(biker26Pos) <= 50.0f)
        {
            armbiker26 = true;
        }
        if (Exists(biker26) && biker26.isAlive)
        {
            if (Exists(biker26) && !armbiker26)
            {
                biker26.Armor += 100;
            }
            if (Exists(biker26) && armbiker26)
            {
                biker26.CanSwitchWeapons = true;
                biker26.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker26.Weapons.AssaultRifle_M4.Select();
                biker26.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker26.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker26.WantedByPolice = false;
                biker26.BecomeMissionCharacter();
                biker26.BlockPermanentEvents = true;
                biker26.Task.AlwaysKeepTask = true;
                biker26.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker26) && payedbikerBribe)
                {
                    biker26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker26.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker26) && biker26.Position.DistanceTo(biker26Pos) <= 1.0f && biker26.isAlive)
                {
                    biker26.Heading = 10.04193f;
                }
                if (Exists(biker26) && Biker)
                {
                    biker26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker26.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker26.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker26) && Mafia || killedbikerBoss)
                {
                    biker26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker26.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker26.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker26) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker26.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker26.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker26) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker26.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker26) && Player.Character.Position.DistanceTo(biker26.Position) <= 2.0f && biker26.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker26.Task.ClearAll();
                    biker26.Task.TurnTo(Player.Character);

                    biker26.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker26) && Player.Character.Position.DistanceTo(biker26Pos) <= 2.0f && biker26.isAlive && Biker)
                {
                    biker26.Task.ClearAll();
                    biker26.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker26.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker26) && biker26.Position.DistanceTo(biker26Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker26.Position) <= 20.0f)
                {
                    biker26.Task.RunTo(biker26Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker27) && biker27.isAlive && Player.Character.Position.DistanceTo(biker27Pos) <= 50.0f)
        {
            armbiker27 = true;
        }
        if (Exists(biker27) && biker27.isAlive)
        {
            if (Exists(biker27) && !armbiker27)
            {
                biker27.Armor += 100;
            }
            if (Exists(biker27) && armbiker27)
            {
                biker27.CanSwitchWeapons = true;
                biker27.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker27.Weapons.AssaultRifle_M4.Select();
                biker27.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker27.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker27.WantedByPolice = false;
                biker27.BecomeMissionCharacter();
                biker27.BlockPermanentEvents = true;
                biker27.Task.AlwaysKeepTask = true;
                biker27.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker27) && payedbikerBribe)
                {
                    biker27.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker27.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker27) && biker27.Position.DistanceTo(biker27Pos) <= 1.0f && biker27.isAlive)
                {
                    biker27.Heading = 170.5961f;
                }
                if (Exists(biker27) && Biker)
                {
                    biker27.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker27.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker27.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker27) && Mafia || killedbikerBoss)
                {
                    biker27.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker27.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker27.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker27) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker27.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker27.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker27) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker27.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker27.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker27) && Player.Character.Position.DistanceTo(biker27.Position) <= 2.0f && biker27.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker27.Task.ClearAll();
                    biker27.Task.TurnTo(Player.Character);

                    biker27.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker27) && Player.Character.Position.DistanceTo(biker27Pos) <= 2.0f && biker27.isAlive && Biker)
                {
                    biker27.Task.ClearAll();
                    biker27.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker27.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker27) && biker27.Position.DistanceTo(biker27Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker27.Position) <= 20.0f)
                {
                    biker27.Task.RunTo(biker27Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker28) && biker28.isAlive && Player.Character.Position.DistanceTo(biker28Pos) <= 50.0f)
        {
            armbiker28 = true;
        }
        if (Exists(biker28) && biker28.isAlive)
        {
            if (Exists(biker28) && !armbiker28)
            {
                biker28.Armor += 100;
            }
            if (Exists(biker28) && armbiker28)
            {
                biker28.CanSwitchWeapons = true;
                biker28.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker28.Weapons.AssaultRifle_M4.Select();
                biker28.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker28.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker28.WantedByPolice = false;
                biker28.BecomeMissionCharacter();
                biker28.BlockPermanentEvents = true;
                biker28.Task.AlwaysKeepTask = true;
                biker28.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker28) && payedbikerBribe)
                {
                    biker28.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker28.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker28) && biker28.Position.DistanceTo(biker28Pos) <= 1.0f && biker28.isAlive)
                {
                    biker28.Heading = 189.1604f;
                }
                if (Exists(biker28) && Biker)
                {
                    biker28.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker28.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker28.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker28) && Mafia || killedbikerBoss)
                {
                    biker28.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker28.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker28.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker28) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker28.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker28.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker28) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker28.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker28.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker28) && Player.Character.Position.DistanceTo(biker28.Position) <= 2.0f && biker28.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker28.Task.ClearAll();
                    biker28.Task.TurnTo(Player.Character);

                    biker28.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker28) && Player.Character.Position.DistanceTo(biker28Pos) <= 2.0f && biker28.isAlive && Biker)
                {
                    biker28.Task.ClearAll();
                    biker28.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker28.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker28) && biker28.Position.DistanceTo(biker28Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker28.Position) <= 20.0f)
                {
                    biker28.Task.RunTo(biker28Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker29) && biker29.isAlive && Player.Character.Position.DistanceTo(biker29Pos) <= 50.0f)
        {
            armbiker29 = true;
        }
        if (Exists(biker29) && biker29.isAlive)
        {
            if (Exists(biker29) && !armbiker29)
            {
                biker29.Armor += 100;
            }
            if (Exists(biker29) && armbiker29)
            {
                biker29.CanSwitchWeapons = true;
                biker29.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker29.Weapons.AssaultRifle_M4.Select();
                biker29.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker29.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker29.WantedByPolice = false;
                biker29.BecomeMissionCharacter();
                biker29.BlockPermanentEvents = true;
                biker29.Task.AlwaysKeepTask = true;
                biker29.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker29) && payedbikerBribe)
                {
                    biker29.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker29.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker29) && biker29.Position.DistanceTo(biker29Pos) <= 1.0f && biker29.isAlive)
                {
                    biker29.Heading = 188.9768f;
                }
                if (Exists(biker29) && Biker)
                {
                    biker29.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker29.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker29.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker29) && Mafia || killedbikerBoss)
                {
                    biker29.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker29.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker29.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker29) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker29.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker29.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker29) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker29.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker29.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker29) && Player.Character.Position.DistanceTo(biker29.Position) <= 2.0f && biker29.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker29.Task.ClearAll();
                    biker29.Task.TurnTo(Player.Character);

                    biker29.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker29) && Player.Character.Position.DistanceTo(biker29Pos) <= 2.0f && biker29.isAlive && Biker)
                {
                    biker29.Task.ClearAll();
                    biker29.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker29.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker29) && biker29.Position.DistanceTo(biker29Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker29.Position) <= 20.0f)
                {
                    biker29.Task.RunTo(biker29Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker30) && biker30.isAlive && Player.Character.Position.DistanceTo(biker30Pos) <= 50.0f)
        {
            armbiker30 = true;
        }
        if (Exists(biker30) && biker30.isAlive)
        {
            if (Exists(biker30) && !armbiker30)
            {
                biker30.Armor += 100;
            }
            if (Exists(biker30) && armbiker30)
            {
                biker30.CanSwitchWeapons = true;
                biker30.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker30.Weapons.AssaultRifle_M4.Select();
                biker30.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker30.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker30.WantedByPolice = false;
                biker30.BecomeMissionCharacter();
                biker30.BlockPermanentEvents = true;
                biker30.Task.AlwaysKeepTask = true;
                biker30.Task.FightAgainstHatedTargets(50.0f);
                //  if (biker30.Position.DistanceTo(biker30Pos) <= 1.0f && biker30.isAlive)
                //  {
                //       biker30.Heading = f;
                //   }
                if (Exists(biker30) && payedbikerBribe)
                {
                    biker30.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker30.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker30) && Biker)
                {
                    biker30.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker30.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker30.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker30) && Mafia || killedbikerBoss)
                {
                    biker30.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker30.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker30.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker30) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker30.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker30.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker30) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker30.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker30.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker30) && Player.Character.Position.DistanceTo(biker30.Position) <= 2.0f && biker30.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker30.Task.ClearAll();
                    biker30.Task.TurnTo(Player.Character);

                    biker30.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker30) && Player.Character.Position.DistanceTo(biker30Pos) <= 2.0f && biker30.isAlive && Biker)
                {
                    biker30.Task.ClearAll();
                    biker30.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker30.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker30) && biker30.Position.DistanceTo(biker30Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker30.Position) <= 20.0f)
                {
                    biker30.Task.RunTo(biker30Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker31) && biker31.isAlive && Player.Character.Position.DistanceTo(biker31Pos) <= 50.0f)
        {
            armbiker31 = true;
        }
        if (Exists(biker31) && biker31.isAlive)
        {
            if (Exists(biker31) && !armbiker31)
            {
                biker31.Armor += 100;
            }
            if (Exists(biker31) && armbiker31)
            {
                biker31.CanSwitchWeapons = true;
                biker31.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker31.Weapons.AssaultRifle_M4.Select();
                biker31.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker31.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker31.WantedByPolice = false;
                biker31.BecomeMissionCharacter();
                biker31.BlockPermanentEvents = true;
                biker31.Task.AlwaysKeepTask = true;
                biker31.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker31) && payedbikerBribe)
                {
                    biker31.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker31.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker31) && biker31.Position.DistanceTo(biker31Pos) <= 1.0f && biker31.isAlive)
                {
                    biker31.Heading = 193.9926f;
                }
                if (Exists(biker31) && Biker)
                {
                    biker31.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker31.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker31.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker31) && Mafia || killedbikerBoss)
                {
                    biker31.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker31.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker31.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker31) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker31.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker31.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker31) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker31.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker31.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker31) && Player.Character.Position.DistanceTo(biker31.Position) <= 2.0f && biker31.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker31.Task.ClearAll();
                    biker31.Task.TurnTo(Player.Character);

                    biker31.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker31) && Player.Character.Position.DistanceTo(biker31Pos) <= 2.0f && biker31.isAlive && Biker)
                {
                    biker31.Task.ClearAll();
                    biker31.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker31.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker31) && biker31.Position.DistanceTo(biker31Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker31.Position) <= 20.0f)
                {
                    biker31.Task.RunTo(biker31Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker32) && biker32.isAlive && Player.Character.Position.DistanceTo(biker32Pos) <= 50.0f)
        {
            armbiker32 = true;
        }
        if (Exists(biker32) && biker32.isAlive)
        {
            if (Exists(biker32) && !armbiker32)
            {
                biker32.Armor += 100;
            }
            if (Exists(biker32) && armbiker32)
            {
                biker32.CanSwitchWeapons = true;
                biker32.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker32.Weapons.AssaultRifle_M4.Select();
                biker32.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker32.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker32.WantedByPolice = false;
                biker32.BecomeMissionCharacter();
                biker32.BlockPermanentEvents = true;
                biker32.Task.AlwaysKeepTask = true;
                biker32.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(biker32) && biker32.Position.DistanceTo(biker32Pos) <= 1.0f && biker32.isAlive)
                {
                    biker32.Heading = 186.4153f;
                }
                if (Exists(biker32) && payedbikerBribe)
                {
                    biker32.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker32.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker32) && Biker)
                {
                    biker32.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker32.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker32.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);

                }
                if (Exists(biker32) && Mafia || killedbikerBoss)
                {
                    biker32.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker32.Task.FightAgainst(Player.Character); bikerMember = false;
                    biker32.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker32) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    biker32.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker32.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(biker32) && Player.Character.Position.DistanceTo(bikerBossPos) <= 2.0f)
                    {
                        biker32.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    biker32.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker32) && Player.Character.Position.DistanceTo(biker32.Position) <= 2.0f && biker32.isAlive && !Biker && !Mafia && !bikerMember)
                {
                    biker32.Task.ClearAll();
                    biker32.Task.TurnTo(Player.Character);

                    biker32.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't Fuck with the Bikers", 7000);
                }
                if (Exists(biker32) && Player.Character.Position.DistanceTo(biker32Pos) <= 2.0f && biker32.isAlive && Biker)
                {
                    biker32.Task.ClearAll();
                    biker32.Task.TurnTo(Player.Character);
                    //Game.DisplayText("Mission Coming Soon!", 7000);
                    biker32.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker32) && Player.Character.Position.DistanceTo(biker11Pos) <= 21.0f && Player.Character.Position.DistanceTo(biker32Pos) <= 21.0f && biker32.Position.DistanceTo(biker32Pos) >= 5.0f)
                {
                    biker32.Task.RunTo(biker32Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(biker33) && biker33.isAlive && Player.Character.Position.DistanceTo(biker33.Position) <= 50.0f)
        {
            armbiker33 = true;
        }
        if (Exists(biker33) && biker33.isAlive)
        {
            if (Exists(biker33) && !armbiker33)
            {
                biker33.Armor += 100;
            }
            if (Exists(biker33) && armbiker33)
            {
                biker33.CanSwitchWeapons = true;
                biker33.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                biker33.Weapons.Uzi.Ammo = 1000;
                biker33.Weapons.Uzi.Select();
                biker33.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker33.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker33.WantedByPolice = false;
                biker33.BecomeMissionCharacter();
                biker33.BlockPermanentEvents = true;
                biker33.Task.AlwaysKeepTask = true;
                biker33.Task.ClearAll();
                biker33.WillUseCarsInCombat = false;
                biker33.Task.FightAgainstHatedTargets(50.0f);
                       
               
                if (Exists(biker33) && payedbikerBribe)
                {
                    biker33.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker33.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker33) && biker33.isAlive && !Exists(biker33Blip))
                {
                    biker33Blip = CreateBlip(biker33, BlipIcon.Person_Male, "Thug");
                }
                if (Exists(biker33) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker33.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker33.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker33) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker33.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker33.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker33) && (Biker || bikerMember))
                {
                    biker33.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                    biker33.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker33.SetDefensiveArea(Player.Character.Position, 20.0f);
                    biker33.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker33) && Player.Character.Position.DistanceTo(biker33.Position) >= 15.0f)
                {
                    biker33.Task.RunTo(Player.Character.Position.Around(6.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
              
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(biker33) && biker33.isInVehicle(closestVehicle))
                {
                    // biker33.FreezePosition = false;
                    biker33.Task.LeaveVehicle(closestVehicle, true);
                
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(biker33) && !biker33.isInVehicle(closestVehicle))
                {
                    biker33.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(biker33) && biker33.isInVehicle(closestVehicle))
        {
            // biker33.FreezePosition = false;
            biker33.Task.LeaveVehicle(closestVehicle, true);
          
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(biker33) && !biker33.isInVehicle(closestVehicle))
        {
            biker33.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(biker34) && biker34.isAlive && Player.Character.Position.DistanceTo(biker34.Position) <= 50.0f)
        {
            armbiker34 = true;
        }
        if (Exists(biker34) && biker34.isAlive)
        {
            if (Exists(biker34) && !armbiker34)
            {
                biker34.Armor += 100;
            }
            if (Exists(biker34) && armbiker34)
            {
                biker34.CanSwitchWeapons = true;
                biker34.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                biker34.Weapons.Uzi.Ammo = 1000;
                biker34.Weapons.Uzi.Select();
                biker34.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker34.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker34.WantedByPolice = false;
                biker34.BecomeMissionCharacter();
                biker34.BlockPermanentEvents = true;
                biker34.Task.AlwaysKeepTask = true;
                biker34.Task.ClearAll();
             biker34.WillUseCarsInCombat = false;
                    biker34.Task.FightAgainstHatedTargets(50.0f);
             
               
             
                if (Exists(biker34) && biker34.isAlive && !Exists(biker34Blip))
                {
                    biker34Blip = CreateBlip(biker34, BlipIcon.Person_Male, "Thug");
                }
                if (Exists(biker34) && payedbikerBribe)
                {
                    biker34.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker34.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker34) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker34.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker34.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker34) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker34.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker34.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker34) && (Biker || bikerMember))
                {
                    biker34.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                    biker34.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker34.SetDefensiveArea(Player.Character.Position, 20.0f);
                    biker34.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker34) && Player.Character.Position.DistanceTo(biker34.Position) >= 15.0f)
                {
                    biker34.Task.RunTo(Player.Character.Position.Around(6.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
               
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(biker34) && biker34.isInVehicle(closestVehicle))
                {
                    // biker34.FreezePosition = false;
                    biker34.Task.LeaveVehicle(closestVehicle, true);
                   
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(biker34) && !biker34.isInVehicle(closestVehicle))
                {
                    biker34.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(biker34) && biker34.isInVehicle(closestVehicle))
        {
            // biker34.FreezePosition = false;
            biker34.Task.LeaveVehicle(closestVehicle, true);
            
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(biker34) && !biker34.isInVehicle(closestVehicle))
        {
            biker34.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(biker35) && biker35.isAlive && Player.Character.Position.DistanceTo(biker35.Position) <= 50.0f)
        {
            armbiker35 = true;
        }
        if (Exists(biker35) && biker35.isAlive)
        {
            if (Exists(biker35) && !armbiker35)
            {
                biker35.Armor += 100;
            }
            if (Exists(biker35) && armbiker35)
            {
                biker35.CanSwitchWeapons = true;
                biker35.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                biker35.Weapons.MP5.Ammo = 1000;
                biker35.Weapons.MP5.Select();
                biker35.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker35.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker35.WantedByPolice = false;
                biker35.BecomeMissionCharacter();
                biker35.BlockPermanentEvents = true;
                biker35.Task.AlwaysKeepTask = true;
                biker35.Task.ClearAll();
              biker35.WillUseCarsInCombat = false;
                    biker35.Task.FightAgainstHatedTargets(50.0f);
              
                
              
                if (Exists(biker35) && biker35.isAlive && !Exists(biker35Blip))
                {
                    biker35Blip = CreateBlip(biker35, BlipIcon.Person_Male, "Thug");
                }
                if (Exists(biker35) && payedbikerBribe)
                {
                    biker35.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker35.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker35) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || killedbikerBoss))
                {
                    biker35.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); bikerMember = false;
                    biker35.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker35) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker35.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker35.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(biker35) && (Biker || bikerMember))
                {
                    biker35.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                    biker35.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker35.SetDefensiveArea(Player.Character.Position, 20.0f);
                    biker35.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker35) && Player.Character.Position.DistanceTo(biker35.Position) >= 15.0f)
                {
                    biker35.Task.RunTo(Player.Character.Position.Around(6.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
               
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(biker35) && biker35.isInVehicle(closestVehicle))
                {
                    // biker35.FreezePosition = false;
                    biker35.Task.LeaveVehicle(closestVehicle, true);
                   
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(biker35) && !biker35.isInVehicle(closestVehicle))
                {
                    biker35.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(biker35) && biker35.isInVehicle(closestVehicle))
        {
            // biker35.FreezePosition = false;
            biker35.Task.LeaveVehicle(closestVehicle, true);
           
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(biker35) && !biker35.isInVehicle(closestVehicle))
        {
            biker35.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(biker36) && biker36.isAlive && Player.Character.Position.DistanceTo(biker36.Position) <= 50.0f)
        {
            armbiker36 = true;
        }
        if (Exists(biker36) && biker36.isAlive)
        {
            if (biker36.Position.DistanceTo(Player.Character.Position) <= 28.0f && Mafia)
            {
                if (Exists(bikerCar))
                {
                    if (Exists(biker36) && biker36.isInVehicle(bikerCar))
                    {
                        biker36.Task.LeaveVehicle();
                       
                    }
                }
                biker36.Task.ClearAll();
                biker36.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                biker36.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                biker36.Task.ClearAll();
                biker36.Task.FightAgainstHatedTargets(30.0f);
                biker36.WillDoDrivebys = true;
                bikerMember = false;
                biker36.WillUseCarsInCombat = false;
               
            }
            if (!armbiker36 && Exists(biker36))
            {
                biker36.Armor += 100;
            }
            if (armbiker36 && Exists(biker36))
            {
                biker36.CanSwitchWeapons = true;
                biker36.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                biker36.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker36.Weapons.Uzi.Ammo = 1000;
                biker36.Weapons.Uzi.Select();
                biker36.WillDoDrivebys = true;
                biker36.WantedByPolice = false;
                biker36.BecomeMissionCharacter();
                biker36.BlockPermanentEvents = true;
                biker36.Task.AlwaysKeepTask = true;
                biker36.WillUseCarsInCombat = false;
                if (Exists(biker36) && payedbikerBribe)
                {
                    biker36.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker36.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker36) && Biker)
                {
                    biker36.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker36.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker36.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker36) || killedbikerBoss || (Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (mafiaMember || Mafia)))
                {
                    biker36.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bikerMember = false;
                    biker36.Task.FightAgainst(Player.Character);
                    biker36.Task.ClearAll();
                    biker36.Task.FightAgainstHatedTargets(50.0f);
                    biker36.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (Exists(biker36) && Exists(bikerCar) && biker36.Position.DistanceTo(bikerCar.Position) <= 60.0f && biker36.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                    {
                        if (Exists(biker36) && !biker36.isInVehicle(bikerCar))
                        {
                            biker36.Task.EnterVehicle(bikerCar, VehicleSeat.Driver);
                            if (!Ekey)
                            {
                               Wait(0x9c4);
                            }
                        }
                        if (Exists(biker36) && biker36.isInVehicle(bikerCar) && biker36.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                        {
                            biker36.Task.DriveTo(Player.Character.Position.Around(5.0f), 60.0f, false);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(biker36) && !Exists(bikerCar)&& biker36.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                        {
                            biker36.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(biker36) && Exists(bikerCar) && !biker36.isInVehicle(bikerCar) && biker36.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker36.Position.DistanceTo(bikerCar.Position) >= 5.0f)
                        {
                            biker36.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }

                    }
                }
                if (Exists(biker36) && !Biker && !Mafia)
                {
                    biker36.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker36.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    biker36.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                // if (Exists(bike3Driver) && bike3Driver.isAlive && !Exists(bike3DriverBlip))
                // {
                //     bike3DriverBlip = CreateBlip(bike3Driver, BlipIcon.Person_Assassin, "Hitman");
                // } 
            }
        }
        if (Exists(biker37) && biker37.isAlive && Player.Character.Position.DistanceTo(biker37.Position) <= 50.0f)
        {
            armbiker37 = true;
        }
        if (Exists(biker37) && biker37.isAlive)
        {
            if (biker37.Position.DistanceTo(Player.Character.Position) <= 28.0f && Mafia)
            {
                if (Exists(bikerCar))
                {
                    if (Exists(biker37) && biker37.isInVehicle(bikerCar))
                    {
                        biker37.Task.LeaveVehicle();
                        
                    }
                }
                biker37.Task.ClearAll();
                biker37.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                biker37.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                biker37.Task.ClearAll();
                biker37.Task.FightAgainstHatedTargets(10.0f);
                biker37.WillDoDrivebys = true;
                biker37.WillUseCarsInCombat = false;
                
            }
            if (!armbiker37 && Exists(biker37))
            {
                biker37.Armor += 100;
            }
            if (armbiker37 && Exists(biker37))
            {
                biker37.CanSwitchWeapons = true;
                biker37.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                biker37.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker37.Weapons.Uzi.Ammo = 1000;
                biker37.Weapons.Uzi.Select();
                biker37.WillDoDrivebys = true;
                biker37.WantedByPolice = false;
                biker37.BecomeMissionCharacter();
                biker37.BlockPermanentEvents = true;
                biker37.Task.AlwaysKeepTask = true;
                biker37.WillUseCarsInCombat = false;
                if (Exists(biker37) && payedbikerBribe)
                {
                    biker37.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker37.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker37) && Biker)
                {
                    biker37.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker37.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker37.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker37) || killedbikerBoss || (Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (mafiaMember || Mafia)))
                {
                    biker37.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker37.Task.ClearAll();
                    biker37.Task.FightAgainst(Player.Character);
                    biker37.Task.FightAgainstHatedTargets(50.0f);
                    biker37.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (Exists(biker37) && Exists(bikerCar) && biker37.Position.DistanceTo(bikerCar.Position) <= 60.0f && biker37.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                    {
                        if (Exists(biker37) && !biker37.isInVehicle(bikerCar))
                        {
                            biker37.Task.EnterVehicle(bikerCar, VehicleSeat.AnyPassengerSeat);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(biker37) && biker37.isInVehicle(bikerCar) && biker37.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                        {
                            biker37.Task.DriveTo(Player.Character.Position.Around(5.0f), 60.0f, false);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(biker37) && !Exists(bikerCar)&& biker37.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                        {
                            biker37.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(biker37) && Exists(bikerCar) && !biker37.isInVehicle(bikerCar) && biker37.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker37.Position.DistanceTo(bikerCar.Position) >= 5.0f)
                        {
                            biker37.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                    }
                }
                if (Exists(biker37) && !Biker && !Mafia)
                {
                    biker37.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker37.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    biker37.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                // if (Exists(bike3Driver) && bike3Driver.isAlive && !Exists(bike3DriverBlip))
                // {
                //     bike3DriverBlip = CreateBlip(bike3Driver, BlipIcon.Person_Assassin, "Hitman");
                // } 
            }
        }
        if (Exists(biker38) && biker38.isAlive && Player.Character.Position.DistanceTo(biker38.Position) <= 50.0f)
        {
            armbiker38 = true;
        }
        if (Exists(biker38) && biker38.isAlive)
        {
            if (biker38.Position.DistanceTo(Player.Character.Position) <= 28.0f && Mafia)
            {
                if (Exists(bikerCar))
                {
                    if (Exists(biker38) && biker38.isInVehicle(bikerCar))
                    {
                        biker38.Task.LeaveVehicle();
                        
                    }
                }
                biker38.Task.ClearAll();
                biker38.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                biker38.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                biker38.Task.ClearAll();
                biker38.Task.FightAgainstHatedTargets(10.0f);
                biker38.WillDoDrivebys = true;
                biker38.WillUseCarsInCombat = false;
                
            }
            if (!armbiker38 && Exists(biker38))
            {
                biker38.Armor += 100;
            }
            if (armbiker38 && Exists(biker38))
            {
                biker38.CanSwitchWeapons = true;
                biker38.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                biker38.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                biker38.Weapons.Uzi.Ammo = 1000;
                biker38.Weapons.Uzi.Select();
                biker38.CanSwitchWeapons = true;
                biker38.WillDoDrivebys = true;
                biker38.WantedByPolice = false;
                biker38.BecomeMissionCharacter();
                biker38.BlockPermanentEvents = true;
                biker38.Task.AlwaysKeepTask = true;
                biker38.WillUseCarsInCombat = false;
                if (Exists(biker38) && payedbikerBribe)
                {
                    biker38.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker38.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker38) && Biker)
                {
                    biker38.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker38.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker38.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker38) || killedbikerBoss || (Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (mafiaMember || Mafia)) || (Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (mafiaMember || Mafia)))
                {
                    biker38.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker38.Task.FightAgainst(Player.Character);
                    biker38.Task.FightAgainstHatedTargets(50.0f);
                    biker38.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (Exists(biker38) && Exists(bikerCar) && biker38.Position.DistanceTo(bikerCar.Position) <= 60.0f && biker38.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                    {
                        if (Exists(biker38) && !biker38.isInVehicle(bikerCar))
                        {
                            biker38.Task.EnterVehicle(bikerCar, VehicleSeat.AnyPassengerSeat);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(biker38) && biker38.isInVehicle(bikerCar) && biker38.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                        {
                            biker38.Task.DriveTo(Player.Character.Position.Around(5.0f), 60.0f, false);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                    }
                }
                if (Exists(biker38) && !Biker && !Mafia)
                {
                    biker38.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    biker38.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    biker38.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                // if (Exists(bike3Driver) && bike3Driver.isAlive && !Exists(bike3DriverBlip))
                // {
                //     bike3DriverBlip = CreateBlip(bike3Driver, BlipIcon.Person_Assassin, "Hitman");
                // } 
            }
        }
        if (Exists(biker39) && biker39.isAlive && Player.Character.Position.DistanceTo(biker39Pos) <= 50.0f)
        {
            armbiker39 = true;
        }
        if (Exists(biker39) && biker39.isAlive) //rooftop biker gang recruiter
        {
            if (Exists(biker39) && armbiker39)
            {
                biker39.BecomeMissionCharacter();
                biker39.BlockPermanentEvents = true;
                biker39.Task.AlwaysKeepTask = true;
                if (Exists(biker39) && biker39.Position.DistanceTo(biker39Pos) <= 1.0f && biker39.isAlive)
                {
                    biker39.Heading = 105.6569f;
                }
                if (Ekey && Exists(biker39) && Player.Character.Position.DistanceTo(biker39.Position) <= 2.0f && biker39.isAlive && Mafia && Player.Money >= 50000)
                {

                    biker39.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    Game.DisplayText("I'll take this money to the boss, we'll back off for now.", 9000);
                    TriggerMissionCompleteAudio(0x22);
                    if (Exists(biker1))
                    {
                        if (Exists(biker1Blip))
                        {
                            biker1Blip.Delete();
                        }
                        biker1.Delete();
                    }
                    if (Exists(biker2))
                    {
                        if (Exists(biker2Blip))
                        {
                            biker2Blip.Delete();
                        }
                        biker2.Delete();
                    }
                    if (Exists(biker3))
                    {
                        if (Exists(biker3Blip))
                        {
                            biker3Blip.Delete();
                        }
                        biker3.Delete();
                    }
                    if (Exists(biker4))
                    {
                        biker4.Delete();
                    }
                    if (Exists(biker5))
                    {
                        biker5.Delete();
                    }
                    if (Exists(biker6))
                    {
                        if (Exists(biker6Blip))
                        {
                            biker6Blip.Delete();
                        }
                        biker6.Delete();
                    }
                    if (Exists(biker7))
                    {
                        biker7.Delete();
                    }
                    if (Exists(biker8))
                    {
                        biker8.Delete();
                    }
                    if (Exists(biker9))
                    {
                        biker9.Delete();
                    }
                    if (Exists(biker10))
                    {
                        biker10.Delete();
                    }
                    if (Exists(biker11))
                    {
                        biker11.Delete();
                    }
                    if (Exists(biker12))
                    {
                        biker12.Delete();
                    }
                    if (Exists(biker13))
                    {
                        biker13.Delete();
                    }
                    if (Exists(biker14))
                    {
                        biker14.Delete();
                    }
                    if (Exists(biker15))
                    {
                        biker15.Delete();
                    }
                    if (Exists(biker16))
                    {
                        biker16.Delete();
                    }
                    if (Exists(biker17))
                    {
                        biker17.Delete();
                    }
                    if (Exists(biker18))
                    {
                        biker18.Delete();
                    }
                    if (Exists(biker19))
                    {
                        biker19.Delete();
                    }
                    if (Exists(biker20))
                    {
                        biker20.Delete();
                    }
                    if (Exists(biker21))
                    {
                        biker21.Delete();
                    }
                    if (Exists(biker22))
                    {
                        biker22.Delete();
                    }
                    if (Exists(biker23))
                    {
                        biker23.Delete();
                    }
                    if (Exists(biker24))
                    {
                        biker24.Delete();
                    }
                    if (Exists(biker25))
                    {
                        biker25.Delete();
                    }
                    if (Exists(biker26))
                    {
                        biker26.Delete();
                    }
                    if (Exists(biker27))
                    {
                        biker27.Delete();
                    }
                    if (Exists(biker28))
                    {
                        biker28.Delete();
                    }
                    if (Exists(biker29))
                    {
                        biker29.Delete();
                    }
                    if (Exists(biker30))
                    {
                        biker30.Delete();
                    }
                    if (Exists(biker31))
                    {
                        biker31.Delete();
                    }
                    if (Exists(biker32))
                    {
                        biker32.Delete();
                    }

                    if (Exists(biker36))
                    {
                        biker36.Delete();
                    }
                    if (Exists(biker37))
                    {
                        biker37.Delete();
                    }
                    if (Exists(biker38))
                    {
                        biker38.Delete();
                    }
                    if (Exists(bikerBossGaurd))
                    {
                        bikerBossGaurd.Delete();
                    }
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    biker39.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    Biker = false;
                    Mafia = false;
                    // killedbikerBoss = false;
                    // killedbigPaulie = false;
                    payedbikerBribe = true;
                    Player.Money -= 50000;
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    payedbikerBribe = false;

                }
                if (Ekey && Exists(biker39) && Player.Character.Position.DistanceTo(biker39.Position) <= 2.0f && biker39.isAlive && Mafia && Player.Money <= 50000)
                {

                    biker39.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    biker39.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Come back when you got the money! $50,000 and we'll be cool", 9000);
                }
                if (Exists(biker39) && Player.Character.Position.DistanceTo(biker39.Position) <= 2.0f && biker39.isAlive && Mafia)
                {

                    biker39.Task.ClearAll();
                    biker39.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    biker39.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("$50,000 and we'll call off the hit on you and your crew", 7000);
                }



                if (Exists(biker39) && biker39.Position.DistanceTo(biker39Pos) >= 5.0f && Player.Character.Position.DistanceTo(biker39.Position) >= 15.0f)
                {
                    biker39.Task.ClearAll();
                    biker39.Task.RunTo(biker39Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(biker39) && biker39.isAlive && !Exists(biker39Blip))
                {
                    biker39Blip = CreateBlip(biker39, BlipIcon.Person_Male, "Biker Bribe Contact");
                }
            }
        }

       
        if (Exists(biker40) && biker40.isAlive)
        {
            armbiker40 = true;
        }
        if (Exists(biker40) && biker40.isAlive)
        {
            if (Exists(biker40) && !armbiker40)
            {
                biker40.Armor += 100;
            }
            if (Exists(biker40) && armbiker40)
            {
                biker40.CanSwitchWeapons = true;
                biker40.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker40.Weapons.AssaultRifle_M4.Select();
                biker40.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker40.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
               // biker40.WantedByPolice = false;
                biker40.BecomeMissionCharacter();
                biker40.BlockPermanentEvents = true;
                biker40.Task.AlwaysKeepTask = true;
                biker40.Task.FightAgainstHatedTargets(50.0f);
                //  if (biker.Position.DistanceTo(bikerPos) <= 1.0f && biker.isAlive)
                //  {
                //      biker.Heading = f;
                //  }
                if (Exists(biker40) && payedbikerBribe)
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker40.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker40) && (Biker || bikerMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker40.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker40.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker40) && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
               
            }
        }
        if (Exists(biker41) && biker41.isAlive)
        {
            armbiker41 = true;
        }
        if (Exists(biker41) && biker41.isAlive)
        {
            if (Exists(biker41) && !armbiker41)
            {
                biker41.Armor += 100;
            }
            if (Exists(biker41) && armbiker41)
            {
                biker41.CanSwitchWeapons = true;
                biker41.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker41.Weapons.AssaultRifle_M4.Select();
                biker41.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker41.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
              //  biker41.WantedByPolice = false;
                biker41.BecomeMissionCharacter();
                biker41.BlockPermanentEvents = true;
                biker41.Task.AlwaysKeepTask = true;
                biker41.Task.FightAgainstHatedTargets(50.0f);
                //  if (biker.Position.DistanceTo(bikerPos) <= 1.0f && biker.isAlive)
                //  {
                //      biker.Heading = f;
                //  }
                if (Exists(biker41) && payedbikerBribe)
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker41.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker41) && (Biker || bikerMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker41.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker41.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker41) && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                
            }
        }
        if (Exists(biker42) && biker42.isAlive)
        {
            armbiker42 = true;
        }
        if (Exists(biker42) && biker42.isAlive)
        {
            if (Exists(biker42) && !armbiker42)
            {
                biker42.Armor += 100;
            }
            if (Exists(biker42) && armbiker42)
            {
                biker42.CanSwitchWeapons = true;
                biker42.Weapons.AssaultRifle_M4.Ammo = 1000;
                biker42.Weapons.AssaultRifle_M4.Select();
                biker42.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  biker.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                biker42.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
              //  biker42.WantedByPolice = false;
                biker42.BecomeMissionCharacter();
                biker42.BlockPermanentEvents = true;
                biker42.Task.AlwaysKeepTask = true;
                biker42.Task.FightAgainstHatedTargets(50.0f);
                //  if (biker.Position.DistanceTo(bikerPos) <= 1.0f && biker.isAlive)
                //  {
                //      biker.Heading = f;
                //  }
                if (Exists(biker42) && payedbikerBribe)
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker42.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker42) && (Biker || bikerMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker42.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    biker42.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(biker42) && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
               
            }
        }

        if (Exists(bikerBoss) && bikerBoss.isAlive && Player.Character.Position.DistanceTo(bikerBossPos) <= 50.0f)
        {
            armbikerBoss = true;
        }
        if (Exists(bikerBoss) && bikerBoss.isAlive)
        {
            if (Exists(bikerBoss) && !armbikerBoss)
            {
                bikerBoss.Armor += 100;
            }
            if (Exists(bikerBoss) && armbikerBoss)
            {
                bikerBoss.CanSwitchWeapons = true;
                bikerBoss.Weapons.Uzi.Ammo = 1000;
                bikerBoss.Weapons.Uzi.Select();
                // bikerBoss.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  bikerBoss.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                bikerBoss.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                bikerBoss.WantedByPolice = false;
                bikerBoss.BecomeMissionCharacter();
                bikerBoss.BlockPermanentEvents = true;
                bikerBoss.Task.AlwaysKeepTask = true;
                bikerBoss.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(bikerBoss) && payedbikerBribe)
                {
                    bikerBoss.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                }
                if (Exists(bikerBoss) && Mafia || killedbikerBoss)
                {
                    bikerBoss.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bikerMember = false;
                }
                if (Exists(bikerBoss) && Biker)
                {
                    bikerBoss.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    // bikerBoss.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                }
                if (Exists(bikerBoss) && !Biker && !Mafia)
                {
                    bikerBoss.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    bikerBoss.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                }

                if (Exists(bikerBoss) && Player.Character.Position.DistanceTo(bikerBoss.Position) <= 3.0f && bikerBoss.isAlive && madeVP && Biker || Exists(bikerBoss) && Player.Character.Position.DistanceTo(bikerBoss.Position) <= 3.0f && bikerBoss.isAlive && madeVP && bikerMember)
                {
                    bikerBoss.Task.ClearAll();
                    bikerBoss.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    // if (Exists(bikerBoss) && bikerBoss.isInVehicle(bikerBossLimo))
                    //  {
                    //       bikerBoss.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    //   } 
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Your a VP now, go see the recruiter he'll set you up with a crew", 7000);
                    TriggerMissionCompleteAudio(0x1b);
                }
                if (Exists(bikerBoss) && Player.Character.Position.DistanceTo(bikerBoss.Position) <= 3.0f && bikerBoss.isAlive && !madeVP && Biker || Exists(bikerBoss) && Player.Character.Position.DistanceTo(bikerBoss.Position) <= 3.0f && bikerBoss.isAlive && !madeVP && bikerMember)
                {
                    bikerBoss.Task.ClearAll();
                    bikerBoss.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    // if (Exists(bikerBoss) && bikerBoss.isInVehicle(bikerBossLimo))
                    //  {
                    //       bikerBoss.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    //   } 
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("See me after taking out Big Paulie or you do a few more jobs and ill make you a VP with a crew", 7000);
                }
                if (Exists(bikerBoss) && Player.Character.Position.DistanceTo(bikerBoss.Position) <= 3.0f && bikerBoss.isAlive && !Mafia && !Biker && !bikerMember)
                {
                    bikerBoss.Task.ClearAll();
                    bikerBoss.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    //  if (bikerBoss.isInVehicle(bikerBossLimo))
                    //  {
                    //       bikerBoss.Task.PlayAnimation(new AnimationSet("amb@car_std_ps_b"), "conversation", 5.0f);
                    //   } 
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Get lost kid", 7000);
                }
                //  if (Exists(bikerBossLimo) && bikerBoss.Position.DistanceTo(bikerBossLimoPos) >= 5.0f && bikerBoss.Position.DistanceTo(bikerBossLimoPos) <= 20.0f)
                //  {
                //      bikerBoss.Task.RunTo(bikerBossLimoPos);
                //   }
                if (Exists(bikerBoss) && Exists(bikerBossLimo) && Player.Character.Position.DistanceTo(bikerBoss.Position) <= 60.0f)
                {
                    if (Exists(bikerBoss) && !bikerBoss.isInVehicle(bikerBossLimo))
                    {
                        bikerBoss.Task.EnterVehicle(bikerBossLimo, VehicleSeat.RightRear);
                        if (!Ekey)
                        {
                            Wait(0x9c4);
                        }
                    }
                }
                if (Exists(bikerBoss) && bikerBoss.isAlive && !Exists(bikerBossBlip))
                {
                    bikerBossBlip = CreateBlip(bikerBoss, BlipIcon.Misc_Trophy, "Biker Boss");
                }
                //  if (Player.Character.Position.DistanceTo(bikerBoss.Position) >= 5.0f && !Mafia)
                //  {
                //       bikerBoss.Task.ClearAll();
                //       bikerBoss.Task.PlayAnimation(new AnimationSet("missrandom_idle"), "agressive_idle", 5.0f);
                //       if (!Ekey)
                //      {
                // /         Wait(0x9c4);
                //       }
                //  }
            }
        }
        if (Exists(bikerBoss2) && bikerBoss2.isAlive && Player.Character.Position.DistanceTo(bikerBossPos) <= 50.0f)
        {
            armbikerBoss2 = true;
        }

        if (Exists(bikerBoss2) && bikerBoss2.isAlive)
        {
            if (Exists(bikerBoss2) && !armbikerBoss2)
            {
                bikerBoss2.Armor += 100;
            }
            if (Exists(bikerBoss2) && armbikerBoss2)
            {
                bikerBoss2.CanSwitchWeapons = true;
                bikerBoss2.Weapons.Uzi.Ammo = 1000;
                bikerBoss2.Weapons.Uzi.Select();
                bikerBoss2.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //  bikerBoss2.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                bikerBoss2.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                bikerBoss2.WantedByPolice = false;
                bikerBoss2.BecomeMissionCharacter();
                bikerBoss2.BlockPermanentEvents = true;
                bikerBoss2.Task.AlwaysKeepTask = true;
                bikerBoss2.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(bikerBoss2) && payedbikerBribe)
                {
                    bikerBoss2.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                }
                if (Exists(bikerBoss2) && Mafia || killedbikerBoss)
                {
                    bikerBoss2.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bikerMember = false;

                }
                if (Exists(bikerBoss2) && Biker)
                {
                    bikerBoss2.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    // bikerBoss2.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                }
                if (Exists(bikerBoss2) && !Biker && !Mafia)
                {
                    bikerBoss2.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    bikerBoss2.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                }

                if (Exists(bikerBoss2) && Player.Character.Position.DistanceTo(bikerBoss2.Position) <= 3.0f && bikerBoss2.isAlive && madeVP && Biker || Exists(bikerBoss2) && Player.Character.Position.DistanceTo(bikerBoss2.Position) <= 3.0f && bikerBoss2.isAlive && madeVP && bikerMember)
                {
                    bikerBoss2.Task.ClearAll();
                    bikerBoss2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    // if (Exists(bikerBoss2) && bikerBoss2.isInVehicle(bikerBossLimo))
                    //{
                    //     bikerBoss2.Task.PlayAnimation(new AnimationSet("amb@car_std_ps_b"), "conversation", 5.0f);
                    // } 
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Your a VP now, go see the recruit he'll set you up with a crew", 7000);

                }
                if (Exists(bikerBoss2) && Player.Character.Position.DistanceTo(bikerBoss2.Position) <= 3.0f && bikerBoss2.isAlive && !madeVP && Biker || Exists(bikerBoss2) && Player.Character.Position.DistanceTo(bikerBoss2.Position) <= 3.0f && bikerBoss2.isAlive && !madeVP && bikerMember)
                {
                    bikerBoss2.Task.ClearAll();
                    bikerBoss2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    // if (Exists(bikerBoss) && bikerBoss.isInVehicle(bikerBossLimo))
                    // {
                    //      bikerBoss.Task.PlayAnimation(new AnimationSet("amb@car_std_ps_b"), "conversation", 5.0f);
                    //  } 
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("See me after you do a few more jobs and ill make you a VP with a crew", 7000);
                }
                if (Exists(bikerBoss2) && Player.Character.Position.DistanceTo(bikerBoss2.Position) <= 3.0f && bikerBoss2.isAlive && !Mafia && !Biker && !bikerMember)
                {
                    bikerBoss2.Task.ClearAll();
                    bikerBoss2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    //  if (bikerBoss.isInVehicle(bikerBossLimo))
                    //  {
                    //       bikerBoss.Task.PlayAnimation(new AnimationSet("amb@car_std_ps_b"), "conversation", 5.0f);
                    //   } 
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Get lost kid", 7000);
                }
                //  if (Exists(bikerBossLimo) && bikerBoss.Position.DistanceTo(bikerBossLimoPos) >= 5.0f && bikerBoss.Position.DistanceTo(bikerBossLimoPos) <= 20.0f)
                //  {
                //      bikerBoss.Task.RunTo(bikerBossLimoPos);
                //   }
                if (Exists(bikerBoss2) && Exists(bikerBossLimo) && Player.Character.Position.DistanceTo(bikerBoss2.Position) <= 60.0f)
                {
                    if (Exists(bikerBoss2) && !bikerBoss2.isInVehicle(bikerBossLimo))
                    {
                        bikerBoss2.Task.EnterVehicle(bikerBossLimo, VehicleSeat.RightRear);
                        if (!Ekey)
                        {
                            Wait(0x9c4);
                        }
                    }
                }
                if (Exists(bikerBoss2) && bikerBoss2.isAlive && !Exists(bikerBoss2Blip))
                {
                    bikerBoss2Blip = CreateBlip(bikerBoss2, BlipIcon.Misc_Trophy, "Biker Boss");
                }
                //  if (Player.Character.Position.DistanceTo(bikerBoss.Position) >= 5.0f && !Mafia)
                //  {
                //       bikerBoss.Task.ClearAll();
                //       bikerBoss.Task.PlayAnimation(new AnimationSet("missrandom_idle"), "agressive_idle", 5.0f);
                //       if (!Ekey)
                //      {
                // /         Wait(0x9c4);
                //       }
                //  }
            }
        }


        if (Exists(bikerDriver) && bikerDriver.isAlive && Player.Character.Position.DistanceTo(bikerBossPos) <= 50.0f)
        {
            armbikerDriver = true;
        }

        if (Exists(bikerDriver) && bikerDriver.isAlive)
        {
            if (Exists(bikerDriver) && !armbikerDriver)
            {
                bikerDriver.Armor += 100;
            }
            if (Exists(bikerDriver) && armbikerDriver)
            {
                bikerDriver.CanSwitchWeapons = true;
                bikerDriver.Weapons.Uzi.Ammo = 1000;
                bikerDriver.Weapons.Uzi.Select();
                // bikerDriver.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                //   bikerDriver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                bikerDriver.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                bikerDriver.WantedByPolice = false;
                bikerDriver.BecomeMissionCharacter();
                bikerDriver.BlockPermanentEvents = true;
                bikerDriver.Task.AlwaysKeepTask = true;
                bikerDriver.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(bikerDriver) && payedbikerBribe)
                {
                    bikerDriver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    bikerDriver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(bikerDriver) && Mafia || killedbikerBoss)
                {
                    bikerDriver.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bikerMember = false;
                    bikerDriver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(bikerDriver) && Biker)
                {
                    bikerDriver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    bikerDriver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    bikerDriver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(bikerDriver) && !Biker && !Mafia)
                {
                    bikerDriver.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    bikerDriver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    bikerDriver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
              
                if (Exists(bikerDriver) && Exists(bikerBossLimo) && Player.Character.Position.DistanceTo(bikerDriver.Position) <= 60.0f)
                {
                    if (Exists(bikerDriver) && !bikerDriver.isInVehicle(bikerBossLimo))
                    {
                        bikerDriver.Task.EnterVehicle(bikerBossLimo, VehicleSeat.Driver);
                        if (!Ekey)
                        {
                            Wait(0x9c4);
                        }
                    }
                }

            }
        }
        if (Exists(bikerBossGaurd) && bikerBossGaurd.isAlive && Player.Character.Position.DistanceTo(bikerBossGaurdPos) <= 50.0f)
        {
            armbikerBossGaurd = true;
        }

        if (Exists(bikerBossGaurd) && bikerBossGaurd.isAlive)
        {
            if (Exists(bikerBossGaurd) && !armbikerBossGaurd)
            {
                bikerBossGaurd.Armor += 100;
            }
            if (Exists(bikerBossGaurd) && armbikerBossGaurd)
            {
               
                bikerBossGaurd.CanSwitchWeapons = true;
                bikerBossGaurd.Weapons.Uzi.Ammo = 1000;
                bikerBossGaurd.Weapons.Uzi.Select();
                bikerBossGaurd.RelationshipGroup = RelationshipGroup.Gang_Biker1;
                bikerBossGaurd.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                bikerBossGaurd.ChangeRelationship(RelationshipGroup.Dealer, Relationship.Hate);
                bikerBossGaurd.WantedByPolice = false;
                bikerBossGaurd.BecomeMissionCharacter();
                bikerBossGaurd.BlockPermanentEvents = true;
                bikerBossGaurd.Task.AlwaysKeepTask = true;
                bikerBossGaurd.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(bikerBossGaurd) && payedbikerBribe)
                {
                    bikerBossGaurd.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    bikerBossGaurd.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);

                }
                if (Exists(bikerBossGaurd) && Biker)
                {
                    bikerBossGaurd.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    bikerBossGaurd.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    bikerBossGaurd.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(bikerBossGaurd) && Mafia || killedbikerBoss)
                {
                    bikerBossGaurd.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    bikerMember = false;
                    bikerBossGaurd.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    bikerBossGaurd.Task.FightAgainst(Player.Character);
                }
                if (Exists(bikerBossGaurd) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bikerBossPos) >= 5.0f)
                {
                    bikerBossGaurd.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    bikerBossGaurd.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(bikerBossGaurd) && Player.Character.Position.DistanceTo(bikerBossPos) <= 5.0f)
                    {
                        bikerBossGaurd.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    bikerBossGaurd.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(bikerBossGaurd) && Player.Character.Position.DistanceTo(bikerBossGaurd.Position) <= 2.0f && bikerBossGaurd.isAlive)
                {
                    bikerBossGaurd.Task.ClearAll();
                    bikerBossGaurd.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    bikerBossGaurd.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("?", 7000);
                    
                }
              
                if (Exists(bikerBossGaurd) && bikerBossGaurd.Position.DistanceTo(bikerBossGaurdPos) >= 2.0f && Player.Character.Position.DistanceTo(bikerBossGaurd.Position) <= 20.0f)
                {
                    bikerBossGaurd.Task.RunTo(bikerBossGaurdPos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(bikerBossGaurd) && bikerBossGaurd.Position.DistanceTo(bikerBossGaurdPos) <= 1.0f && bikerBossGaurd.isAlive)
                {
                    bikerBossGaurd.Heading = 287.2758f;
                }

            }
        }
        if (Exists(mafiaRecruiter) && mafiaRecruiter.isAlive && Player.Character.Position.DistanceTo(mafiaRecruiterPos) <= 50.0f)
        {
            armmafiaRecruiter = true;
        }

        if (Exists(mafiaRecruiter) && mafiaRecruiter.isAlive)
        {
            if (Exists(mafiaRecruiter) && !armmafiaRecruiter)
            {
                mafiaRecruiter.Armor += 100;

            }
            if (Exists(mafiaRecruiter) && armmafiaRecruiter)
            {
                mafiaRecruiter.CanSwitchWeapons = true;
                // mafiaRecruiter.RelationshipGroup = RelationshipGroup.Dealer;
                mafiaRecruiter.Weapons.Uzi.Ammo = 1000;
                mafiaRecruiter.Weapons.Uzi.Select();
                // mafiaRecruiter.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafiaRecruiter.WantedByPolice = false;
                mafiaRecruiter.BecomeMissionCharacter();
                mafiaRecruiter.BlockPermanentEvents = true;
                mafiaRecruiter.Task.AlwaysKeepTask = true;
                mafiaRecruiter.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafiaRecruiter) && payedmafiaBribe)
                {
                    mafiaRecruiter.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafiaRecruiter.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafiaRecruiter) && Biker || killedbigPaulie)
                {
                    mafiaRecruiter.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafiaMember = false;
                    mafiaRecruiter.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafiaRecruiter) && Mafia)
                {
                    mafiaRecruiter.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafiaRecruiter.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafiaRecruiter.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafiaRecruiter) && !Biker && !Mafia)
                {
                    mafiaRecruiter.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafiaRecruiter.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    mafiaRecruiter.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafiaRecruiter) && mafiaRecruiter.Position.DistanceTo(mafiaRecruiterPos) >= 15.0f)
                {
                    mafiaRecruiter.Task.RunTo(mafiaRecruiterPos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Ekey && Exists(mafiaRecruiter) && Player.Character.Position.DistanceTo(mafiaRecruiter.Position) <= 2.0f && mafiaRecruiter.isAlive && !Mafia && !Biker && !bikerMember && !mafiaMember)
                {
                    Text("You've joined Big Paulies Gang! You are now a low level Enforcer.", 9000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (!Ekey)
                    {
                        Wait(4400);
                    }
                    mafiaMember = true;
                    
                }
                if (Exists(mafiaRecruiter) && Player.Character.Position.DistanceTo(mafiaRecruiter.Position) <= 2.0f && mafiaRecruiter.isAlive && !Mafia && !mafiaMember)
                {
                    mafiaRecruiter.Task.ClearAll();
                    mafiaRecruiter.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafiaRecruiter.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Join Big Paulies Gang!", 7000);
                    mafiaRecruiter.SayAmbientSpeech("Intimidate"); //hooker1.SayAmbientSpeech("Laugh"); Generic_No Crying Panic Giggle Cheer Whoop Generic_f*ck_off Gang_Ask_Player_Leave Thanks Shocked Surprised Surrounded Intimidate Hurry_Up Drink Duck
                }
                if (Exists(mafiaRecruiter) && Player.Character.Position.DistanceTo(mafiaRecruiter.Position) <= 2.0f && mafiaRecruiter.isAlive && !madeMan && Mafia || Exists(mafiaRecruiter) && Player.Character.Position.DistanceTo(mafiaRecruiter.Position) <= 2.0f && mafiaRecruiter.isAlive && !madeMan && mafiaMember)
                {
                    mafiaRecruiter.Task.ClearAll();
                    mafiaRecruiter.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafiaRecruiter.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Kill the Biker boss or take new Turfs to move up in the family, you'll find contacts around here at the dealership", 7000);
                }
                if (Exists(mafiaRecruiter) && Player.Character.Position.DistanceTo(mafiaRecruiter.Position) <= 2.0f && mafiaRecruiter.isAlive && madeMan && Mafia || Exists(mafiaRecruiter) && Player.Character.Position.DistanceTo(mafiaRecruiter.Position) <= 2.0f && mafiaRecruiter.isAlive && madeMan && mafiaMember)
                {
                    mafiaRecruiter.Task.ClearAll();
                    mafiaRecruiter.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafiaRecruiter.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Your a made man now, i'll send some guys to join your crew", 7000);
                    if (Exists(mafia17) && Player.Character.Position.DistanceTo(mafia17.Position) >= 60.0f)
                    {
                        if (Exists(mafia17Blip))
                        {
                            mafia17Blip.Delete();
                        }
                        mafia17.Delete();
                    }
                    if (Exists(mafia17) && !mafia17.isAlive)
                    {
                        if (Exists(mafia17Blip))
                        {
                            mafia17Blip.Delete();
                        }
                        mafia17.Delete();
                    }
                    if (Exists(mafia18) && Player.Character.Position.DistanceTo(mafia18.Position) >= 60.0f)
                    {
                        if (Exists(mafia18Blip))
                        {
                            mafia18Blip.Delete();
                        }
                        mafia18.Delete();
                    }
                    if (Exists(mafia18) && !mafia18.isAlive)
                    {
                        if (Exists(mafia18Blip))
                        {
                            mafia18Blip.Delete();
                        }
                        mafia18.Delete();
                    }
                    if (Exists(mafia19) && Player.Character.Position.DistanceTo(mafia19.Position) >= 60.0f)
                    {
                        if (Exists(mafia19Blip))
                        {
                            mafia19Blip.Delete();
                        }
                        mafia19.Delete();
                    }
                    if (Exists(mafia19) && !mafia19.isAlive)
                    {
                        if (Exists(mafia19Blip))
                        {
                            mafia19Blip.Delete();
                        }
                        mafia19.Delete();
                    }
                    mafiaCrew = true;
                    if (!Exists(mafia17))
                    {
                        mafia17 = World.CreatePed(mafia17Mod, Player.Character.Position.Around(16.0f));
                    }
                    if (!Exists(mafia18))
                    {
                        mafia18 = World.CreatePed(mafia18Mod, Player.Character.Position.Around(16.0f));
                    }
                    if (!Exists(mafia19))
                    {
                        mafia19 = World.CreatePed(mafia19Mod, Player.Character.Position.Around(16.0f));
                    }
                }

                if (Exists(mafiaRecruiter) && mafiaRecruiter.isAlive && !Exists(mafiaRecruiterBlip))
                {
                    mafiaRecruiterBlip = CreateBlip(mafiaRecruiter, BlipIcon.Person_Roman, "Recruiter");
                }
            }
        }
        if (Exists(nrg1Driver) && nrg1Driver.isAlive && Player.Character.Position.DistanceTo(nrg1Driver.Position) <= 50.0f)
        {
            armnrg1Driver = true;
        }
        if (Exists(nrg1Driver) && nrg1Driver.isAlive) //rooftop biker gang recruiter
        {
            if (nrg1Driver.Position.DistanceTo(Player.Character.Position) <= 20.0f && Biker)
            {
                if (Exists(nrg1))
                {
                    if (Exists(nrg1Driver) && nrg1Driver.isInVehicle(nrg1))
                    {
                        nrg1Driver.Task.LeaveVehicle();
                       
                    }
                }
                nrg1Driver.Task.ClearAll();
                nrg1Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                nrg1Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                nrg1Driver.Task.FightAgainstHatedTargets(10.0f);
                nrg1Driver.WillDoDrivebys = true;
                nrg1Driver.WillUseCarsInCombat = false;
               
            }
            if (Exists(nrg1Driver) && !armnrg1Driver)
            {
                nrg1Driver.Armor += 100;
            }
            if (Exists(nrg1Driver) && armnrg1Driver)
            {
                //Game.DisplayText("Biker Turf!", 5000);
                nrg1Driver.CanSwitchWeapons = true;
                nrg1Driver.RelationshipGroup = RelationshipGroup.Dealer;
                nrg1Driver.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                nrg1Driver.Weapons.Uzi.Ammo = 1000;
                nrg1Driver.Weapons.Uzi.Select();
                nrg1Driver.WillDoDrivebys = true;
                nrg1Driver.WantedByPolice = false;
                nrg1Driver.BecomeMissionCharacter();
                nrg1Driver.BlockPermanentEvents = true;
                nrg1Driver.Task.AlwaysKeepTask = true;
                nrg1Driver.WillUseCarsInCombat = false;
                if (Exists(nrg1Driver) && payedmafiaBribe)
                {
                    nrg1Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    nrg1Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(nrg1Driver) && Mafia)
                {
                    nrg1Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    nrg1Driver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    nrg1Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(nrg1Driver) && Biker || killedbigPaulie)
                {
                    nrg1Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    nrg1Driver.Task.ClearAll();
                    nrg1Driver.Task.FightAgainst(Player.Character);
                    nrg1Driver.Task.FightAgainstHatedTargets(50.0f);
                    nrg1Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (Exists(nrg1Driver) && Exists(nrg1) && nrg1Driver.Position.DistanceTo(nrg1.Position) <= 60.0f && nrg1Driver.Position.DistanceTo(Player.Character.Position) >= 21.0f)
                    {
                        if (Exists(nrg1Driver) && !nrg1Driver.isInVehicle(nrg1))
                        {
                            nrg1Driver.Task.EnterVehicle(nrg1, VehicleSeat.Driver);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(nrg1Driver) && nrg1Driver.isInVehicle(nrg1) && nrg1Driver.Position.DistanceTo(Player.Character.Position) >= 21.0f)
                        {
                            nrg1Driver.Task.DriveTo(Player.Character.Position.Around(5.0f), 60.0f, false);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(nrg1Driver) && !Exists(nrg1) && nrg1Driver.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                        {
                            //bike4Driver.Task.ClearAll();
                            nrg1Driver.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(nrg1Driver) && Exists(nrg1) && !nrg1Driver.isInVehicle(nrg1) && nrg1Driver.Position.DistanceTo(Player.Character.Position) >= 15.0f && nrg1Driver.Position.DistanceTo(nrg1.Position) >= 5.0f)
                        {
                            //bike4Driver.Task.ClearAll();
                            nrg1Driver.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                    }
                }
                //   if (Exists(nrg1Driver) && nrg1Driver.isAlive && !Exists(nrg1DriverBlip))
                //   {
                //       nrg1DriverBlip = CreateBlip(nrg1Driver, BlipIcon.Person_Assassin, "Hitman");
                //   } 

            }
        }
        if (Exists(nrg2Driver) && nrg2Driver.isAlive && Player.Character.Position.DistanceTo(nrg2Driver.Position) <= 50.0f)
        {
            armnrg2Driver = true;
        }
        if (Exists(nrg2Driver) && nrg2Driver.isAlive) //rooftop biker gang recruiter
        {
            if (nrg2Driver.Position.DistanceTo(Player.Character.Position) <= 20.0f && Biker)
            {
                if (Exists(nrg2))
                {
                    if (Exists(nrg2Driver) && nrg2Driver.isInVehicle(nrg2))
                    {
                        nrg2Driver.Task.LeaveVehicle();
                       
                    }
                }
                nrg2Driver.Task.ClearAll();
                nrg2Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                nrg1Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                nrg2Driver.Task.FightAgainstHatedTargets(10.0f);
                nrg2Driver.WillDoDrivebys = true;
                nrg2Driver.WillUseCarsInCombat = false;
                
            }
            if (Exists(nrg2Driver) && !armnrg2Driver)
            {
                nrg2Driver.Armor += 100;
            }
            if (Exists(nrg2Driver) && armnrg2Driver)
            {
                //Game.DisplayText("Biker Turf!", 5000);
                nrg2Driver.CanSwitchWeapons = true;
                nrg2Driver.RelationshipGroup = RelationshipGroup.Dealer;
                nrg2Driver.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                nrg2Driver.Weapons.Uzi.Ammo = 1000;
                nrg2Driver.Weapons.Uzi.Select();
                nrg2Driver.WillDoDrivebys = true;
                nrg2Driver.WantedByPolice = false;
                nrg2Driver.BecomeMissionCharacter();
                nrg2Driver.BlockPermanentEvents = true;
                nrg2Driver.Task.AlwaysKeepTask = true;
                nrg2Driver.WillUseCarsInCombat = false;
                if (Exists(nrg2Driver) && payedmafiaBribe)
                {
                    nrg2Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    nrg2Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(nrg2Driver) && Mafia)
                {
                    nrg2Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    nrg2Driver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    nrg2Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(nrg2Driver) && Biker || killedbigPaulie)
                {
                    nrg2Driver.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    nrg2Driver.Task.FightAgainst(Player.Character);
                    nrg2Driver.Task.FightAgainstHatedTargets(50.0f);
                    nrg2Driver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (Exists(nrg2Driver) && Exists(nrg2) && nrg2Driver.Position.DistanceTo(nrg2.Position) <= 60.0f && nrg2Driver.Position.DistanceTo(Player.Character.Position) >= 21.0f)
                    {
                        if (Exists(nrg2Driver) && !nrg2Driver.isInVehicle(nrg2))
                        {
                            nrg2Driver.Task.EnterVehicle(nrg2, VehicleSeat.Driver);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(nrg2Driver) && nrg2Driver.isInVehicle(nrg2) && nrg2Driver.Position.DistanceTo(Player.Character.Position) >= 21.0f)
                        {
                            nrg2Driver.Task.DriveTo(Player.Character.Position.Around(5.0f), 60.0f, false);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(nrg2Driver) && !Exists(nrg2) && nrg2Driver.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                        {
                            //bike4Driver.Task.ClearAll();
                            nrg2Driver.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(nrg2Driver) && Exists(nrg2) && !nrg2Driver.isInVehicle(nrg2) && nrg2Driver.Position.DistanceTo(Player.Character.Position) >= 15.0f && nrg2Driver.Position.DistanceTo(nrg2.Position) >= 5.0f)
                        {
                            //bike4Driver.Task.ClearAll();
                            nrg2Driver.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                    }
                }
                //  if (Exists(nrg2Driver) && nrg2Driver.isAlive && !Exists(nrg2DriverBlip))
                //  {
                //      nrg2DriverBlip = CreateBlip(nrg2Driver, BlipIcon.Person_Assassin, "Hitman");
                //  } 
            }
        }
        if (Exists(bigPaulie) && bigPaulie.isAlive && Player.Character.Position.DistanceTo(bigPauliePos) <= 50.0f)
        {
            armbigPaulie = true;
        }

        if (Exists(bigPaulie) && bigPaulie.isAlive)
        {
            if (Exists(bigPaulie) && !armbigPaulie)
            {
                bigPaulie.Armor += 100;
            }
            if (Exists(bigPaulie) && armbigPaulie)
            {
                bigPaulie.CanSwitchWeapons = true;
                bigPaulie.Weapons.Uzi.Ammo = 1000;
                bigPaulie.Weapons.Uzi.Select();
                bigPaulie.RelationshipGroup = RelationshipGroup.Dealer;
                //   bigPaulie.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                //bigPaulie.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                bigPaulie.WantedByPolice = false;
                bigPaulie.BecomeMissionCharacter();
                bigPaulie.BlockPermanentEvents = true;
                bigPaulie.Task.AlwaysKeepTask = true;
                bigPaulie.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(bigPaulie) && payedmafiaBribe)
                {
                    bigPaulie.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                }
                if (Exists(bigPaulie) && Biker || killedbigPaulie)
                {
                    bigPaulie.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;

                }
                if (Exists(bigPaulie) && Mafia)
                {
                    bigPaulie.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    //  bigPaulie.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                }
                if (Exists(bigPaulie) && !Biker && !Mafia)
                {
                    bigPaulie.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    bigPaulie.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                }
                //  if (Exists(pauliesLimo) && bigPaulie.Position.DistanceTo(pauliesLimoPos) >= 5.0f && bigPaulie.Position.DistanceTo(pauliesLimoPos) <= 20.0f)
                //  {
                //       bigPaulie.Task.RunTo(pauliesLimoPos);
                //   }
                if (Exists(bigPaulie) && Exists(pauliesLimo) && Player.Character.Position.DistanceTo(bigPaulie.Position) <= 60.0f)
                {
                    if (Exists(bigPaulie) && !bigPaulie.isInVehicle(pauliesLimo))
                    {
                        bigPaulie.Task.EnterVehicle(pauliesLimo, VehicleSeat.LeftRear);
                        if (!Ekey)
                        {
                            Wait(0x9c4);
                        }
                    }
                }
                if (Exists(bigPaulie) && Player.Character.Position.DistanceTo(bigPaulie.Position) <= 3.0f && bigPaulie.isAlive && !madeMan && Mafia || Exists(bigPaulie) && Player.Character.Position.DistanceTo(bigPaulie.Position) <= 3.0f && bigPaulie.isAlive && !madeMan && mafiaMember)
                {
                    bigPaulie.Task.ClearAll();
                    bigPaulie.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    //  if (bigPaulie.isInVehicle(pauliesLimo))
                    //  {
                    //      bigPaulie.Task.PlayAnimation(new AnimationSet("amb@car_std_ps_b"), "conversation", 5.0f);
                    //  }
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("See me after more jobs are done if you want to move up in my crew", 7000);
                }
                if (Exists(bigPaulie) && Player.Character.Position.DistanceTo(bigPaulie.Position) <= 3.0f && bigPaulie.isAlive && madeMan && Mafia || Exists(bigPaulie) && Player.Character.Position.DistanceTo(bigPaulie.Position) <= 3.0f && bigPaulie.isAlive && madeMan && mafiaMember)
                {
                    bigPaulie.Task.ClearAll();
                    bigPaulie.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }


                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("You've just been made kid congrats, go see the recruit he'll set you up with a crew", 7000);
                    TriggerMissionCompleteAudio(0x1b);
                } if (Exists(bigPaulie) && Player.Character.Position.DistanceTo(bigPaulie.Position) <= 3.0f && bigPaulie.isAlive && !madeMan && Mafia || Exists(bigPaulie) && Player.Character.Position.DistanceTo(bigPaulie.Position) <= 3.0f && bigPaulie.isAlive && !madeMan && mafiaMember)
                {
                    bigPaulie.Task.ClearAll();
                    bigPaulie.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    //  if (Exists(bigPaulie) && bigPaulie.isInVehicle(pauliesLimo))
                    //  {
                    //      bigPaulie.Task.PlayAnimation(new AnimationSet("amb@car_std_ps_b"), "conversation", 5.0f);
                    //  }
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("See me after more jobs are done if you want to move up in my crew", 7000);
                }
                if (Exists(bigPaulie) && Player.Character.Position.DistanceTo(bigPaulie.Position) <= 3.0f && bigPaulie.isAlive && !Mafia && !Biker && !mafiaMember)
                {
                    bigPaulie.Task.ClearAll();
                    bigPaulie.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    // bigPaulie.Task.PlayAnimation(new AnimationSet("amb@car_std_ps_b"), "conversation", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Fuck off kid", 7000);

                }
                if (Exists(bigPaulie) && bigPaulie.isAlive && !Exists(bigPaulieBlip))
                {
                    bigPaulieBlip = CreateBlip(bigPaulie, BlipIcon.Misc_Trophy, "Mafia Boss");
                }
                //  if (Player.Character.Position.DistanceTo(bigPaulie.Position) >= 5.0f && !Biker)
                //  {
                //      bigPaulie.Task.ClearAll();
                //      bigPaulie.Task.PlayAnimation(new AnimationSet("missrandom_idle"), "agressive_idle", 5.0f);
                //      if (!Ekey)
                //     {
                //          Wait(0x9c4);
                //      }
                //   }
            }
        }
        if (Exists(mafiaBoss2) && mafiaBoss2.isAlive && Player.Character.Position.DistanceTo(bigPauliePos) <= 50.0f)
        {
            armmafiaBoss2 = true;
        }

        if (Exists(mafiaBoss2) && mafiaBoss2.isAlive)
        {
            if (Exists(mafiaBoss2) && !armmafiaBoss2)
            {
                mafiaBoss2.Armor += 100;
            }
            if (Exists(mafiaBoss2) && armmafiaBoss2)
            {
                mafiaBoss2.CanSwitchWeapons = true;
                mafiaBoss2.Weapons.Uzi.Ammo = 1000;
                mafiaBoss2.Weapons.Uzi.Select();
                mafiaBoss2.RelationshipGroup = RelationshipGroup.Dealer;
                //   bigPaulie.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafiaBoss2.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafiaBoss2.WantedByPolice = false;
                mafiaBoss2.BecomeMissionCharacter();
                mafiaBoss2.BlockPermanentEvents = true;
                mafiaBoss2.Task.AlwaysKeepTask = true;
                mafiaBoss2.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafiaBoss2) && payedmafiaBribe)
                {
                    mafiaBoss2.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                }
                if (Exists(mafiaBoss2) && Biker || killedbigPaulie)
                {
                    mafiaBoss2.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;

                }
                if (Exists(mafiaBoss2) && Mafia)
                {
                    mafiaBoss2.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    //  bigPaulie.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                }
                if (Exists(mafiaBoss2) && !Biker && !Mafia)
                {
                    mafiaBoss2.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafiaBoss2.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                }
                //  if (Exists(pauliesLimo) && bigPaulie.Position.DistanceTo(pauliesLimoPos) >= 5.0f && bigPaulie.Position.DistanceTo(pauliesLimoPos) <= 20.0f)
                //  {
                //       bigPaulie.Task.RunTo(pauliesLimoPos);
                //   }
                if (Exists(mafiaBoss2) && Exists(pauliesLimo) && Player.Character.Position.DistanceTo(mafiaBoss2.Position) <= 60.0f)
                {
                    if (Exists(mafiaBoss2) && !mafiaBoss2.isInVehicle(pauliesLimo))
                    {
                        mafiaBoss2.Task.EnterVehicle(pauliesLimo, VehicleSeat.LeftRear);
                        if (!Ekey)
                        {
                            Wait(0x9c4);
                        }
                    }
                }
                if (Exists(mafiaBoss2) && Player.Character.Position.DistanceTo(mafiaBoss2.Position) <= 3.0f && mafiaBoss2.isAlive && !madeMan && Mafia || Exists(mafiaBoss2) && Player.Character.Position.DistanceTo(mafiaBoss2.Position) <= 3.0f && mafiaBoss2.isAlive && !madeMan && mafiaMember)
                {
                    mafiaBoss2.Task.ClearAll();
                    mafiaBoss2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    //  if (bigPaulie.isInVehicle(pauliesLimo))
                    //  {
                    //      bigPaulie.Task.PlayAnimation(new AnimationSet("amb@car_std_ps_b"), "conversation", 5.0f);
                    //  }
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("See me after more jobs are done if you want to move up in my crew", 7000);
                }
                if (Exists(mafiaBoss2) && Player.Character.Position.DistanceTo(mafiaBoss2.Position) <= 3.0f && mafiaBoss2.isAlive && madeMan && Mafia || Exists(mafiaBoss2) && Player.Character.Position.DistanceTo(mafiaBoss2.Position) <= 3.0f && mafiaBoss2.isAlive && madeMan && mafiaMember)
                {
                    mafiaBoss2.Task.ClearAll();
                    mafiaBoss2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("You've just been made kid congrats, go see the recruit he'll set you up with a crew", 7000);

                } if (Exists(mafiaBoss2) && Player.Character.Position.DistanceTo(mafiaBoss2.Position) <= 3.0f && mafiaBoss2.isAlive && !madeMan && Mafia || Exists(mafiaBoss2) && Player.Character.Position.DistanceTo(mafiaBoss2.Position) <= 3.0f && mafiaBoss2.isAlive && !madeMan && mafiaMember)
                {
                    mafiaBoss2.Task.ClearAll();
                    mafiaBoss2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }


                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("See me after more jobs are done if you want to move up in my crew", 7000);
                }
                if (Exists(mafiaBoss2) && Player.Character.Position.DistanceTo(mafiaBoss2.Position) <= 3.0f && mafiaBoss2.isAlive && !Mafia && !Biker && !mafiaMember)
                {
                    mafiaBoss2.Task.ClearAll();
                    mafiaBoss2.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    // bigPaulie.Task.PlayAnimation(new AnimationSet("amb@car_std_ps_b"), "conversation", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Fuck off kid", 7000);

                }
                if (Exists(mafiaBoss2) && mafiaBoss2.isAlive && !Exists(mafiaBoss2Blip))
                {
                    mafiaBoss2Blip = CreateBlip(mafiaBoss2, BlipIcon.Misc_Trophy, "Mafia Boss");
                }
            }
        }


        if (Exists(pauliesDriver) && pauliesDriver.isAlive && Player.Character.Position.DistanceTo(bigPauliePos) <= 50.0f)
        {
            armpauliesDriver = true;
        }

        if (Exists(pauliesDriver) && pauliesDriver.isAlive)
        {
            if (Exists(pauliesDriver) && !armpauliesDriver)
            {
                pauliesDriver.Armor += 100;
            }
            if (Exists(pauliesDriver) && armpauliesDriver)
            {
                pauliesDriver.CanSwitchWeapons = true;
                pauliesDriver.Weapons.Uzi.Ammo = 1000;
                pauliesDriver.Weapons.Uzi.Select();
                pauliesDriver.RelationshipGroup = RelationshipGroup.Dealer;
                //   pauliesDriver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                // pauliesDriver.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                pauliesDriver.WantedByPolice = false;
                pauliesDriver.BecomeMissionCharacter();
                pauliesDriver.BlockPermanentEvents = true;
                pauliesDriver.Task.AlwaysKeepTask = true;
                pauliesDriver.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(pauliesDriver) && payedmafiaBribe)
                {
                    pauliesDriver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    pauliesDriver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(pauliesDriver) && Biker || killedbigPaulie)
                {
                    pauliesDriver.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    pauliesDriver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);

                }
                if (Exists(pauliesDriver) && Mafia)
                {
                    pauliesDriver.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    pauliesDriver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    pauliesDriver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(pauliesDriver) && !Biker && !Mafia)
                {
                    pauliesDriver.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    pauliesDriver.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    pauliesDriver.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
               
                if (Exists(pauliesDriver) && Exists(pauliesLimo) && Player.Character.Position.DistanceTo(pauliesDriver.Position) <= 60.0f)
                {
                    if (Exists(pauliesDriver) && !pauliesDriver.isInVehicle(pauliesLimo))
                    {
                        pauliesDriver.Task.EnterVehicle(pauliesLimo, VehicleSeat.Driver);
                        if (!Ekey)
                        {
                            Wait(0x9c4);
                        }
                    }
                }

                //  if (Player.Character.Position.DistanceTo(bigPaulie.Position) >= 5.0f && !Biker)
                //  {
                //      bigPaulie.Task.ClearAll();
                //      bigPaulie.Task.PlayAnimation(new AnimationSet("missrandom_idle"), "agressive_idle", 5.0f);
                //      if (!Ekey)
                //     {
                //          Wait(0x9c4);
                //      }
                //   }
            }
        }
        if (Exists(bigPaulieGaurd) && bigPaulieGaurd.isAlive && Player.Character.Position.DistanceTo(bigPaulieGaurdPos) <= 50.0f)
        {
            armbigPaulieGaurd = true;
        }

        if (Exists(bigPaulieGaurd) && bigPaulieGaurd.isAlive)
        {
            if (Exists(bigPaulieGaurd) && !armbigPaulieGaurd)
            {
                bigPaulieGaurd.Armor += 100;
            }
            if (Exists(bigPaulieGaurd) && armbigPaulieGaurd)
            {
                //     Game.DisplayText("Biker Turf!", 5000);
                bigPaulieGaurd.CanSwitchWeapons = true;
                bigPaulieGaurd.Weapons.Uzi.Ammo = 1000;
                bigPaulieGaurd.Weapons.Uzi.Select();
                bigPaulieGaurd.RelationshipGroup = RelationshipGroup.Dealer;
                bigPaulieGaurd.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                bigPaulieGaurd.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                bigPaulieGaurd.WantedByPolice = false;
                bigPaulieGaurd.BecomeMissionCharacter();
                bigPaulieGaurd.BlockPermanentEvents = true;
                bigPaulieGaurd.Task.AlwaysKeepTask = true;
                bigPaulieGaurd.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(bigPaulieGaurd) && payedmafiaBribe)
                {
                    bigPaulieGaurd.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    bigPaulieGaurd.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(bigPaulieGaurd) && Biker || killedbigPaulie)
                {
                    bigPaulieGaurd.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    bigPaulieGaurd.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);

                }
                if (Exists(bigPaulieGaurd) && Mafia)
                {
                    bigPaulieGaurd.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    bigPaulieGaurd.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    bigPaulieGaurd.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(bigPaulieGaurd) && !Biker && !Mafia)
                {
                    bigPaulieGaurd.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    bigPaulieGaurd.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    bigPaulieGaurd.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(bigPaulieGaurd) && bigPaulieGaurd.Position.DistanceTo(bigPaulieGaurdPos) >= 5.0f && Player.Character.Position.DistanceTo(bigPaulieGaurd.Position) <= 20.0f)
                {
                    bigPaulieGaurd.Task.RunTo(bigPaulieGaurdPos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(bigPaulieGaurd) && bigPaulieGaurd.Position.DistanceTo(bigPaulieGaurdPos) <= 1.0f && bigPaulieGaurd.isAlive)
                {
                    bigPaulieGaurd.Heading = 186.1036f;
                }

                if (Exists(bigPaulieGaurd) && Player.Character.Position.DistanceTo(bigPaulieGaurd.Position) <= 2.0f && bigPaulieGaurd.isAlive && !Biker && !Mafia && !mafiaMember)
                {
                    bigPaulieGaurd.Task.ClearAll();
                    bigPaulieGaurd.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    bigPaulieGaurd.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Stay the fuck away from the Heroin!", 7000);
                }
                if (Exists(bigPaulieGaurd) && Player.Character.Position.DistanceTo(bigPaulieGaurd.Position) <= 2.0f && bigPaulieGaurd.isAlive && Mafia || Exists(bigPaulieGaurd) && Player.Character.Position.DistanceTo(bigPaulieGaurd.Position) <= 2.0f && bigPaulieGaurd.isAlive && mafiaMember)
                {
                    bigPaulieGaurd.Task.ClearAll();
                    bigPaulieGaurd.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    bigPaulieGaurd.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Stay the fuck away from the Heroin!", 7000);
                }

            }

        }
        if (Exists(mafia1) && mafia1.isAlive && Player.Character.Position.DistanceTo(mafia1Pos) <= 50.0f)
        {
            armmafia1 = true;
        }

        if (Exists(mafia1) && mafia1.isAlive)
        {
            if (Exists(mafia1) && !armmafia1)
            {
                mafia1.Armor += 100;
            }
            if (Exists(mafia1) && armmafia1)
            {
                mafia1.Weapons.BasicSniperRifle.Ammo = 1000;
                mafia1.Weapons.BasicSniperRifle.Select();
                mafia1.CanSwitchWeapons = true;
                mafia1.RelationshipGroup = RelationshipGroup.Dealer;
                mafia1.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia1.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia1.WantedByPolice = false;
                mafia1.BecomeMissionCharacter();
                mafia1.BlockPermanentEvents = true;
                mafia1.Task.AlwaysKeepTask = true;
                mafia1.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia1) && payedmafiaBribe)
                {
                    mafia1.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia1.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia1) && Biker || killedbigPaulie)
                {
                    mafia1.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia1.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);

                }
                if (Exists(mafia1) && Mafia)
                {
                    mafia1.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia1.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia1.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia1) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia1.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia1.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia1) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia1.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia1.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia1) && mafia1.Position.DistanceTo(mafia1Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia1.Position) <= 20.0f)
                {
                    mafia1.Task.RunTo(mafia1Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }


            }
        }


        if (Exists(mafia2) && mafia2.isAlive && Player.Character.Position.DistanceTo(mafia2Pos) <= 50.0f)
        {
            armmafia2 = true;
        }

        if (Exists(mafia2) && mafia2.isAlive)
        {
            if (Exists(mafia2) && !armmafia2)
            {
                mafia2.Armor += 100;
            }
            if (Exists(mafia2) && armmafia2)
            {
                mafia2.CanSwitchWeapons = true;
                mafia2.RelationshipGroup = RelationshipGroup.Dealer;
                mafia2.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia2.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia2.Weapons.MP5.Ammo = 1000;
                mafia2.Weapons.MP5.Select();
                mafia2.WantedByPolice = false;
                mafia2.BecomeMissionCharacter();
                mafia2.BlockPermanentEvents = true;
                mafia2.Task.AlwaysKeepTask = true;
                mafia2.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia2) && payedmafiaBribe)
                {
                    mafia2.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia2.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia2) && Biker || killedbigPaulie)
                {
                    mafia2.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia2.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);

                }
                if (Exists(mafia2) && Mafia)
                {
                    mafia2.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia2.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia2.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia2) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia2.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia2.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia2) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia2.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia2.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia2) && mafia2.Position.DistanceTo(mafia2Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia2.Position) <= 20.0f)
                {
                    mafia2.Task.RunTo(mafia2Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

            }
        }
        if (Exists(mafia3) && mafia3.isAlive && Player.Character.Position.DistanceTo(mafia3Pos) <= 50.0f)
        {
            armmafia3 = true;
        }

        if (Exists(mafia3) && mafia3.isAlive)
        {
            if (Exists(mafia3) && !armmafia3)
            {
                mafia3.Armor += 100;
            }
            if (Exists(mafia3) && armmafia3)
            {
                mafia3.CanSwitchWeapons = true;
                mafia3.RelationshipGroup = RelationshipGroup.Dealer;
                mafia3.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia3.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia3.Weapons.Uzi.Ammo = 1000;
                mafia3.Weapons.Uzi.Select();
                mafia3.WantedByPolice = false;
                mafia3.BecomeMissionCharacter();
                mafia3.BlockPermanentEvents = true;
                mafia3.Task.AlwaysKeepTask = true;
                mafia3.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia3) && payedmafiaBribe)
                {
                    mafia3.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia3.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia3) && Biker || killedbigPaulie)
                {
                    mafia3.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia3.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);

                }
                if (Exists(mafia3) && Mafia)
                {
                    mafia3.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia3.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia3.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia3) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia3.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia3.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia3) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia3.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia3.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

            }
        }
        if (Exists(mafia4) && mafia4.isAlive && Player.Character.Position.DistanceTo(mafia4Pos) <= 50.0f)
        {
            armmafia4 = true;
        }

        if (Exists(mafia4) && mafia4.isAlive)
        {
            if (Exists(mafia4) && !armmafia4)
            {
                mafia4.Armor += 100;
            }
            if (Exists(mafia4) && armmafia4)
            {
                mafia4.CanSwitchWeapons = true;
                mafia4.RelationshipGroup = RelationshipGroup.Dealer;
                mafia4.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia4.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia4.Weapons.AssaultRifle_M4.Ammo = 1000;
                mafia4.Weapons.AssaultRifle_M4.Select();
                mafia4.WantedByPolice = false;
                mafia4.BecomeMissionCharacter();
                mafia4.BlockPermanentEvents = true;
                mafia4.Task.AlwaysKeepTask = true;
                mafia4.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia4) && payedmafiaBribe)
                {
                    mafia4.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia4.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia4) && Biker || killedbigPaulie)
                {
                    mafia4.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia4.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);

                }
                if (Exists(mafia4) && Mafia)
                {
                    mafia4.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia4.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia4.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia4) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia4.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia4.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia4) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia4.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia4.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

            }
        }
        if (Exists(mafia5) && mafia5.isAlive && Player.Character.Position.DistanceTo(mafia5Pos) <= 50.0f)
        {
            armmafia5 = true;
        }

        if (Exists(mafia5) && mafia5.isAlive)
        {
            if (Exists(mafia5) && !armmafia5)
            {
                mafia5.Armor += 100;
            }
            if (Exists(mafia5) && armmafia5)
            {
                mafia5.CanSwitchWeapons = true;
                mafia5.RelationshipGroup = RelationshipGroup.Dealer;
                mafia5.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia5.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia5.Weapons.AssaultRifle_M4.Ammo = 1000;
                mafia5.Weapons.AssaultRifle_M4.Select();
                mafia5.WantedByPolice = false;
                mafia5.BecomeMissionCharacter();
                mafia5.BlockPermanentEvents = true;
                mafia5.Task.AlwaysKeepTask = true;
                mafia5.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia5) && payedmafiaBribe)
                {
                    mafia5.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia5.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia5) && Biker || killedbigPaulie)
                {
                    mafia5.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia5.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);

                }
                if (Exists(mafia5) && Mafia)
                {
                    mafia5.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia5.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia5.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia5) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia5.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia5.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia5) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia5.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia5.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia5) && mafia5.Position.DistanceTo(mafia5Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia5.Position) <= 20.0f)
                {
                    mafia5.Task.RunTo(mafia5Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(mafia5) && mafia5.Position.DistanceTo(mafia5Pos) <= 1.0f && mafia5.isAlive)
                {
                    mafia5.Heading = 227.6815f;
                }
            }
        }
        if (Exists(mafia6) && mafia6.isAlive && Player.Character.Position.DistanceTo(mafia6Pos) <= 50.0f)
        {
            armmafia6 = true;
        }

        if (Exists(mafia6) && mafia6.isAlive)
        {
            if (Exists(mafia6) && !armmafia6)
            {
                mafia6.Armor += 100;
            }
            if (Exists(mafia6) && armmafia6)
            {
                mafia6.CanSwitchWeapons = true;
                mafia6.Weapons.Uzi.Ammo = 1000;
                mafia6.Weapons.Uzi.Select();
                mafia6.RelationshipGroup = RelationshipGroup.Dealer;
                //  mafia6.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia6.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia6.WantedByPolice = false;
                mafia6.BecomeMissionCharacter();
                mafia6.BlockPermanentEvents = true;
                mafia6.Task.AlwaysKeepTask = true;
                mafia6.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia6) && payedmafiaBribe)
                {
                    mafia6.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia6.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia6) && Biker || killedbigPaulie)
                {
                    mafia6.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia6.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);

                }
                if (Exists(mafia6) && Mafia)
                {
                    mafia6.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia6.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia6.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia6) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia6.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia6.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia6) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia6.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia6.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

                if (Exists(mafia6) && mafia6.Position.DistanceTo(mafia6Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia6.Position) <= 20.0f)
                {
                    mafia6.Task.RunTo(mafia6Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }



                if (Exists(mafia6) && Player.Character.Position.DistanceTo(mafia6.Position) <= 2.0f && mafia6.isAlive && !Biker && !Mafia && !mafiaMember)
                {
                    mafia6.Task.ClearAll();
                    mafia6.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia6.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't fuck with Big Paulies Crew!", 7000);
                }
                if (Exists(mafia6) && Player.Character.Position.DistanceTo(mafia6.Position) <= 2.0f && mafia6.isAlive && Mafia || Exists(mafia6) && Player.Character.Position.DistanceTo(mafia6.Position) <= 2.0f && mafia6.isAlive && mafiaMember)
                {
                    mafia6.Task.ClearAll();
                    mafia6.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia6.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } // Game.DisplayText("Mission Coming Soon!", 7000);
                }
                //  if (OKey && Player.Character.Position.DistanceTo(mafia6.Position) <= 5.0f)
                //  {
                //      Game.DisplayText("mafia6", 10000);
                //  }
            }
        }
        if (Exists(mafia7) && mafia7.isAlive && Player.Character.Position.DistanceTo(mafia7Pos) <= 50.0f)
        {
            armmafia7 = true;
        }

        if (Exists(mafia7) && mafia7.isAlive)
        {
            if (Exists(mafia7) && !armmafia7)
            {
                mafia7.Armor += 100;
            }
            if (Exists(mafia7) && armmafia7)
            {
                mafia7.CanSwitchWeapons = true;
                mafia7.Weapons.Uzi.Ammo = 1000;
                mafia7.Weapons.Uzi.Select();
                mafia7.RelationshipGroup = RelationshipGroup.Dealer;
                //  mafia7.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia7.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia7.WantedByPolice = false;
                mafia7.BecomeMissionCharacter();
                mafia7.BlockPermanentEvents = true;
                mafia7.Task.AlwaysKeepTask = true;
                mafia7.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia7) && payedmafiaBribe)
                {
                    mafia7.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia7.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia7) && Biker || killedbigPaulie)
                {
                    mafia7.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia7.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);

                }
                if (Exists(mafia7) && Mafia)
                {
                    mafia7.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia7.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia7.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia7) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia7.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia7.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia7) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia7.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia7.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia7) && mafia7.Position.DistanceTo(mafia7Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia7.Position) <= 20.0f)
                {
                    mafia7.Task.RunTo(mafia7Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(mafia7) && mafia7.Position.DistanceTo(mafia7Pos) <= 1.0f && mafia7.isAlive)
                {
                    mafia7.Heading = 190.9943f;
                }


                if (Exists(mafia7) && Player.Character.Position.DistanceTo(mafia7.Position) <= 2.0f && mafia7.isAlive && !Biker && !Mafia && !mafiaMember)
                {
                    mafia7.Task.ClearAll();
                    mafia7.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia7.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't fuck with Big Paulies Crew!", 7000);
                }
                if (Exists(mafia7) && Player.Character.Position.DistanceTo(mafia7.Position) <= 5.0f && mafia7.isAlive && Mafia || Exists(mafia7) && Player.Character.Position.DistanceTo(mafia7.Position) <= 5.0f && mafia7.isAlive && mafiaMember)
                {
                    mafia7.Task.ClearAll();
                    mafia7.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                   // Game.DisplayText("You run the protection racket now, collect all our debts from the local shops.", 7000);
                    mafia7.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
             //    if (Exists(mafia7) && mafia7.isAlive && !Exists(mafia7Blip))
               // {
                   // mafia7Blip = CreateBlip(mafia7, BlipIcon.Misc_Deal, "Protection Racket");
               // }

            }
        }
        if (Exists(mafia8) && mafia8.isAlive && Player.Character.Position.DistanceTo(mafia8Pos) <= 50.0f)
        {
            armmafia8 = true;
        }

        if (Exists(mafia8) && mafia8.isAlive)
        {
            if (Exists(mafia8) && !armmafia8)
            {
                mafia8.Armor += 100;
                if (!Exists(bigPaulie) && !Exists(mafiaBoss2) && !Exists(mafiaBoss3) && !Exists(mafiaBoss4) && !Exists(mafiaBoss5) && !killedbigPaulie)
                {
                    bigPaulie = World.CreatePed(bigPaulieMod, bigPauliePos);
                }
            }
            if (Exists(mafia8) && armmafia8)
            {
                mafia8.CanSwitchWeapons = true;
                mafia8.Weapons.Uzi.Ammo = 1000;
                mafia8.Weapons.Uzi.Select();
                // mafia8.RelationshipGroup = RelationshipGroup.Dealer;
                //  mafia8.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                // mafia8.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia8.WantedByPolice = false;
                mafia8.BecomeMissionCharacter();
                mafia8.BlockPermanentEvents = true;
                mafia8.Task.AlwaysKeepTask = true;
                mafia8.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia8) && payedmafiaBribe)
                {
                    mafia8.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia8.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia8) && Biker || killedbigPaulie)
                {
                    mafia8.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia8.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);

                }
                if (Exists(mafia8) && Mafia)
                {
                    mafia8.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia8.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia8.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia8) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia8.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia8.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia8) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia8.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia8.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia8) && mafia8.Position.DistanceTo(mafia8Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia8.Position) <= 20.0f)
                {
                    mafia8.Task.RunTo(mafia8Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

                if (Exists(mafia8) && Player.Character.Position.DistanceTo(mafia8.Position) <= 2.0f && mafia8.isAlive && !Biker && !Mafia && !mafiaMember)
                {
                    mafia8.Task.ClearAll();
                    mafia8.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia8.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't fuck with the Mob!", 7000);
                }
                if (Exists(mafia8) && Player.Character.Position.DistanceTo(mafia8.Position) <= 2.0f && mafia8.isAlive && !stolebikerLimo && Mafia || Exists(mafia8) && Player.Character.Position.DistanceTo(mafia8.Position) <= 2.0f && mafia8.isAlive && !stolebikerLimo && mafiaMember)
                {
                    mafia8.Task.ClearAll();
                    mafia8.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia8.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Steal the Bikers Limo and ill pay you good", 13000);
                }
                if (Exists(mafia8) && Player.Character.Position.DistanceTo(mafia8.Position) <= 2.0f && mafia8.isAlive && stolebikerLimo && Mafia || Exists(mafia8) && Player.Character.Position.DistanceTo(mafia8.Position) <= 2.0f && mafia8.isAlive && stolebikerLimo && mafiaMember)
                {
                    mafia8.Task.ClearAll();
                    mafia8.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia8.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(5500);
                    } Game.DisplayText("That's my boy here's $50,000 for the Limo!", 13000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(bikerBossLimo))
                    {
                        bikerBossLimo.Delete();
                        Player.Money += 50000;
                    }
                }
                if (Exists(mafia8) && mafia8.isAlive && !Exists(mafia8Blip))
                {
                    mafia8Blip = CreateBlip(mafia8, BlipIcon.Building_Garage, "Vehicle Contact");
                }
            }
        }

        if (Exists(mafia9) && mafia9.isAlive && Player.Character.Position.DistanceTo(mafia9Pos) <= 50.0f)
        {
            armmafia9 = true;
        }
        if (Exists(mafia9) && mafia9.isAlive)
        {
            if (Exists(mafia9) && !armmafia9)
            {
                mafia9.Armor += 100;
            }
            if (Exists(mafia9) && armmafia9)
            {
                mafia9.CanSwitchWeapons = true;
                // mafia9.RelationshipGroup = RelationshipGroup.Dealer;
                mafia9.Weapons.Uzi.Ammo = 1000;
                mafia9.Weapons.Uzi.Select();
                // mafia9.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia9.WantedByPolice = false;
                mafia9.BecomeMissionCharacter();
                mafia9.BlockPermanentEvents = true;
                mafia9.Task.AlwaysKeepTask = true;
                mafia9.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia9) && payedmafiaBribe)
                {
                    mafia9.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia9.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia9) && Biker || killedbigPaulie)
                {
                    mafia9.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia9.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia9) && Mafia)
                {
                    mafia9.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia9.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia9.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia9) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia9.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia9.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia9) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia9.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    }
                    mafia9.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia9) && mafia9.Position.DistanceTo(mafia9Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia9.Position) <= 20.0f)
                {
                    mafia9.Task.RunTo(mafia9Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

                if (Exists(mafia9) && Player.Character.Position.DistanceTo(mafia9.Position) <= 2.0f && mafia9.isAlive && !Biker && !Mafia && !mafiaMember)
                {
                    mafia9.Task.ClearAll();
                    mafia9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Don't fuck with the Mafia!", 7000);
                }
                if (Exists(mafia9) && Player.Character.Position.DistanceTo(mafia9.Position) <= 2.0f && mafia9.isAlive && !killedbikerBoss && !Exists(bikerBoss) && !Exists(bikerBoss2) && !Exists(bikerBoss3) && Exists(bikerBoss4) && Exists(bikerBoss5) && Mafia || Exists(mafia9) && Player.Character.Position.DistanceTo(mafia9.Position) <= 2.0f && mafia9.isAlive && !killedbikerBoss && !Exists(bikerBoss) && !Exists(bikerBoss2) && !Exists(bikerBoss3) && Exists(bikerBoss4) && Exists(bikerBoss5) && mafiaMember)
                {
                    mafia9.Task.ClearAll();
                    mafia9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I got $50,000 to wack the Biker Boss and Big Paulie will make you a Made Man!", 13000);
                    if (!Exists(bikerBoss) && !killedbikerBoss)
                    {
                        bikerBoss = World.CreatePed(bikerBossMod, bikerBossPos);
                        // bikerBoss = World.CreatePed(bikerBossMod, bikerBossPos);
                    }
                }
                if (Exists(mafia9) && Player.Character.Position.DistanceTo(mafia9.Position) <= 2.0f && mafia9.isAlive && !killedbikerBoss && Mafia || Exists(mafia9) && Player.Character.Position.DistanceTo(mafia9.Position) <= 2.0f && mafia9.isAlive && !killedbikerBoss && mafiaMember)
                {
                    mafia9.Task.ClearAll();
                    mafia9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I got $50,000 to wack the Biker Boss and Big Paulie will make you a Made Man!", 13000);

                }
                if (Exists(mafia9) && Exists(bikerBoss) && Player.Character.Position.DistanceTo(mafia9.Position) <= 2.0f && mafia9.isAlive && killedbikerBoss && Mafia || Exists(mafia9) && Exists(bikerBoss) && Player.Character.Position.DistanceTo(mafia9.Position) <= 2.0f && mafia9.isAlive && killedbikerBoss && mafiaMember)
                {
                    mafia9.Task.ClearAll();
                    mafia9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I heard that thing is done nice job. Here's $50,000 for the kill. Big Paulie wants to see you.", 13000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(bikerBossBlip))
                    {
                        bikerBossBlip.Delete();
                    }
                    if (Exists(bikerBoss))
                    {
                        bikerBoss.Delete();
                        Player.Money += 50000;
                    }
                    if (!Exists(bikerBoss2))
                    {
                        bikerBoss2 = World.CreatePed(bikerBoss2Mod, bikerBossPos);
                    }

                }
                if (Exists(mafia9) && Exists(bikerBoss2) && Player.Character.Position.DistanceTo(mafia9.Position) <= 2.0f && mafia9.isAlive && killedbikerBoss2 && Mafia || Exists(mafia9) && Exists(bikerBoss2) && Player.Character.Position.DistanceTo(mafia9.Position) <= 2.0f && mafia9.isAlive && killedbikerBoss2 && mafiaMember)
                {
                    mafia9.Task.ClearAll();
                    mafia9.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia9.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("I heard that thing is done nice job. Here's $50,000 the hit. Big Paulie wants to see you", 13000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(bikerBoss2Blip))
                    {
                        bikerBoss2Blip.Delete();
                    }
                    if (Exists(bikerBoss2))
                    {
                        bikerBoss2.Delete();
                        Player.Money += 50000;
                    }
                    // if (!Exists(bikerBoss3))
                    // {
                    //     bikerBoss3 = World.CreatePed(bikerBoss3Mod, bikerBossPos);
                    //  }
                }
            }
            if (Exists(mafia9) && mafia9.isAlive && !Exists(mafia9Blip))
            {
                mafia9Blip = CreateBlip(mafia9, BlipIcon.Person_Assassin, "Hitman Contact");
            }

        }

        if (Exists(mafia10) && mafia10.isAlive && Player.Character.Position.DistanceTo(mafia10Pos) <= 50.0f)
        {
            armmafia10 = true;
        }
        if (Exists(mafia10) && mafia10.isAlive)
        {

            if (Exists(mafia10) && !armmafia10)
            {
                mafia10.Armor += 100;
            }
            if (Exists(mafia10) && armmafia10)
            {
                mafia10.CanSwitchWeapons = true;
                // mafia10.RelationshipGroup = RelationshipGroup.Dealer;
                mafia10.Weapons.Uzi.Ammo = 1000;
                mafia10.Weapons.Uzi.Select();
                // mafia10.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia10.WantedByPolice = false;
                mafia10.BecomeMissionCharacter();
                mafia10.BlockPermanentEvents = true;
                mafia10.Task.AlwaysKeepTask = true;
                mafia10.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia10) && payedmafiaBribe)
                {
                    mafia10.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia10.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia10) && mafia10.Position.DistanceTo(mafia10Pos) <= 1.0f && mafia10.isAlive)
                {
                    mafia10.Heading = 115.2227f;
                }
                if (Exists(mafia10) && Biker || killedbigPaulie)
                {
                    mafia10.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia10.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia10) && Mafia)
                {
                    mafia10.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia10.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia10.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia10) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia10.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia10.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia10) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia10.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia10.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia10) && mafia10.Position.DistanceTo(mafia10Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia10.Position) <= 20.0f)
                {
                    mafia10.Task.RunTo(mafia10Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(meth) && Exists(mafia10) && Player.Character.Position.DistanceTo(meth.Position) <= 2.0f && Player.Character.Position.DistanceTo(mafia10.Position) <= 2.0f && mafia10.isAlive && Mafia || Exists(meth) && Exists(mafia10) && Player.Character.Position.DistanceTo(meth.Position) <= 2.0f && Player.Character.Position.DistanceTo(mafia10.Position) <= 2.0f && mafia10.isAlive && mafiaMember)
                {
                    mafia10.Task.ClearAll();
                    mafia10.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia10.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Grade A Crystal I'm rich biatch, here's $50,000.", 13000);
                    TriggerMissionCompleteAudio(0x1b);
                    if (Exists(meth))
                    {
                        meth.Delete();
                        Player.Money += 50000;
                    }
                }
                if (Exists(meth) && Exists(mafia10) && Player.Character.Position.DistanceTo(meth.Position) >= 2.0f && Player.Character.Position.DistanceTo(mafia10.Position) <= 2.0f && mafia10.isAlive && Mafia || Exists(meth) && Exists(mafia10) && Player.Character.Position.DistanceTo(meth.Position) >= 2.0f && Player.Character.Position.DistanceTo(mafia10.Position) <= 2.0f && mafia10.isAlive && mafiaMember)
                {
                    mafia10.Task.ClearAll();
                    mafia10.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia10.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Snatch the Bikers Meth for me, i can move meth fast.", 13000);

                }

                if (Exists(mafia10) && Player.Character.Position.DistanceTo(mafia10.Position) <= 2.0f && mafia10.isAlive && !Biker && !Mafia && !mafiaMember)
                {
                    mafia10.Task.ClearAll();
                    mafia10.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia10.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Join our Crew, the recruiter in the middle of lot can get you in!", 7000);
                }
                if (Exists(mafia10) && mafia10.isAlive && !Exists(mafia10Blip))
                {
                    mafia10Blip = CreateBlip(mafia10, BlipIcon.Misc_Deal, "Drug Dealer");
                }
            }
        }
        if (Exists(mafia11) && mafia11.isAlive && Player.Character.Position.DistanceTo(mafia11Pos) <= 50.0f)
        {
            armmafia11 = true;
        }
        if (Exists(mafia11) && mafia11.isAlive)
        {
            if (Exists(mafia11) && !armmafia11)
            {
                mafia11.Armor += 100;
            }
            if (Exists(mafia11) && armmafia11)
            {
                mafia11.CanSwitchWeapons = true;
                mafia11.RelationshipGroup = RelationshipGroup.Dealer;
                mafia11.Weapons.Uzi.Ammo = 1000;
                mafia11.Weapons.Uzi.Select();
                mafia11.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia11.WantedByPolice = false;
                mafia11.BecomeMissionCharacter();
                mafia11.BlockPermanentEvents = true;
                mafia11.Task.AlwaysKeepTask = true;
                mafia11.Task.ClearAll();
                mafia11.Task.FightAgainstHatedTargets(50.0f);
               
                if (Exists(mafia11) && payedmafiaBribe)
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia11) && mafia11.Position.DistanceTo(mafia11Pos) <= 1.0f && mafia11.isAlive)
                {
                    mafia11.Heading = 259.7964f;
                }
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || killedbigPaulie))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || mafiaMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f && !Biker && !Mafia)
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia11.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia11) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia11.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia11) && mafia11.Position.DistanceTo(mafia11Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia11Pos) <= 21.0f)
                {
                    mafia11.Task.RunTo(mafia11Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
             
               
            }
        }
        if (Exists(mafia12) && mafia12.isAlive && Player.Character.Position.DistanceTo(mafia12Pos) <= 50.0f)
        {
            armmafia12 = true;
        }
        if (Exists(mafia12) && mafia12.isAlive)
        {
            if (Exists(mafia12) && !armmafia12)
            {
                mafia12.Armor += 100;
            }
            if (Exists(mafia12) && armmafia12)
            {
                mafia12.CanSwitchWeapons = true;
                mafia12.RelationshipGroup = RelationshipGroup.Dealer;
                mafia12.Weapons.Uzi.Ammo = 1000;
                mafia12.Weapons.Uzi.Select();
                mafia12.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia12.WantedByPolice = false;
                mafia12.BecomeMissionCharacter();
                mafia12.BlockPermanentEvents = true;
                mafia12.Task.AlwaysKeepTask = true;
                mafia12.Task.ClearAll();
                mafia12.Task.FightAgainstHatedTargets(50.0f);
             
                if (Exists(mafia12) && payedmafiaBribe)
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia12) && mafia12.Position.DistanceTo(mafia12Pos) <= 1.0f && mafia12.isAlive)
                {
                    mafia12.Heading = 102.6496f;
                }
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || killedbigPaulie))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || mafiaMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                    mafia12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia12) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia12.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia12) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia12.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia12) && mafia12.Position.DistanceTo(mafia12Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia12Pos) <= 21.0f)
                {
                    mafia12.Task.RunTo(mafia12Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(mafia12) && mafia12.isAlive && !Exists(mafia12Blip))
                {
                    mafia12Blip = CreateBlip(mafia12, BlipIcon.Activity_StripClub, "Sex Ring Contact");
                }
                if (Exists(mafia12) &&  Player.Character.Position.DistanceTo(mafia12Pos) <= 2.0f && !spawnhookers1)
                {
                    mafia12.Task.ClearAll();
                    mafia12.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia12.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } Game.DisplayText("Go take the girls to their corners, they're over by big paulies limo.", 6000);
                    Wait(0x9c4);
                    Game.DisplayText("They need to be slapped around if they don't pay regulary.", 6000);
                    spawnhookers1 = true;
                
                }
            }
        }
        if (Exists(mafia13) && mafia13.isAlive && Player.Character.Position.DistanceTo(mafia13Pos) <= 50.0f)
        {
            armmafia13 = true;
        }
        if (Exists(mafia13) && mafia13.isAlive)
        {
            if (Exists(mafia13) && !armmafia13)
            {
                mafia13.Armor += 100;
            }
            if (Exists(mafia13) && armmafia13)
            {
                mafia13.CanSwitchWeapons = true;
                mafia13.RelationshipGroup = RelationshipGroup.Dealer;
                mafia13.Weapons.Uzi.Ammo = 1000;
                mafia13.Weapons.Uzi.Select();
                mafia13.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia13.WantedByPolice = false;
                mafia13.BecomeMissionCharacter();
                mafia13.BlockPermanentEvents = true;
                mafia13.Task.AlwaysKeepTask = true;
                mafia13.Task.ClearAll();
                mafia13.Task.FightAgainstHatedTargets(50.0f);
                // if (mafia13.Position.DistanceTo(mafia13Pos) <= 1.0f && mafia13.isAlive)
                // {
                //     mafia13.Heading = f;
                //  }
              
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || killedbigPaulie))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || mafiaMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia13.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia13.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia13) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia13.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia13) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia13.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia13) && mafia13.Position.DistanceTo(mafia13Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia11Pos) <= 21.0f)
                {
                    mafia13.Task.RunTo(mafia13Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

                
            }
        }
        if (Exists(mafia14) && mafia14.isAlive && Player.Character.Position.DistanceTo(mafia14Pos) <= 50.0f)
        {
            armmafia14 = true;
        }
        if (Exists(mafia14) && mafia14.isAlive)
        {
            if (Exists(mafia14) && !armmafia14)
            {
                mafia14.Armor += 100;
            }
            if (Exists(mafia14) && armmafia14)
            {
                mafia14.CanSwitchWeapons = true;
                mafia14.RelationshipGroup = RelationshipGroup.Dealer;
                mafia14.Weapons.Uzi.Ammo = 1000;
                mafia14.Weapons.Uzi.Select();
                mafia14.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
              //  mafia14.WantedByPolice = false;
                mafia14.BecomeMissionCharacter();
                mafia14.BlockPermanentEvents = true;
                mafia14.Task.AlwaysKeepTask = true;
                mafia14.Task.FightAgainstHatedTargets(50.0f);
             
                if (Exists(mafia14) && payedmafiaBribe)
                {
                    mafia14.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(mafia14Pos) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 225.2999f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf1Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf3Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 73.14149f;
                }
              
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf4Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 242.2528f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf5Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 63.07898f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf6Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 268.252f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf7Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 133.4901f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf8Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 295.7145f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf9Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 305.8987f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf10Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 113.1912f;
                }
                if (Exists(mafia14) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || killedbigPaulie))
                {
                    mafia14.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia14) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || mafiaMember))
                {
                    mafia14.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia14.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia14) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia14.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia14) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia14.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia14.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia14) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia14.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia14.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia14) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia14.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia14.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia14) && Player.Character.Position.DistanceTo(mafia11Pos) <= 21.0f && mafia14.Position.DistanceTo(mafia14Pos) >= 5.0f)
                {
                    mafia14.Task.RunTo(mafia14Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

                if (Exists(mafia14) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && Player.Character.Position.DistanceTo(mafia14.Position) <= 2.0f && mafia14.isAlive && !Biker && !Mafia && !mafiaMember)
                {
                    mafia14.Task.ClearAll();
                    mafia14.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia14.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } //Game.DisplayText("Join our Crew, the recruiter in the middle of lot can get you in!14", 7000);
                }
            }
        }
        if (Exists(mafia15) && mafia15.isAlive && Player.Character.Position.DistanceTo(mafia15Pos) <= 50.0f)
        {
            armmafia15 = true;
        }
        if (Exists(mafia15) && mafia15.isAlive)
        {
            if (Exists(mafia15) && !armmafia15)
            {
                mafia15.Armor += 100;
            }
            if (Exists(mafia15) && armmafia15)
            {
                mafia15.CanSwitchWeapons = true;
                mafia15.RelationshipGroup = RelationshipGroup.Dealer;
                mafia15.Weapons.Uzi.Ammo = 1000;
                mafia15.Weapons.Uzi.Select();
                mafia15.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
              //  mafia15.WantedByPolice = false;
                mafia15.BecomeMissionCharacter();
                mafia15.BlockPermanentEvents = true;
                mafia15.Task.AlwaysKeepTask = true;
                mafia15.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia15) && payedmafiaBribe)
                {
                    mafia15.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia15) && mafia15.Position.DistanceTo(mafia15Pos) <= 1.0f && mafia15.isAlive)
                {
                    mafia15.Heading = 270.4193f;
                }
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf3Pos2) <= 1.0f && mafia15.isAlive)
                {
                    mafia15.Heading = 272.4264f;
                }

                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf4Pos2) <= 1.0f && mafia15.isAlive)
                {
                    mafia15.Heading = 210.9544f;
                }
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf5Pos2) <= 1.0f && mafia15.isAlive)
                {
                    mafia15.Heading = 322.5174f;
                }
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf6Pos2) <= 1.0f && mafia15.isAlive)
                {
                    mafia15.Heading = 91.85943f;
                }
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf7Pos2) <= 1.0f && mafia15.isAlive)
                {
                    mafia15.Heading = 310.747f;
                }

                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf9Pos2) <= 1.0f && mafia15.isAlive)
                {
                    mafia15.Heading = 290.2251f;
                }
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf10Pos2) <= 1.0f && mafia15.isAlive)
                {
                    mafia15.Heading = 205.5799f;
                }
                if (Exists(mafia15) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || killedbigPaulie))
                {
                    mafia15.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia15) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || mafiaMember))
                {
                    mafia15.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia15.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia15) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia15.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia15) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia15.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia15.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia15) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia15.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia15.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia15) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia15.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    }
                    mafia15.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia15) && Player.Character.Position.DistanceTo(mafia11Pos) <= 21.0f && mafia15.Position.DistanceTo(mafia15Pos) >= 5.0f)
                {
                    mafia15.Task.RunTo(mafia15Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

                if (Exists(mafia15) && Player.Character.Position.DistanceTo(mafia11Pos) <= 121.0f && Player.Character.Position.DistanceTo(mafia15.Position) <= 2.0f && mafia15.isAlive && !Biker && !Mafia && !mafiaMember)
                {
                    mafia15.Task.ClearAll();
                    mafia15.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia15.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } //Game.DisplayText("Join our Crew, the recruiter in the middle of lot can get you in!15", 7000);
                }
            }
        }
        if (Exists(mafia16) && mafia16.isAlive && Player.Character.Position.DistanceTo(mafia16Pos) <= 50.0f)
        {
            armmafia16 = true;
        }
        if (Exists(mafia16) && mafia16.isAlive)
        {
            if (Exists(mafia16) && !armmafia16)
            {
                mafia16.Armor += 100;
            }
            if (Exists(mafia16) && armmafia16)
            {
                mafia16.CanSwitchWeapons = true;
                mafia16.RelationshipGroup = RelationshipGroup.Dealer;
                mafia16.Weapons.Uzi.Ammo = 1000;
                mafia16.Weapons.Uzi.Select();
                mafia16.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
               // mafia16.WantedByPolice = false;
                mafia16.BecomeMissionCharacter();
                mafia16.BlockPermanentEvents = true;
                mafia16.Task.AlwaysKeepTask = true;
                mafia16.Task.FightAgainstHatedTargets(50.0f);
                if (Exists(mafia16) && payedmafiaBribe)
                {
                    mafia16.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(mafia16Pos) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 117.6806f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf1Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf3Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 17872.93f;
                }

                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf5Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 56.77095f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf6Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 89.2106f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf7Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 296.0262f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf8Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 346.6041f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf9Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 290.281f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf10Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 303.1667f;
                }
                if (Exists(mafia16) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || killedbigPaulie))
                {
                    mafia16.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia16) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Mafia || mafiaMember))
                {
                    mafia16.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia16.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia16) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia16.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia16) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia16.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia16.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia16) && !Biker && !Mafia && Player.Character.Position.DistanceTo(bigPauliePos) >= 5.0f)
                {
                    mafia16.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia16.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    if (Exists(mafia16) && Player.Character.Position.DistanceTo(bigPauliePos) <= 5.0f)
                    {
                        mafia16.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    }
                    mafia16.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia16) && Player.Character.Position.DistanceTo(mafia11Pos) <= 21.0f && mafia16.Position.DistanceTo(mafia16Pos) >= 5.0f)
                {
                    mafia16.Task.RunTo(mafia16Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                }

                if (Exists(mafia16) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && Player.Character.Position.DistanceTo(mafia16.Position) <= 2.0f && mafia16.isAlive && !Biker && !Mafia && !mafiaMember)
                {
                    mafia16.Task.ClearAll();
                    mafia16.Task.TurnTo(Player.Character);

                    mafia16.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    } //Game.DisplayText("Join our Crew, the recruiter in the middle of lot can get you in!16", 7000);
                }
            }
        }
        if (Exists(mafia17) && mafia17.isAlive && Player.Character.Position.DistanceTo(mafia17.Position) <= 50.0f)
        {
            armmafia17 = true;
        }
        if (Exists(mafia17) && mafia17.isAlive)
        {
            if (Exists(mafia17) && !armmafia17)
            {
                mafia17.Armor += 100;
            }
            if (Exists(mafia17) && armmafia17)
            {
                mafia17.CanSwitchWeapons = true;
                mafia17.RelationshipGroup = RelationshipGroup.Dealer;
                mafia17.Weapons.Uzi.Ammo = 1000;
                mafia17.Weapons.Uzi.Select();
                mafia17.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia17.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia17.WantedByPolice = false;
                mafia17.BecomeMissionCharacter();
                mafia17.BlockPermanentEvents = true;
                mafia17.Task.AlwaysKeepTask = true;
                mafia17.Task.ClearAll();
               mafia17.WillUseCarsInCombat = false;
                    mafia17.Task.FightAgainstHatedTargets(50.0f);
              
                if (Exists(mafia17) && payedmafiaBribe)
                {
                    mafia17.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
            
                if (Exists(mafia17) && mafia17.isAlive && !Exists(mafia17Blip))
                {
                    mafia17Blip = CreateBlip(mafia17, BlipIcon.Person_Male, "Enforcer");
                }
                if (Exists(mafia17) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || killedbigPaulie))
                {
                    mafia17.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia17) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia17.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia17) && (Mafia || mafiaMember))
                {
                    mafia17.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                    mafia17.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia17.SetDefensiveArea(Player.Character.Position, 20.0f);
                    mafia17.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia17) && Player.Character.Position.DistanceTo(mafia17.Position) >= 15.0f)
                {
                    mafia17.Task.RunTo(Player.Character.Position.Around(6.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
               
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(mafia17) && mafia17.isInVehicle(closestVehicle))
                {
                    // mafia17.FreezePosition = false;
                    mafia17.Task.LeaveVehicle(closestVehicle, true);
                   
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(mafia17) && !mafia17.isInVehicle(closestVehicle))
                {
                    mafia17.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(mafia17) && mafia17.isInVehicle(closestVehicle))
        {
            // mafia17.FreezePosition = false;
            mafia17.Task.LeaveVehicle(closestVehicle, true);
            
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(mafia17) && !mafia17.isInVehicle(closestVehicle))
        {
            mafia17.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }

        }
        if (Exists(mafia18) && mafia18.isAlive && Player.Character.Position.DistanceTo(mafia18.Position) <= 50.0f)
        {
            armmafia18 = true;
        }
        if (Exists(mafia18) && mafia18.isAlive)
        {
            if (Exists(mafia18) && !armmafia18)
            {
                mafia18.Armor += 100;
            }
            if (Exists(mafia18) && armmafia18)
            {
                mafia18.CanSwitchWeapons = true;
                mafia18.RelationshipGroup = RelationshipGroup.Dealer;
                mafia18.Weapons.Uzi.Ammo = 1000;
                mafia18.Weapons.Uzi.Select();
                mafia18.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia18.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia18.WantedByPolice = false;
                mafia18.BecomeMissionCharacter();
                mafia18.BlockPermanentEvents = true;
                mafia18.Task.AlwaysKeepTask = true;
                mafia18.Task.ClearAll();
                mafia18.WillUseCarsInCombat = false;
                    mafia18.Task.FightAgainstHatedTargets(50.0f);
               
                if (Exists(mafia18) && payedmafiaBribe)
                {
                    mafia18.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia18.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
               
                if (Exists(mafia18) && mafia18.isAlive && !Exists(mafia18Blip))
                {
                    mafia18Blip = CreateBlip(mafia18, BlipIcon.Person_Male, "Enforcer");
                }
                if (Exists(mafia18) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || killedbigPaulie))
                {
                    mafia18.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia18.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia18) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia18.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia18.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia18) && (Mafia || mafiaMember))
                {
                    mafia18.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                    mafia18.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia18.SetDefensiveArea(Player.Character.Position, 20.0f);
                    mafia18.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia18) && Player.Character.Position.DistanceTo(mafia18.Position) >= 15.0f)
                {
                    mafia18.Task.RunTo(Player.Character.Position.Around(6.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(mafia18) && mafia18.isInVehicle(closestVehicle))
                {
                    // mafia18.FreezePosition = false;
                    mafia18.Task.LeaveVehicle(closestVehicle, true);
                   
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(mafia18) && !mafia18.isInVehicle(closestVehicle))
                {
                    mafia18.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(mafia18) && mafia18.isInVehicle(closestVehicle))
        {
            // mafia18.FreezePosition = false;
            mafia18.Task.LeaveVehicle(closestVehicle, true);
            
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(mafia18) && !mafia18.isInVehicle(closestVehicle))
        {
            mafia18.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }

        }
        if (Exists(mafia19) && mafia19.isAlive && Player.Character.Position.DistanceTo(mafia19.Position) <= 50.0f)
        {
            armmafia19 = true;
        }
        if (Exists(mafia19) && mafia19.isAlive)
        {
            if (Exists(mafia19) && !armmafia19)
            {
                mafia19.Armor += 100;
            }
            if (Exists(mafia19) && armmafia19)
            {
                mafia19.CanSwitchWeapons = true;
                mafia19.RelationshipGroup = RelationshipGroup.Dealer;
                mafia19.Weapons.MP5.Ammo = 1000;
                mafia19.Weapons.MP5.Select();
                mafia19.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia19.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia19.WantedByPolice = false;
                mafia19.BecomeMissionCharacter();
                mafia19.BlockPermanentEvents = true;
                mafia19.Task.AlwaysKeepTask = true;
                mafia19.Task.ClearAll();
                mafia19.WillUseCarsInCombat = false;
                    mafia19.Task.FightAgainstHatedTargets(50.0f);
              
                if (Exists(mafia19) && payedmafiaBribe)
                {
                    mafia19.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia19.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
              
                if (Exists(mafia19) && mafia19.isAlive && !Exists(mafia19Blip))
                {
                    mafia19Blip = CreateBlip(mafia19, BlipIcon.Person_Male, "Enforcer");
                }
                if (Exists(mafia19) && Player.Character.Position.DistanceTo(Turf1Pos) >= 201.0f && (Biker || killedbigPaulie))
                {
                    mafia19.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia19.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia19) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia19.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia19.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                if (Exists(mafia19) && (Mafia || mafiaMember))
                {
                    mafia19.ChangeRelationship(RelationshipGroup.Player, Relationship.Companion);
                    mafia19.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia19.SetDefensiveArea(Player.Character.Position, 20.0f);
                    mafia19.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia19) && Player.Character.Position.DistanceTo(mafia19.Position) >= 15.0f)
                {
                    mafia19.Task.RunTo(Player.Character.Position.Around(6.0f));
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
              
                if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(mafia19) && mafia19.isInVehicle(closestVehicle))
                {
                    // mafia19.FreezePosition = false;
                    mafia19.Task.LeaveVehicle(closestVehicle, true);
                   
                }
                if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(mafia19) && !mafia19.isInVehicle(closestVehicle))
                {
                    mafia19.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
        }
        if (Exists(closestVehicle) && !Player.Character.isInVehicle(closestVehicle) && Exists(mafia19) && mafia19.isInVehicle(closestVehicle))
        {
            // mafia19.FreezePosition = false;
            mafia19.Task.LeaveVehicle(closestVehicle, true);
           
        }
        if (Exists(closestVehicle) && Player.Character.isInVehicle(closestVehicle) && Exists(mafia19) && !mafia19.isInVehicle(closestVehicle))
        {
            mafia19.Task.EnterVehicle(closestVehicle, VehicleSeat.AnyPassengerSeat);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Exists(mafia20) && mafia20.isAlive && Player.Character.Position.DistanceTo(mafia20.Position) <= 50.0f)
        {
            armmafia20 = true;
        }
        if (Exists(mafia20) && mafia20.isAlive)
        {
            if (mafia20.Position.DistanceTo(Player.Character.Position) <= 28.0f && Biker)
            {
                if (Exists(mafiaCar))
                {
                    if (Exists(mafia20) && mafia20.isInVehicle(mafiaCar))
                    {
                        mafia20.Task.LeaveVehicle();
                       
                    }
                }
                mafia20.Task.ClearAll();
                mafia20.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                mafia20.Task.ClearAll();
                mafia20.Task.FightAgainstHatedTargets(10.0f);
                mafia20.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                mafia20.WillDoDrivebys = true;
                
            }
            if (!armmafia20 && Exists(mafia20))
            {
                mafia20.Armor += 100;
            }
            if (armmafia20 && Exists(mafia20))
            {
                mafia20.CanSwitchWeapons = true;
                mafia20.RelationshipGroup = RelationshipGroup.Dealer;
                mafia20.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia20.Weapons.Uzi.Ammo = 1000;
                mafia20.Weapons.Uzi.Select();
                mafia20.WillDoDrivebys = true;
                mafia20.WantedByPolice = false;
                mafia20.BecomeMissionCharacter();
                mafia20.BlockPermanentEvents = true;
                mafia20.Task.AlwaysKeepTask = true;
                if (Exists(mafia20) && payedmafiaBribe)
                {
                    mafia20.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia20.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia20) && Mafia)
                {
                    mafia20.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia20.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia20.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia20) || killedbigPaulie || (Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (bikerMember || Biker)))
                {
                    mafia20.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia20.Task.ClearAll();
                    mafia20.Task.FightAgainst(Player.Character);
                    mafia20.Task.FightAgainstHatedTargets(50.0f);
                    mafia20.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (Exists(mafia20) && Exists(mafiaCar) && mafia20.Position.DistanceTo(mafiaCar.Position) <= 60.0f && mafia20.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                    {
                        if (Exists(mafia20) && !mafia20.isInVehicle(mafiaCar))
                        {
                            mafia20.Task.EnterVehicle(mafiaCar, VehicleSeat.Driver);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(mafia20) && mafia20.isInVehicle(mafiaCar) && mafia20.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                        {
                            mafia20.Task.DriveTo(Player.Character.Position.Around(5.0f), 60.0f, false);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }

                        }
                        if (Exists(mafia20) && !Exists(mafiaCar) && mafia20.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                        {
                            //bike4Driver.Task.ClearAll();
                            mafia20.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(mafia20) && Exists(mafiaCar) && !mafia20.isInVehicle(mafiaCar) && mafia20.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia20.Position.DistanceTo(mafiaCar.Position) >= 5.0f)
                        {
                            //bike4Driver.Task.ClearAll();
                            mafia20.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                    }
                }
                if (Exists(mafia20) && !Biker && !Mafia)
                {
                    mafia20.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia20.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    mafia20.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                // if (Exists(bike3Driver) && bike3Driver.isAlive && !Exists(bike3DriverBlip))
                // {
                //     bike3DriverBlip = CreateBlip(bike3Driver, BlipIcon.Person_Assassin, "Hitman");
                // } 
            }
        }
        if (Exists(mafia21) && mafia21.isAlive && Player.Character.Position.DistanceTo(mafia21.Position) <= 50.0f)
        {
            armmafia21 = true;
        }
        if (Exists(mafia21) && mafia21.isAlive)
        {
            if (mafia21.Position.DistanceTo(Player.Character.Position) <= 28.0f && Biker)
            {
                if (Exists(mafiaCar))
                {
                    if (Exists(mafia21) && mafia21.isInVehicle(mafiaCar))
                    {
                        mafia21.Task.LeaveVehicle();
                       
                    }
                }
                mafia21.Task.ClearAll();
                mafia21.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                mafia21.Task.ClearAll();
                mafia21.Task.FightAgainstHatedTargets(10.0f);
                mafia21.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                mafia21.WillDoDrivebys = true;
                
            }
            if (!armmafia21 && Exists(mafia21))
            {
                mafia21.Armor += 100;
            }
            if (armmafia21 && Exists(mafia21))
            {
                mafia21.CanSwitchWeapons = true;
                mafia21.RelationshipGroup = RelationshipGroup.Dealer;
                mafia21.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia21.Weapons.Uzi.Ammo = 1000;
                mafia21.Weapons.Uzi.Select();
                mafia21.WillDoDrivebys = true;
                mafia21.WantedByPolice = false;
                mafia21.BecomeMissionCharacter();
                mafia21.BlockPermanentEvents = true;
                mafia21.Task.AlwaysKeepTask = true;
                if (Exists(mafia21) && payedmafiaBribe)
                {
                    mafia21.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia21.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia21) && Mafia)
                {
                    mafia21.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia21.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia21.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia21) || killedbigPaulie || (Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (bikerMember || Biker)))
                {
                    mafia21.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia21.Task.ClearAll();
                    mafia21.Task.FightAgainst(Player.Character);
                    mafia21.Task.FightAgainstHatedTargets(50.0f);
                    mafia21.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (Exists(mafia21) && Exists(mafiaCar) && mafia21.Position.DistanceTo(mafiaCar.Position) <= 60.0f && mafia21.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                    {
                        if (Exists(mafia21) && !mafia21.isInVehicle(mafiaCar))
                        {
                            mafia21.Task.EnterVehicle(mafiaCar, VehicleSeat.AnyPassengerSeat);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(mafia21) && mafia21.isInVehicle(mafiaCar) && mafia21.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                        {
                            mafia21.Task.DriveTo(Player.Character.Position.Around(5.0f), 60.0f, false);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(mafia21) && !Exists(mafiaCar) && mafia21.Position.DistanceTo(Player.Character.Position) >= 15.0f)
                        {
                            //bike4Driver.Task.ClearAll();
                            mafia21.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(mafia21) && Exists(mafiaCar) && !mafia21.isInVehicle(mafiaCar) && mafia21.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia21.Position.DistanceTo(mafiaCar.Position) >= 5.0f)
                        {
                            //bike4Driver.Task.ClearAll();
                            mafia21.Task.RunTo(Player.Character.Position.Around(15.0f));
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                    }
                }
                if (Exists(mafia21) && !Biker && !Mafia)
                {
                    mafia21.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia21.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    mafia21.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                // if (Exists(bike3Driver) && bike3Driver.isAlive && !Exists(bike3DriverBlip))
                // {
                //     bike3DriverBlip = CreateBlip(bike3Driver, BlipIcon.Person_Assassin, "Hitman");
                // } 
            }
        }
        if (Exists(mafia22) && mafia22.isAlive && Player.Character.Position.DistanceTo(mafia22.Position) <= 50.0f)
        {
            armmafia22 = true;
        }
        if (Exists(mafia22) && mafia22.isAlive)
        {
            if (mafia22.Position.DistanceTo(Player.Character.Position) <= 28.0f && Biker)
            {
                if (Exists(mafiaCar))
                {
                    if (Exists(mafia22) && mafia22.isInVehicle(mafiaCar))
                    {
                        mafia22.Task.LeaveVehicle();
                       
                    }
                }
                mafia22.Task.ClearAll();
                mafia22.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                mafia22.Task.ClearAll();
                mafia22.Task.FightAgainstHatedTargets(10.0f);
                mafia22.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                mafia22.WillDoDrivebys = true;
               
            }
            if (!armmafia22 && Exists(mafia22))
            {
                mafia22.Armor += 100;
            }
            if (armmafia22 && Exists(mafia22))
            {
                mafia22.CanSwitchWeapons = true;
                mafia22.RelationshipGroup = RelationshipGroup.Dealer;
                mafia22.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
                mafia22.Weapons.Uzi.Ammo = 1000;
                mafia22.Weapons.Uzi.Select();
                mafia22.WillDoDrivebys = true;
                mafia22.WantedByPolice = false;
                mafia22.BecomeMissionCharacter();
                mafia22.BlockPermanentEvents = true;
                mafia22.Task.AlwaysKeepTask = true;
                if (Exists(mafia22) && payedmafiaBribe)
                {
                    mafia22.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia22.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia22) && Mafia)
                {
                    mafia22.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia22.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia22.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia22) || killedbigPaulie || (Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (bikerMember || Biker)) || (Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (bikerMember || Biker)))
                {
                    mafia22.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate); mafiaMember = false;
                    mafia22.Task.ClearAll();
                    mafia22.Task.FightAgainst(Player.Character);
                    mafia22.Task.FightAgainstHatedTargets(50.0f);
                    mafia22.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                    if (Exists(mafia22) && Exists(mafiaCar) && mafia22.Position.DistanceTo(mafiaCar.Position) <= 60.0f && mafia22.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                    {
                        if (Exists(mafia22) && !mafia22.isInVehicle(mafiaCar))
                        {
                            mafia22.Task.EnterVehicle(mafiaCar, VehicleSeat.AnyPassengerSeat);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                        if (Exists(mafia22) && mafia22.isInVehicle(mafiaCar) && mafia22.Position.DistanceTo(Player.Character.Position) >= 29.0f)
                        {
                            mafia22.Task.DriveTo(Player.Character.Position.Around(5.0f), 60.0f, false);
                            if (!Ekey)
                            {
                                Wait(0x9c4);
                            }
                        }
                    }
                }
                if (Exists(mafia22) && !Biker && !Mafia)
                {
                    mafia22.ChangeRelationship(RelationshipGroup.Player, Relationship.Respect);
                    mafia22.ChangeRelationship(RelationshipGroup.Cop, Relationship.Respect);
                    mafia22.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }
                // if (Exists(bike3Driver) && bike3Driver.isAlive && !Exists(bike3DriverBlip))
                // {
                //     bike3DriverBlip = CreateBlip(bike3Driver, BlipIcon.Person_Assassin, "Hitman");
                // } 
            }
        }
        if (Exists(mafia23) && mafia23.isAlive && Player.Character.Position.DistanceTo(mafia23Pos) <= 50.0f)
        {
            armmafia23 = true;
        }
        if (Exists(mafia23) && mafia23.isAlive) //rooftop biker gang recruiter
        {
            if (Exists(mafia23) && armmafia23)
            {
                mafia23.BecomeMissionCharacter();
                mafia23.BlockPermanentEvents = true;
                mafia23.Task.AlwaysKeepTask = true;
                if (Exists(mafia23) && mafia23.Position.DistanceTo(mafia23Pos) <= 1.0f && mafia23.isAlive)
                {
                    mafia23.Heading = 127.1987f;
                }
                if (Ekey && Exists(mafia23) && Player.Character.Position.DistanceTo(mafia23.Position) <= 2.0f && mafia23.isAlive && Biker && Player.Money >= 50000)
                {
                    Game.DisplayText("I'll take this money to the boss, we'll back off for now.", 9000);
                    TriggerMissionCompleteAudio(0x22);
                    if (Exists(mafiaRecruiter) && Player.Character.Position.DistanceTo(mafiaRecruiter.Position) >= 201.0f)
                    {
                        if (Exists(mafiaRecruiterBlip))
                        {
                            mafiaRecruiterBlip.Delete();
                        }
                        mafiaRecruiter.Delete();
                    }
                    if (Exists(bigPaulieGaurd))
                    {
                        bigPaulieGaurd.Delete();
                    }
                    if (Exists(mafia1))
                    {
                        mafia1.Delete();
                    }
                    if (Exists(mafia2))
                    {
                        mafia2.Delete();
                    }
                    if (Exists(mafia3))
                    {
                        mafia3.Delete();
                    }
                    if (Exists(mafia4))
                    {
                        mafia4.Delete();
                    }
                    if (Exists(mafia5))
                    {
                        mafia5.Delete();
                    }
                    if (Exists(mafia6))
                    {
                        mafia6.Delete();
                    }
                    if (Exists(mafia7))
                    {
                        mafia7.Delete();
                    }
                    if (Exists(mafia8))
                    {
                        if (Exists(mafia8Blip))
                        {
                            mafia8Blip.Delete();
                        }
                        mafia8.Delete();
                    }
                    if (Exists(mafia9))
                    {
                        if (Exists(mafia9Blip))
                        {
                            mafia9Blip.Delete();
                        }
                        mafia9.Delete();
                    }
                    if (Exists(mafia10))
                    {
                        if (Exists(mafia10Blip))
                        {
                            mafia10Blip.Delete();
                        }
                        mafia10.Delete();
                    }
                    if (Exists(mafia11))
                    {
                        mafia11.Delete();
                    }
                    if (Exists(mafia12))
                    {
                        mafia12.Delete();
                    }
                    if (Exists(mafia13))
                    {
                        mafia13.Delete();
                    }
                    if (Exists(mafia14))
                    {
                        mafia14.Delete();
                    }
                    if (Exists(mafia15))
                    {
                        mafia15.Delete();
                    }
                    if (Exists(mafia16))
                    {
                        mafia16.Delete();
                    }
                    if (Exists(mafia20))
                    {
                        mafia20.Delete();
                    }
                    if (Exists(mafia21))
                    {
                        mafia21.Delete();
                    }
                    if (Exists(mafia22))
                    {
                        mafia22.Delete();
                    }

                    mafia23.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia23.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    Biker = false;
                    Mafia = false;
                    // killedbikerBoss = false;
                   // killedbigPaulie = false;
                    payedmafiaBribe = true;
                    Player.Money -= 50000;
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                    payedmafiaBribe = false;
                }
                if (Ekey && Exists(mafia23) && Player.Character.Position.DistanceTo(mafia23.Position) <= 2.0f && mafia23.isAlive && Biker && Player.Money <= 50000)
                {
                    Game.DisplayText("Come back when you got the money! $50,000 and we'll be cool", 9000);
                    mafia23.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia23.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(mafia23) && Player.Character.Position.DistanceTo(mafia23.Position) <= 2.0f && mafia23.isAlive && Biker)
                {
                    Game.DisplayText("$50,000 and we'll call off the hit on you and your crew", 7000);
                    mafia23.Task.ClearAll();
                    mafia23.Task.TurnTo(Player.Character);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }

                    mafia23.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }

                if (Exists(mafia23) && mafia23.Position.DistanceTo(mafia23Pos) >= 5.0f && Player.Character.Position.DistanceTo(mafia23.Position) <= 20.0f)
                {
                    mafia23.Task.ClearAll();
                    mafia23.Task.RunTo(mafia23Pos);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
                if (Exists(mafia23) && mafia23.isAlive && !Exists(mafia23Blip))
                {
                    mafia23Blip = CreateBlip(mafia23, BlipIcon.Person_Male, "Mafia Bribe Contact");
                }
            }
        }
        if (Exists(mafia24) && mafia24.isAlive && Player.Character.Position.DistanceTo(mafia24.Position) <= 100.0f)
        {
            armmafia24 = true;
        }
        if (Exists(mafia24) && mafia24.isAlive)
        {
            if (Exists(mafia24) && !armmafia24)
            {
                mafia24.Armor += 100;
            }
            if (Exists(mafia24) && armmafia24)
            {
                mafia24.Weapons.AssaultRifle_M4.Ammo = 1000;
                mafia24.Weapons.AssaultRifle_M4.Select();
                mafia24.RelationshipGroup = RelationshipGroup.Dealer;
                //  mafia.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia24.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
               // mafia24.WantedByPolice = false;
                mafia24.BecomeMissionCharacter();
                mafia24.BlockPermanentEvents = true;
                mafia24.Task.AlwaysKeepTask = true;
                mafia24.Task.FightAgainstHatedTargets(50.0f);
                //  if (biker.Position.DistanceTo(bikerPos) <= 1.0f && biker.isAlive)
                //  {
                //      biker.Heading = f;
                //  }
              
                if (Exists(mafia24) && payedmafiaBribe)
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia24.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia24) && (Mafia || mafiaMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia24.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia24.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia24) && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

            }
        }
        if (Exists(mafia25) && mafia25.isAlive)
        {
            armmafia25 = true;
        }
        if (Exists(mafia25) && mafia25.isAlive)
        {
            if (Exists(mafia25) && !armmafia25)
            {
                mafia25.Armor += 100;
            }
            if (Exists(mafia25) && armmafia25)
            {
                mafia25.CanSwitchWeapons = true;
                mafia25.Weapons.AssaultRifle_M4.Ammo = 1000;
                mafia25.Weapons.AssaultRifle_M4.Select();
                mafia25.RelationshipGroup = RelationshipGroup.Dealer;
                //  mafia.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia25.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
              //  mafia25.WantedByPolice = false;
                mafia25.BecomeMissionCharacter();
                mafia25.BlockPermanentEvents = true;
                mafia25.Task.AlwaysKeepTask = true;
                mafia25.Task.FightAgainstHatedTargets(50.0f);
                //  if (biker.Position.DistanceTo(bikerPos) <= 1.0f && biker.isAlive)
                //  {
                //      biker.Heading = f;
                //  }
               
                if (Exists(mafia25) && payedmafiaBribe)
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia25.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia25) && (Mafia || mafiaMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia25.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia25.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia25) && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

            }
        }
        if (Exists(mafia26) && mafia26.isAlive)
        {
            armmafia26 = true;
        }
        if (Exists(mafia26) && mafia26.isAlive)
        {
            if (Exists(mafia26) && !armmafia26)
            {
                mafia26.Armor += 100;
            }
            if (Exists(mafia26) && armmafia26)
            {
                mafia26.CanSwitchWeapons = true;
                mafia26.Weapons.AssaultRifle_M4.Ammo = 1000;
                mafia26.Weapons.AssaultRifle_M4.Select();
                mafia26.RelationshipGroup = RelationshipGroup.Dealer;
                //  mafia.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                mafia26.ChangeRelationship(RelationshipGroup.Gang_Biker1, Relationship.Hate);
               // mafia26.WantedByPolice = false;
                mafia26.BecomeMissionCharacter();
                mafia26.BlockPermanentEvents = true;
                mafia26.Task.AlwaysKeepTask = true;
                mafia26.Task.FightAgainstHatedTargets(50.0f);
                //  if (biker26.Position.DistanceTo(bikerPos) <= 1.0f && biker.isAlive)
                //  {
                //      biker26.Heading = f;
                //  }
               
                if (Exists(mafia26) && payedmafiaBribe)
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia26.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia26) && (Mafia || mafiaMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia26.ChangeRelationship(RelationshipGroup.Cop, Relationship.Hate);
                    mafia26.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, true);
                }
                if (Exists(mafia26) && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.CantBeDamagedByRelationshipGroup(RelationshipGroup.Player, false);
                }

            }
        }

        // if (Exists(bigPaulie) && !bigPaulie.isAlive)
        // {
        // Biker = true;
        // Mafia = false;
        // }
        // if (Exists(bikerBoss) && !bikerBoss.isAlive)
        //  {
        // Mafia = true;
        // Biker = false;
        //  }
        //make for alllll gang members possibly worse/harder ai for bosses^^

        if (Exists(pauliesLimo) && pauliesLimo.Position.DistanceTo(pauliesLimoPos) <= 0.4f)
        {
            pauliesLimo.MakeProofTo(true, true, true, true, true);
            // pauliesLimo.Heading = 96.92585f;
        }
        if (Exists(bikerBossLimo) && bikerBossLimo.Position.DistanceTo(bikerBossLimoPos) <= 0.4f)
        {
            bikerBossLimo.MakeProofTo(true, true, true, true, true);
            bikerBossLimo.Heading = 271.528f;
        }
        if (Exists(bikerSpawnCar) && bikerSpawnCar.Position.DistanceTo(bikerSpawnCarPos) <= 0.4f)
        {
            bikerSpawnCar.MakeProofTo(true, true, true, true, true);
            bikerSpawnCar.Heading = 272.2109f;
        }
        if (Exists(dealer1) &&  dealer1.Health <= 1)
        {
            if (Exists(dealer1) && Player.Character.Position.DistanceTo(dealer1.Position) <= 5.0f)
            {
                //Game.DisplayText("My bulls in the warehouse to the west are gonna kill you..", 12000);
                spawnSuppliers1 = true;
            }
            
            if (Exists(dealer1Blip))
            {
                dealer1Blip.Delete();
            }
           
            if (Exists(dealer1))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", dealer1)) { dealer1.Delete(); }
            }
            if (!Exists(dealer1) && !spawnSuppliers1)
            {
                dealer1 = World.CreatePed(dealer1Mod, dealer1Pos);
            }
        }
        if (Exists(dealer2) && dealer2.Health <= 1)
        {
            if (Exists(dealer2Blip))
            {
                dealer2Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", dealer2)) { dealer2.Delete(); }
            if (!Exists(dealer2))
            {
                dealer2 = World.CreatePed(dealer2Mod, dealer2Pos);
            }
        }
        if (Exists(dealer5) &&  dealer5.Health <= 1)
        {
            if (Exists(dealer5Blip))
            {
                dealer5Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", dealer5)) { dealer5.Delete(); }
            if (!Exists(dealer5))
            {
                dealer5 = World.CreatePed(dealer5Mod, dealer5Pos);
            }
        }
        if (Exists(dealer6) &&  dealer6.Health <= 1)
        {
            if (Exists(dealer6Blip))
            {
                dealer6Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", dealer6)) { dealer6.Delete(); }
            if (!Exists(dealer6))
            {
                dealer6 = World.CreatePed(dealer6Mod, dealer6Pos);
            }
        }
        if (Exists(dealer9) &&  dealer9.Health <= 1)
        {
            if (Exists(dealer9Blip))
            {
                dealer9Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", dealer9)) { dealer9.Delete(); }
            if (!Exists(dealer9))
            {
                dealer9 = World.CreatePed(dealer9Mod, dealer9Pos);
            }
        }
        if (Exists(dealer13) &&  dealer13.Health <= 1)
        {
            if (Exists(dealer13Blip))
            {
                dealer13Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", dealer13)) { dealer13.Delete(); }
            if (!Exists(dealer13))
            {
                dealer13 = World.CreatePed(dealer13Mod, dealer13Pos);
            }
        }

        // Text("Press " + this.Keyone.ToString() + " to deal", 0xbb8);
        // Text("Press x to deal", 0xbb8);
        
        
        if (Exists(methBuyer) && Player.Character.Position.DistanceTo(methBuyer.Position) >= 201.0f)
        {
            if (Exists(methBuyerBlip))
            {
                methBuyerBlip.Delete();
            }
            methBuyer.Delete();
            if (!Exists(methBuyer))
            {
                methBuyer = World.CreatePed(methBuyerMod, methBuyerPos);
            }
        }
        if (Exists(heroinBuyer) && Player.Character.Position.DistanceTo(heroinBuyer.Position) >= 201.0f)
        {
            if (Exists(heroinBuyerBlip))
            {
                heroinBuyerBlip.Delete();
            }
            heroinBuyer.Delete();
            if (!Exists(heroinBuyer))
            {
                heroinBuyer = World.CreatePed(heroinBuyerMod, heroinBuyerPos);
            }
        }
        if (Exists(hooker1) && hooker1.Health <= 1)
              {
                  if (Exists(hooker1Blip))
                  {
                      hooker1Blip.Delete();
                  }
                  if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker1)) { hooker1.Delete(); }
              }
        if (Exists(hooker2) && hooker2.Health <= 1)
        {
            if (Exists(hooker2Blip))
            {
                hooker2Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker2)) { hooker2.Delete(); }
        }
        if (Exists(hooker3) && hooker3.Health <= 1)
        {
            if (Exists(hooker3Blip))
            {
                hooker3Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker3)) { hooker3.Delete(); }
        }

        if (Exists(hooker4) && hooker4.Health <= 1)
        {
            if (Exists(hooker4Blip))
            {
                hooker4Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker4)) { hooker4.Delete(); }
        }
        if (Exists(hooker5) && hooker5.Health <= 1)
        {
            if (Exists(hooker5Blip))
            {
                hooker5Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker5)) { hooker5.Delete(); }
        }
        if (Exists(hooker6) && hooker6.Health <= 1)
        {
            if (Exists(hooker6Blip))
            {
                hooker6Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker6)) { hooker6.Delete(); }
        }
        if (Exists(hooker7) && hooker7.Health <= 1)
        {
            if (Exists(hooker7Blip))
            {
                hooker7Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker7)) { hooker7.Delete(); }
        }
        if (Exists(hooker8) && hooker8.Health <= 1)
        {
            if (Exists(hooker8Blip))
            {
                hooker8Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker8)) { hooker8.Delete(); }
        }
        if (Exists(hooker9) && hooker9.Health <= 1)
        {
            if (Exists(hooker9Blip))
            {
                hooker9Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker9)) { hooker9.Delete(); }
        }
        if (Exists(hooker10) && hooker10.Health <= 1)
        {
            if (Exists(hooker10Blip))
            {
                hooker10Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker10)) { hooker10.Delete(); }
        }
        if (Exists(hooker11) && hooker11.Health <= 1)
        {
            if (Exists(hooker11Blip))
            {
                hooker11Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker11)) { hooker11.Delete(); }
        }
        if (Exists(hooker12) && hooker12.Health <= 1)
        {
            if (Exists(hooker12Blip))
            {
                hooker12Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", hooker12)) { hooker12.Delete(); }
        }

     //   if (Exists(mafia21) && Exists(mafiaCar) && mafia21.Position.DistanceTo(mafiaCar.Position) >= 50.0f)
    //    {
    //        mafia21.Delete();
     //   }
    //    if (Exists(mafia22) && Exists(mafiaCar) && mafia22.Position.DistanceTo(mafiaCar.Position) >= 50.0f)
    //    {
     //       mafia22.Delete();
     //   }
    //    if (Exists(biker37) && Exists(bikerCar) && biker37.Position.DistanceTo(bikerCar.Position) >= 50.0f)
    //    {
    //        biker37.Delete();
    //    }
     //   if (Exists(biker38) && Exists(bikerCar) && biker38.Position.DistanceTo(bikerCar.Position) >= 50.0f)
     //   {
    //        biker38.Delete();
     //   }
        if (Exists(nrg1Driver) && !nrg1Driver.isAlive)
        {
           
            if (Exists(nrg1DriverBlip))
            {
                nrg1DriverBlip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", nrg1Driver)) { nrg1Driver.Delete(); }
            if (Exists(nrg1) && Player.Character.Position.DistanceTo(nrg1.Position) >= 20.0f)
            {
                nrg1.Delete();
            }
        }
        if (Exists(nrg2Driver) && !nrg2Driver.isAlive)
        {
          
            if (Exists(nrg2DriverBlip))
            {
                nrg2DriverBlip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", nrg2Driver)) { nrg2Driver.Delete(); }
            if (Exists(nrg2) && Player.Character.Position.DistanceTo(nrg2.Position) >= 20.0f)
            {
                nrg2.Delete();
            }
        }
        if (Exists(nrg1Driver) && Player.Character.Position.DistanceTo(nrg1Driver.Position) >= 300.0f)
        {
            nrg1Driver.Delete();
            if (Exists(nrg1) && Player.Character.Position.DistanceTo(nrg1.Position) >= 20.0f)
            {
                nrg1.Delete();
            }
        }
        if (Exists(nrg2Driver) && Player.Character.Position.DistanceTo(nrg2Driver.Position) >= 300.0f)
        {
            nrg2Driver.Delete();
            if (Exists(nrg2) && Player.Character.Position.DistanceTo(nrg2.Position) >= 20.0f)
            {
                nrg2.Delete();
            }
        }

        if (Exists(bike3Driver) && !bike3Driver.isAlive)
        {
           
            if (Exists(bike3DriverBlip))
            {
                bike3DriverBlip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", bike3Driver)) { bike3Driver.Delete(); }
            if (Exists(bike3) && Player.Character.Position.DistanceTo(bike3.Position) >= 20.0f)
            {
                bike3.Delete();
            }
        }
        if (Exists(bike3Driver) && Player.Character.Position.DistanceTo(bike3Driver.Position) >= 300.0f)
        {
            bike3Driver.Delete();
            if (Exists(bike3) && Player.Character.Position.DistanceTo(bike3.Position) >= 20.0f)
            {
                bike3.Delete();
            }
        }
        if (Exists(bike4Driver) && !bike4Driver.isAlive)
        {
            
            if (Exists(bike4DriverBlip))
            {
                bike4DriverBlip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", bike4Driver)) { bike4Driver.Delete(); }
            if (Exists(bike4) && Player.Character.Position.DistanceTo(bike4.Position) >= 20.0f)
            {
                bike4.Delete();
            }
        }

        if (Exists(bike4Driver) && Player.Character.Position.DistanceTo(bike4Driver.Position) >= 300.0f)
        {
            bike4Driver.Delete();
            if (Exists(bike4) && Player.Character.Position.DistanceTo(bike4.Position) >= 20.0f)
            {
                bike4.Delete();
            }
        }
        if (Exists(biker1) && Player.Character.Position.DistanceTo(biker1.Position) >= 201.0f)
        {
            if (Exists(biker1Blip))
            {
                biker1Blip.Delete();
            }
            biker1.Delete();
            if (!Exists(biker1) && Player.Character.Position.DistanceTo(biker1Pos) <= 200.0f)
            {
                biker1 = World.CreatePed(biker1Mod, biker1Pos.Around(50.0f));
            }
        }
        if (Exists(biker2) && Player.Character.Position.DistanceTo(biker2.Position) >= 201.0f)
        {
            if (Exists(biker2Blip))
            {
                biker2Blip.Delete();
            }
            biker2.Delete();
            if (!Exists(biker2) && Player.Character.Position.DistanceTo(biker2Pos) <= 200.0f)
            {
                biker2 = World.CreatePed(biker2Mod, biker2Pos.Around(50.0f));
            }
        }
        if (Exists(biker3) && Player.Character.Position.DistanceTo(biker3.Position) >= 201.0f)
        {
            if (Exists(biker3Blip))
            {
                biker3Blip.Delete();
            }
            biker3.Delete();
            if (!Exists(biker3) && Player.Character.Position.DistanceTo(biker3Pos) <= 200.0f)
            {
                biker3 = World.CreatePed(biker3Mod, biker3Pos.Around(50.0f));
            }
        }
        if (Exists(biker4) && Player.Character.Position.DistanceTo(biker4.Position) >= 201.0f)
        {
            biker4.Delete();
            if (!Exists(biker4) && Player.Character.Position.DistanceTo(biker4Pos) <= 200.0f)
            {
                biker4 = World.CreatePed(biker4Mod, biker4Pos.Around(50.0f));
            }
        }
        if (Exists(biker5) && Player.Character.Position.DistanceTo(biker5.Position) >= 201.0f)
        {
            biker5.Delete();
            if (!Exists(biker5) && Player.Character.Position.DistanceTo(biker5Pos) <= 200.0f)
            {
                biker5 = World.CreatePed(biker5Mod, biker5Pos.Around(50.0f));
            }
        }
        if (Exists(biker6) && Player.Character.Position.DistanceTo(biker6.Position) >= 201.0f)
        {
            if (Exists(biker6Blip))
            {
                biker6Blip.Delete();
            }
            biker6.Delete();
            if (!Exists(biker6) && Player.Character.Position.DistanceTo(biker6Pos) <= 200.0f)
            {
                biker6 = World.CreatePed(biker6Mod, biker6Pos.Around(50.0f));
            }
        }
        if (Exists(biker7) && Player.Character.Position.DistanceTo(biker7.Position) >= 201.0f)
        {
              if (Exists(biker7Blip))
            {
                biker7Blip.Delete();
            }
            biker7.Delete();
            if (!Exists(biker7) && Player.Character.Position.DistanceTo(biker7Pos) <= 200.0f)
            {
                biker7 = World.CreatePed(biker7Mod, biker7Pos.Around(50.0f));
            }
        }
        if (Exists(biker8) && Player.Character.Position.DistanceTo(biker8.Position) >= 201.0f)
        {
            biker8.Delete();
            if (!Exists(biker8) && Player.Character.Position.DistanceTo(biker8Pos) <= 200.0f)
            {
                biker8 = World.CreatePed(biker8Mod, biker8Pos.Around(50.0f));
            }
        }
        if (Exists(biker9) && Player.Character.Position.DistanceTo(biker9.Position) >= 201.0f)
        {
            biker9.Delete();
            if (!Exists(biker9) && Player.Character.Position.DistanceTo(biker9Pos) <= 200.0f)
            {
                biker9 = World.CreatePed(biker9Mod, biker9Pos.Around(50.0f));
            }
        }
        if (Exists(biker10) && Player.Character.Position.DistanceTo(biker10.Position) >= 201.0f)
        {
            biker10.Delete();
            if (!Exists(biker10) && Player.Character.Position.DistanceTo(biker10Pos) <= 200.0f)
            {
                biker10 = World.CreatePed(biker10Mod, biker10Pos.Around(50.0f));
            }
        }
        if (Exists(biker11) && Player.Character.Position.DistanceTo(biker11.Position) >= 201.0f)
        {
            biker11.Delete();
            if (!Exists(biker11) && Player.Character.Position.DistanceTo(biker11Pos) <= 200.0f)
            {
                biker11 = World.CreatePed(biker11Mod, biker11Pos.Around(50.0f));
            }
        }
        if (Exists(biker12) && Player.Character.Position.DistanceTo(biker12.Position) >= 201.0f)
        {
            biker12.Delete();
            if (!Exists(biker12) && Player.Character.Position.DistanceTo(biker12Pos) <= 200.0f)
            {
                biker12 = World.CreatePed(biker12Mod, biker12Pos.Around(50.0f));
            }
        }
        if (Exists(biker13) && Player.Character.Position.DistanceTo(biker13.Position) >= 201.0f)
        {
            biker13.Delete();
            if (!Exists(biker13) && Player.Character.Position.DistanceTo(biker13Pos) <= 200.0f)
            {
                biker13 = World.CreatePed(biker13Mod, biker13Pos.Around(50.0f));
            }
        }
        if (Exists(biker14) && Player.Character.Position.DistanceTo(biker14.Position) >= 201.0f)
        {
            biker14.Delete();
            if (!Exists(biker14) && Player.Character.Position.DistanceTo(biker14Pos) <= 200.0f)
            {
                biker14 = World.CreatePed(biker14Mod, biker14Pos.Around(50.0f));
            }
        }
        if (Exists(biker15) && Player.Character.Position.DistanceTo(biker15.Position) >= 201.0f)
        {
            biker15.Delete();
            if (!Exists(biker15) && Player.Character.Position.DistanceTo(biker15Pos) <= 200.0f)
            {
                biker15 = World.CreatePed(biker15Mod, biker15Pos.Around(50.0f));
            }
        }
        if (Exists(biker16) && Player.Character.Position.DistanceTo(biker16.Position) >= 201.0f)
        {
            biker16.Delete();
            if (!Exists(biker16) && Player.Character.Position.DistanceTo(biker16Pos) <= 200.0f)
            {
                biker16 = World.CreatePed(biker16Mod, biker16Pos.Around(50.0f));
            }
        }
        if (Exists(biker17) && Player.Character.Position.DistanceTo(biker17.Position) >= 201.0f)
        {
            biker17.Delete();
            if (!Exists(biker17) && Player.Character.Position.DistanceTo(biker17Pos) <= 200.0f)
            {
                biker17 = World.CreatePed(biker17Mod, biker17Pos.Around(50.0f));
            }
        }

        if (Exists(biker18) && Player.Character.Position.DistanceTo(biker18.Position) >= 201.0f)
        {
            biker18.Delete();
            if (!Exists(biker18) && Player.Character.Position.DistanceTo(biker18Pos) <= 200.0f)
            {
                biker18 = World.CreatePed(biker18Mod, biker18Pos.Around(50.0f));
            }
        }
        if (Exists(biker19) && Player.Character.Position.DistanceTo(biker19.Position) >= 201.0f)
        {
            biker19.Delete();
            if (!Exists(biker19) && Player.Character.Position.DistanceTo(biker19Pos) <= 200.0f)
            {
                biker19 = World.CreatePed(biker19Mod, biker19Pos.Around(50.0f));
            }
        }
        if (Exists(biker20) && Player.Character.Position.DistanceTo(biker20.Position) >= 201.0f)
        {
            biker20.Delete();
            if (!Exists(biker20) && Player.Character.Position.DistanceTo(biker20Pos) <= 200.0f)
            {
                biker20 = World.CreatePed(biker20Mod, biker20Pos.Around(50.0f));
            }
        }
        if (Exists(biker21) && Player.Character.Position.DistanceTo(biker21.Position) >= 201.0f)
        {
            biker21.Delete();
            if (!Exists(biker21) && Player.Character.Position.DistanceTo(biker21Pos) <= 200.0f)
            {
                biker21 = World.CreatePed(biker21Mod, biker21Pos.Around(50.0f));
            }
        }
        if (Exists(biker22) && Player.Character.Position.DistanceTo(biker22.Position) >= 201.0f)
        {
            biker22.Delete();
            if (!Exists(biker22) && Player.Character.Position.DistanceTo(biker22Pos) <= 200.0f)
            {
                biker22 = World.CreatePed(biker22Mod, biker22Pos.Around(50.0f));
            }
        }
        if (Exists(biker23) && Player.Character.Position.DistanceTo(biker23.Position) >= 201.0f)
        {
            biker23.Delete();
            if (!Exists(biker23) && Player.Character.Position.DistanceTo(biker23Pos) <= 200.0f)
            {
                biker23 = World.CreatePed(biker23Mod, biker23Pos.Around(50.0f));
            }
        }
        if (Exists(biker24) && Player.Character.Position.DistanceTo(biker24.Position) >= 201.0f)
        {
            biker24.Delete();
            if (!Exists(biker24) && Player.Character.Position.DistanceTo(biker24Pos) <= 200.0f)
            {
                biker24 = World.CreatePed(biker24Mod, biker24Pos.Around(50.0f));
            }
        }
        if (Exists(biker25) && Player.Character.Position.DistanceTo(biker25.Position) >= 201.0f)
        {
            biker25.Delete();
            if (!Exists(biker25) && Player.Character.Position.DistanceTo(biker25Pos) <= 200.0f)
            {
                biker25 = World.CreatePed(biker25Mod, biker25Pos.Around(50.0f));
            }
        }
        if (Exists(biker26) && Player.Character.Position.DistanceTo(biker26.Position) >= 201.0f)
        {
            biker26.Delete();
            if (!Exists(biker26) && Player.Character.Position.DistanceTo(biker26Pos) <= 200.0f)
            {
                biker26 = World.CreatePed(biker26Mod, biker26Pos.Around(50.0f));
            }
        }
        if (Exists(biker27) && Player.Character.Position.DistanceTo(biker27.Position) >= 201.0f)
        {
            biker27.Delete();
            if (!Exists(biker27) && Player.Character.Position.DistanceTo(biker27Pos) <= 200.0f)
            {
                biker27 = World.CreatePed(biker27Mod, biker27Pos.Around(50.0f));
            }
        }
        if (Exists(biker28) && Player.Character.Position.DistanceTo(biker28.Position) >= 201.0f)
        {
            biker28.Delete();
            if (!Exists(biker28) && Player.Character.Position.DistanceTo(biker28Pos) <= 200.0f)
            {
                biker28 = World.CreatePed(biker28Mod, biker28Pos.Around(50.0f));
            }
        }
        if (Exists(biker29) && Player.Character.Position.DistanceTo(biker29.Position) >= 201.0f)
        {
            biker29.Delete();
            if (!Exists(biker29) && Player.Character.Position.DistanceTo(biker29Pos) <= 200.0f)
            {
                biker29 = World.CreatePed(biker29Mod, biker29Pos.Around(50.0f));
            }
        }
        if (Exists(biker30) && Player.Character.Position.DistanceTo(biker30.Position) >= 201.0f)
        {
            biker30.Delete();
            if (!Exists(biker30) && Player.Character.Position.DistanceTo(biker30Pos) <= 200.0f)
            {
                biker30 = World.CreatePed(biker30Mod, biker30Pos.Around(50.0f));
            }
        }
        if (Exists(biker31) && Player.Character.Position.DistanceTo(biker31.Position) >= 201.0f)
        {
            biker31.Delete();
            if (!Exists(biker31) && Player.Character.Position.DistanceTo(biker31Pos) <= 200.0f)
            {
                biker31 = World.CreatePed(biker31Mod, biker31Pos.Around(50.0f));
            }
        }
        if (Exists(biker32) && Player.Character.Position.DistanceTo(biker32.Position) >= 201.0f)
        {
            biker32.Delete();
            if (!Exists(biker32) && Player.Character.Position.DistanceTo(biker32Pos) <= 200.0f)
            {
                biker32 = World.CreatePed(biker32Mod, biker32Pos.Around(50.0f));
            }
        }
        if (Exists(biker33) && Player.Character.Position.DistanceTo(biker33.Position) >= 60.0f)
        {
            if (Exists(biker33Blip))
            {
                biker33Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker33)) { biker33.Delete(); }

        }
        if (Exists(biker33) && !biker33.isAlive)
        {
            if (Exists(biker33Blip))
            {
                biker33Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker33)) { biker33.Delete(); }

        }
        if (Exists(biker34) && Player.Character.Position.DistanceTo(biker34.Position) >= 60.0f)
        {
            if (Exists(biker34Blip))
            {
                biker34Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker34)) { biker34.Delete(); }

        }
        if (Exists(biker34) && !biker34.isAlive)
        {
            if (Exists(biker34Blip))
            {
                biker34Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker34)) { biker34.Delete(); }

        }
        if (Exists(biker35) && Player.Character.Position.DistanceTo(biker35.Position) >= 60.0f)
        {
            if (Exists(biker35Blip))
            {
                biker35Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker35)) { biker35.Delete(); }

        }
        if (Exists(biker35) && !biker35.isAlive)
        {
            if (Exists(biker35Blip))
            {
                biker35Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker35)) { biker35.Delete(); }

        }
        if (!Exists(biker33) && madeVP && bikerCrew && !Exists(mafia17) && !Exists(mafia18) && !Exists(mafia19))
        {
            biker33 = World.CreatePed(biker33Mod, Player.Character.Position.Around(30.0f));
        }
        if (!Exists(biker34) && madeVP && bikerCrew && !Exists(mafia17) && !Exists(mafia18) && !Exists(mafia19))
        {
            biker34 = World.CreatePed(biker34Mod, Player.Character.Position.Around(30.0f));
        }
        if (!Exists(biker35) && madeVP && bikerCrew && !Exists(mafia17) && !Exists(mafia18) && !Exists(mafia19))
        {
            biker35 = World.CreatePed(biker35Mod, Player.Character.Position.Around(30.0f));
        }

        if (Exists(biker36) && Player.Character.Position.DistanceTo(biker36.Position) >= 200.0f)
        {
            biker36.Delete();
        }
        if (Exists(biker37) && Player.Character.Position.DistanceTo(biker37.Position) >= 200.0f)
        {
            biker37.Delete();
        }
        if (Exists(biker38) && Player.Character.Position.DistanceTo(biker38.Position) >= 200.0f)
        {
            biker38.Delete();
        }
        if (Exists(biker39) && Player.Character.Position.DistanceTo(biker39.Position) >= 201.0f)
        {
            if (Exists(biker39Blip))
            {
                biker39Blip.Delete();
            }
            biker39.Delete();
            if (!Exists(biker39) && Player.Character.Position.DistanceTo(biker39Pos) <= 200.0f)
            {
                biker39 = World.CreatePed(biker39Mod, biker39Pos.Around(50.0f));
            }
        }
        // if (Exists(bikerDriver) && Player.Character.Position.DistanceTo(bikerDriver.Position) >= 201.0f)
        //  {
        //      bikerDriver.Delete();
        //   }
        if (Exists(bikerBossGaurd) && Player.Character.Position.DistanceTo(bikerBossGaurd.Position) >= 201.0f)
        {
            bikerBossGaurd.Delete();
            if (!Exists(bikerBossGaurd) && Player.Character.Position.DistanceTo(bikerBossGaurdPos) <= 200.0f)
            {
                bikerBossGaurd = World.CreatePed(bikerBossGaurdMod, bikerBossGaurdPos.Around(50.0f));
            }
        }

        if (Exists(mafiaRecruiter) && Player.Character.Position.DistanceTo(mafiaRecruiter.Position) >= 201.0f)
        {
            if (Exists(mafiaRecruiterBlip))
            {
                mafiaRecruiterBlip.Delete();
            }
            mafiaRecruiter.Delete();
            if (!Exists(mafiaRecruiter) && Player.Character.Position.DistanceTo(mafiaRecruiterPos) <= 200.0f)
            {
                mafiaRecruiter = World.CreatePed(mafiaRecruiterMod, mafiaRecruiterPos.Around(50.0f));
            }
        }

        // if (Exists(pauliesDriver) && Player.Character.Position.DistanceTo(pauliesDriver.Position) >= 201.0f)
        //  {
        //      pauliesDriver.Delete();
        //   }
        if (Exists(bigPaulieGaurd) && Player.Character.Position.DistanceTo(bigPaulieGaurd.Position) >= 201.0f)
        {
            bigPaulieGaurd.Delete();
            if (!Exists(bigPaulieGaurd) && Player.Character.Position.DistanceTo(mafia2Pos) <= 200.0f)
            {
                bigPaulieGaurd = World.CreatePed(bigPaulieGaurdMod, bigPaulieGaurdPos.Around(50.0f));
            }
        }
        if (Exists(mafia1) && Player.Character.Position.DistanceTo(mafia1.Position) >= 201.0f)
        {
            mafia1.Delete();
            if (!Exists(mafia1) && Player.Character.Position.DistanceTo(mafia1Pos) <= 200.0f)
            {
                mafia1 = World.CreatePed(mafia1Mod, mafia1Pos.Around(50.0f));
            }
        }
        if (Exists(mafia2) && Player.Character.Position.DistanceTo(mafia2.Position) >= 201.0f)
        {
            mafia2.Delete();
            if (!Exists(mafia2) && Player.Character.Position.DistanceTo(mafia2Pos) <= 200.0f)
            {
                mafia2 = World.CreatePed(mafia2Mod, mafia2Pos.Around(50.0f));
            }
        }
        if (Exists(mafia3) && Player.Character.Position.DistanceTo(mafia3.Position) >= 201.0f)
        {
            mafia3.Delete();
            if (!Exists(mafia3) && Player.Character.Position.DistanceTo(mafia3Pos) <= 200.0f)
            {
                mafia3 = World.CreatePed(mafia3Mod, mafia3Pos.Around(50.0f));
            }
        }
        if (Exists(mafia4) && Player.Character.Position.DistanceTo(mafia4.Position) >= 201.0f)
        {
            mafia4.Delete();
            if (!Exists(mafia4) && Player.Character.Position.DistanceTo(mafia4Pos) <= 200.0f)
            {
                mafia4 = World.CreatePed(mafia4Mod, mafia4Pos.Around(50.0f));
            }
        }
        if (Exists(mafia5) && Player.Character.Position.DistanceTo(mafia5.Position) >= 201.0f)
        {
            mafia5.Delete();
            if (!Exists(mafia5) && Player.Character.Position.DistanceTo(mafia5Pos) <= 200.0f)
            {
                mafia5 = World.CreatePed(mafia5Mod, mafia5Pos.Around(50.0f));
            }
        }
        if (Exists(mafia6) && Player.Character.Position.DistanceTo(mafia6.Position) >= 201.0f)
        {
            mafia6.Delete();
            if (!Exists(mafia6) && Player.Character.Position.DistanceTo(mafia6Pos) <= 200.0f)
            {
                mafia6 = World.CreatePed(mafia6Mod, mafia6Pos.Around(50.0f));
            }
        }

        if (Exists(mafia7) && Player.Character.Position.DistanceTo(mafia7.Position) >= 201.0f)
        {
               if (Exists(mafia7Blip))
            {
                mafia7Blip.Delete();
            }
            mafia7.Delete();
            if (!Exists(mafia7) && Player.Character.Position.DistanceTo(mafia7Pos) <= 200.0f)
            {
                mafia7 = World.CreatePed(mafia7Mod, mafia7Pos.Around(50.0f));
            }
        }
        if (Exists(mafia8) && Player.Character.Position.DistanceTo(mafia8.Position) >= 201.0f)
        {
            if (Exists(mafia8Blip))
            {
                mafia8Blip.Delete();
            }
            mafia8.Delete();
            if (!Exists(mafia8) && Player.Character.Position.DistanceTo(mafia8Pos) <= 200.0f)
            {
                mafia8 = World.CreatePed(mafia8Mod, mafia8Pos.Around(50.0f));
            }
        }
        if (Exists(mafia9) && Player.Character.Position.DistanceTo(mafia9.Position) >= 201.0f)
        {
            if (Exists(mafia9Blip))
            {
                mafia9Blip.Delete();
            }
            mafia9.Delete();
            if (!Exists(mafia9) && Player.Character.Position.DistanceTo(mafia9Pos) <= 200.0f)
            {
                mafia9 = World.CreatePed(mafia9Mod, mafia9Pos.Around(50.0f));
            }
        }
        if (Exists(mafia10) && Player.Character.Position.DistanceTo(mafia10.Position) >= 201.0f)
        {
            if (Exists(mafia10Blip))
            {
                mafia10Blip.Delete();
            }
            mafia10.Delete();
            if (!Exists(mafia10) && Player.Character.Position.DistanceTo(mafia10Pos) <= 200.0f)
            {
                mafia10 = World.CreatePed(mafia10Mod, mafia10Pos.Around(50.0f));
            }
        }
        if (Exists(mafia11) && Player.Character.Position.DistanceTo(mafia11.Position) >= 201.0f)
        {
            mafia11.Delete();

        }
        if (Exists(mafia12) && Player.Character.Position.DistanceTo(mafia12.Position) >= 201.0f)
        {
            mafia12.Delete();
            if (!Exists(mafia12) && Player.Character.Position.DistanceTo(mafia12Pos) <= 200.0f)
            {
                mafia12 = World.CreatePed(mafia12Mod, mafia12Pos.Around(50.0f));
            }
        }
        if (Exists(mafia13) && Player.Character.Position.DistanceTo(mafia13.Position) >= 201.0f)
        {
            mafia13.Delete();

        }
        if (Exists(mafia14) && Player.Character.Position.DistanceTo(mafia14.Position) >= 201.0f)
        {
            mafia14.Delete();
            if (!Exists(mafia14) && Player.Character.Position.DistanceTo(mafia14Pos) <= 200.0f)
            {
                mafia14 = World.CreatePed(mafia14Mod, mafia14Pos.Around(50.0f));
            }
        }
        if (Exists(mafia15) && Player.Character.Position.DistanceTo(mafia15.Position) >= 201.0f)
        {
            mafia15.Delete();
            if (!Exists(mafia15) && Player.Character.Position.DistanceTo(mafia15Pos) <= 200.0f)
            {
                mafia15 = World.CreatePed(mafia15Mod, mafia15Pos.Around(50.0f));
            }
        }
        if (Exists(mafia16) && Player.Character.Position.DistanceTo(mafia16.Position) >= 201.0f)
        {
            mafia16.Delete();
            if (!Exists(mafia16) && Player.Character.Position.DistanceTo(mafia16Pos) <= 200.0f)
            {
                mafia16 = World.CreatePed(mafia16Mod, mafia16Pos.Around(50.0f));
            }
        }
        if (Exists(mafia17) && Player.Character.Position.DistanceTo(mafia17.Position) >= 60.0f)
        {
            if (Exists(mafia17Blip))
            {
                mafia17Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia17)) { mafia17.Delete(); }
        }
        if (Exists(mafia17) && !mafia17.isAlive)
        {
            if (Exists(mafia17Blip))
            {
                mafia17Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia17)) { mafia17.Delete(); }
        }
        if (Exists(mafia18) && Player.Character.Position.DistanceTo(mafia18.Position) >= 60.0f)
        {
            if (Exists(mafia18Blip))
            {
                mafia18Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia18)) { mafia18.Delete(); }
        }

        if (Exists(mafia18) && !mafia18.isAlive)
        {
            if (Exists(mafia18Blip))
            {
                mafia18Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia18)) { mafia18.Delete(); }
        }
        if (Exists(mafia19) && Player.Character.Position.DistanceTo(mafia19.Position) >= 60.0f)
        {
            if (Exists(mafia19Blip))
            {
                mafia19Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia19)) { mafia19.Delete(); }
        }
        if (Exists(mafia19) && !mafia19.isAlive)
        {
            if (Exists(mafia19Blip))
            {
                mafia19Blip.Delete();
            }
            if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia19)) { mafia19.Delete(); }
        }
        if (!Exists(mafia17) && madeMan && mafiaCrew && !Exists(biker33) && !Exists(biker34) && !Exists(biker35))
        {
            mafia17 = World.CreatePed(mafia17Mod, Player.Character.Position.Around(35.0f));
        }
        if (!Exists(mafia18) && madeMan && mafiaCrew && !Exists(biker33) && !Exists(biker34) && !Exists(biker35))
        {
            mafia18 = World.CreatePed(mafia18Mod, Player.Character.Position.Around(35.0f));
        }
        if (!Exists(mafia19) && madeMan && mafiaCrew && !Exists(biker33) && !Exists(biker34) && !Exists(biker35))
        {
            mafia19 = World.CreatePed(mafia19Mod, Player.Character.Position.Around(35.0f));
        }
        if (Exists(mafia20) && Player.Character.Position.DistanceTo(mafia20.Position) >= 200.0f)
        {
            mafia20.Delete();
        }
        if (Exists(mafia21) && Player.Character.Position.DistanceTo(mafia21.Position) >= 200.0f)
        {
            mafia21.Delete();
        }
        if (Exists(mafia22) && Player.Character.Position.DistanceTo(mafia22.Position) >= 200.0f)
        {
            mafia22.Delete();
        }
        if (Exists(mafia23) && Player.Character.Position.DistanceTo(mafia23.Position) >= 201.0f)
        {
            if (Exists(mafia23Blip))
            {
                mafia23Blip.Delete();
            }
            mafia23.Delete();
            if (!Exists(mafia23) && Player.Character.Position.DistanceTo(mafia23Pos) <= 200.0f)
            {
                mafia23 = World.CreatePed(mafia23Mod, mafia23Pos);
            }
        }
        if (Exists(pauliesLimo) && Player.Character.Position.DistanceTo(pauliesLimo.Position) >= 201.0f)
        {
            pauliesLimo.Delete();
        }
        if (Exists(bikerBossLimo) && Player.Character.Position.DistanceTo(bikerBossLimo.Position) >= 201.0f)
        {
            bikerBossLimo.Delete();
        }
        if (Exists(bikerSpawnCar) && Player.Character.Position.DistanceTo(bikerSpawnCar.Position) >= 201.0f)
        {
            bikerSpawnCar.Delete();
        }
        if (Exists(bike1) && Player.Character.Position.DistanceTo(bike1.Position) >= 201.0f)
        {
            bike1.Delete();
        }
        if (Exists(boxville) && boxville.Health <=1)
        {
            Wait(0x9c4);
            boxville.Delete();
            if (Exists(boxvilleBlip))
            {
                boxvilleBlip.Delete();
            }
        }
        if (Exists(bike2) && Player.Character.Position.DistanceTo(bike2.Position) >= 201.0f)
        {
            bike2.Delete();
        }
        if (Exists(mafiaCar) && Player.Character.Position.DistanceTo(mafiaCar.Position) >= 200.0f)
        {
            mafiaCar.Delete();
        }
        if (Exists(bikerCar) && Player.Character.Position.DistanceTo(bikerCar.Position) >= 200.0f)
        {
            bikerCar.Delete();
        }
        // if (Exists(mafiaCar) && Player.Character.Position.DistanceTo(mafiaCar.Position) >= 10.0f && !Exists(mafia20) && !Exists(mafia21))
        // {
        //    mafiaCar.Delete();
        // }
        // if (Exists(bikerCar) && Player.Character.Position.DistanceTo(bikerCar.Position) >= 10.0f && !Exists(biker36) && !Exists(biker37))
        // {
        //      bikerCar.Delete();
        //  }

         if (!Exists(laundry1Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
         //   laundry1Blip = Blip.AddBlip(laundry1Pos);
        }
         if (Exists(laundry1Blip))
        {
            laundry1Blip.Color = BlipColor.Green;
        }
        if (!Exists(twat1Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
       //     twat1Blip = Blip.AddBlip(twat1Pos);
        }
          if (Exists(twat1Blip))
        {
            twat1Blip.Color = BlipColor.Green;
        }
        
          if (!Exists(hooker1PosBlip) && (Mafia || mafiaMember) && spawnhookers1)
        {
            hooker1PosBlip = Blip.AddBlip(hooker1Pos);
        }
         if (Exists(hooker1PosBlip))
        {
            hooker1PosBlip.Color = BlipColor.LightRed;
        }
         if (Exists(hooker1PosBlip) && (Mafia || mafiaMember) && !spawnhookers1)
         {
             hooker1PosBlip.Delete();
         }

         if (!Exists(hooker2PosBlip) && (Mafia || mafiaMember) && spawnhookers1)
         {
             hooker2PosBlip = Blip.AddBlip(hooker2Pos);
         }
         if (Exists(hooker2PosBlip))
         {
             hooker2PosBlip.Color = BlipColor.LightRed;
         }
         if (Exists(hooker2PosBlip) && (Mafia || mafiaMember) && !spawnhookers1)
         {
             hooker2PosBlip.Delete();
         }

         if (!Exists(hooker3PosBlip) && (Mafia || mafiaMember) && spawnhookers1)
         {
             hooker3PosBlip = Blip.AddBlip(hooker3Pos);
         }
         if (Exists(hooker3PosBlip))
         {
             hooker3PosBlip.Color = BlipColor.LightRed;
         }
         if (Exists(hooker3PosBlip) && (Mafia || mafiaMember) && !spawnhookers1)
         {
             hooker3PosBlip.Delete();
         }

         if (!Exists(hooker4PosBlip) && (Mafia || mafiaMember) && Exists(hooker4))
         {
             hooker4PosBlip = Blip.AddBlip(hooker4Pos);
         }
         if (Exists(hooker4PosBlip))
         {
             hooker4PosBlip.Color = BlipColor.LightRed;
         }
         if (!Exists(hooker5PosBlip) && (Mafia || mafiaMember) && Exists(hooker5))
         {
             hooker5PosBlip = Blip.AddBlip(hooker5Pos);
         }
         if (Exists(hooker5PosBlip))
         {
             hooker5PosBlip.Color = BlipColor.LightRed;
         }
         if (!Exists(hooker6PosBlip) && (Mafia || mafiaMember) && Exists(hooker6))
         {
             hooker6PosBlip = Blip.AddBlip(hooker6Pos);
         }
         if (Exists(hooker6PosBlip))
         {
             hooker6PosBlip.Color = BlipColor.LightRed;
         }
         if (!Exists(hooker7PosBlip) && (Biker || bikerMember) && Exists(hooker7))
         {
             hooker7PosBlip = Blip.AddBlip(hooker7Pos);
         }
         if (Exists(hooker7PosBlip))
         {
             hooker7PosBlip.Color = BlipColor.LightRed;
         }
         if (!Exists(hooker8PosBlip) && (Biker || bikerMember) && Exists(hooker8))
         {
             hooker8PosBlip = Blip.AddBlip(hooker8Pos);
         }
         if (Exists(hooker8PosBlip))
         {
             hooker8PosBlip.Color = BlipColor.LightRed;
         }
         if (!Exists(hooker9PosBlip) && (Biker || bikerMember) && Exists(hooker9))
         {
             hooker9PosBlip = Blip.AddBlip(hooker9Pos);
         }
         if (Exists(hooker9PosBlip))
         {
             hooker9PosBlip.Color = BlipColor.LightRed;
         }


         if (!Exists(boxvilleBlip) && Exists(boxville))
         {
             boxvilleBlip = Blip.AddBlip(boxville);
         }
         if (Exists(boxvilleBlip))
         {
             boxvilleBlip.Color = BlipColor.LightOrange;
         }
        


        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        //  Game.DisplayText(string.Format("Distance from Turf: {0} Mafia: {1} Biker: {2}", Player.Character.Position.DistanceTo(Turf1Pos).ToString("n0"), Mafia.ToString(), Biker.ToString()));

        #endregion

        #region Turfs
        if (!Exists(Turf1Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
            Turf1Blip = Blip.AddBlip(Turf1Pos);
        }
        if (!Exists(Turf2Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
            Turf2Blip = Blip.AddBlip(Turf2Pos);
        }
        if (!Exists(Turf3Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
            Turf3Blip = Blip.AddBlip(Turf3Pos);
        }

        if (!Exists(Turf4Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
            Turf4Blip = Blip.AddBlip(Turf4Pos);
        }
        if (!Exists(Turf5Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
            Turf5Blip = Blip.AddBlip(Turf5Pos);
        }
        if (!Exists(Turf6Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
            Turf6Blip = Blip.AddBlip(Turf6Pos);
        }
        if (!Exists(Turf7Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
            Turf7Blip = Blip.AddBlip(Turf7Pos);
        }
        if (!Exists(Turf8Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
            Turf8Blip = Blip.AddBlip(Turf8Pos);
        }
        if (!Exists(Turf9Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
            Turf9Blip = Blip.AddBlip(Turf9Pos);
        }
        if (!Exists(Turf10Blip) && (Mafia || Biker || mafiaMember || bikerMember))
        {
            Turf10Blip = Blip.AddBlip(Turf10Pos);
        }

        if (Exists(Turf1Blip) && Turf1defended && Mafia)
        {
            Turf1Blip.Color = BlipColor.Purple;
        }
        if (Exists(Turf1Blip) && Turf1defended && Biker)
        {
            Turf1Blip.Color=BlipColor.DarkTurquoise;
        }
        if (Exists(Turf1Blip) && !Turf1defended)
        {
           // Turf1Blip.Color = BlipColor.Orange;
        }
        if (Exists(Turf2Blip) && Turf2defended && Mafia)
        {
            Turf2Blip.Color = BlipColor.Purple;
        }
        if (Exists(Turf2Blip) && Turf2defended && Biker)
        {
            Turf2Blip.Color=BlipColor.DarkTurquoise;
        }
        if (Exists(Turf2Blip) && !Turf2defended)
        {
          //  Turf2Blip.Color = BlipColor.Orange;
        }
        if (Exists(Turf3Blip) && Turf3defended && Mafia)
        {
            Turf3Blip.Color = BlipColor.Purple;
        }
        if (Exists(Turf3Blip) && Turf3defended && Biker)
        {
            Turf3Blip.Color=BlipColor.DarkTurquoise;
        }
        if (Exists(Turf3Blip) && !Turf3defended)
        {
           // Turf3Blip.Color = BlipColor.Orange;
        }
        if (Exists(Turf4Blip) && Turf4defended && Mafia)
        {
            Turf4Blip.Color=BlipColor.Purple;
        }
        if (Exists(Turf4Blip) && Turf4defended && Biker)
        {
            Turf4Blip.Color=BlipColor.DarkTurquoise;
        }
        if (Exists(Turf4Blip) && !Turf4defended)
        {
          //  Turf4Blip.Color = BlipColor.Orange;
        }
        if (Exists(Turf5Blip) && Turf5defended && Mafia)
        {
            Turf5Blip.Color=BlipColor.Purple;
        }
        if (Exists(Turf5Blip) && Turf5defended && Biker)
        {
            Turf5Blip.Color=BlipColor.DarkTurquoise;
        }
        if (Exists(Turf5Blip) && !Turf5defended)
        {
          //  Turf5Blip.Color = BlipColor.Orange;
        }
        if (Exists(Turf6Blip) && Turf6defended && Mafia)
        {
            Turf6Blip.Color=BlipColor.Purple;
        }
        if (Exists(Turf6Blip) && Turf6defended && Biker)
        {
            Turf6Blip.Color=BlipColor.DarkTurquoise;
        }
        if (Exists(Turf6Blip) && !Turf6defended)
        {
           // Turf6Blip.Color = BlipColor.Orange;
        }
        if (Exists(Turf7Blip) && Turf7defended && Mafia)
        {
            Turf7Blip.Color=BlipColor.Purple;
        }
        if (Exists(Turf7Blip) && Turf7defended && Biker)
        {
            Turf7Blip.Color=BlipColor.DarkTurquoise;
        }
        if (Exists(Turf7Blip) && !Turf7defended)
        {
            //Turf7Blip.Color = BlipColor.Orange;
        }
        if (Exists(Turf8Blip) && Turf8defended && Mafia)
        {
            Turf8Blip.Color=BlipColor.Purple;
        }
        if (Exists(Turf8Blip) && Turf8defended && Biker)
        {
            Turf8Blip.Color=BlipColor.DarkTurquoise;
        }
        if (Exists(Turf8Blip) && !Turf8defended)
        {
          //  Turf8Blip.Color = BlipColor.Orange;
        }
        if (Exists(Turf9Blip) && Turf9defended && Mafia)
        {
            Turf9Blip.Color=BlipColor.Purple;
        }
        if (Exists(Turf9Blip) && Turf9defended && Biker)
        {
            Turf9Blip.Color =BlipColor.DarkTurquoise;
        }
        if (Exists(Turf9Blip) && !Turf9defended)
        {
           // Turf9Blip.Color = BlipColor.Orange;
        }
        if (Exists(Turf10Blip) && Turf10defended && Mafia)
        {
            Turf10Blip.Color = BlipColor.Purple;
        }
        if (Exists(Turf10Blip) && Turf10defended && Biker)
        {
            Turf10Blip.Color = BlipColor.DarkTurquoise;
        }
        if (Exists(Turf10Blip) && !Turf10defended)
        {
          //  Turf10Blip.Color = BlipColor.Orange;
        }
        if ((Mafia || Biker || mafiaMember || bikerMember) && (Player.Character.Position.DistanceTo(Turf1Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf2Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf3Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf4Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf5Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf6Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf7Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf8Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf9Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf10Pos) <= 20.0f))
            {
               
                Ped[] allPeds = World.GetAllPeds();
                Ped[] array = allPeds;
                for (int i = 0; i < array.Length; i++)
                {
                    Ped ped = array[i];
                    if (ped.RelationshipGroup == RelationshipGroup.Cop)
                    {
                        if (Exists(ped) && (Mafia || Biker || mafiaMember || bikerMember) && (Player.Character.Position.DistanceTo(Turf1Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf2Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf3Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf4Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf5Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf6Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf7Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf8Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf9Pos) <= 20.0f) || (Player.Character.Position.DistanceTo(Turf10Pos) <= 20.0f))
            
                        {
                            ped.Task.FleeFromChar(Player.Character);
                        }
                    }

                }
            }
        if (Exists(drugBuyerMale) && drugBuyerMale.Position.DistanceTo(Player.Character.Position) >= 25.0f)
        {
            if (Exists(drugBuyerMaleBlip))
            {
                drugBuyerMaleBlip.Delete();
            }
            drugBuyerMale.Delete();
            buyDrugs = false;
            startWalk = false;
            stopWalk = false;
        }
        if (Exists(drugBuyerFemale) && drugBuyerFemale.Position.DistanceTo(Player.Character.Position) >= 25.0f)
        {
            if (Exists(drugBuyerFemaleBlip))
            {
                drugBuyerFemaleBlip.Delete();
            }
            drugBuyerFemale.Delete();
            buyDrugs = false;
            startWalk = false;
            stopWalk = false;
        }

        if (Exists(drugBuyerMale) && !Exists(drugBuyerMaleBlip) && DEALING)
        {
            if (Exists(drugBuyerMale) && drugBuyerMale.isAlive && !Exists(drugBuyerMaleBlip))
            {
                drugBuyerMaleBlip = CreateBlip(drugBuyerMale, BlipIcon.Person_Male, "Drug Buyer");
            }
        }
        if (!Exists(drugBuyerMale) && Exists(drugBuyerMaleBlip))
        {
            drugBuyerMaleBlip.Delete();
        }
        if (Exists(drugBuyerMale) && Exists(drugBuyerMaleBlip) && !DEALING)
        {
            drugBuyerMaleBlip.Delete();
        }
        if (Exists(drugBuyerFemale) && !Exists(drugBuyerFemaleBlip) && DEALING)
        {
            if (Exists(drugBuyerFemale) && drugBuyerFemale.isAlive && !Exists(drugBuyerFemaleBlip))
            {
                drugBuyerFemaleBlip = CreateBlip(drugBuyerFemale, BlipIcon.Person_Male, "Drug Buyer");
            }
        }
        if (!Exists(drugBuyerFemale) && Exists(drugBuyerFemaleBlip))
        {
            drugBuyerFemaleBlip.Delete();
        }
        if (Exists(drugBuyerFemale) && Exists(drugBuyerFemaleBlip) && !DEALING)
        {
            drugBuyerFemaleBlip.Delete();
        }
        if (DEALING && !Exists(drugBuyerMale) || !Exists(drugBuyerFemale) && RandomNum(1, 100) <= 30)
        {
            foreach (Ped drugBuyer in World.GetPeds(Player.Character.Position, 20.0f))
            {
                if (Exists(drugBuyer) && (drugBuyer == Player.Character || drugBuyer.isSittingInVehicle() || !drugBuyer.isAliveAndWell))
                {
                    continue;
                }

                if (Exists(drugBuyer) && drugBuyer.Gender == Gender.Male && !Exists(drugBuyerMale))
                {
                    drugBuyerMale = drugBuyer; SetupPed(drugBuyerMale);
                    continue;
                } //save a male to PED then move on to next ped in array

                if (Exists(drugBuyer) && drugBuyer.Gender == Gender.Female && !Exists(drugBuyerFemale))
                {
                    drugBuyerFemale = drugBuyer; SetupPed(drugBuyerFemale);
                    continue;
                } //save a female to PED1 then move on to next ped in array

                if (Exists(drugBuyerMale) || Exists(drugBuyerFemale))
                {
                    break;
                } // once u got both peds exit this loop
            }
        }

      
       

     

        if (Exists(drugBuyerMale) && DEALING)
        {
            drugBuyerMale.BecomeMissionCharacter();
            drugBuyerMale.BlockPermanentEvents = true;
            drugBuyerMale.Task.AlwaysKeepTask = true;
            if (Exists(drugBuyerMale) && drugBuyerMale.Position.DistanceTo(Player.Character.Position) > 1.0 && !stopWalk)
            {
                drugBuyerMale.Task.GoTo(Player.Character.Position.Around(.5f), true);
                Wait(8000);
            }
            if (Exists(drugBuyerMale) && startWalk)
             {
                 drugBuyerMale.Task.GoTo(hooker9Pos, false);
                 Wait(8000);
             }
            if (Exists(drugBuyerMale) && drugBuyerMale.Position.DistanceTo(Player.Character.Position) <= 1.0 && !stopBuy && drugBuyerMale.Health >= 50)
            {
                stopWalk = true;
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
            }//
            if (Exists(drugBuyerMale) && !buyDrugs && !drugBuyerMale.HasBeenDamagedBy(Player.Character) && drugBuyerMale.isAlive && drugBuyerMale.Health >= 50 && Player.Character.Position.DistanceTo(drugBuyerMale.Position) <= 1.0f && !stopBuy && RandomNum(1, 3) == 1)
            {
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.SayAmbientSpeech("Giggle");
                    Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                } Game.DisplayText("I got that good shit homie.", 7000);
                Wait(5000);
                buyDrugs = true;
            }
            if (Exists(drugBuyerMale) && !buyDrugs && !drugBuyerMale.HasBeenDamagedBy(Player.Character) && drugBuyerMale.Health >=50 && drugBuyerMale.isAlive && Player.Character.Position.DistanceTo(drugBuyerMale.Position) <= 1.0f && !stopBuy && RandomNum(1, 3) == 2)
            {
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.SayAmbientSpeech("Giggle");
                    Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                } Game.DisplayText("What do you need, coke, crank, smack, crack or weed??", 7000);
                Wait(5000);
                buyDrugs = true;
            }
            if (Exists(drugBuyerMale) && !buyDrugs && !drugBuyerMale.HasBeenDamagedBy(Player.Character) && drugBuyerMale.Health >= 50 && drugBuyerMale.isAlive && Player.Character.Position.DistanceTo(drugBuyerMale.Position) <= 1.0f && !stopBuy && RandomNum(1, 3) == 3)
            {
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.SayAmbientSpeech("Giggle");
                    Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                } Game.DisplayText("What's your drug of choice buddy?", 7000);
                Wait(5000);
                buyDrugs = true;
            }
            if (Exists(drugBuyerMale) && drugBuyerMale.isAlive && drugBuyerMale.Health >= 50 && drugBuyerMale.Position.DistanceTo(drugBuyerMale.Position) <= 1.0 && buyDrugs && !startWalk && !stopBuy && RandomNum(1, 7) == 1)
            {
                Game.DisplayText("I'll take 2 grams of crystal meth.", 7000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                Wait(0x9c4);
                Game.DisplayText("2 grams of crystal coming right up..", 7000);
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                }
                Wait(0x9c4);
                Player.Money += 400;
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                Wait(0x9c4);
                //Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                // Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.SayAmbientSpeech("Generic_f*ck_off");
               Game.DisplayText("Hit me up.", 7000);
                Wait(5000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Game.DisplayText("Good shit i'll see you soon.", 7000);
                Wait(0x9c4);
                TriggerMissionCompleteAudio(0x22);
                startWalk = true;
            }
            if (Exists(drugBuyerMale) && drugBuyerMale.isAlive && drugBuyerMale.Health >= 50 && drugBuyerMale.Position.DistanceTo(drugBuyerMale.Position) <= 1.0 && buyDrugs && !startWalk && !stopBuy && RandomNum(1, 7) == 2)
            {
                Game.DisplayText("I'll take 2 grams of cocaine.", 7000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                Wait(0x9c4);
                Game.DisplayText("2 grams of blow coming right up..", 7000);
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                }
                Wait(0x9c4);
                Player.Money += 400;
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                Wait(0x9c4);
                //Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                // Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.SayAmbientSpeech("Generic_f*ck_off");
                Game.DisplayText("Come back soon.", 7000);
                Wait(5000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Game.DisplayText("You know i will.", 7000);
                Wait(0x9c4);
                TriggerMissionCompleteAudio(0x22);
                startWalk = true;
            }
            if (Exists(drugBuyerMale) && drugBuyerMale.isAlive && drugBuyerMale.Health >= 50 && drugBuyerMale.Position.DistanceTo(drugBuyerMale.Position) <= 1.0 && buyDrugs && !startWalk && !stopBuy && RandomNum(1, 7) == 3)
            {
                Game.DisplayText("I'll take 2 grams of heroin.", 7000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                Wait(0x9c4);
                Game.DisplayText("2 grams of smack coming right up..", 7000);
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                }
                Wait(0x9c4);
                Player.Money += 400;
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                Wait(0x9c4);
                //Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                // Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.SayAmbientSpeech("Generic_f*ck_off");
                Game.DisplayText("Be carefull with that shit homie.", 7000);
                Wait(5000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Game.DisplayText("I'm gonna shoot this is my eyeballs.", 7000);
                Wait(0x9c4);
                TriggerMissionCompleteAudio(0x22);
                startWalk = true;
            }
            if (Exists(drugBuyerMale) && drugBuyerMale.isAlive && drugBuyerMale.Health >= 50 && drugBuyerMale.Position.DistanceTo(drugBuyerMale.Position) <= 1.0 && buyDrugs && !startWalk && !stopBuy && RandomNum(1, 7) == 4)
            {
                Game.DisplayText("I'll take 2 grams of crack.", 7000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                Wait(0x9c4);
                Game.DisplayText("2 grams of rock coming right up..", 7000);
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                }
                Wait(0x9c4);
                Player.Money += 400;
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.SayAmbientSpeech("Generic_f*ck_off");
                Game.DisplayText("Thank you come again.", 7000);
                Wait(5000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Game.DisplayText("I'll be back after i rob my grandmother.", 7000);
                Wait(0x9c4);
                TriggerMissionCompleteAudio(0x22);
                startWalk = true;
            }
            if (Exists(drugBuyerMale) && drugBuyerMale.isAlive && drugBuyerMale.Health >= 50 && drugBuyerMale.Position.DistanceTo(drugBuyerMale.Position) <= 1.0 && buyDrugs && !startWalk && !stopBuy && RandomNum(1, 7) == 5)
            {
                Game.DisplayText("I'll take an ounce of hydro.", 7000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                Wait(0x9c4);
                Game.DisplayText("1 ounce of killer coming right up..", 7000);
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                }
                Wait(0x9c4);
                Player.Money += 400;
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                Wait(0x9c4);
                //Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                // Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.SayAmbientSpeech("Generic_f*ck_off");
                Game.DisplayText("Smoke one for me bro.", 7000);
                Wait(5000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Game.DisplayText("I got you covered homie.", 7000);
                Wait(0x9c4);
                TriggerMissionCompleteAudio(0x22);
                startWalk = true;
            }
            if (Exists(drugBuyerMale) && drugBuyerMale.isAlive && drugBuyerMale.Health >= 50 && drugBuyerMale.Position.DistanceTo(drugBuyerMale.Position) <= 1.0 && buyDrugs && !startWalk && !stopBuy && RandomNum(1, 7) == 6)
            {
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character);
                }
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                drugBuyerMale.CanSwitchWeapons = true;
                drugBuyerMale.Weapons.BasicShotgun.Ammo = 1000;
                drugBuyerMale.Weapons.BasicShotgun.Select();
                drugBuyerMale.RelationshipGroup = RelationshipGroup.Dealer;
                Text("Rip off!!", 10000);
                Game.DisplayText("I'll take all your money and drugs motherfucker!", 7000);
                Player.Character.Task.ClearAll();
                drugBuyerMale.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                drugBuyerMale.Task.FightAgainstHatedTargets(50.0f);
                Wait(60000);
                startWalk = true;
            }
            if (Exists(drugBuyerMale) && drugBuyerMale.isAlive && drugBuyerMale.Health >= 50 && drugBuyerMale.Position.DistanceTo(drugBuyerMale.Position) <= 1.0 && buyDrugs && !startWalk && !stopBuy && RandomNum(1, 7) == 7)
            {
                if (Exists(drugBuyerMale))
                {
                    drugBuyerMale.Task.TurnTo(Player.Character);
                }
                if (Exists(drugBuyerMale))
                {
                    Player.Character.Task.TurnTo(drugBuyerMale);
                }
                drugBuyerMale.CanSwitchWeapons = true;
                drugBuyerMale.Weapons.BasicShotgun.Ammo = 1000;
                drugBuyerMale.Weapons.BasicShotgun.Select();
                drugBuyerMale.RelationshipGroup = RelationshipGroup.Dealer;
                drugBuyerMale.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                Text("Police Sting!!", 10000);
                Game.DisplayText("Lcpd dea freeze motherfucker!!", 7000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("gun@shotgun"), "holster_2_aim", 5.0f);
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                Game.DisplayText("I said freeze motherfucker!!", 7000);
                drugBuyerMale.Task.PlayAnimation(new AnimationSet("gun@shotgun"), "holster_2_aim", 5.0f);
                Wait(0x9c4);
                drugBuyerMale.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                drugBuyerMale.Task.FightAgainstHatedTargets(50.0f);
                Text("The cops are on to you make a run for it!!", 10000);
                Player.WantedLevel = 2;
                Wait(60000);
                startWalk = true;
            }
        }
        if (Exists(drugBuyerFemale) && DEALING)
        {
            drugBuyerFemale.BecomeMissionCharacter();
            drugBuyerFemale.BlockPermanentEvents = true;
            drugBuyerFemale.Task.AlwaysKeepTask = true;
            if (Exists(drugBuyerFemale) && drugBuyerFemale.Position.DistanceTo(Player.Character.Position) >= 1.0 && !stopWalk)
            {
                drugBuyerFemale.Task.GoTo(Player.Character.Position.Around(.5f), true);
                Wait(8000);
            }
            if (Exists(drugBuyerFemale) && startWalk)
             {
                 drugBuyerFemale.Task.GoTo(hooker9Pos, false);
                 Wait(8000);
             }
            if (Exists(drugBuyerFemale) && drugBuyerFemale.Position.DistanceTo(Player.Character.Position) <= 1.0 && !stopBuy && drugBuyerFemale.Health >= 50 && drugBuyerFemale.isAlive)
            {
                stopWalk = true;
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
            }
            if (Exists(drugBuyerFemale) && !buyDrugs && drugBuyerFemale.Health >= 50 && !drugBuyerFemale.HasBeenDamagedBy(Player.Character) && !stopBuy && drugBuyerFemale.isAlive && Player.Character.Position.DistanceTo(drugBuyerFemale.Position) <= 1.0f && RandomNum(1, 3) == 1)
            {
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.SayAmbientSpeech("Giggle");
                    Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                } Game.DisplayText("What do you need, coke, crank, smack, crack or weed?", 7000);
                Wait(5000);
                buyDrugs = true;
            }
            if (Exists(drugBuyerFemale) && !buyDrugs && !drugBuyerFemale.HasBeenDamagedBy(Player.Character) && !stopBuy && drugBuyerFemale.Health >= 50 && drugBuyerFemale.isAlive && Player.Character.Position.DistanceTo(drugBuyerFemale.Position) <= 1.0f && RandomNum(1, 3) == 2)
            {
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.SayAmbientSpeech("Giggle");
                    Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                } Game.DisplayText("I got that good shit baby.", 7000);
                Wait(5000);
                buyDrugs = true;
            }
            if (Exists(drugBuyerFemale) && !buyDrugs && !drugBuyerFemale.HasBeenDamagedBy(Player.Character) && !stopBuy && drugBuyerFemale.Health >= 50 && drugBuyerFemale.isAlive && Player.Character.Position.DistanceTo(drugBuyerFemale.Position) <= 1.0f && RandomNum(1, 3) == 3)
            {
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character.Position);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.SayAmbientSpeech("Giggle");
                    Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                }
                if (!Ekey)
                {
                    Wait(0x9c4);
                } Game.DisplayText("What does the crack whore need today?", 7000);
                Wait(5000);
                buyDrugs = true;
            }

            if (Exists(drugBuyerFemale) && drugBuyerFemale.Position.DistanceTo(drugBuyerFemale.Position) <= 1.0 && !stopBuy && drugBuyerFemale.isAlive && drugBuyerFemale.Health >= 50 && buyDrugs && !startWalk && RandomNum(1, 7) == 1)
            {
                Game.DisplayText("I'll take 2 grams of crystal meth please.", 7000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                Wait(0x9c4);
                Game.DisplayText("2 grams of crank coming right up..", 7000);
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                }
                Wait(0x9c4);
                Player.Money += 400;
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                Wait(0x9c4);
                //Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                // Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.SayAmbientSpeech("Generic_f*ck_off");
                Game.DisplayText("You know where you can find me hot stuff.", 7000);
                Wait(5000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Game.DisplayText("After i smoke this crystal, i'm gonna smoke your pole.", 7000);
                Wait(0x9c4);
                TriggerMissionCompleteAudio(0x22);
                startWalk = true;
            }
            if (Exists(drugBuyerFemale) && drugBuyerFemale.isAlive && drugBuyerFemale.Health >= 50 && drugBuyerFemale.Position.DistanceTo(drugBuyerFemale.Position) <= 1.0 && !stopBuy && buyDrugs && !startWalk && RandomNum(1, 7) == 2)
            {
                Game.DisplayText("I'll take 2 grams of cocaine please.", 7000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                Wait(0x9c4);
                Game.DisplayText("2 grams of blow coming right up..", 7000);
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                }
                Wait(0x9c4);
                Player.Money += 400;
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                Wait(0x9c4);
                //Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                // Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.SayAmbientSpeech("Generic_f*ck_off");
                Game.DisplayText("Come back soon crack whore.", 7000);
                Wait(5000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Game.DisplayText("I gotta get my ass street side sugar.", 7000);
                Wait(0x9c4);
                TriggerMissionCompleteAudio(0x22);
                startWalk = true;
            }
            if (Exists(drugBuyerFemale) && drugBuyerFemale.isAlive && drugBuyerFemale.Health >= 50 && drugBuyerFemale.Position.DistanceTo(drugBuyerFemale.Position) <= 1.0 && !stopBuy && buyDrugs && !startWalk && RandomNum(1, 7) == 3)
            {
                Game.DisplayText("I'll take 2 grams of heroin please.", 7000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                Wait(0x9c4);
                Game.DisplayText("2 grams of smack coming right up..", 7000);
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                }
                Wait(0x9c4);
                Player.Money += 400;
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                Wait(0x9c4);
                //Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                // Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.SayAmbientSpeech("Generic_f*ck_off");
                Game.DisplayText("Hit me up baby.", 7000);
                Wait(5000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Game.DisplayText("I need a bath.", 7000);
                Wait(0x9c4);
                TriggerMissionCompleteAudio(0x22);
                startWalk = true;
            }
            if (Exists(drugBuyerFemale) && drugBuyerFemale.isAlive && drugBuyerFemale.Health >= 50 && drugBuyerFemale.Position.DistanceTo(drugBuyerFemale.Position) <= 1.0 && !stopBuy && buyDrugs && !startWalk && RandomNum(1, 7) == 4)
            {
                Game.DisplayText("I'll take 2 grams of crack please.", 7000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                Wait(0x9c4);
                Game.DisplayText("2 grams of crack coming right up..", 7000);
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                }
                Wait(0x9c4);
                Player.Money += 400;
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                Wait(0x9c4);
                //Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                // Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.SayAmbientSpeech("Generic_f*ck_off");
                Game.DisplayText("Thank you come again.", 7000);
                Wait(5000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Game.DisplayText("See you in 20 minutes.", 7000);
                Wait(0x9c4);
                TriggerMissionCompleteAudio(0x22);
                startWalk = true;
            }
            if (Exists(drugBuyerFemale) && drugBuyerFemale.isAlive && drugBuyerFemale.Health >= 50 && drugBuyerFemale.Position.DistanceTo(drugBuyerFemale.Position) <= 1.0 && !stopBuy && buyDrugs && !startWalk && RandomNum(1, 7) == 5)
            {
                Game.DisplayText("I'll take an ounce of marijuana please.", 7000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                Wait(0x9c4);
                Game.DisplayText("1 ounce of kush coming right up..", 7000);
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character);
                }
                Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "sell_drugs", 5.0f);
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.PlayAnimation(new AnimationSet("amb@drugd_sell"), "buy_drugs", 5.0f);
                }
                Wait(0x9c4);
                Player.Money += 400;
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                Wait(0x9c4);
                //Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                // Wait(0x9c4);
                Player.Character.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Player.Character.SayAmbientSpeech("Generic_f*ck_off");
                Game.DisplayText("Another satisifed customer.", 7000);
                Wait(5000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("missbadman_1"), "street_chat_b", 5.0f);
                Game.DisplayText("Damn this is some good weed.", 7000);
                Wait(0x9c4);
                TriggerMissionCompleteAudio(0x22);
                startWalk = true;
            }

            if (Exists(drugBuyerFemale) && drugBuyerFemale.Health >= 50 && drugBuyerFemale.isAlive && drugBuyerFemale.Position.DistanceTo(drugBuyerFemale.Position) <= 1.0 && buyDrugs && !startWalk && !stopBuy && RandomNum(1, 7) == 6)
            {
              
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character);
                }
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                drugBuyerFemale.CanSwitchWeapons = true;
                drugBuyerFemale.Weapons.DesertEagle.Ammo = 1000;
                drugBuyerFemale.Weapons.DesertEagle.Select();
                drugBuyerFemale.RelationshipGroup = RelationshipGroup.Dealer;
                Text("Rip off!!", 10000);
                Player.Character.Task.ClearAll();
                drugBuyerFemale.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                drugBuyerFemale.Task.FightAgainstHatedTargets(50.0f);
                Game.DisplayText("Give me all your crack bitch!!", 7000);
                Wait(60000);
                startWalk = true;
            }
            if (Exists(drugBuyerFemale) && drugBuyerFemale.isAlive && drugBuyerFemale.Health >= 50 && drugBuyerFemale.Position.DistanceTo(drugBuyerFemale.Position) <= 1.0 && buyDrugs && !startWalk && !stopBuy && RandomNum(1, 7) == 7)
            {
               
                if (Exists(drugBuyerFemale))
                {
                    drugBuyerFemale.Task.TurnTo(Player.Character);
                }
                if (Exists(drugBuyerFemale))
                {
                    Player.Character.Task.TurnTo(drugBuyerFemale);
                }
                drugBuyerFemale.CanSwitchWeapons = true;
                drugBuyerFemale.Weapons.BasicShotgun.Ammo = 1000;
                drugBuyerFemale.Weapons.BasicShotgun.Select();
                drugBuyerFemale.RelationshipGroup = RelationshipGroup.Dealer;
                drugBuyerFemale.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                Text("Police Sting!!", 10000);
                Game.DisplayText("I'm dea working undercover with lcpd. Make a move and your a dead man.", 7000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("gun@shotgun"), "holster_2_aim", 5.0f);
                Wait(0x9c4);
                Player.Character.Task.ClearAll();
                Game.DisplayText("I said freeze you drug pushing motherfucker!!", 7000);
                drugBuyerFemale.Task.PlayAnimation(new AnimationSet("gun@shotgun"), "holster_2_aim", 5.0f);
                Wait(0x9c4);
                drugBuyerFemale.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                drugBuyerFemale.Task.FightAgainstHatedTargets(50.0f);
                Text("Lose the cops!!", 10000);
                Player.WantedLevel = 2;
                Wait(60000);
                startWalk = true;
            }
        }
                        
        if (Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && Turf1defended && Turf1Biker && (Mafia || mafiaMember))
        {
            Turf1defended = false;
            Turf1Mafia = false;
            Turf1Biker = false;
            Game.DisplayText("Your taking the Turf from the Bikers here come the Mafia to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && Turf1defended && Turf1Mafia && (Biker || bikerMember))
        {
            Turf1defended = false;
            Turf1Mafia = false;
            Turf1Biker = false;
            Game.DisplayText("Your taking the Turf from the Mafia here come the Bikers to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }

        if (Player.Character.Position.DistanceTo(Turf2Pos) < 20.0f && Turf2defended && Turf2Biker && (Mafia || mafiaMember))
        {
            Turf2defended = false;
            Turf2Mafia = false;
            Turf2Biker = false;
            Game.DisplayText("Your taking the Turf from the Bikers here come the Mafia to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Player.Character.Position.DistanceTo(Turf2Pos) < 20.0f && Turf2defended && Turf2Mafia && (Biker || bikerMember))
        {
            Turf2defended = false;
            Turf2Mafia = false;
            Turf2Biker = false;
            Game.DisplayText("Your taking the Turf from the Mafia here come the Bikers to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Player.Character.Position.DistanceTo(Turf3Pos) < 20.0f && Turf3defended && Turf3Biker && (Mafia || mafiaMember))
        {
            Turf3defended = false;
            Turf3Mafia = false;
            Turf3Biker = false;
            Game.DisplayText("Your taking the Turf from the Bikers here come the Mafia to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
        if (Player.Character.Position.DistanceTo(Turf3Pos) < 20.0f && Turf3defended && Turf3Mafia && (Biker || bikerMember))
        {
            Turf3defended = false;
            Turf3Mafia = false;
            Turf3Biker = false;
            Game.DisplayText("Your taking the Turf from the Mafia here come the Bikers to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }

        if (Player.Character.Position.DistanceTo(Turf4Pos) < 20.0f && Turf4defended && Turf4Mafia && (Biker || bikerMember))
        {
            Turf4defended = false;
            Turf4Mafia = false;
            Turf4Biker = false;
            Game.DisplayText("Your taking the Turf from the Mafia here come the Bikers to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf4Pos) < 20.0f && Turf4defended && Turf4Biker && (Mafia || mafiaMember))
        {
            Turf4defended = false;
            Turf4Mafia = false;
            Turf4Biker = false;
            Game.DisplayText("Your taking the Turf from the Bikers here come the Mafia to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf5Pos) < 20.0f && Turf5defended && Turf5Mafia && (Biker || bikerMember))
        {
            Turf5defended = false;
            Turf5Mafia = false;
            Turf5Biker = false;
            Game.DisplayText("Your taking the Turf from the Mafia here come the Bikers to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf5Pos) < 20.0f && Turf5defended && Turf5Biker && (Mafia || mafiaMember))
        {
            Turf5defended = false;
            Turf5Mafia = false;
            Turf5Biker = false;
            Game.DisplayText("Your taking the Turf from the Bikers here come the Mafia to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf6Pos) < 20.0f && Turf6defended && Turf6Mafia && (Biker || bikerMember))
        {
            Turf6defended = false;
            Turf6Mafia = false;
            Turf6Biker = false;
            Game.DisplayText("Your taking the Turf from the Mafia here come the Bikers to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf6Pos) < 20.0f && Turf6defended && Turf6Biker && (Mafia || mafiaMember))
        {
            Turf6defended = false;
            Turf6Mafia = false;
            Turf6Biker = false;
            Game.DisplayText("Your taking the Turf from the Bikers here come the Mafia to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf7Pos) < 20.0f && Turf7defended && Turf7Mafia && (Biker || bikerMember))
        {
            Turf7defended = false;
            Turf7Mafia = false;
            Turf7Biker = false;
            Game.DisplayText("Your taking the Turf from the Mafia here come the Bikers to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf7Pos) < 20.0f && Turf7defended && Turf7Biker && (Mafia || mafiaMember))
        {
            Turf7defended = false;
            Turf7Mafia = false;
            Turf7Biker = false;
            Game.DisplayText("Your taking the Turf from the Bikers here come the Mafia to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf8Pos) < 20.0f && Turf8defended && Turf8Mafia && (Biker || bikerMember))
        {
            Turf8defended = false;
            Turf8Mafia = false;
            Turf8Biker = false;
            Game.DisplayText("Your taking the Turf from the Mafia here come the Bikers to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf8Pos) < 20.0f && Turf8defended && Turf8Biker && (Mafia || mafiaMember))
        {
            Turf8defended = false;
            Turf8Mafia = false;
            Turf8Biker = false;
            Game.DisplayText("Your taking the Turf from the Bikers here come the Mafia to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf9Pos) < 20.0f && Turf9defended && Turf9Mafia && (Biker || bikerMember))
        {
            Turf9defended = false;
            Turf9Mafia = false;
            Turf9Biker = false;
            Game.DisplayText("Your taking the Turf from the Mafia here come the Bikers to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf9Pos) < 20.0f && Turf9defended && Turf9Biker && (Mafia || mafiaMember))
        {
            Turf9defended = false;
            Turf9Mafia = false;
            Turf9Biker = false;
            Game.DisplayText("Your taking the Turf from the Bikers here come the Mafia to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf10Pos) < 20.0f && Turf10defended && Turf10Mafia && (Biker || bikerMember))
        {
            Turf10defended = false;
            Turf10Mafia = false;
            Turf10Biker = false;
            Game.DisplayText("Your taking the Turf from the Mafia here come the Bikers to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
         if (Player.Character.Position.DistanceTo(Turf10Pos) < 20.0f && Turf10defended && Turf10Biker && (Mafia || mafiaMember))
        {
            Turf10defended = false;
            Turf10Mafia = false;
            Turf10Biker = false;
            Game.DisplayText("Your taking the Turf from the Bikers here come the Mafia to help!", 10000);
            if (!Ekey)
            {
                Wait(0x9c4);
            }
        }
       
      
        //////when copying Turf1 Peds remember 14 and 16 headings
         if (!Exists(biker40) && Turf1defended && Player.Character.Position.DistanceTo(Turf1Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf1Pos) >= 10.0f)
         {
            // biker40 = World.CreatePed(biker40Mod, Turf1Pos1);
         }
         if (!Exists(biker40) && Turf2defended && Player.Character.Position.DistanceTo(Turf2Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf2Pos) >= 10.0f)
         {
             biker40 = World.CreatePed(biker40Mod, Turf2Pos1);
         }
         if (!Exists(biker40) && Turf3defended && Player.Character.Position.DistanceTo(Turf3Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf3Pos) >= 10.0f)
         {
             biker40 = World.CreatePed(biker40Mod, Turf3Pos1);
         }
         if (!Exists(biker40) && Turf4defended && Player.Character.Position.DistanceTo(Turf4Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf4Pos) >= 10.0f)
         {
             biker40 = World.CreatePed(biker40Mod, Turf4Pos1);
         }
         if (!Exists(biker40) && Turf5defended && Player.Character.Position.DistanceTo(Turf5Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf5Pos) >= 10.0f)
         {
             biker40 = World.CreatePed(biker40Mod, Turf5Pos1);
         }
         if (!Exists(biker40) && Turf6defended && Player.Character.Position.DistanceTo(Turf6Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf6Pos) >= 10.0f)
         {
             biker40 = World.CreatePed(biker40Mod, Turf6Pos1);
         }
         if (!Exists(biker40) && Turf7defended && Player.Character.Position.DistanceTo(Turf7Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf7Pos) >= 10.0f)
         {
             biker40 = World.CreatePed(biker40Mod, Turf7Pos1);
         }
         if (!Exists(biker40) && Turf8defended && Player.Character.Position.DistanceTo(Turf8Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf8Pos) >= 10.0f)
         {
             biker40 = World.CreatePed(biker40Mod, Turf8Pos1);
         }
         if (!Exists(biker40) && Turf9defended && Player.Character.Position.DistanceTo(Turf9Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf9Pos) >= 10.0f)
         {
             biker40 = World.CreatePed(biker40Mod, Turf9Pos1);
         }
         if (!Exists(biker40) && Turf10defended && Player.Character.Position.DistanceTo(Turf10Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf10Pos) >= 10.0f)
         {
             biker40 = World.CreatePed(biker40Mod, Turf10Pos1);
         }
        
        
         if (!Exists(biker1) && Turf1defended && Player.Character.Position.DistanceTo(Turf1Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf1Pos) >= 10.0f)
         {
             biker41 = World.CreatePed(biker41Mod, Turf1Pos2);
         }
         if (!Exists(biker41) && Turf2defended && Player.Character.Position.DistanceTo(Turf2Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf2Pos) >= 10.0f)
         {
             biker41 = World.CreatePed(biker41Mod, Turf2Pos2);
         }
         if (!Exists(biker41) && Turf3defended && Player.Character.Position.DistanceTo(Turf3Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf3Pos) >= 10.0f)
         {
             biker41 = World.CreatePed(biker41Mod, Turf3Pos2);
         }
         if (!Exists(biker41) && Turf4defended && Player.Character.Position.DistanceTo(Turf4Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf4Pos) >= 10.0f)
         {
             biker41 = World.CreatePed(biker41Mod, Turf4Pos2);
         }
         if (!Exists(biker41) && Turf5defended && Player.Character.Position.DistanceTo(Turf5Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf5Pos) >= 10.0f)
         {
             biker41 = World.CreatePed(biker41Mod, Turf5Pos2);
         }
         if (!Exists(biker41) && Turf6defended && Player.Character.Position.DistanceTo(Turf6Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf6Pos) >= 10.0f)
         {
             biker41 = World.CreatePed(biker41Mod, Turf6Pos2);
         }
         if (!Exists(biker41) && Turf7defended && Player.Character.Position.DistanceTo(Turf7Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf7Pos) >= 10.0f)
         {
             biker41 = World.CreatePed(biker41Mod, Turf7Pos2);
         }
         if (!Exists(biker41) && Turf8defended && Player.Character.Position.DistanceTo(Turf8Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf8Pos) >= 10.0f)
         {
             biker41 = World.CreatePed(biker41Mod, Turf8Pos2);
         }
         if (!Exists(biker41) && Turf9defended && Player.Character.Position.DistanceTo(Turf9Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf9Pos) >= 10.0f)
         {
             biker41 = World.CreatePed(biker41Mod, Turf9Pos2);
         }
         if (!Exists(biker41) && Turf10defended && Player.Character.Position.DistanceTo(Turf10Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf10Pos) >= 10.0f)
         {
             biker41 = World.CreatePed(biker41Mod, Turf10Pos2);
         }


         if (!Exists(biker42) && Turf1defended && Player.Character.Position.DistanceTo(Turf1Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf1Pos) >= 10.0f)
         {
             biker42 = World.CreatePed(biker42Mod, Turf1Pos3);
         }
         if (!Exists(biker42) && Turf2defended && Player.Character.Position.DistanceTo(Turf2Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf2Pos) >= 10.0f)
         {
             biker42 = World.CreatePed(biker42Mod, Turf2Pos3);
         }
         if (!Exists(biker42) && Turf3defended && Player.Character.Position.DistanceTo(Turf3Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf3Pos) >= 10.0f)
         {
             biker42 = World.CreatePed(biker42Mod, Turf3Pos3);
         }
         if (!Exists(biker42) && Turf4defended && Player.Character.Position.DistanceTo(Turf4Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf4Pos) >= 10.0f)
         {
             biker42 = World.CreatePed(biker42Mod, Turf4Pos3);
         }
         if (!Exists(biker42) && Turf5defended && Player.Character.Position.DistanceTo(Turf5Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf5Pos) >= 10.0f)
         {
             biker42 = World.CreatePed(biker42Mod, Turf5Pos3);
         }
         if (!Exists(biker42) && Turf6defended && Player.Character.Position.DistanceTo(Turf6Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf6Pos) >= 10.0f)
         {
             biker42 = World.CreatePed(biker42Mod, Turf6Pos3);
         }
         if (!Exists(biker42) && Turf7defended && Player.Character.Position.DistanceTo(Turf7Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf7Pos) >= 10.0f)
         {
             biker42 = World.CreatePed(biker42Mod, Turf7Pos3);
         }
         if (!Exists(biker42) && Turf8defended && Player.Character.Position.DistanceTo(Turf8Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf8Pos) >= 10.0f)
         {
             biker42 = World.CreatePed(biker42Mod, Turf8Pos3);
         }
         if (!Exists(biker42) && Turf9defended && Player.Character.Position.DistanceTo(Turf9Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf9Pos) >= 10.0f)
         {
             biker42 = World.CreatePed(biker42Mod, Turf9Pos3);
         }
         if (!Exists(biker42) && Turf10defended && Player.Character.Position.DistanceTo(Turf10Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf10Pos) >= 10.0f)
         {
             biker42 = World.CreatePed(biker42Mod, Turf10Pos3);
         }


         if (!Exists(mafia24) && Turf1defended && Player.Character.Position.DistanceTo(Turf1Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf1Pos) >= 10.0f)
         {
             mafia24 = World.CreatePed(mafia24Mod, Turf1Pos1);
         }
         if (!Exists(mafia24) && Turf2defended && Player.Character.Position.DistanceTo(Turf2Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf2Pos) >= 10.0f)
         {
             mafia24 = World.CreatePed(mafia24Mod, Turf2Pos1);
         }
         if (!Exists(mafia24) && Turf3defended && Player.Character.Position.DistanceTo(Turf3Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf3Pos) >= 10.0f)
         {
             mafia24 = World.CreatePed(mafia24Mod, Turf3Pos1);
         }
         if (!Exists(mafia24) && Turf4defended && Player.Character.Position.DistanceTo(Turf4Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf4Pos) >= 10.0f)
         {
             mafia24 = World.CreatePed(mafia24Mod, Turf4Pos1);
         }
         if (!Exists(mafia24) && Turf5defended && Player.Character.Position.DistanceTo(Turf5Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf5Pos) >= 10.0f)
         {
             mafia24 = World.CreatePed(mafia24Mod, Turf5Pos1);
         }
         if (!Exists(mafia24) && Turf6defended && Player.Character.Position.DistanceTo(Turf6Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf6Pos) >= 10.0f)
         {
             mafia24 = World.CreatePed(mafia24Mod, Turf6Pos1);
         }
         if (!Exists(mafia24) && Turf7defended && Player.Character.Position.DistanceTo(Turf7Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf7Pos) >= 10.0f)
         {
             mafia24 = World.CreatePed(mafia24Mod, Turf7Pos1);
         }
         if (!Exists(mafia24) && Turf8defended && Player.Character.Position.DistanceTo(Turf8Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf8Pos) >= 10.0f)
         {
             mafia24 = World.CreatePed(mafia24Mod, Turf8Pos1);
         }
         if (!Exists(mafia24) && Turf9defended && Player.Character.Position.DistanceTo(Turf9Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf9Pos) >= 10.0f)
         {
             mafia24 = World.CreatePed(mafia24Mod, Turf9Pos1);
         }
         if (!Exists(mafia24) && Turf10defended && Player.Character.Position.DistanceTo(Turf10Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf10Pos) >= 10.0f)
         {
             mafia24 = World.CreatePed(mafia24Mod, Turf10Pos1);
         }

         if (!Exists(mafia25) && Turf1defended && Player.Character.Position.DistanceTo(Turf1Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf1Pos) >= 10.0f)
         {
             mafia25 = World.CreatePed(mafia25Mod, Turf1Pos2);
         }
         if (!Exists(mafia25) && Turf2defended && Player.Character.Position.DistanceTo(Turf2Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf2Pos) >= 10.0f)
         {
             mafia25 = World.CreatePed(mafia25Mod, Turf2Pos2);
         }
         if (!Exists(mafia25) && Turf3defended && Player.Character.Position.DistanceTo(Turf3Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf3Pos) >= 10.0f)
         {
             mafia25 = World.CreatePed(mafia25Mod, Turf3Pos2);
         }
         if (!Exists(mafia25) && Turf4defended && Player.Character.Position.DistanceTo(Turf4Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf4Pos) >= 10.0f)
         {
             mafia25 = World.CreatePed(mafia25Mod, Turf4Pos2);
         }
         if (!Exists(mafia25) && Turf5defended && Player.Character.Position.DistanceTo(Turf5Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf5Pos) >= 10.0f)
         {
             mafia25 = World.CreatePed(mafia25Mod, Turf5Pos2);
         }
         if (!Exists(mafia25) && Turf6defended && Player.Character.Position.DistanceTo(Turf6Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf6Pos) >= 10.0f)
         {
             mafia25 = World.CreatePed(mafia25Mod, Turf6Pos2);
         }
         if (!Exists(mafia25) && Turf7defended && Player.Character.Position.DistanceTo(Turf7Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf7Pos) >= 10.0f)
         {
             mafia25 = World.CreatePed(mafia25Mod, Turf7Pos2);
         }
         if (!Exists(mafia25) && Turf8defended && Player.Character.Position.DistanceTo(Turf8Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf8Pos) >= 10.0f)
         {
             mafia25 = World.CreatePed(mafia25Mod, Turf8Pos2);
         }
         if (!Exists(mafia25) && Turf9defended && Player.Character.Position.DistanceTo(Turf9Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf9Pos) >= 10.0f)
         {
             mafia25 = World.CreatePed(mafia25Mod, Turf9Pos2);
         }
         if (!Exists(mafia25) && Turf10defended && Player.Character.Position.DistanceTo(Turf10Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf10Pos) >= 10.0f)
         {
             mafia25 = World.CreatePed(mafia25Mod, Turf10Pos2);
         }

         if (!Exists(mafia26) && Turf1defended && Player.Character.Position.DistanceTo(Turf1Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf1Pos) >= 10.0f)
         {
             mafia26 = World.CreatePed(mafia26Mod, Turf1Pos3);
         }
         if (!Exists(mafia26) && Turf2defended && Player.Character.Position.DistanceTo(Turf2Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf2Pos) >= 10.0f)
         {
             mafia26 = World.CreatePed(mafia26Mod, Turf2Pos3);
         }
         if (!Exists(mafia26) && Turf3defended && Player.Character.Position.DistanceTo(Turf3Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf3Pos) >= 10.0f)
         {
             mafia26 = World.CreatePed(mafia26Mod, Turf3Pos3);
         }
         if (!Exists(mafia26) && Turf4defended && Player.Character.Position.DistanceTo(Turf4Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf4Pos) >= 10.0f)
         {
             mafia26 = World.CreatePed(mafia26Mod, Turf4Pos3);
         }
         if (!Exists(mafia26) && Turf5defended && Player.Character.Position.DistanceTo(Turf5Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf5Pos) >= 10.0f)
         {
             mafia26 = World.CreatePed(mafia26Mod, Turf5Pos3);
         }
         if (!Exists(mafia26) && Turf6defended && Player.Character.Position.DistanceTo(Turf6Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf6Pos) >= 10.0f)
         {
             mafia26 = World.CreatePed(mafia26Mod, Turf6Pos3);
         }
         if (!Exists(mafia26) && Turf7defended && Player.Character.Position.DistanceTo(Turf7Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf7Pos) >= 10.0f)
         {
             mafia26 = World.CreatePed(mafia26Mod, Turf7Pos3);
         }
         if (!Exists(mafia26) && Turf8defended && Player.Character.Position.DistanceTo(Turf8Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf8Pos) >= 10.0f)
         {
             mafia26 = World.CreatePed(mafia26Mod, Turf8Pos3);
         }
         if (!Exists(mafia26) && Turf9defended && Player.Character.Position.DistanceTo(Turf9Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf9Pos) >= 10.0f)
         {
             mafia26 = World.CreatePed(mafia26Mod, Turf9Pos3);
         }
         if (!Exists(mafia26) && Turf10defended && Player.Character.Position.DistanceTo(Turf10Pos) <= 200.0f && Player.Character.Position.DistanceTo(Turf10Pos) >= 10.0f)
         {
             mafia26 = World.CreatePed(mafia26Mod, Turf10Pos3);
         }


        if (Exists(biker40) && Player.Character.Position.DistanceTo(biker40.Position) >= 201.0f)
         {
             biker40.Delete();
         }
        if (Exists(biker41) && Player.Character.Position.DistanceTo(biker41.Position) >= 201.0f)
         {
             biker41.Delete();
         }
        if (Exists(biker42) && Player.Character.Position.DistanceTo(biker42.Position) >= 201.0f)
         {
             biker42.Delete();
         }

        if (Exists(mafia24) && Player.Character.Position.DistanceTo(mafia24.Position) >= 201.0f)
         {
             mafia24.Delete();
         }
        if (Exists(mafia25) && Player.Character.Position.DistanceTo(mafia25.Position) >= 201.0f)
         {
             mafia25.Delete();
         }
        if (Exists(mafia26) && Player.Character.Position.DistanceTo(mafia26.Position) >= 201.0f)
         {
             mafia26.Delete();
         }

        if (Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && !Turf1defended) ///turf 1
        {
            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf1Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
             if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
              if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
              if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }
        if (Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && !Turf1defended)
        {
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
             if (Exists(biker41) && biker41.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
             if (Exists(biker42) && biker42.Position.DistanceTo(Turf1Pos) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }
        
        
        if (Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && !Turf1defended && (Biker || bikerMember))
        {
            if (!Exists(mafia11))
            {
                mafia11 = World.CreatePed(mafia11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia11) && (mafia11.Health <= 1 || !mafia11.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia11)) { mafia11.Delete(); }
            }
            if (!Exists(mafia12))
            {
                mafia12 = World.CreatePed(mafia12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia12) && (mafia12.Health <= 1 || !mafia12.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia12)) { mafia12.Delete(); }
            }
            if (!Exists(mafia13))
            {
                mafia13 = World.CreatePed(mafia13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia13) && (mafia13.Health <= 1 || !mafia13.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia13)) { mafia13.Delete(); }
            }
             if (!Exists(mafia24))
            {
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia24) && (mafia24.Health <= 1 || !mafia24.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia24)) { mafia24.Delete(); }
            }
            if (!Exists(mafia25))
            {
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia25) && (mafia25.Health <= 1 || !mafia25.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia25)) { mafia25.Delete(); }
            }
            if (!Exists(mafia26))
            {
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia26) && (mafia26.Health <= 1 || !mafia26.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia26)) { mafia26.Delete(); }
            }

            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf1Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia11) && mafia11.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia11.isAlive)
                {
                    mafia11.Task.RunTo(Turf1Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
             
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf1Pos2) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia12) && mafia12.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia12.isAlive)
                {
                    mafia12.Task.RunTo(Turf1Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
             
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf1Pos3) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia13) && mafia13.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia13.isAlive)
                {
                    mafia13.Task.RunTo(Turf1Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf1Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Turf1Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
            }
             if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf1Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Turf1Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
            }
             if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf1Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Turf1Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
              
            }
        }
        if (Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && !Turf1defended && (Mafia || mafiaMember))
        {
            if (!Exists(biker11))
            {
                biker11 = World.CreatePed(biker11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker11) && (biker11.Health <= 1 || !biker11.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker11)) { biker11.Delete(); }
            }
            if (!Exists(biker12))
            {
                biker12 = World.CreatePed(biker12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker12) && (biker12.Health <= 1 || !biker12.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker12)) { biker12.Delete(); }
            }
            if (!Exists(biker13))
            {
                biker13 = World.CreatePed(biker13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker13) && (biker13.Health <= 1 || !biker13.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker13)) { biker13.Delete(); }
            }
             if (!Exists(biker40))
            {
                biker40 = World.CreatePed(biker40Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker40) && (biker40.Health <= 1 || !biker40.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker40)) { biker40.Delete(); }
            }
             if (!Exists(biker41))
            {
                biker41 = World.CreatePed(biker41Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker41) && (biker41.Health <= 1 || !biker41.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker41)) { biker41.Delete(); }
            }
             if (!Exists(biker42))
            {
                biker42 = World.CreatePed(biker42Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker42) && (biker42.Health <= 1 || !biker42.isAlive))
            {

                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker42)) { biker42.Delete(); }
            }
              if (Exists(biker11) && biker11.Position.DistanceTo(Turf1Pos1) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker11) && biker11.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker11.isAlive)
                {
                    biker11.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf1Pos2) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker12.isAlive)
                {
                    biker12.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf1Pos3) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker13.isAlive)
                {
                    biker13.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
            }

        }
        if (Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && Turf1defended && (Biker || bikerMember))
        {
            if (!Exists(biker14))
            {
               
                biker14 = World.CreatePed(biker14Mod, Player.Character.Position.Around(49.0f));
            }
            if (Exists(biker14) && biker14.Position.DistanceTo(Turf1Pos1) <= 121.0f)
            {
                armbiker14 = true;
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf1Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 196.0986f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf1Pos1) >= 15.0f && biker14.isAlive)
                {
                    biker14.Task.RunTo(Turf1Pos1);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
              
            }
            if (!Exists(biker15))
            {
              biker15 = World.CreatePed(biker15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker15) && biker15.Position.DistanceTo(Turf1Pos2) <= 121.0f)
            {
                armbiker15 = true;
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf1Pos2) >= 15.0f && biker15.isAlive)
                {
                    biker15.Task.RunTo(Turf1Pos2);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
            }
            if (!Exists(biker16))
            {
               biker16 = World.CreatePed(biker16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker16) && biker16.Position.DistanceTo(Turf1Pos3) <= 121.0f)
            {
                armbiker16 = true;
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf1Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 227.6688f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf1Pos3) >= 15.0f && biker16.isAlive)
                {
                    biker16.Task.RunTo(Turf1Pos3);
                    if (!Ekey)
                    {
                        Wait(0x9c4);
                    }
                }
            }
              if (Exists(biker40) && biker40.Position.DistanceTo(Turf1Pos1) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker40) && biker40.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker40.isAlive)
                {
                    biker40.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
            }

              if (Exists(biker41) && biker41.Position.DistanceTo(Turf1Pos1) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker41) && biker41.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker41.isAlive)
                {
                    biker41.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
            }
              if (Exists(biker42) && biker42.Position.DistanceTo(Turf1Pos1) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf1Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker42) && biker42.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker42.isAlive)
                {
                    biker42.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
            }
        }
        if (Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && Turf1defended && (Mafia || mafiaMember))
        {
            if (!Exists(mafia14))
            {
               mafia14 = World.CreatePed(mafia14Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf1Pos1) <= 121.0f)
            {
                armmafia14 = true;
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf1Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf1Pos1) >= 15.0f && mafia14.isAlive)
                {
                    mafia14.Task.RunTo(Turf1Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
            }
            if (!Exists(mafia15))
            {
               
                mafia15 = World.CreatePed(mafia15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf1Pos2) <= 121.0f)
            {
                armmafia15 = true;
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf1Pos2) >= 15.0f && mafia15.isAlive)
                {
                    mafia15.Task.RunTo(Turf1Pos2);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
            }
            if (!Exists(mafia16))
            {
               mafia16 = World.CreatePed(mafia16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf1Pos3) <= 121.0f)
            {
                armmafia16 = true;
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf1Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf1Pos3) >= 15.0f && mafia16.isAlive)
                {
                    mafia16.Task.RunTo(Turf1Pos3);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
            }
             if (!Exists(mafia24))
            {
               mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf1Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf1Pos3) <= 1.0f && mafia24.isAlive)
                {
                    mafia24.Heading = 227.6688f;
                }
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf1Pos3) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
             }
               if (!Exists(mafia25))
            {
               mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf1Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf1Pos3) <= 1.0f && mafia25.isAlive)
                {
                    mafia25.Heading = 227.6688f;
                }
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf1Pos3) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
             }
               if (!Exists(mafia26))
            {
               mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf1Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf1Pos3) <= 1.0f && mafia26.isAlive)
                {
                    mafia26.Heading = 227.6688f;
                }
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf1Pos3) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
        
            }

        }
      //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////end of turf/////////////////////
        if (Player.Character.Position.DistanceTo(Turf2Pos) < 20.0f && !Turf2defended && (Biker || bikerMember))
        {
            if (!Exists(mafia11))
            {
                mafia11 = World.CreatePed(mafia11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia11) && (mafia11.Health <= 1 || !mafia11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia11)) { mafia11.Delete(); }
            }
            if (!Exists(mafia12))
            {
                mafia12 = World.CreatePed(mafia12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia12) && (mafia12.Health <= 1 || !mafia12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia12)) { mafia12.Delete(); }
            }
            if (!Exists(mafia13))
            {
                mafia13 = World.CreatePed(mafia13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia13) && (mafia13.Health <= 1 || !mafia13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia13)) { mafia13.Delete(); }
            }
             if (!Exists(mafia24))
            {
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia24) && (mafia24.Health <= 1 || !mafia24.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia24)) { mafia24.Delete(); }
            }
            if (!Exists(mafia25))
            {
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia25) && (mafia25.Health <= 1 || !mafia25.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia25)) { mafia25.Delete(); }
            }
            if (!Exists(mafia26))
            {
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia26) && (mafia26.Health <= 1 || !mafia26.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia26)) { mafia26.Delete(); }
            }

            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf2Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia11) && mafia11.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia11.isAlive)
                {
                    mafia11.Task.RunTo(Turf2Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf2Pos2) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia12) && mafia12.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia12.isAlive)
                {
                    mafia12.Task.RunTo(Turf2Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf2Pos3) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia13) && mafia13.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia13.isAlive)
                {
                    mafia13.Task.RunTo(Turf2Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                
                //armbiker14 = false;
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf2Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Turf2Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
             if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf2Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Turf2Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                
                //armbiker14 = false;
            }
             if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf2Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Turf2Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf2Pos) < 20.0f && !Turf2defended && (Mafia || mafiaMember))
        {
            if (!Exists(biker11))
            {
                biker11 = World.CreatePed(biker11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker11) && (biker11.Health <= 1 || !biker11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker11)) { biker11.Delete(); }
            }
            if (!Exists(biker12))
            {
                biker12 = World.CreatePed(biker12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker12) && (biker12.Health <= 1 || !biker12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker12)) { biker12.Delete(); }
            }
            if (!Exists(biker13))
            {
                biker13 = World.CreatePed(biker13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker13) && (biker13.Health <= 1 || !biker13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker13)) { biker13.Delete(); }
            }
             if (!Exists(biker40))
            {
                biker40 = World.CreatePed(biker40Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker40) && (biker40.Health <= 1 || !biker40.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker40)) { biker40.Delete(); }
            }
             if (!Exists(biker41))
            {
                biker41 = World.CreatePed(biker41Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker41) && (biker41.Health <= 1 || !biker41.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker41)) { biker41.Delete(); }
            }
             if (!Exists(biker42))
            {
                biker42 = World.CreatePed(biker42Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker42) && (biker42.Health <= 1 || !biker42.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker42)) { biker42.Delete(); }
            }
              if (Exists(biker11) && biker11.Position.DistanceTo(Turf2Pos1) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker11) && biker11.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker11.isAlive)
                {
                    biker11.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf2Pos2) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker12.isAlive)
                {
                    biker12.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf2Pos3) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker13.isAlive)
                {
                    biker13.Task.RunTo(Player.Character.Position.Around(15.0f));
                 
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker14 = false;
            }

        }
        if (Player.Character.Position.DistanceTo(Turf2Pos) < 20.0f && Turf2defended && (Biker || bikerMember))
        {
            if (!Exists(biker14))
            {
               
                biker14 = World.CreatePed(biker14Mod, Player.Character.Position.Around(49.0f));
            }
            if (Exists(biker14) && biker14.Position.DistanceTo(Turf2Pos1) <= 121.0f)
            {
                armbiker14 = true;
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf2Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 196.0986f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf2Pos1) >= 15.0f && biker14.isAlive)
                {
                    biker14.Task.RunTo(Turf2Pos1);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
            
            }
            if (!Exists(biker15))
            {
              
                biker15 = World.CreatePed(biker15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker15) && biker15.Position.DistanceTo(Turf2Pos2) <= 121.0f)
            {
                armbiker15 = true;
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf2Pos2) >= 15.0f && biker15.isAlive)
                {
                    biker15.Task.RunTo(Turf2Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
               // armbiker15 = false;
            }
            if (!Exists(biker16))
            {
               
                biker16 = World.CreatePed(biker16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker16) && biker16.Position.DistanceTo(Turf2Pos3) <= 121.0f)
            {
                armbiker16 = true;
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf2Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 227.6688f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf2Pos3) >= 15.0f && biker16.isAlive)
                {
                    biker16.Task.RunTo(Turf2Pos3);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
               // armbiker16 = false;
            }
              if (Exists(biker40) && biker40.Position.DistanceTo(Turf2Pos1) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker40) && biker40.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker40.isAlive)
                {
                    biker40.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }

              if (Exists(biker41) && biker41.Position.DistanceTo(Turf2Pos1) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker41) && biker41.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker41.isAlive)
                {
                    biker41.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
              if (Exists(biker42) && biker42.Position.DistanceTo(Turf2Pos1) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf2Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker42) && biker42.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker42.isAlive)
                {
                    biker42.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf2Pos) < 20.0f && Turf2defended && (Mafia || mafiaMember))
        {
            if (!Exists(mafia14))
            {
               
                mafia14 = World.CreatePed(mafia14Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf2Pos1) <= 121.0f)
            {
                armmafia14 = true;
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf2Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf2Pos1) >= 15.0f && mafia14.isAlive)
                {
                    mafia14.Task.RunTo(Turf2Pos1);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
               // armbiker14 = false;
            }
            if (!Exists(mafia15))
            {
                
                mafia15 = World.CreatePed(mafia15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf2Pos2) <= 121.0f)
            {
                armmafia15 = true;
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf2Pos2) >= 15.0f && mafia15.isAlive)
                {
                    mafia15.Task.RunTo(Turf2Pos2);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
               // armbiker15 = false;
            }
            if (!Exists(mafia16))
            {
                
                mafia16 = World.CreatePed(mafia16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf2Pos3) <= 121.0f)
            {
                armmafia16 = true;
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf2Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf2Pos3) >= 15.0f && mafia16.isAlive)
                {
                    mafia16.Task.RunTo(Turf2Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
             if (!Exists(mafia24))
            {
                
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf2Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf2Pos3) <= 1.0f && mafia24.isAlive)
                {
                    mafia24.Heading = 227.6688f;
                }
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf2Pos3) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
               if (!Exists(mafia25))
            {
               
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf2Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf2Pos3) <= 1.0f && mafia25.isAlive)
                {
                    mafia25.Heading = 227.6688f;
                }
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf2Pos3) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
               if (!Exists(mafia26))
            {
               
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf2Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf2Pos3) <= 1.0f && mafia26.isAlive)
                {
                    mafia26.Heading = 227.6688f;
                }
                if (Exists(mafia2) && mafia26.Position.DistanceTo(Turf2Pos3) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }

        }
      

          if (Player.Character.Position.DistanceTo(Turf3Pos) < 20.0f && !Turf3defended && (Biker || bikerMember))
        {
            if (!Exists(mafia11))
            {
                mafia11 = World.CreatePed(mafia11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia11) && (mafia11.Health <= 1 || !mafia11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia11)) { mafia11.Delete(); }
            }
            if (!Exists(mafia12))
            {
                mafia12 = World.CreatePed(mafia12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia12) && (mafia12.Health <= 1 || !mafia12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia12)) { mafia12.Delete(); }
            }
            if (!Exists(mafia13))
            {
                mafia13 = World.CreatePed(mafia13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia13) && (mafia13.Health <= 1 || !mafia13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia13)) { mafia13.Delete(); }
            }
             if (!Exists(mafia24))
            {
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia24) && (mafia24.Health <= 1 || !mafia24.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia24)) { mafia24.Delete(); }
            }
            if (!Exists(mafia25))
            {
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia25) && (mafia25.Health <= 1 || !mafia25.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia25)) { mafia25.Delete(); }
            }
            if (!Exists(mafia26))
            {
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia26) && (mafia26.Health <= 1 || !mafia26.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia26)) { mafia26.Delete(); }
            }

            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf3Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia11) && mafia11.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia11.isAlive)
                {
                    mafia11.Task.RunTo(Turf3Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                
                //armbiker14 = false;
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf3Pos2) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia12) && mafia12.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia12.isAlive)
                {
                    mafia12.Task.RunTo(Turf3Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf3Pos3) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia13) && mafia13.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia13.isAlive)
                {
                    mafia13.Task.RunTo(Turf3Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf3Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Turf3Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                
                //armbiker14 = false;
            }
             if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf3Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Turf3Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
             if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf3Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                }
                
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Turf3Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf3Pos) < 20.0f && !Turf3defended && (Mafia || mafiaMember))
        {
            if (!Exists(biker11))
            {
                biker11 = World.CreatePed(biker11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker11) && (biker11.Health <= 1 || !biker11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker11)) { biker11.Delete(); }
            }
            if (!Exists(biker12))
            {
                biker12 = World.CreatePed(biker12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker12) && (biker12.Health <= 1 || !biker12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker12)) { biker12.Delete(); }
            }
            if (!Exists(biker13))
            {
                biker13 = World.CreatePed(biker13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker13) && (biker13.Health <= 1 || !biker13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker13)) { biker13.Delete(); }
            }
             if (!Exists(biker40))
            {
                biker40 = World.CreatePed(biker40Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker40) && (biker40.Health <= 1 || !biker40.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker40)) { biker40.Delete(); }
            }
             if (!Exists(biker41))
            {
                biker41 = World.CreatePed(biker41Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker41) && (biker41.Health <= 1 || !biker41.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker41)) { biker41.Delete(); }
            }
             if (!Exists(biker42))
            {
                biker42 = World.CreatePed(biker42Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker42) && (biker42.Health <= 1 || !biker42.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker42)) { biker42.Delete(); }
            }
              if (Exists(biker11) && biker11.Position.DistanceTo(Turf3Pos1) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker11) && biker11.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker11.isAlive)
                {
                    biker11.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf3Pos2) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker12.isAlive)
                {
                    biker12.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                
                //armbiker14 = false;
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf3Pos3) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker13.isAlive)
                {
                    biker13.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }

        }
        if (Player.Character.Position.DistanceTo(Turf3Pos) < 20.0f && Turf3defended && (Biker || bikerMember))
        {
            if (!Exists(biker14))
            {
               

                biker14 = World.CreatePed(biker14Mod, Player.Character.Position.Around(49.0f));
            }
            if (Exists(biker14) && biker14.Position.DistanceTo(Turf3Pos1) <= 121.0f)
            {
                armbiker14 = true;
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf3Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 196.0986f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf3Pos1) >= 15.0f && biker14.isAlive)
                {
                    biker14.Task.RunTo(Turf3Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }
            if (!Exists(biker15))
            {
               

                biker15 = World.CreatePed(biker15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker15) && biker15.Position.DistanceTo(Turf3Pos2) <= 121.0f)
            {
                armbiker15 = true;
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf3Pos2) >= 15.0f && biker15.isAlive)
                {
                    biker15.Task.RunTo(Turf3Pos2);
               if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               // armbiker15 = false;
            }
            if (!Exists(biker16))
            {
                

                biker16 = World.CreatePed(biker16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker16) && biker16.Position.DistanceTo(Turf3Pos3) <= 121.0f)
            {
                armbiker16 = true;
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf3Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 227.6688f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf3Pos3) >= 15.0f && biker16.isAlive)
                {
                    biker16.Task.RunTo(Turf3Pos3);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
               // armbiker16 = false;
            }
              if (Exists(biker40) && biker40.Position.DistanceTo(Turf3Pos1) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker40) && biker40.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker40.isAlive)
                {
                    biker40.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               
                //armbiker14 = false;
            }

              if (Exists(biker41) && biker41.Position.DistanceTo(Turf3Pos1) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker41) && biker41.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker41.isAlive)
                {
                    biker41.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                
                //armbiker14 = false;
            }
              if (Exists(biker42) && biker42.Position.DistanceTo(Turf3Pos1) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf3Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker42) && biker42.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker42.isAlive)
                {
                    biker42.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf3Pos) < 20.0f && Turf3defended && (Mafia || mafiaMember))
        {
            if (!Exists(mafia14))
            {
               
                mafia14 = World.CreatePed(mafia14Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf3Pos1) <= 121.0f)
            {
                armmafia14 = true;
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf3Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf3Pos1) >= 15.0f && mafia14.isAlive)
                {
                    mafia14.Task.RunTo(Turf3Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
               // armbiker14 = false;
            }
            if (!Exists(mafia15))
            {
               
                mafia15 = World.CreatePed(mafia15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf3Pos2) <= 121.0f)
            {
                armmafia15 = true;
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf3Pos2) >= 15.0f && mafia15.isAlive)
                {
                    mafia15.Task.RunTo(Turf3Pos2);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
               // armbiker15 = false;
            }
            if (!Exists(mafia16))
            {
               
                mafia16 = World.CreatePed(mafia16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf3Pos3) <= 121.0f)
            {
                armmafia16 = true;
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf3Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf3Pos3) >= 15.0f && mafia16.isAlive)
                {
                    mafia16.Task.RunTo(Turf3Pos3);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
             if (!Exists(mafia24))
            {
               
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf3Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf3Pos3) <= 1.0f && mafia24.isAlive)
                {
                    mafia24.Heading = 227.6688f;
                }
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf3Pos3) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
               if (!Exists(mafia25))
            {
               
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf3Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf3Pos3) <= 1.0f && mafia25.isAlive)
                {
                    mafia25.Heading = 227.6688f;
                }
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf3Pos3) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
               if (!Exists(mafia26))
            {
               
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf3Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf3Pos3) <= 1.0f && mafia26.isAlive)
                {
                    mafia26.Heading = 227.6688f;
                }
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf3Pos3) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Player.Character.Position.Around(15.0f));
               if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }

        }
        ///////////////////////////////////begining of turf below

        if (Player.Character.Position.DistanceTo(Turf4Pos) < 20.0f && !Turf4defended) ///turf 4
        {
            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf4Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }
        if (Player.Character.Position.DistanceTo(Turf4Pos) < 20.0f && !Turf4defended)
        {
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker41) && biker41.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf4Pos) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }


        if (Player.Character.Position.DistanceTo(Turf4Pos) < 20.0f && !Turf4defended && (Biker || bikerMember))
        {
            if (!Exists(mafia11))
            {
                mafia11 = World.CreatePed(mafia11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia11) && (mafia11.Health <= 1 || !mafia11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia11)) { mafia11.Delete(); }
            }
            if (!Exists(mafia12))
            {
                mafia12 = World.CreatePed(mafia12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia12) && (mafia12.Health <= 1 || !mafia12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia12)) { mafia12.Delete(); }
            }
            if (!Exists(mafia13))
            {
                mafia13 = World.CreatePed(mafia13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia13) && (mafia13.Health <= 1 || !mafia13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia13)) { mafia13.Delete(); }
            }
            if (!Exists(mafia24))
            {
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia24) && (mafia24.Health <= 1 || !mafia24.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia24)) { mafia24.Delete(); }
            }
            if (!Exists(mafia25))
            {
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia25) && (mafia25.Health <= 1 || !mafia25.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia25)) { mafia25.Delete(); }
            }
            if (!Exists(mafia26))
            {
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia26) && (mafia26.Health <= 1 || !mafia26.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia26)) { mafia26.Delete(); }
            }

            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf4Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia11) && mafia11.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia11.isAlive)
                {
                    mafia11.Task.RunTo(Turf4Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf4Pos2) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia12) && mafia12.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia12.isAlive)
                {
                    mafia12.Task.RunTo(Turf4Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf4Pos3) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia13) && mafia13.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia13.isAlive)
                {
                    mafia13.Task.RunTo(Turf4Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf4Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia24) && mafia24.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Turf4Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf4Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia25) && mafia25.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Turf4Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf4Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia26) && mafia26.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Turf4Pos.Around(15.0f));
               if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf4Pos) < 20.0f && !Turf4defended && (Mafia || mafiaMember))
        {
            if (!Exists(biker11))
            {
                biker11 = World.CreatePed(biker11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker11) && (biker11.Health <= 1 || !biker11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker11)) { biker11.Delete(); }
            }
            if (!Exists(biker12))
            {
                biker12 = World.CreatePed(biker12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker12) && (biker12.Health <= 1 || !biker12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker21)) { biker12.Delete(); }
            }
            if (!Exists(biker13))
            {
                biker13 = World.CreatePed(biker13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker13) && (biker13.Health <= 1 || !biker13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker13)) { biker13.Delete(); }
            }
            if (!Exists(biker40))
            {
                biker40 = World.CreatePed(biker40Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker40) && (biker40.Health <= 1 || !biker40.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker40)) { biker40.Delete(); }
            }
            if (!Exists(biker41))
            {
                biker41 = World.CreatePed(biker41Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker41) && (biker41.Health <= 1 || !biker41.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker41)) { biker41.Delete(); }
            }
            if (!Exists(biker42))
            {
                biker42 = World.CreatePed(biker42Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker42) && (biker42.Health <= 1 || !biker42.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker42)) { biker42.Delete(); }
            }
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf4Pos1) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker11) && biker11.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker11.isAlive)
                {
                    biker11.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf4Pos2) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker12.isAlive)
                {
                    biker12.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf4Pos3) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker13.isAlive)
                {
                    biker13.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }

        }
        if (Player.Character.Position.DistanceTo(Turf4Pos) < 20.0f && Turf4defended && (Biker || bikerMember))
        {
            if (!Exists(biker14))
            {
               
                biker14 = World.CreatePed(biker14Mod, Player.Character.Position.Around(49.0f));
            }
            if (Exists(biker14) && biker14.Position.DistanceTo(Turf4Pos1) <= 121.0f)
            {
                armbiker14 = true;
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf4Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 242.2528f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf4Pos1) >= 15.0f && biker14.isAlive)
                {
                    biker14.Task.RunTo(Turf4Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (!Exists(biker15))
            {
               
                biker15 = World.CreatePed(biker15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker15) && biker15.Position.DistanceTo(Turf4Pos2) <= 121.0f)
            {
                armbiker15 = true;
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf4Pos) <= 1.0f && biker15.isAlive)
                {
                    biker15.Heading = 210.9544f;
                }
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf4Pos2) >= 15.0f && biker15.isAlive)
                {
                    biker15.Task.RunTo(Turf4Pos2);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                // armbiker15 = false;
            }
            if (!Exists(biker16))
            {
                
                biker16 = World.CreatePed(biker16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker16) && biker16.Position.DistanceTo(Turf4Pos3) <= 121.0f)
            {
                armbiker16 = true;
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf4Pos3) <= 1.0f && biker16.isAlive)
                {
                   // biker16.Heading = f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf4Pos3) >= 15.0f && biker16.isAlive)
                {
                    biker16.Task.RunTo(Turf4Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker16 = false;
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf4Pos1) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker40) && biker40.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker40.isAlive)
                {
                    biker40.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }

            if (Exists(biker41) && biker41.Position.DistanceTo(Turf4Pos1) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker41) && biker41.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker41.isAlive)
                {
                    biker41.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf4Pos1) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf4Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker42) && biker42.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker42.isAlive)
                {
                    biker42.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf4Pos) < 20.0f && Turf4defended && (Mafia || mafiaMember))
        {
            if (!Exists(mafia14))
            {
               
                mafia14 = World.CreatePed(mafia14Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf4Pos1) <= 121.0f)
            {
                armmafia14 = true;
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf4Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf4Pos1) >= 15.0f && mafia14.isAlive)
                {
                    mafia14.Task.RunTo(Turf4Pos1);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                // armbiker14 = false;
            }
            if (!Exists(mafia15))
            {
               
                mafia15 = World.CreatePed(mafia15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf4Pos2) <= 121.0f)
            {
                armmafia15 = true;
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf4Pos2) >= 15.0f && mafia15.isAlive)
                {
                    mafia15.Task.RunTo(Turf4Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker15 = false;
            }
            if (!Exists(mafia16))
            {
                
                mafia16 = World.CreatePed(mafia16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf4Pos3) <= 121.0f)
            {
                armmafia16 = true;
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf4Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf4Pos3) >= 15.0f && mafia16.isAlive)
                {
                    mafia16.Task.RunTo(Turf4Pos3);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
            if (!Exists(mafia24))
            {
               
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf4Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf4Pos3) <= 1.0f && mafia24.isAlive)
                {
                    mafia24.Heading = 227.6688f;
                }
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf4Pos3) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia25))
            {
               
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf4Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf4Pos3) <= 1.0f && mafia25.isAlive)
                {
                    mafia25.Heading = 227.6688f;
                }
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf4Pos3) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia26))
            {
                
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf4Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf4Pos3) <= 1.0f && mafia26.isAlive)
                {
                    mafia26.Heading = 227.6688f;
                }
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf4Pos3) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }

        }
//////////////////////////////end of turf

        ///////////////////////////////////begining of turf below

        if (Player.Character.Position.DistanceTo(Turf5Pos) < 20.0f && !Turf5defended) ///turf 4
        {
            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf5Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }
        if (Player.Character.Position.DistanceTo(Turf5Pos) < 20.0f && !Turf5defended)
        {
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker41) && biker41.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf5Pos) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }


        if (Player.Character.Position.DistanceTo(Turf5Pos) < 20.0f && !Turf5defended && (Biker || bikerMember))
        {
            if (!Exists(mafia11))
            {
                mafia11 = World.CreatePed(mafia11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia11) && (mafia11.Health <= 1 || !mafia11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia11)) { mafia11.Delete(); }
            }
            if (!Exists(mafia12))
            {
                mafia12 = World.CreatePed(mafia12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia12) && (mafia12.Health <= 1 || !mafia12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia12)) { mafia12.Delete(); }
            }
            if (!Exists(mafia13))
            {
                mafia13 = World.CreatePed(mafia13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia13) && (mafia13.Health <= 1 || !mafia13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia13)) { mafia13.Delete(); }
            }
            if (!Exists(mafia24))
            {
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia24) && (mafia24.Health <= 1 || !mafia24.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia24)) { mafia24.Delete(); }
            }
            if (!Exists(mafia25))
            {
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia25) && (mafia25.Health <= 1 || !mafia25.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia25)) { mafia25.Delete(); }
            }
            if (!Exists(mafia26))
            {
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia26) && (mafia26.Health <= 1 || !mafia26.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia26)) { mafia26.Delete(); }
            }

            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf5Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia11) && mafia11.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia11.isAlive)
                {
                    mafia11.Task.RunTo(Turf5Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf5Pos2) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia12) && mafia12.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia12.isAlive)
                {
                    mafia12.Task.RunTo(Turf5Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf5Pos3) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia13) && mafia13.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia13.isAlive)
                {
                    mafia13.Task.RunTo(Turf5Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf5Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia24) && mafia24.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Turf5Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf5Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia25) && mafia25.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Turf5Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf5Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia26) && mafia26.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Turf5Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf5Pos) < 20.0f && !Turf5defended && (Mafia || mafiaMember))
        {
            if (!Exists(biker11))
            {
                biker11 = World.CreatePed(biker11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker11) && (biker11.Health <= 1 || !biker11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker11)) { biker11.Delete(); }
            }
            if (!Exists(biker12))
            {
                biker12 = World.CreatePed(biker12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker12) && (biker12.Health <= 1 || !biker12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker12)) { biker12.Delete(); }
            }
            if (!Exists(biker13))
            {
                biker13 = World.CreatePed(biker13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker13) && (biker13.Health <= 1 || !biker13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker13)) { biker13.Delete(); }
            }
            if (!Exists(biker40))
            {
                biker40 = World.CreatePed(biker40Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker40) && (biker40.Health <= 1 || !biker40.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker40)) { biker40.Delete(); }
            }
            if (!Exists(biker41))
            {
                biker41 = World.CreatePed(biker41Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker41) && (biker41.Health <= 1 || !biker41.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker41)) { biker41.Delete(); }
            }
            if (!Exists(biker42))
            {
                biker42 = World.CreatePed(biker42Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker42) && (biker42.Health <= 1 || !biker42.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker42)) { biker42.Delete(); }
            }
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf5Pos1) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker11) && biker11.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker11.isAlive)
                {
                    biker11.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf5Pos2) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker12.isAlive)
                {
                    biker12.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf5Pos3) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker13.isAlive)
                {
                    biker13.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }

        }
        if (Player.Character.Position.DistanceTo(Turf5Pos) < 20.0f && Turf5defended && (Biker || bikerMember))
        {
            if (!Exists(biker14))
            {
                
                biker14 = World.CreatePed(biker14Mod, Player.Character.Position.Around(49.0f));
            }
            if (Exists(biker14) && biker14.Position.DistanceTo(Turf5Pos1) <= 121.0f)
            {
                armbiker14 = true;
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf5Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 196.0986f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf5Pos1) >= 15.0f && biker14.isAlive)
                {
                    biker14.Task.RunTo(Turf5Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (!Exists(biker15))
            {
               
                biker15 = World.CreatePed(biker15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker15) && biker15.Position.DistanceTo(Turf5Pos2) <= 121.0f)
            {
                armbiker15 = true;
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf5Pos2) >= 15.0f && biker15.isAlive)
                {
                    biker15.Task.RunTo(Turf5Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker15 = false;
            }
            if (!Exists(biker16))
            {
               
                biker16 = World.CreatePed(biker16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker16) && biker16.Position.DistanceTo(Turf5Pos3) <= 121.0f)
            {
                armbiker16 = true;
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf5Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 227.6688f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf5Pos3) >= 15.0f && biker16.isAlive)
                {
                    biker16.Task.RunTo(Turf5Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker16 = false;
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf5Pos1) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker40) && biker40.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker40.isAlive)
                {
                    biker40.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }

            if (Exists(biker41) && biker41.Position.DistanceTo(Turf5Pos1) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker41) && biker41.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker41.isAlive)
                {
                    biker41.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf5Pos1) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf5Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker42) && biker42.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker42.isAlive)
                {
                    biker42.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf5Pos) < 20.0f && Turf5defended && (Mafia || mafiaMember))
        {
            if (!Exists(mafia14))
            {
                
                mafia14 = World.CreatePed(mafia14Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf5Pos1) <= 121.0f)
            {
                armmafia14 = true;
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf5Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf5Pos1) >= 15.0f && mafia14.isAlive)
                {
                    mafia14.Task.RunTo(Turf5Pos1);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                // armbiker14 = false;
            }
            if (!Exists(mafia15))
            {
               
                mafia15 = World.CreatePed(mafia15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf5Pos2) <= 121.0f)
            {
                armmafia15 = true;
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf5Pos2) >= 15.0f && mafia15.isAlive)
                {
                    mafia15.Task.RunTo(Turf5Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker15 = false;
            }
            if (!Exists(mafia16))
            {
               
                mafia16 = World.CreatePed(mafia16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf5Pos3) <= 121.0f)
            {
                armmafia16 = true;
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf5Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf5Pos3) >= 15.0f && mafia16.isAlive)
                {
                    mafia16.Task.RunTo(Turf5Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia24))
            {
                
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf5Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf5Pos3) <= 1.0f && mafia24.isAlive)
                {
                    mafia24.Heading = 227.6688f;
                }
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf5Pos3) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia25))
            {
                
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf5Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf5Pos3) <= 1.0f && mafia25.isAlive)
                {
                    mafia25.Heading = 227.6688f;
                }
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf5Pos3) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
            if (!Exists(mafia26))
            {
                
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf5Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf5Pos3) <= 1.0f && mafia26.isAlive)
                {
                    mafia26.Heading = 227.6688f;
                }
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf5Pos3) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }

        }
        //////////////////////////////end of turf
        ///////////////////////////////////begining of turf below    

       
        //////////////////////////////end of turf
        ///////////////////////////////////begining of turf below

        if (Player.Character.Position.DistanceTo(Turf6Pos) < 20.0f && !Turf6defended) ///turf 4
        {
            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf6Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }
        if (Player.Character.Position.DistanceTo(Turf6Pos) < 20.0f && !Turf6defended)
        {
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker41) && biker41.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf6Pos) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }


        if (Player.Character.Position.DistanceTo(Turf6Pos) < 20.0f && !Turf6defended && (Biker || bikerMember))
        {
            if (!Exists(mafia11))
            {
                mafia11 = World.CreatePed(mafia11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia11) && (mafia11.Health <= 1 || !mafia11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia11)) { mafia11.Delete(); }
            }
            if (!Exists(mafia12))
            {
                mafia12 = World.CreatePed(mafia12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia12) && (mafia12.Health <= 1 || !mafia12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia12)) { mafia12.Delete(); }
            }
            if (!Exists(mafia13))
            {
                mafia13 = World.CreatePed(mafia13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia13) && (mafia13.Health <= 1 || !mafia13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia13)) { mafia13.Delete(); }
            }
            if (!Exists(mafia24))
            {
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia24) && (mafia24.Health <= 1 || !mafia24.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia24)) { mafia24.Delete(); }
            }
            if (!Exists(mafia25))
            {
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia25) && (mafia25.Health <= 1 || !mafia25.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia25)) { mafia25.Delete(); }
            }
            if (!Exists(mafia26))
            {
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia26) && (mafia26.Health <= 1 || !mafia26.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia26)) { mafia26.Delete(); }
            }

            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf6Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia11) && mafia11.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia11.isAlive)
                {
                    mafia11.Task.RunTo(Turf6Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf6Pos2) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia12) && mafia12.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia12.isAlive)
                {
                    mafia12.Task.RunTo(Turf6Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf6Pos3) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia13) && mafia13.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia13.isAlive)
                {
                    mafia13.Task.RunTo(Turf6Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf6Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia24) && mafia24.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Turf6Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf6Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia25) && mafia25.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Turf6Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf6Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia26) && mafia26.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Turf6Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf6Pos) < 20.0f && !Turf6defended && (Mafia || mafiaMember))
        {
            if (!Exists(biker11))
            {
                biker11 = World.CreatePed(biker11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker11) && (biker11.Health <= 1 || !biker11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker11)) { biker11.Delete(); }
            }
            if (!Exists(biker12))
            {
                biker12 = World.CreatePed(biker12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker12) && (biker12.Health <= 1 || !biker12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker12)) { biker12.Delete(); }
            }
            if (!Exists(biker13))
            {
                biker13 = World.CreatePed(biker13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker13) && (biker13.Health <= 1 || !biker13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker13)) { biker13.Delete(); }
            }
            if (!Exists(biker40))
            {
                biker40 = World.CreatePed(biker40Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker40) && (biker40.Health <= 1 || !biker40.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker40)) { biker40.Delete(); }
            }
            if (!Exists(biker41))
            {
                biker41 = World.CreatePed(biker41Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker41) && (biker41.Health <= 1 || !biker41.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker41)) { biker41.Delete(); }
            }
            if (!Exists(biker42))
            {
                biker42 = World.CreatePed(biker42Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker42) && (biker42.Health <= 1 || !biker42.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker42)) { biker42.Delete(); }
            }
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf6Pos1) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker11) && biker11.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker11.isAlive)
                {
                    biker11.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf6Pos2) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker12.isAlive)
                {
                    biker12.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf6Pos3) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker13.isAlive)
                {
                    biker13.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }

        }
        if (Player.Character.Position.DistanceTo(Turf6Pos) < 20.0f && Turf6defended && (Biker || bikerMember))
        {
            if (!Exists(biker14))
            {
                
                biker14 = World.CreatePed(biker14Mod, Player.Character.Position.Around(49.0f));
            }
            if (Exists(biker14) && biker14.Position.DistanceTo(Turf6Pos1) <= 121.0f)
            {
                armbiker14 = true;
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf6Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 196.0986f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf6Pos1) >= 15.0f && biker14.isAlive)
                {
                    biker14.Task.RunTo(Turf6Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (!Exists(biker15))
            {
               
                biker15 = World.CreatePed(biker15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker15) && biker15.Position.DistanceTo(Turf6Pos2) <= 121.0f)
            {
                armbiker15 = true;
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf6Pos2) >= 15.0f && biker15.isAlive)
                {
                    biker15.Task.RunTo(Turf6Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker15 = false;
            }
            if (!Exists(biker16))
            {
               
                biker16 = World.CreatePed(biker16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker16) && biker16.Position.DistanceTo(Turf6Pos3) <= 121.0f)
            {
                armbiker16 = true;
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf6Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 227.6688f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf6Pos3) >= 15.0f && biker16.isAlive)
                {
                    biker16.Task.RunTo(Turf6Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker16 = false;
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf6Pos1) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker40) && biker40.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker40.isAlive)
                {
                    biker40.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }

            if (Exists(biker41) && biker41.Position.DistanceTo(Turf6Pos1) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker41) && biker41.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker41.isAlive)
                {
                    biker41.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf6Pos1) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf6Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker42) && biker42.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker42.isAlive)
                {
                    biker42.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf6Pos) < 20.0f && Turf6defended && (Mafia || mafiaMember))
        {
            if (!Exists(mafia14))
            {
               
                mafia14 = World.CreatePed(mafia14Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf6Pos1) <= 121.0f)
            {
                armmafia14 = true;
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf6Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf6Pos1) >= 15.0f && mafia14.isAlive)
                {
                    mafia14.Task.RunTo(Turf6Pos1);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                // armbiker14 = false;
            }
            if (!Exists(mafia15))
            {
               
                mafia15 = World.CreatePed(mafia15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf6Pos2) <= 121.0f)
            {
                armmafia15 = true;
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf6Pos2) >= 15.0f && mafia15.isAlive)
                {
                    mafia15.Task.RunTo(Turf6Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker15 = false;
            }
            if (!Exists(mafia16))
            {
                
                mafia16 = World.CreatePed(mafia16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf6Pos3) <= 121.0f)
            {
                armmafia16 = true;
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf6Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf6Pos3) >= 15.0f && mafia16.isAlive)
                {
                    mafia16.Task.RunTo(Turf6Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia24))
            {
               
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf6Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf6Pos3) <= 1.0f && mafia24.isAlive)
                {
                    mafia24.Heading = 227.6688f;
                }
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf6Pos3) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
            if (!Exists(mafia25))
            {
                
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf6Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf6Pos3) <= 1.0f && mafia25.isAlive)
                {
                    mafia25.Heading = 227.6688f;
                }
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf6Pos3) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
            if (!Exists(mafia26))
            {
               
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf6Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf6Pos3) <= 1.0f && mafia26.isAlive)
                {
                    mafia26.Heading = 227.6688f;
                }
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf6Pos3) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }

        }
        //////////////////////////////end of turf
        ///////////////////////////////////begining of turf below

        if (Player.Character.Position.DistanceTo(Turf7Pos) < 20.0f && !Turf7defended) ///turf 4
        {
            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf7Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }
        if (Player.Character.Position.DistanceTo(Turf7Pos) < 20.0f && !Turf7defended)
        {
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker41) && biker41.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf7Pos) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }


        if (Player.Character.Position.DistanceTo(Turf7Pos) < 20.0f && !Turf7defended && (Biker || bikerMember))
        {
            if (!Exists(mafia11))
            {
                mafia11 = World.CreatePed(mafia11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia11) && (mafia11.Health <= 1 || !mafia11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia11)) { mafia11.Delete(); }
            }
            if (!Exists(mafia12))
            {
                mafia12 = World.CreatePed(mafia12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia12) && (mafia12.Health <= 1 || !mafia12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia12)) { mafia12.Delete(); }
            }
            if (!Exists(mafia13))
            {
                mafia13 = World.CreatePed(mafia13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia13) && (mafia13.Health <= 1 || !mafia13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia13)) { mafia13.Delete(); }
            }
            if (!Exists(mafia24))
            {
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia24) && (mafia24.Health <= 1 || !mafia24.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia24)) { mafia24.Delete(); }
            }
            if (!Exists(mafia25))
            {
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia25) && (mafia25.Health <= 1 || !mafia25.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia25)) { mafia25.Delete(); }
            }
            if (!Exists(mafia26))
            {
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia26) && (mafia26.Health <= 1 || !mafia26.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia26)) { mafia26.Delete(); }
            }

            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf7Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia11) && mafia11.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia11.isAlive)
                {
                    mafia11.Task.RunTo(Turf7Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf7Pos2) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia12) && mafia12.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia12.isAlive)
                {
                    mafia12.Task.RunTo(Turf7Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf7Pos3) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia13) && mafia13.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia13.isAlive)
                {
                    mafia13.Task.RunTo(Turf7Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf7Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia24) && mafia24.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Turf7Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf7Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia25) && mafia25.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Turf7Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf7Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia26) && mafia26.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Turf7Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf7Pos) < 20.0f && !Turf7defended && (Mafia || mafiaMember))
        {
            if (!Exists(biker11))
            {
                biker11 = World.CreatePed(biker11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker11) && (biker11.Health <= 1 || !biker11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker11)) { biker11.Delete(); }
            }
            if (!Exists(biker12))
            {
                biker12 = World.CreatePed(biker12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker12) && (biker12.Health <= 1 || !biker12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker12)) { biker12.Delete(); }
            }
            if (!Exists(biker13))
            {
                biker13 = World.CreatePed(biker13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker13) && (biker13.Health <= 1 || !biker13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker13)) { biker13.Delete(); }
            }
            if (!Exists(biker40))
            {
                biker40 = World.CreatePed(biker40Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker40) && (biker40.Health <= 1 || !biker40.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker40)) { biker40.Delete(); }
            }
            if (!Exists(biker41))
            {
                biker41 = World.CreatePed(biker41Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker41) && (biker41.Health <= 1 || !biker41.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker41)) { biker41.Delete(); }
            }
            if (!Exists(biker42))
            {
                biker42 = World.CreatePed(biker42Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker42) && (biker42.Health <= 1 || !biker42.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker42)) { biker42.Delete(); }
            }
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf7Pos1) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker11) && biker11.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker11.isAlive)
                {
                    biker11.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf7Pos2) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker12.isAlive)
                {
                    biker12.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf7Pos3) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker13.isAlive)
                {
                    biker13.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }

        }
        if (Player.Character.Position.DistanceTo(Turf7Pos) < 20.0f && Turf7defended && (Biker || bikerMember))
        {
            if (!Exists(biker14))
            {
                
                biker14 = World.CreatePed(biker14Mod, Player.Character.Position.Around(49.0f));
            }
            if (Exists(biker14) && biker14.Position.DistanceTo(Turf7Pos1) <= 121.0f)
            {
                armbiker14 = true;
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf7Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 196.0986f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf7Pos1) >= 15.0f && biker14.isAlive)
                {
                    biker14.Task.RunTo(Turf7Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (!Exists(biker15))
            {
                
                biker15 = World.CreatePed(biker15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker15) && biker15.Position.DistanceTo(Turf7Pos2) <= 121.0f)
            {
                armbiker15 = true;
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf7Pos2) >= 15.0f && biker15.isAlive)
                {
                    biker15.Task.RunTo(Turf7Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker15 = false;
            }
            if (!Exists(biker16))
            {
               
                biker16 = World.CreatePed(biker16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker16) && biker16.Position.DistanceTo(Turf7Pos3) <= 121.0f)
            {
                armbiker16 = true;
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf7Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 227.6688f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf7Pos3) >= 15.0f && biker16.isAlive)
                {
                    biker16.Task.RunTo(Turf7Pos3);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                // armbiker16 = false;
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf7Pos1) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker40) && biker40.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker40.isAlive)
                {
                    biker40.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }

            if (Exists(biker41) && biker41.Position.DistanceTo(Turf7Pos1) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker41) && biker41.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker41.isAlive)
                {
                    biker41.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf7Pos1) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf7Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker42) && biker42.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker42.isAlive)
                {
                    biker42.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf7Pos) < 20.0f && Turf7defended && (Mafia || mafiaMember))
        {
            if (!Exists(mafia14))
            {
               
                mafia14 = World.CreatePed(mafia14Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf7Pos1) <= 121.0f)
            {
                armmafia14 = true;
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf7Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf7Pos1) >= 15.0f && mafia14.isAlive)
                {
                    mafia14.Task.RunTo(Turf7Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker14 = false;
            }
            if (!Exists(mafia15))
            {
                
                mafia15 = World.CreatePed(mafia15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf7Pos2) <= 121.0f)
            {
                armmafia15 = true;
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf7Pos2) >= 15.0f && mafia15.isAlive)
                {
                    mafia15.Task.RunTo(Turf7Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker15 = false;
            }
            if (!Exists(mafia16))
            {
               
                mafia16 = World.CreatePed(mafia16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf7Pos3) <= 121.0f)
            {
                armmafia16 = true;
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf7Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf7Pos3) >= 15.0f && mafia16.isAlive)
                {
                    mafia16.Task.RunTo(Turf7Pos3);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
            if (!Exists(mafia24))
            {
                
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf7Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf7Pos3) <= 1.0f && mafia24.isAlive)
                {
                    mafia24.Heading = 227.6688f;
                }
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf7Pos3) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia25))
            {
                
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf7Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf7Pos3) <= 1.0f && mafia25.isAlive)
                {
                    mafia25.Heading = 227.6688f;
                }
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf7Pos3) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia26))
            {
               
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf7Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf7Pos3) <= 1.0f && mafia26.isAlive)
                {
                    mafia26.Heading = 227.6688f;
                }
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf7Pos3) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }

        }
        //////////////////////////////end of turf
        ///////////////////////////////////begining of turf below

        if (Player.Character.Position.DistanceTo(Turf8Pos) < 20.0f && !Turf8defended) ///turf 4
        {
            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf8Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                  
                }
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
        }
        if (Player.Character.Position.DistanceTo(Turf8Pos) < 20.0f && !Turf8defended)
        {
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker41) && biker41.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf8Pos) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }


        if (Player.Character.Position.DistanceTo(Turf8Pos) < 20.0f && !Turf8defended && (Biker || bikerMember))
        {
            if (!Exists(mafia11))
            {
                mafia11 = World.CreatePed(mafia11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia11) && (mafia11.Health <= 1 || !mafia11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia11)) { mafia11.Delete(); }
            }
            if (!Exists(mafia12))
            {
                mafia12 = World.CreatePed(mafia12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia12) && (mafia12.Health <= 1 || !mafia12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia12)) { mafia12.Delete(); }
            }
            if (!Exists(mafia13))
            {
                mafia13 = World.CreatePed(mafia13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia13) && (mafia13.Health <= 1 || !mafia13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia13)) { mafia13.Delete(); }
            }
            if (!Exists(mafia24))
            {
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia24) && (mafia24.Health <= 1 || !mafia24.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia24)) { mafia24.Delete(); }
            }
            if (!Exists(mafia25))
            {
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia25) && (mafia25.Health <= 1 || !mafia25.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia25)) { mafia25.Delete(); }
            }
            if (!Exists(mafia26))
            {
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia26) && (mafia26.Health <= 1 || !mafia26.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia26)) { mafia26.Delete(); }
            }

            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf8Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia11) && mafia11.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia11.isAlive)
                {
                    mafia11.Task.RunTo(Turf8Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf8Pos2) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia12) && mafia12.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia12.isAlive)
                {
                    mafia12.Task.RunTo(Turf8Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf8Pos3) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia13) && mafia13.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia13.isAlive)
                {
                    mafia13.Task.RunTo(Turf8Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf8Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia24) && mafia24.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Turf8Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf8Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia25) && mafia25.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Turf8Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf8Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia26) && mafia26.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Turf8Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf8Pos) < 20.0f && !Turf8defended && (Mafia || mafiaMember))
        {
            if (!Exists(biker11))
            {
                biker11 = World.CreatePed(biker11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker11) && (biker11.Health <= 1 || !biker11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker11)) { biker11.Delete(); }
            }
            if (!Exists(biker12))
            {
                biker12 = World.CreatePed(biker12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker12) && (biker12.Health <= 1 || !biker12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker12)) { biker12.Delete(); }
            }
            if (!Exists(biker13))
            {
                biker13 = World.CreatePed(biker13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker13) && (biker13.Health <= 1 || !biker13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker13)) { biker13.Delete(); }
            }
            if (!Exists(biker40))
            {
                biker40 = World.CreatePed(biker40Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker40) && (biker40.Health <= 1 || !biker40.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker40)) { biker40.Delete(); }
            }
            if (!Exists(biker41))
            {
                biker41 = World.CreatePed(biker41Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker41) && (biker41.Health <= 1 || !biker41.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker41)) { biker41.Delete(); }
            }
            if (!Exists(biker42))
            {
                biker42 = World.CreatePed(biker42Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker42) && (biker42.Health <= 1 || !biker42.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker42)) { biker42.Delete(); }
            }
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf8Pos1) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker11) && biker11.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker11.isAlive)
                {
                    biker11.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf8Pos2) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker12.isAlive)
                {
                    biker12.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf8Pos3) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker13.isAlive)
                {
                    biker13.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }

        }
        if (Player.Character.Position.DistanceTo(Turf8Pos) < 20.0f && Turf8defended && (Biker || bikerMember))
        {
            if (!Exists(biker14))
            {
               
                biker14 = World.CreatePed(biker14Mod, Player.Character.Position.Around(49.0f));
            }
            if (Exists(biker14) && biker14.Position.DistanceTo(Turf8Pos1) <= 121.0f)
            {
                armbiker14 = true;
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf8Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 196.0986f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf8Pos1) >= 15.0f && biker14.isAlive)
                {
                    biker14.Task.RunTo(Turf8Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (!Exists(biker15))
            {
               
                biker15 = World.CreatePed(biker15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker15) && biker15.Position.DistanceTo(Turf8Pos2) <= 121.0f)
            {
                armbiker15 = true;
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf8Pos2) >= 15.0f && biker15.isAlive)
                {
                    biker15.Task.RunTo(Turf8Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker15 = false;
            }
            if (!Exists(biker16))
            {
                
                biker16 = World.CreatePed(biker16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker16) && biker16.Position.DistanceTo(Turf8Pos3) <= 121.0f)
            {
                armbiker16 = true;
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf8Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 227.6688f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf8Pos3) >= 15.0f && biker16.isAlive)
                {
                    biker16.Task.RunTo(Turf8Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker16 = false;
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf8Pos1) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker40) && biker40.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker40.isAlive)
                {
                    biker40.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }

            if (Exists(biker41) && biker41.Position.DistanceTo(Turf8Pos1) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker41) && biker41.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker41.isAlive)
                {
                    biker41.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf8Pos1) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf8Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker42) && biker42.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker42.isAlive)
                {
                    biker42.Task.RunTo(Player.Character.Position.Around(15.0f));
               if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf8Pos) < 20.0f && Turf8defended && (Mafia || mafiaMember))
        {
            if (!Exists(mafia14))
            {
               
                mafia14 = World.CreatePed(mafia14Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf8Pos1) <= 121.0f)
            {
                armmafia14 = true;
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf8Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf8Pos1) >= 15.0f && mafia14.isAlive)
                {
                    mafia14.Task.RunTo(Turf8Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker14 = false;
            }
            if (!Exists(mafia15))
            {
                
                mafia15 = World.CreatePed(mafia15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf8Pos2) <= 121.0f)
            {
                armmafia15 = true;
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf8Pos2) >= 15.0f && mafia15.isAlive)
                {
                    mafia15.Task.RunTo(Turf8Pos2);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                // armbiker15 = false;
            }
            if (!Exists(mafia16))
            {
                
                mafia16 = World.CreatePed(mafia16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf8Pos3) <= 121.0f)
            {
                armmafia16 = true;
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf8Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf8Pos3) >= 15.0f && mafia16.isAlive)
                {
                    mafia16.Task.RunTo(Turf8Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia24))
            {
               
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf8Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf8Pos3) <= 1.0f && mafia24.isAlive)
                {
                    mafia24.Heading = 227.6688f;
                }
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf8Pos3) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
            if (!Exists(mafia25))
            {
                
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf8Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf8Pos3) <= 1.0f && mafia25.isAlive)
                {
                    mafia25.Heading = 227.6688f;
                }
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf8Pos3) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia26))
            {
                
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf8Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf8Pos3) <= 1.0f && mafia26.isAlive)
                {
                    mafia26.Heading = 227.6688f;
                }
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf8Pos3) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }

        }
        //////////////////////////////end of turf
        ///////////////////////////////////begining of turf below

        if (Player.Character.Position.DistanceTo(Turf9Pos) < 20.0f && !Turf9defended) ///turf 4
        {
            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf9Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
        }
        if (Player.Character.Position.DistanceTo(Turf9Pos) < 20.0f && !Turf9defended)
        {
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker41) && biker41.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf9Pos) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
        }


        if (Player.Character.Position.DistanceTo(Turf9Pos) < 20.0f && !Turf9defended && (Biker || bikerMember))
        {
            if (!Exists(mafia11))
            {
                mafia11 = World.CreatePed(mafia11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia11) && (mafia11.Health <= 1 || !mafia11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia11)) { mafia11.Delete(); }
            }
            if (!Exists(mafia12))
            {
                mafia12 = World.CreatePed(mafia12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia12) && (mafia12.Health <= 1 || !mafia12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia12)) { mafia12.Delete(); }
            }
            if (!Exists(mafia13))
            {
                mafia13 = World.CreatePed(mafia13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia13) && (mafia13.Health <= 1 || !mafia13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia13)) { mafia13.Delete(); }
            }
            if (!Exists(mafia24))
            {
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia24) && (mafia24.Health <= 1 || !mafia24.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia24)) { mafia24.Delete(); }
            }
            if (!Exists(mafia25))
            {
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia25) && (mafia25.Health <= 1 || !mafia25.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia25)) { mafia25.Delete(); }
            }
            if (!Exists(mafia26))
            {
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia26) && (mafia26.Health <= 1 || !mafia26.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia26)) { mafia26.Delete(); }
            }

            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf9Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia11) && mafia11.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia11.isAlive)
                {
                    mafia11.Task.RunTo(Turf9Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf9Pos2) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia12) && mafia12.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia12.isAlive)
                {
                    mafia12.Task.RunTo(Turf9Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf9Pos3) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia13) && mafia13.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia13.isAlive)
                {
                    mafia13.Task.RunTo(Turf9Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf9Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia24) && mafia24.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Turf9Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf9Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia25) && mafia25.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Turf9Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf9Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia26) && mafia26.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Turf9Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf9Pos) < 20.0f && !Turf9defended && (Mafia || mafiaMember))
        {
            if (!Exists(biker11))
            {
                biker11 = World.CreatePed(biker11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker11) && (biker11.Health <= 1 || !biker11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker11)) { biker11.Delete(); }
            }
            if (!Exists(biker12))
            {
                biker12 = World.CreatePed(biker12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker12) && (biker12.Health <= 1 || !biker12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker12)) { biker12.Delete(); }
            }
            if (!Exists(biker13))
            {
                biker13 = World.CreatePed(biker13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker13) && (biker13.Health <= 1 || !biker13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker13)) { biker13.Delete(); }
            }
            if (!Exists(biker40))
            {
                biker40 = World.CreatePed(biker40Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker40) && (biker40.Health <= 1 || !biker40.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker40)) { biker40.Delete(); }
            }
            if (!Exists(biker41))
            {
                biker41 = World.CreatePed(biker41Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker41) && (biker41.Health <= 1 || !biker41.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker41)) { biker41.Delete(); }
            }
            if (!Exists(biker42))
            {
                biker42 = World.CreatePed(biker42Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker42) && (biker42.Health <= 1 || !biker42.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker42)) { biker42.Delete(); }
            }
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf9Pos1) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker11) && biker11.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker11.isAlive)
                {
                    biker11.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf9Pos2) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker12.isAlive)
                {
                    biker12.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf9Pos3) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker13.isAlive)
                {
                    biker13.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }

        }
        if (Player.Character.Position.DistanceTo(Turf9Pos) < 20.0f && Turf9defended && (Biker || bikerMember))
        {
            if (!Exists(biker14))
            {
               
                biker14 = World.CreatePed(biker14Mod, Player.Character.Position.Around(49.0f));
            }
            if (Exists(biker14) && biker14.Position.DistanceTo(Turf9Pos1) <= 121.0f)
            {
                armbiker14 = true;
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf9Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 196.0986f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf9Pos1) >= 15.0f && biker14.isAlive)
                {
                    biker14.Task.RunTo(Turf9Pos1);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (!Exists(biker15))
            {
              
                biker15 = World.CreatePed(biker15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker15) && biker15.Position.DistanceTo(Turf9Pos2) <= 121.0f)
            {
                armbiker15 = true;
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf9Pos2) >= 15.0f && biker15.isAlive)
                {
                    biker15.Task.RunTo(Turf9Pos2);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                // armbiker15 = false;
            }
            if (!Exists(biker16))
            {
               
                biker16 = World.CreatePed(biker16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker16) && biker16.Position.DistanceTo(Turf9Pos3) <= 121.0f)
            {
                armbiker16 = true;
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf9Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 227.6688f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf9Pos3) >= 15.0f && biker16.isAlive)
                {
                    biker16.Task.RunTo(Turf9Pos3);
                if (!Ekey)
                {
                    
                }
                Wait(0x9c4);
                }
                // armbiker16 = false;
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf9Pos1) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker40) && biker40.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker40.isAlive)
                {
                    biker40.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }

            if (Exists(biker41) && biker41.Position.DistanceTo(Turf9Pos1) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker41) && biker41.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker41.isAlive)
                {
                    biker41.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf9Pos1) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf9Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker42) && biker42.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker42.isAlive)
                {
                    biker42.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf9Pos) < 20.0f && Turf9defended && (Mafia || mafiaMember))
        {
            if (!Exists(mafia14))
            {
               
                mafia14 = World.CreatePed(mafia14Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf9Pos1) <= 121.0f)
            {
                armmafia14 = true;
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf9Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf9Pos1) >= 15.0f && mafia14.isAlive)
                {
                    mafia14.Task.RunTo(Turf9Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker14 = false;
            }
            if (!Exists(mafia15))
            {
              
                mafia15 = World.CreatePed(mafia15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf9Pos2) <= 121.0f)
            {
                armmafia15 = true;
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf9Pos2) >= 15.0f && mafia15.isAlive)
                {
                    mafia15.Task.RunTo(Turf9Pos2);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                // armbiker15 = false;
            }
            if (!Exists(mafia16))
            {
               
                mafia16 = World.CreatePed(mafia16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf9Pos3) <= 121.0f)
            {
                armmafia16 = true;
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf9Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf9Pos3) >= 15.0f && mafia16.isAlive)
                {
                    mafia16.Task.RunTo(Turf9Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia24))
            {
              
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf9Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf9Pos3) <= 1.0f && mafia24.isAlive)
                {
                    mafia24.Heading = 227.6688f;
                }
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf9Pos3) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Player.Character.Position.Around(15.0f));
                  if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
              
                //armbiker16 = false;
            }
            if (!Exists(mafia25))
            {
               
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf9Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf9Pos3) <= 1.0f && mafia25.isAlive)
                {
                    mafia25.Heading = 227.6688f;
                }
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf9Pos3) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
            if (!Exists(mafia26))
            {
               
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf9Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf9Pos3) <= 1.0f && mafia26.isAlive)
                {
                    mafia26.Heading = 227.6688f;
                }
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf9Pos3) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }

        }
        //////////////////////////////end of turf

        if (Player.Character.Position.DistanceTo(Turf10Pos) < 20.0f && !Turf10defended) ///turf 4
        {
            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf10Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
        }
        if (Player.Character.Position.DistanceTo(Turf10Pos) < 20.0f && !Turf10defended)
        {
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker41) && biker41.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                   
                }
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf10Pos) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Like);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                    
                }
            }
        }


        if (Player.Character.Position.DistanceTo(Turf10Pos) < 20.0f && !Turf10defended && (Biker || bikerMember))
        {
            if (!Exists(mafia11))
            {
                mafia11 = World.CreatePed(mafia11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia11) && (mafia11.Health <= 1 || !mafia11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia11)) { mafia11.Delete(); }
            }
            if (!Exists(mafia12))
            {
                mafia12 = World.CreatePed(mafia12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia12) && (mafia12.Health <= 1 || !mafia12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia12)) { mafia12.Delete(); }
            }
            if (!Exists(mafia13))
            {
                mafia13 = World.CreatePed(mafia13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia13) && (mafia13.Health <= 1 || !mafia13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia13)) { mafia13.Delete(); }
            }
            if (!Exists(mafia24))
            {
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia24) && (mafia24.Health <= 1 || !mafia24.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia24)) { mafia24.Delete(); }
            }
            if (!Exists(mafia25))
            {
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia25) && (mafia25.Health <= 1 || !mafia25.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia25)) { mafia25.Delete(); }
            }
            if (!Exists(mafia26))
            {
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(mafia26) && (mafia26.Health <= 1 || !mafia26.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", mafia26)) { mafia26.Delete(); }
            }

            if (Exists(mafia11) && mafia11.Position.DistanceTo(Turf10Pos1) <= 121.0f)
            {
                armmafia11 = true;
                if (Exists(mafia11) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia11.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia11) && mafia11.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia11.isAlive)
                {
                    mafia11.Task.RunTo(Turf10Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia12) && mafia12.Position.DistanceTo(Turf10Pos2) <= 121.0f)
            {
                armmafia12 = true;
                if (Exists(mafia12) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia12.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia12) && mafia12.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia12.isAlive)
                {
                    mafia12.Task.RunTo(Turf10Pos.Around(15.0f));
               if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia13) && mafia13.Position.DistanceTo(Turf10Pos3) <= 121.0f)
            {
                armmafia13 = true;
                if (Exists(mafia13) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia13.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia13) && mafia13.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia13.isAlive)
                {
                    mafia13.Task.RunTo(Turf10Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf10Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia24.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia24.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia24) && mafia24.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Turf10Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf10Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia25.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia25.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia25) && mafia25.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Turf10Pos.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf10Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Biker || bikerMember))
                {
                    mafia26.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    mafia26.Task.FightAgainstHatedTargets(50.0f);
                }

                if (Exists(mafia26) && mafia26.Position.DistanceTo(Player.Character.Position) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Turf10Pos.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf10Pos) < 20.0f && !Turf10defended && (Mafia || mafiaMember))
        {
            if (!Exists(biker11))
            {
                biker11 = World.CreatePed(biker11Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker11) && (biker11.Health <= 1 || !biker11.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker11)) { biker11.Delete(); }
            }
            if (!Exists(biker12))
            {
                biker12 = World.CreatePed(biker12Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker12) && (biker12.Health <= 1 || !biker12.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker12)) { biker12.Delete(); }
            }
            if (!Exists(biker13))
            {
                biker13 = World.CreatePed(biker13Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker13) && (biker13.Health <= 1 || !biker13.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker13)) { biker13.Delete(); }
            }
            if (!Exists(biker40))
            {
                biker40 = World.CreatePed(biker40Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker40) && (biker40.Health <= 1 || !biker40.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker40)) { biker40.Delete(); }
            }
            if (!Exists(biker41))
            {
                biker41 = World.CreatePed(biker41Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker41) && (biker41.Health <= 1 || !biker41.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker41)) { biker41.Delete(); }
            }
            if (!Exists(biker42))
            {
                biker42 = World.CreatePed(biker42Mod, Player.Character.Position.Around(50.0f));
            }
            if (Exists(biker42) && (biker42.Health <= 1 || !biker42.isAlive))
            {
                if (!GTA.Native.Function.Call<bool>("IS_CHAR_ON_SCREEN", biker42)) { biker42.Delete(); }
            }
            if (Exists(biker11) && biker11.Position.DistanceTo(Turf10Pos1) <= 121.0f)
            {
                armbiker11 = true;
                if (Exists(biker11) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker11.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker11.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker11) && biker11.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker11.isAlive)
                {
                    biker11.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (Exists(biker12) && biker12.Position.DistanceTo(Turf10Pos2) <= 121.0f)
            {
                armbiker12 = true;
                if (Exists(biker12) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker12.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker12.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker12) && biker12.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker12.isAlive)
                {
                    biker12.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(biker13) && biker13.Position.DistanceTo(Turf10Pos3) <= 121.0f)
            {
                armbiker13 = true;
                if (Exists(biker13) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker13.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker13.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker13) && biker13.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker13.isAlive)
                {
                    biker13.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }

        }
        if (Player.Character.Position.DistanceTo(Turf10Pos) < 20.0f && Turf10defended && (Biker || bikerMember))
        {
            if (!Exists(biker14))
            {
               
                biker14 = World.CreatePed(biker14Mod, Player.Character.Position.Around(49.0f));
            }
            if (Exists(biker14) && biker14.Position.DistanceTo(Turf10Pos1) <= 121.0f)
            {
                armbiker14 = true;
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf10Pos1) <= 1.0f && biker14.isAlive)
                {
                    biker14.Heading = 196.0986f;
                }
                if (Exists(biker14) && biker14.Position.DistanceTo(Turf10Pos1) >= 15.0f && biker14.isAlive)
                {
                    biker14.Task.RunTo(Turf10Pos1);
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

               
                //armbiker14 = false;
            }
            if (!Exists(biker15))
            {
                
                biker15 = World.CreatePed(biker15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker15) && biker15.Position.DistanceTo(Turf10Pos2) <= 121.0f)
            {
                armbiker15 = true;
                if (Exists(biker15) && biker15.Position.DistanceTo(Turf10Pos2) >= 15.0f && biker15.isAlive)
                {
                    biker15.Task.RunTo(Turf10Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker15 = false;
            }
            if (!Exists(biker16))
            {
                
                biker16 = World.CreatePed(biker16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(biker16) && biker16.Position.DistanceTo(Turf10Pos3) <= 121.0f)
            {
                armbiker16 = true;
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf10Pos3) <= 1.0f && biker16.isAlive)
                {
                    biker16.Heading = 227.6688f;
                }
                if (Exists(biker16) && biker16.Position.DistanceTo(Turf10Pos3) >= 15.0f && biker16.isAlive)
                {
                    biker16.Task.RunTo(Turf10Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker16 = false;
            }
            if (Exists(biker40) && biker40.Position.DistanceTo(Turf10Pos1) <= 121.0f)
            {
                armbiker40 = true;
                if (Exists(biker40) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker40.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker40.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker40) && biker40.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker40.isAlive)
                {
                    biker40.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }

            if (Exists(biker41) && biker41.Position.DistanceTo(Turf10Pos1) <= 121.0f)
            {
                armbiker41 = true;
                if (Exists(biker41) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker41.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker41.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker41) && biker41.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker41.isAlive)
                {
                    biker41.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
            if (Exists(biker42) && biker42.Position.DistanceTo(Turf10Pos1) <= 121.0f)
            {
                armbiker42 = true;
                if (Exists(biker42) && Player.Character.Position.DistanceTo(Turf10Pos) <= 100.0f && (Mafia || mafiaMember))
                {
                    biker42.ChangeRelationship(RelationshipGroup.Player, Relationship.Hate);
                    biker42.Task.FightAgainstHatedTargets(50.0f);
                }
                if (Exists(biker42) && biker42.Position.DistanceTo(Player.Character.Position) >= 15.0f && biker42.isAlive)
                {
                    biker42.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }

                
                //armbiker14 = false;
            }
        }
        if (Player.Character.Position.DistanceTo(Turf10Pos) < 20.0f && Turf10defended && (Mafia || mafiaMember))
        {
            if (!Exists(mafia14))
            {
                
                mafia14 = World.CreatePed(mafia14Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf10Pos1) <= 121.0f)
            {
                armmafia14 = true;
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf10Pos1) <= 1.0f && mafia14.isAlive)
                {
                    mafia14.Heading = 196.0986f;
                }
                if (Exists(mafia14) && mafia14.Position.DistanceTo(Turf10Pos1) >= 15.0f && mafia14.isAlive)
                {
                    mafia14.Task.RunTo(Turf10Pos1);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker14 = false;
            }
            if (!Exists(mafia15))
            {
                
                mafia15 = World.CreatePed(mafia15Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf10Pos2) <= 121.0f)
            {
                armmafia15 = true;
                if (Exists(mafia15) && mafia15.Position.DistanceTo(Turf10Pos2) >= 15.0f && mafia15.isAlive)
                {
                    mafia15.Task.RunTo(Turf10Pos2);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                // armbiker15 = false;
            }
            if (!Exists(mafia16))
            {
               
                mafia16 = World.CreatePed(mafia16Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf10Pos3) <= 121.0f)
            {
                armmafia16 = true;
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf10Pos3) <= 1.0f && mafia16.isAlive)
                {
                    mafia16.Heading = 227.6688f;
                }
                if (Exists(mafia16) && mafia16.Position.DistanceTo(Turf10Pos3) >= 15.0f && mafia16.isAlive)
                {
                    mafia16.Task.RunTo(Turf10Pos3);
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia24))
            {
                
                mafia24 = World.CreatePed(mafia24Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf10Pos3) <= 121.0f)
            {
                armmafia24 = true;
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf10Pos3) <= 1.0f && mafia24.isAlive)
                {
                    mafia24.Heading = 227.6688f;
                }
                if (Exists(mafia24) && mafia24.Position.DistanceTo(Turf10Pos3) >= 15.0f && mafia24.isAlive)
                {
                    mafia24.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }
            if (!Exists(mafia25))
            {
               
                mafia25 = World.CreatePed(mafia25Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf10Pos3) <= 121.0f)
            {
                armmafia25 = true;
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf10Pos3) <= 1.0f && mafia25.isAlive)
                {
                    mafia25.Heading = 227.6688f;
                }
                if (Exists(mafia25) && mafia25.Position.DistanceTo(Turf10Pos3) >= 15.0f && mafia25.isAlive)
                {
                    mafia25.Task.RunTo(Player.Character.Position.Around(15.0f));
                 if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
               
                //armbiker16 = false;
            }
            if (!Exists(mafia26))
            {
               
                mafia26 = World.CreatePed(mafia26Mod, Player.Character.Position.Around(38.0f));
            }
            if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf10Pos3) <= 121.0f)
            {
                armmafia26 = true;
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf10Pos3) <= 1.0f && mafia26.isAlive)
                {
                    mafia26.Heading = 227.6688f;
                }
                if (Exists(mafia26) && mafia26.Position.DistanceTo(Turf10Pos3) >= 15.0f && mafia26.isAlive)
                {
                    mafia26.Task.RunTo(Player.Character.Position.Around(15.0f));
                if (!Ekey)
                {
                    Wait(0x9c4);
                }
                }
                
                //armbiker16 = false;
            }

        }



        if (this.defendTurf1MessageDisplayTimer.isRunning)
        {
            if (Player.Character.Position.DistanceTo(Turf1Pos) > 18.0f && Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && !Turf1defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
                Text("Your leaving the area and losing control!", 10000);
            }
            if (Player.Character.Position.DistanceTo(Turf2Pos) > 18.0f && Player.Character.Position.DistanceTo(Turf2Pos) < 20.0f && !Turf2defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }
            if (Player.Character.Position.DistanceTo(Turf3Pos) > 18.0f && Player.Character.Position.DistanceTo(Turf3Pos) < 20.0f && !Turf3defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
                Text("You have left the area and lost control!", 10000);
            }  
        }
        

        //where is player??
        if (Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && (Mafia || Biker || mafiaMember || bikerMember))
        {
            //ok player is near corner... is it defended??
            if (Turf1defended)
            {
                //yes defended so tell player it is his turf and Delete the mission peds if they exist

                //so this is how u use a ternary opertor...
                //u use when u want to get values, like on next line i want a certain string value depending on which gang
                //so... something = (true/false check here) ? (valueiftruehere) : (Value if false here)
                //Game.DisplayText(Mafia ? "This is Mafia Turf!" : "This is Biker Turf!", 13000);

                if (Mafia || mafiaMember)
                {
                    Game.DisplayText("This is Mafia Turf!", 13000);
                    Turf1Mafia = true;
                }
                if (Biker || bikerMember)
                {
                    Game.DisplayText("This is Biker Turf!", 13000);
                    Turf1Biker = true;
                }
               

              

                //this is just to make sure mission doesnt trigger if already defended, not necessary but why not lol
                if (this.defendTurf1MessageDisplayTimer.isRunning || this.defendTurf1MissionCleanupTimer.isRunning)
                {
                    this.defendTurf1MissionCleanupTimer.Stop(); this.defendTurf1MessageDisplayTimer.Stop();
                }
            }
            else
            {
                //no not defended, so start mission
                if (!this.defendTurf1MissionCleanupTimer.isRunning || !this.defendTurf1MessageDisplayTimer.isRunning)
                {
                    //ok mission timers werent running so now they will start and mission begins
                    Text(Mafia ? "Defend this turf from attack to control the area! " : "Defend this turf from attack to control the area!", 13000);
                    this.defendTurf1MessageDisplayTimer.Start();
                    this.defendTurf1MissionCleanupTimer.Start();
                }
            }
        }
        else
        {
            //player is away from turf so just make sure mission timers dont start
            if (this.defendTurf1MessageDisplayTimer.isRunning || this.defendTurf1MissionCleanupTimer.isRunning)
            {
                this.defendTurf1MissionCleanupTimer.Stop(); this.defendTurf1MessageDisplayTimer.Stop();
            }
        }
    
    
     
        //where is player?
        if (Player.Character.Position.DistanceTo(Turf2Pos) < 20.0f && (Mafia || Biker || mafiaMember || bikerMember))
        {
            //ok player is near corner... is it defended??
            if (Turf2defended)
            {
                //yes defended so tell player it is his turf and Delete the mission peds if they exist

                //so this is how u use a ternary opertor...
                //u use when u want to get values, like on next line i want a certain string value depending on which gang
                //so... something = (true/false check here) ? (valueiftruehere) : (Value if false here)
                //Game.DisplayText(Mafia ? "This is Mafia Turf!" : "This is Biker Turf!", 13000);

                if (Mafia || mafiaMember)
                {
                   Game.DisplayText("This is Mafia Turf!", 10000);
                    Turf2Mafia = true;
                }
                if (Biker || bikerMember)
                {
                   Game.DisplayText("This is Biker Turf!", 10000);
                    Turf2Biker = true;
                }
               

              

                //this is just to make sure mission doesnt trigger if already defended, not necessary but why not lol
                if (this.defendTurf2MessageDisplayTimer.isRunning || this.defendTurf2MissionCleanupTimer.isRunning)
                {
                    this.defendTurf2MissionCleanupTimer.Stop(); this.defendTurf2MessageDisplayTimer.Stop();
                }
            }
            else
            {
                //no not defended, so start mission
                if (!this.defendTurf2MissionCleanupTimer.isRunning || !this.defendTurf2MessageDisplayTimer.isRunning)
                {
                    //ok mission timers werent running so now they will start and mission begins
                   Text(Mafia ? "Defend this turf from attack to control the area! " : "Defend this turf from attack to control the area!", 13000);
                    this.defendTurf2MessageDisplayTimer.Start();
                    this.defendTurf2MissionCleanupTimer.Start();
                }
            }
        }
        else
        {
            //player is away from turf so just make sure mission timers dont start
            if (Player.Character.Position.DistanceTo(Turf1Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && !Turf1defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }
            if (Player.Character.Position.DistanceTo(Turf2Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf2Pos) < 20.0f && !Turf2defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }
            if (Player.Character.Position.DistanceTo(Turf3Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf3Pos) < 20.0f && !Turf3defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }  
            if (this.defendTurf2MessageDisplayTimer.isRunning || this.defendTurf2MissionCleanupTimer.isRunning)            {
                this.defendTurf2MissionCleanupTimer.Stop(); this.defendTurf2MessageDisplayTimer.Stop();
            }
        }

        //where is player?
        if (Player.Character.Position.DistanceTo(Turf3Pos) < 20.0f && (Mafia || Biker || mafiaMember || bikerMember))
        {
            //ok player is near corner... is it defended??
            if (Turf3defended)
            {
                //yes defended so tell player it is his turf and Delete the mission peds if they exist

                //so this is how u use a ternary opertor...
                //u use when u want to get values, like on next line i want a certain string value depending on which gang
                //so... something = (true/false check here) ? (valueiftruehere) : (Value if false here)
                //Game.DisplayText(Mafia ? "This is Mafia Turf!" : "This is Biker Turf!", 13000);

                if (Mafia || mafiaMember)
                {
                   Game.DisplayText("This is Mafia Turf!", 10000);
                    Turf3Mafia = true;
                }
                if (Biker || bikerMember)
                {
                   Game.DisplayText("This is Biker Turf!", 10000);
                    Turf3Biker = true;
                }


           
                //this is just to make sure mission doesnt trigger if already defended, not necessary but why not lol
                if (this.defendTurf3MessageDisplayTimer.isRunning || this.defendTurf3MissionCleanupTimer.isRunning)
                {
                    this.defendTurf3MissionCleanupTimer.Stop(); this.defendTurf3MessageDisplayTimer.Stop();
                }
            }
            else
            {
                //no not defended, so start mission
                if (!this.defendTurf3MissionCleanupTimer.isRunning || !this.defendTurf3MessageDisplayTimer.isRunning)
                {
                    //ok mission timers werent running so now they will start and mission begins
                   Text(Mafia ? "Defend this turf from attack to control the area! " : "Defend this turf from attack to control the area!", 13000);
                    this.defendTurf3MessageDisplayTimer.Start();
                    this.defendTurf3MissionCleanupTimer.Start();
                }
            }
        }
        else
        {
            //player is away from turf so just make sure mission timers dont start
            if (this.defendTurf3MessageDisplayTimer.isRunning || this.defendTurf3MissionCleanupTimer.isRunning)
            {
                this.defendTurf3MissionCleanupTimer.Stop(); this.defendTurf3MessageDisplayTimer.Stop();
            }
        }


        //where is player?
        if (Player.Character.Position.DistanceTo(Turf4Pos) < 20.0f && (Mafia || Biker || mafiaMember || bikerMember))
        {
            //ok player is near corner... is it defended??
            if (Turf4defended)
            {
                //yes defended so tell player it is his turf and Delete the mission peds if they exist

                //so this is how u use a ternary opertor...
                //u use when u want to get values, like on next line i want a certain string value depending on which gang
                //so... something = (true/false check here) ? (valueiftruehere) : (Value if false here)
                //Game.DisplayText(Mafia ? "This is Mafia Turf!" : "This is Biker Turf!", 13000);

                if (Mafia || mafiaMember)
                {
                   Game.DisplayText("This is Mafia Turf!", 10000);
                    Turf4Mafia = true;
                }
                if (Biker || bikerMember)
                {
                   Game.DisplayText("This is Biker Turf!", 10000);
                    Turf4Biker = true;
                }


            
              

                //this is just to make sure mission doesnt trigger if already defended, not necessary but why not lol
                if (this.defendTurf4MessageDisplayTimer.isRunning || this.defendTurf4MissionCleanupTimer.isRunning)
                {
                    this.defendTurf4MissionCleanupTimer.Stop(); this.defendTurf4MessageDisplayTimer.Stop();
                }
            }
            else
            {
                //no not defended, so start mission
                if (!this.defendTurf4MissionCleanupTimer.isRunning || !this.defendTurf4MessageDisplayTimer.isRunning)
                {
                    //ok mission timers werent running so now they will start and mission begins
                    Text(Mafia ? "Defend this turf from attack to control the area! " : "Defend this turf from attack to control the area!", 13000);
                    this.defendTurf4MessageDisplayTimer.Start();
                    this.defendTurf4MissionCleanupTimer.Start();
                }
            }
        }
        else
        {
          
            if (Player.Character.Position.DistanceTo(Turf4Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf4Pos) < 20.0f && !Turf4defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }
          
            if (this.defendTurf4MessageDisplayTimer.isRunning || this.defendTurf4MissionCleanupTimer.isRunning)
            {
                this.defendTurf4MissionCleanupTimer.Stop(); this.defendTurf4MessageDisplayTimer.Stop();
            }
        }

        //where is player?
        if (Player.Character.Position.DistanceTo(Turf5Pos) < 20.0f && (Mafia || Biker || mafiaMember || bikerMember))
        {
            //ok player is near corner... is it defended??
            if (Turf5defended)
            {
                //yes defended so tell player it is his turf and Delete the mission peds if they exist

                //so this is how u use a ternary opertor...
                //u use when u want to get values, like on next line i want a certain string value depending on which gang
                //so... something = (true/false check here) ? (valueiftruehere) : (Value if false here)
                //Game.DisplayText(Mafia ? "This is Mafia Turf!" : "This is Biker Turf!", 13000);

                if (Mafia || mafiaMember)
                {
                   Game.DisplayText("This is Mafia Turf!", 10000);
                    Turf5Mafia = true;
                }
                if (Biker || bikerMember)
                {
                   Game.DisplayText("This is Biker Turf!", 10000);
                    Turf5Biker = true;
                }



                //this is just to make sure mission doesnt trigger if already defended, not necessary but why not lol
                if (this.defendTurf5MessageDisplayTimer.isRunning || this.defendTurf5MissionCleanupTimer.isRunning)
                {
                    this.defendTurf5MissionCleanupTimer.Stop(); this.defendTurf5MessageDisplayTimer.Stop();
                }
            }
            else
            {
                //no not defended, so start mission
                if (!this.defendTurf5MissionCleanupTimer.isRunning || !this.defendTurf5MessageDisplayTimer.isRunning)
                {
                    //ok mission timers werent running so now they will start and mission begins
                    Text(Mafia ? "Defend this turf from attack to control the area! " : "Defend this turf from attack to control the area!", 13000);
                    this.defendTurf5MessageDisplayTimer.Start();
                    this.defendTurf5MissionCleanupTimer.Start();
                }
            }
        }
        else
        {

            if (Player.Character.Position.DistanceTo(Turf5Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf5Pos) < 20.0f && !Turf5defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }

            if (this.defendTurf5MessageDisplayTimer.isRunning || this.defendTurf5MissionCleanupTimer.isRunning)
            {
                this.defendTurf5MissionCleanupTimer.Stop(); this.defendTurf5MessageDisplayTimer.Stop();
            }
        }
        //where is player?
        if (Player.Character.Position.DistanceTo(Turf6Pos) < 20.0f && (Mafia || Biker || mafiaMember || bikerMember))
        {
            //ok player is near corner... is it defended??
            if (Turf6defended)
            {
                //yes defended so tell player it is his turf and Delete the mission peds if they exist

                //so this is how u use a ternary opertor...
                //u use when u want to get values, like on next line i want a certain string value depending on which gang
                //so... something = (true/false check here) ? (valueiftruehere) : (Value if false here)
                //Game.DisplayText(Mafia ? "This is Mafia Turf!" : "This is Biker Turf!", 13000);

                if (Mafia || mafiaMember)
                {
                   Game.DisplayText("This is Mafia Turf!", 10000);
                    Turf6Mafia = true;
                }
                if (Biker || bikerMember)
                {
                   Game.DisplayText("This is Biker Turf!", 10000);
                    Turf6Biker = true;
                }


             
             

                //this is just to make sure mission doesnt trigger if already defended, not necessary but why not lol
                if (this.defendTurf6MessageDisplayTimer.isRunning || this.defendTurf6MissionCleanupTimer.isRunning)
                {
                    this.defendTurf6MissionCleanupTimer.Stop(); this.defendTurf6MessageDisplayTimer.Stop();
                }
            }
            else
            {
                //no not defended, so start mission
                if (!this.defendTurf6MissionCleanupTimer.isRunning || !this.defendTurf6MessageDisplayTimer.isRunning)
                {
                    //ok mission timers werent running so now they will start and mission begins
                    Text(Mafia ? "Defend this turf from attack to control the area! " : "Defend this turf from attack to control the area!", 13000);
                    this.defendTurf6MessageDisplayTimer.Start();
                    this.defendTurf6MissionCleanupTimer.Start();
                }
            }
        }
        else
        {

            if (Player.Character.Position.DistanceTo(Turf6Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf6Pos) < 20.0f && !Turf6defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }

            if (this.defendTurf6MessageDisplayTimer.isRunning || this.defendTurf6MissionCleanupTimer.isRunning)
            {
                this.defendTurf6MissionCleanupTimer.Stop(); this.defendTurf6MessageDisplayTimer.Stop();
            }
        }

        //where is player?
        if (Player.Character.Position.DistanceTo(Turf7Pos) < 20.0f && (Mafia || Biker || mafiaMember || bikerMember))
        {
            //ok player is near corner... is it defended??
            if (Turf7defended)
            {
                //yes defended so tell player it is his turf and Delete the mission peds if they exist

                //so this is how u use a ternary opertor...
                //u use when u want to get values, like on next line i want a certain string value depending on which gang
                //so... something = (true/false check here) ? (valueiftruehere) : (Value if false here)
                //Game.DisplayText(Mafia ? "This is Mafia Turf!" : "This is Biker Turf!", 13000);

                if (Mafia || mafiaMember)
                {
                   Game.DisplayText("This is Mafia Turf!", 10000);
                    Turf7Mafia = true;
                }
                if (Biker || bikerMember)
                {
                   Game.DisplayText("This is Biker Turf!", 10000);
                    Turf7Biker = true;
                }


               
             

                //this is just to make sure mission doesnt trigger if already defended, not necessary but why not lol
                if (this.defendTurf7MessageDisplayTimer.isRunning || this.defendTurf7MissionCleanupTimer.isRunning)
                {
                    this.defendTurf7MissionCleanupTimer.Stop(); this.defendTurf7MessageDisplayTimer.Stop();
                }
            }
            else
            {
                //no not defended, so start mission
                if (!this.defendTurf7MissionCleanupTimer.isRunning || !this.defendTurf7MessageDisplayTimer.isRunning)
                {
                    //ok mission timers werent running so now they will start and mission begins
                    Text(Mafia ? "Defend this turf from attack to control the area! " : "Defend this turf from attack to control the area!", 13000);
                    this.defendTurf7MessageDisplayTimer.Start();
                    this.defendTurf7MissionCleanupTimer.Start();
                }
            }
        }
        else
        {

            if (Player.Character.Position.DistanceTo(Turf7Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf7Pos) < 20.0f && !Turf7defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }

            if (this.defendTurf7MessageDisplayTimer.isRunning || this.defendTurf7MissionCleanupTimer.isRunning)
            {
                this.defendTurf7MissionCleanupTimer.Stop(); this.defendTurf7MessageDisplayTimer.Stop();
            }
        }

        //where is player?
        if (Player.Character.Position.DistanceTo(Turf8Pos) < 20.0f && (Mafia || Biker || mafiaMember || bikerMember))
        {
            //ok player is near corner... is it defended??
            if (Turf8defended)
            {
                //yes defended so tell player it is his turf and Delete the mission peds if they exist

                //so this is how u use a ternary opertor...
                //u use when u want to get values, like on next line i want a certain string value depending on which gang
                //so... something = (true/false check here) ? (valueiftruehere) : (Value if false here)
                //Game.DisplayText(Mafia ? "This is Mafia Turf!" : "This is Biker Turf!", 13000);

                if (Mafia || mafiaMember)
                {
                   Game.DisplayText("This is Mafia Turf!", 10000);
                    Turf8Mafia = true;
                }
                if (Biker || bikerMember)
                {
                   Game.DisplayText("This is Biker Turf!", 10000);
                    Turf8Biker = true;
                }


             
              

                //this is just to make sure mission doesnt trigger if already defended, not necessary but why not lol
                if (this.defendTurf8MessageDisplayTimer.isRunning || this.defendTurf8MissionCleanupTimer.isRunning)
                {
                    this.defendTurf8MissionCleanupTimer.Stop(); this.defendTurf8MessageDisplayTimer.Stop();
                }
            }
            else
            {
                //no not defended, so start mission
                if (!this.defendTurf8MissionCleanupTimer.isRunning || !this.defendTurf8MessageDisplayTimer.isRunning)
                {
                    //ok mission timers werent running so now they will start and mission begins
                    Text(Mafia ? "Defend this turf from attack to control the area! " : "Defend this turf from attack to control the area!", 13000);
                    this.defendTurf8MessageDisplayTimer.Start();
                    this.defendTurf8MissionCleanupTimer.Start();
                }
            }
        }
        else
        {

            if (Player.Character.Position.DistanceTo(Turf8Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf8Pos) < 20.0f && !Turf8defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }

            if (this.defendTurf8MessageDisplayTimer.isRunning || this.defendTurf8MissionCleanupTimer.isRunning)
            {
                this.defendTurf8MissionCleanupTimer.Stop(); this.defendTurf8MessageDisplayTimer.Stop();
            }
        }

        //where is player?
        if (Player.Character.Position.DistanceTo(Turf9Pos) < 20.0f && (Mafia || Biker || mafiaMember || bikerMember))
        {
            //ok player is near corner... is it defended??
            if (Turf9defended)
            {
                //yes defended so tell player it is his turf and Delete the mission peds if they exist

                //so this is how u use a ternary opertor...
                //u use when u want to get values, like on next line i want a certain string value depending on which gang
                //so... something = (true/false check here) ? (valueiftruehere) : (Value if false here)
                //Game.DisplayText(Mafia ? "This is Mafia Turf!" : "This is Biker Turf!", 13000);

                if (Mafia || mafiaMember)
                {
                   Game.DisplayText("This is Mafia Turf!", 10000);
                    Turf9Mafia = true;
                }
                if (Biker || bikerMember)
                {
                   Game.DisplayText("This is Biker Turf!", 10000);
                    Turf9Biker = true;
                }


             
              

                //this is just to make sure mission doesnt trigger if already defended, not necessary but why not lol
                if (this.defendTurf9MessageDisplayTimer.isRunning || this.defendTurf9MissionCleanupTimer.isRunning)
                {
                    this.defendTurf9MissionCleanupTimer.Stop(); this.defendTurf9MessageDisplayTimer.Stop();
                }
            }
            else
            {
                //no not defended, so start mission
                if (!this.defendTurf9MissionCleanupTimer.isRunning || !this.defendTurf9MessageDisplayTimer.isRunning)
                {
                    //ok mission timers werent running so now they will start and mission begins
                    Text(Mafia ? "Defend this turf from attack to control the area! " : "Defend this turf from attack to control the area!", 13000);
                    this.defendTurf9MessageDisplayTimer.Start();
                    this.defendTurf9MissionCleanupTimer.Start();
                }
            }
        }
        else
        {

            if (Player.Character.Position.DistanceTo(Turf9Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf9Pos) < 20.0f && !Turf9defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }

            if (this.defendTurf9MessageDisplayTimer.isRunning || this.defendTurf9MissionCleanupTimer.isRunning)
            {
                this.defendTurf9MissionCleanupTimer.Stop(); this.defendTurf9MessageDisplayTimer.Stop();
            }
        }

        //where is player?
        if (Player.Character.Position.DistanceTo(Turf10Pos) < 20.0f && (Mafia || Biker || mafiaMember || bikerMember))
        {
            //ok player is near corner... is it defended??
            if (Turf10defended)
            {
                //yes defended so tell player it is his turf and Delete the mission peds if they exist

                //so this is how u use a ternary opertor...
                //u use when u want to get values, like on next line i want a certain string value depending on which gang
                //so... something = (true/false check here) ? (valueiftruehere) : (Value if false here)
                //Game.DisplayText(Mafia ? "This is Mafia Turf!" : "This is Biker Turf!", 13000);

                if (Mafia || mafiaMember)
                {
                   Game.DisplayText("This is Mafia Turf!", 10000);
                    Turf10Mafia = true;
                }
                if (Biker || bikerMember)
                {
                   Game.DisplayText("This is Biker Turf!", 10000);
                    Turf10Biker = true;
                }


             
             

                //this is just to make sure mission doesnt trigger if already defended, not necessary but why not lol
                if (this.defendTurf10MessageDisplayTimer.isRunning || this.defendTurf10MissionCleanupTimer.isRunning)
                {
                    this.defendTurf10MissionCleanupTimer.Stop(); this.defendTurf10MessageDisplayTimer.Stop();
                }
            }
            else
            {
                //no not defended, so start mission
                if (!this.defendTurf10MissionCleanupTimer.isRunning || !this.defendTurf10MessageDisplayTimer.isRunning)
                {
                    //ok mission timers werent running so now they will start and mission begins
                    Text(Mafia ? "Defend this turf from attack to control the area! " : "Defend this turf from attack to control the area!", 13000);
                    this.defendTurf10MessageDisplayTimer.Start();
                    this.defendTurf10MissionCleanupTimer.Start();
                }
            }
        }
        else
        {

            if (Player.Character.Position.DistanceTo(Turf10Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf10Pos) < 20.0f && !Turf10defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("You have left the area and lost control!", 10000);
            }

            if (this.defendTurf10MessageDisplayTimer.isRunning || this.defendTurf10MissionCleanupTimer.isRunning)
            {
                this.defendTurf10MissionCleanupTimer.Stop(); this.defendTurf10MessageDisplayTimer.Stop();
            }
        }






    }////end of tick

    
    private void defendTurf1TimerStop_Tick(object sender, EventArgs e)
    {
        //mission is over so now this method runs to clean it up, so 3 minutes passed and the timer tick event called this method
     
        Text("You forced them out of the area!! Hide your weapon to lose the heat!", 6000);
        defendTurf1MissionCleanupTimer.Stop();
        defendTurf1MessageDisplayTimer.Stop();
        Turf1defended = true;
        Wait(0x9c4);
        Player.WantedLevel = 0;
        Text("Turf Defended!! This corner is now yours!", 12000);
        TriggerMissionCompleteAudio(0x1b);
    }
    private void defendTurf1TimerDisplay_Tick(object sender, EventArgs e)
    {
         if (Player.Character.Position.DistanceTo(Turf1Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf1Pos) < 20.0f && !Turf1defended && (Mafia || Biker || mafiaMember || bikerMember))
            {
               Text("Your leaving the area and losing control!", 10000);
            }
        Text((this.defendTurf1MissionCleanupTimer.Interval - this.defendTurf1MissionCleanupTimer.ElapsedTime) < 30000
            ? "They're losing the fight, the corner is almost yours!!"
            : ((this.defendTurf1MissionCleanupTimer.Interval - this.defendTurf1MissionCleanupTimer.ElapsedTime) / 1000).ToString() + " Seconds Left", 10000);
    }

    private void defendTurf2TimerDisplay_Tick(object sender, EventArgs e)
    {
        if (Player.Character.Position.DistanceTo(Turf2Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf2Pos) < 20.0f && !Turf2defended && (Mafia || Biker || mafiaMember || bikerMember))
        {
           Text("Your leaving the area and losing control!", 10000);
        }
        Text((this.defendTurf2MissionCleanupTimer.Interval - this.defendTurf2MissionCleanupTimer.ElapsedTime) < 30000
            ? "They're losing the fight, the corner is almost yours!!"
            : ((this.defendTurf2MissionCleanupTimer.Interval - this.defendTurf2MissionCleanupTimer.ElapsedTime) / 1000).ToString() + " Seconds Left", 10000);
        //Game.DisplayText("They're losing the fight, the corner is almost yours!! Time Remaining: " + this.defendTurf1TimerStop.ElapsedTime.ToString(120000), 10000);
    }//
    private void defendTurf2TimerStop_Tick(object sender, EventArgs e)
    {
        //mission is over so now this method runs to clean it up, so 3 minutes passed and the timer tick event called this method
     
        
            Text("You forced them out of the area!! Hide your weapon to lose the heat!", 6000);
        defendTurf2MissionCleanupTimer.Stop();
        defendTurf2MessageDisplayTimer.Stop();
        Turf2defended = true;
        Wait(0x9c4);
       Text("Turf Defended!! This corner is now yours!", 12000);
        Player.WantedLevel = 0;
        TriggerMissionCompleteAudio(0x1b);
    }
    private void defendTurf3TimerStop_Tick(object sender, EventArgs e)
    {
        //mission is over so now this method runs to clean it up, so 3 minutes passed and the timer tick event called this method
    
        if (Mafia || mafiaMember)
        {
            Text("You forced them out of the area!! Hide your weapon to lose the heat!", 6000);
        }
        if (Biker || bikerMember)
        {
            Text("You forced them out of the area!! Hide your weapon to lose the heat!", 6000);
        }
        defendTurf3MissionCleanupTimer.Stop();
        defendTurf3MessageDisplayTimer.Stop();
        Turf3defended = true;
        Wait(0x9c4);
       Text("Turf Defended!! This corner is now yours!", 12000);
        Player.WantedLevel = 0;
        TriggerMissionCompleteAudio(0x1b);
    }
    private void defendTurf3TimerDisplay_Tick(object sender, EventArgs e)
    {
        if (Player.Character.Position.DistanceTo(Turf3Pos) > 15.0f && Player.Character.Position.DistanceTo(Turf3Pos) < 20.0f && !Turf3defended && (Mafia || Biker || mafiaMember || bikerMember))
        {
           Text("Your leaving the area and losing control!", 10000);
        }
        Text((this.defendTurf3MissionCleanupTimer.Interval - this.defendTurf3MissionCleanupTimer.ElapsedTime) < 30000
            ? "They're losing the fight, the corner is almost yours!!"
            : ((this.defendTurf3MissionCleanupTimer.Interval - this.defendTurf3MissionCleanupTimer.ElapsedTime) / 1000).ToString() + " Seconds Left", 10000);
        //Game.DisplayText("They're losing the fight, the corner is almost yours!! Time Remaining: " + this.defendTurf1TimerStop.ElapsedTime.ToString(120000), 10000);
    }//

    private void defendTurf4TimerStop_Tick(object sender, EventArgs e)
    {
        //mission is over so now this method runs to clean it up, so 3 minutes passed and the timer tick event called this method
     
        if (Mafia || mafiaMember)
        {
            Text("You forced them out of the area!! Hide your weapon to lose the heat!", 6000);
        }
        if (Biker || bikerMember)
        {
            Text("You forced them out of the area!! Hide your weapon to lose the heat!", 6000);
        }
        defendTurf4MissionCleanupTimer.Stop();
        defendTurf4MessageDisplayTimer.Stop();
        Turf4defended = true;
        Wait(0x9c4);
       Text("Turf Defended!! This corner is now yours!", 12000);
        Player.WantedLevel = 0;
        TriggerMissionCompleteAudio(0x1b);
    }
    private void defendTurf4TimerDisplay_Tick(object sender, EventArgs e)
    {
        Text((this.defendTurf4MissionCleanupTimer.Interval - this.defendTurf4MissionCleanupTimer.ElapsedTime) < 30000
            ? "They're losing the fight, the corner is almost yours!!"
            : ((this.defendTurf4MissionCleanupTimer.Interval - this.defendTurf4MissionCleanupTimer.ElapsedTime) / 1000).ToString() + " Seconds Left", 10000);
        //Game.DisplayText("They're losing the fight, the corner is almost yours!! Time Remaining: " + this.defendTurf1TimerStop.ElapsedTime.ToString(120000), 10000);
    }//
    private void defendTurf5TimerStop_Tick(object sender, EventArgs e)
    {
        //mission is over so now this method runs to clean it up, so 3 minutes passed and the timer tick event called this method
    
        if (Mafia || mafiaMember)
        {
            Text("The bikers and cops are running!! Hide your weapon to lose the heat!", 6000);
        }
        if (Biker || bikerMember)
        {
            Text("The mafia and cops are running!! Hide your weapon to lose the heat!", 6000);
        }
        defendTurf5MissionCleanupTimer.Stop();
        defendTurf5MessageDisplayTimer.Stop();
        Turf5defended = true;
        Wait(0x9c4);
       Text("Turf Defended!! This corner is now yours!", 12000);
        Player.WantedLevel = 0;
        TriggerMissionCompleteAudio(0x1b);
    }
    private void defendTurf5TimerDisplay_Tick(object sender, EventArgs e)
    {
        Text((this.defendTurf5MissionCleanupTimer.Interval - this.defendTurf5MissionCleanupTimer.ElapsedTime) < 30000
            ? "They're losing the fight, the corner is almost yours!!"
            : ((this.defendTurf5MissionCleanupTimer.Interval - this.defendTurf5MissionCleanupTimer.ElapsedTime) / 1000).ToString() + " Seconds Left", 10000);
        //Game.DisplayText("They're losing the fight, the corner is almost yours!! Time Remaining: " + this.defendTurf1TimerStop.ElapsedTime.ToString(120000), 10000);
    }//

    private void defendTurf6TimerStop_Tick(object sender, EventArgs e)
    {
        //mission is over so now this method runs to clean it up, so 3 minutes passed and the timer tick event called this method
      
        if (Mafia || mafiaMember)
        {
            Text("The bikers and cops are running!! Hide your weapon to lose the heat!", 6000);
        }
        if (Biker || bikerMember)
        {
            Text("The mafia and cops are running!! Hide your weapon to lose the heat!", 6000);
        }
        defendTurf6MissionCleanupTimer.Stop();
        defendTurf6MessageDisplayTimer.Stop();
        Turf6defended = true;
        Wait(0x9c4);
       Text("Turf Defended!! This corner is now yours!", 12000);
        Player.WantedLevel = 0;
        TriggerMissionCompleteAudio(0x1b);
    }
    private void defendTurf6TimerDisplay_Tick(object sender, EventArgs e)
    {
        Text((this.defendTurf6MissionCleanupTimer.Interval - this.defendTurf6MissionCleanupTimer.ElapsedTime) < 30000
            ? "They're losing the fight, the corner is almost yours!!"
            : ((this.defendTurf6MissionCleanupTimer.Interval - this.defendTurf6MissionCleanupTimer.ElapsedTime) / 1000).ToString() + " Seconds Left", 10000);
        //Game.DisplayText("They're losing the fight, the corner is almost yours!! Time Remaining: " + this.defendTurf1TimerStop.ElapsedTime.ToString(120000), 10000);
    }//

    private void defendTurf7TimerStop_Tick(object sender, EventArgs e)
    {
        //mission is over so now this method runs to clean it up, so 3 minutes passed and the timer tick event called this method
      
        Text("You forced them out of the area!! Hide your weapon to lose the heat!", 6000);
        defendTurf7MissionCleanupTimer.Stop();
        defendTurf7MessageDisplayTimer.Stop();
        Turf7defended = true;
        Wait(0x9c4);
       Text("Turf Defended!! This corner is now yours!", 12000);
        Player.WantedLevel = 0;
        TriggerMissionCompleteAudio(0x1b);
    }
    private void defendTurf7TimerDisplay_Tick(object sender, EventArgs e)
    {
        Text((this.defendTurf7MissionCleanupTimer.Interval - this.defendTurf7MissionCleanupTimer.ElapsedTime) < 30000
            ? "They're losing the fight, the corner is almost yours!!"
            : ((this.defendTurf7MissionCleanupTimer.Interval - this.defendTurf7MissionCleanupTimer.ElapsedTime) / 1000).ToString() + " Seconds Left", 10000);
        //Game.DisplayText("They're losing the fight, the corner is almost yours!! Time Remaining: " + this.defendTurf1TimerStop.ElapsedTime.ToString(120000), 10000);
    }//   
    private void defendTurf8TimerStop_Tick(object sender, EventArgs e)
    {
        //mission is over so now this method runs to clean it up, so 3 minutes passed and the timer tick event called this method
       
        Text("You forced them out of the area!! Hide your weapon to lose the heat!", 6000);
        defendTurf8MissionCleanupTimer.Stop();
        defendTurf8MessageDisplayTimer.Stop();
        Turf8defended = true;
        Wait(0x9c4);
       Text("Turf Defended!! This corner is now yours!", 12000);
        Player.WantedLevel = 0;
        TriggerMissionCompleteAudio(0x1b);
    }
    private void defendTurf8TimerDisplay_Tick(object sender, EventArgs e)
    {
        Text((this.defendTurf8MissionCleanupTimer.Interval - this.defendTurf8MissionCleanupTimer.ElapsedTime) < 30000
            ? "They're losing the fight, the corner is almost yours!!"
            : ((this.defendTurf8MissionCleanupTimer.Interval - this.defendTurf8MissionCleanupTimer.ElapsedTime) / 1000).ToString() + " Seconds Left", 10000);
        //Game.DisplayText("They're losing the fight, the corner is almost yours!! Time Remaining: " + this.defendTurf1TimerStop.ElapsedTime.ToString(120000), 10000);
    }//       
    private void defendTurf9TimerStop_Tick(object sender, EventArgs e)
    {
        //mission is over so now this method runs to clean it up, so 3 minutes passed and the timer tick event called this method
    
        Text("You forced them out of the area!! Hide your weapon to lose the heat!", 6000);
        defendTurf9MissionCleanupTimer.Stop();
        defendTurf9MessageDisplayTimer.Stop();
        Turf9defended = true;
        Wait(0x9c4);
       Text("Turf Defended!! This corner is now yours!", 12000);
        Player.WantedLevel = 0;
    }
    private void defendTurf9TimerDisplay_Tick(object sender, EventArgs e)
    {
        Text((this.defendTurf9MissionCleanupTimer.Interval - this.defendTurf9MissionCleanupTimer.ElapsedTime) < 30000
            ? "They're losing the fight, the corner is almost yours!!"
            : ((this.defendTurf9MissionCleanupTimer.Interval - this.defendTurf9MissionCleanupTimer.ElapsedTime) / 1000).ToString() + " Seconds Left", 10000);
        //Game.DisplayText("They're losing the fight, the corner is almost yours!! Time Remaining: " + this.defendTurf1TimerStop.ElapsedTime.ToString(120000), 10000);
    }//      
    private void defendTurf10TimerStop_Tick(object sender, EventArgs e)
    {
        //mission is over so now this method runs to clean it up, so 3 minutes passed and the timer tick event called this method
       
        Text("You forced them out of the area!! Hide your weapon to lose the heat!", 6000);
        defendTurf10MissionCleanupTimer.Stop();
        defendTurf10MessageDisplayTimer.Stop();
        Turf10defended = true;
        Wait(0x9c4);
       Text("Turf Defended!! This corner is now yours!", 12000);
        Player.WantedLevel = 0;
        TriggerMissionCompleteAudio(0x1b);
    }
    private void defendTurf10TimerDisplay_Tick(object sender, EventArgs e)
    {
        Text((this.defendTurf10MissionCleanupTimer.Interval - this.defendTurf10MissionCleanupTimer.ElapsedTime) < 30000
            ? "They're losing the fight, the corner is almost yours!!"
            : ((this.defendTurf10MissionCleanupTimer.Interval - this.defendTurf10MissionCleanupTimer.ElapsedTime) / 1000).ToString() + " Seconds Left", 10000);
        //Game.DisplayText("They're losing the fight, the corner is almost yours!! Time Remaining: " + this.defendTurf1TimerStop.ElapsedTime.ToString(120000), 10000);
    }//      
  
 
        #endregion
}


